package androidx.base;

import com.google.android.exoplayer2.C;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;
import java.nio.charset.Charset;
import java.util.concurrent.TimeUnit;
import java.util.logging.Level;
import java.util.logging.Logger;
import okhttp3.Connection;
import okhttp3.Headers;
import okhttp3.Interceptor;
import okhttp3.MediaType;
import okhttp3.Protocol;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;
import okhttp3.ResponseBody;
import okhttp3.internal.http.HttpHeaders;
import okio.Buffer;

public class ax implements Interceptor {
    public static final Charset a = Charset.forName(C.UTF8_NAME);
    public volatile a b = a.NONE;
    public Level c;
    public Logger d;

    public enum a {
        NONE,
        BASIC,
        HEADERS,
        BODY
    }

    public ax(String str) {
        this.d = Logger.getLogger(str);
    }

    public static boolean b(MediaType mediaType) {
        if (mediaType == null) {
            return false;
        }
        if (mediaType.type() != null && mediaType.type().equals("text")) {
            return true;
        }
        String subtype = mediaType.subtype();
        if (subtype != null) {
            String lowerCase = subtype.toLowerCase();
            if (lowerCase.contains("x-www-form-urlencoded") || lowerCase.contains("json") || lowerCase.contains("xml") || lowerCase.contains("html")) {
                return true;
            }
        }
        return false;
    }

    public final void a(Request request) {
        try {
            RequestBody body = request.newBuilder().build().body();
            if (body != null) {
                Buffer buffer = new Buffer();
                body.writeTo(buffer);
                MediaType contentType = body.contentType();
                Charset charset = contentType != null ? contentType.charset(a) : a;
                if (charset == null) {
                    charset = a;
                }
                c("\tbody:" + buffer.readString(charset));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    public final void c(String str) {
        this.d.log(this.c, str);
    }

    public void d(a aVar) {
        if (this.b != null) {
            this.b = aVar;
            return;
        }
        throw new NullPointerException("printLevel == null. Use Level.NONE instead.");
    }

    @Override // okhttp3.Interceptor
    public Response intercept(Interceptor.Chain chain) {
        StringBuilder sb;
        Request request = chain.request();
        if (this.b == a.NONE) {
            return chain.proceed(request);
        }
        Connection connection = chain.connection();
        a aVar = this.b;
        a aVar2 = a.BODY;
        boolean z = aVar == aVar2;
        boolean z2 = this.b == aVar2 || this.b == a.HEADERS;
        RequestBody body = request.body();
        boolean z3 = body != null;
        Protocol protocol = connection != null ? connection.protocol() : Protocol.HTTP_1_1;
        try {
            c("--> " + request.method() + ' ' + request.url() + ' ' + protocol);
            if (z2) {
                if (z3) {
                    if (body.contentType() != null) {
                        c("\tContent-Type: " + body.contentType());
                    }
                    if (body.contentLength() != -1) {
                        c("\tContent-Length: " + body.contentLength());
                    }
                }
                Headers headers = request.headers();
                int size = headers.size();
                for (int i = 0; i < size; i++) {
                    String name = headers.name(i);
                    if (!"Content-Type".equalsIgnoreCase(name) && !bx.HEAD_KEY_CONTENT_LENGTH.equalsIgnoreCase(name)) {
                        c("\t" + name + ": " + headers.value(i));
                    }
                }
                this.d.log(this.c, " ");
                if (z && z3) {
                    if (b(body.contentType())) {
                        a(request);
                    } else {
                        this.d.log(this.c, "\tbody: maybe [binary body], omitted!");
                    }
                }
            }
            sb = new StringBuilder();
        } catch (Exception e) {
            e.printStackTrace();
            sb = new StringBuilder();
        } catch (Throwable th) {
            StringBuilder j = b2.j("--> END ");
            j.append(request.method());
            c(j.toString());
            throw th;
        }
        sb.append("--> END ");
        sb.append(request.method());
        c(sb.toString());
        long nanoTime = System.nanoTime();
        try {
            Response proceed = chain.proceed(request);
            long millis = TimeUnit.NANOSECONDS.toMillis(System.nanoTime() - nanoTime);
            Response build = proceed.newBuilder().build();
            ResponseBody body2 = build.body();
            a aVar3 = this.b;
            a aVar4 = a.BODY;
            boolean z4 = aVar3 == aVar4;
            boolean z5 = this.b == aVar4 || this.b == a.HEADERS;
            try {
                c("<-- " + build.code() + ' ' + build.message() + ' ' + build.request().url() + " (" + millis + "ms）");
                if (z5) {
                    Headers headers2 = build.headers();
                    int size2 = headers2.size();
                    for (int i2 = 0; i2 < size2; i2++) {
                        c("\t" + headers2.name(i2) + ": " + headers2.value(i2));
                    }
                    this.d.log(this.c, " ");
                    if (z4 && HttpHeaders.hasBody(build)) {
                        if (body2 != null) {
                            if (b(body2.contentType())) {
                                InputStream byteStream = body2.byteStream();
                                ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
                                byte[] bArr = new byte[4096];
                                while (true) {
                                    int read = byteStream.read(bArr);
                                    if (read == -1) {
                                        break;
                                    }
                                    byteArrayOutputStream.write(bArr, 0, read);
                                }
                                byteArrayOutputStream.close();
                                byte[] byteArray = byteArrayOutputStream.toByteArray();
                                MediaType contentType = body2.contentType();
                                Charset charset = contentType != null ? contentType.charset(a) : a;
                                if (charset == null) {
                                    charset = a;
                                }
                                String str = new String(byteArray, charset);
                                c("\tbody:" + str);
                                proceed = proceed.newBuilder().body(ResponseBody.create(body2.contentType(), byteArray)).build();
                            } else {
                                this.d.log(this.c, "\tbody: maybe [binary body], omitted!");
                            }
                        }
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            } catch (Throwable th2) {
                this.d.log(this.c, "<-- END HTTP");
                throw th2;
            }
            this.d.log(this.c, "<-- END HTTP");
            return proceed;
        } catch (Exception e3) {
            c("<-- HTTP FAILED: " + e3);
            throw e3;
        }
    }
}
