package androidx.base;

import java.io.File;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.net.URLConnection;
import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import okhttp3.MediaType;

public class dx implements Serializable {
    public static final boolean IS_REPLACE = true;
    public static final MediaType MEDIA_TYPE_JSON = MediaType.parse("application/json;charset=utf-8");
    public static final MediaType MEDIA_TYPE_PLAIN = MediaType.parse("text/plain;charset=utf-8");
    public static final MediaType MEDIA_TYPE_STREAM = MediaType.parse("application/octet-stream");
    private static final long serialVersionUID = 7369819159227055048L;
    public LinkedHashMap<String, List<a>> fileParamsMap;
    public LinkedHashMap<String, List<String>> urlParamsMap;

    public static class a implements Serializable {
        private static final long serialVersionUID = -2356139899636767776L;
        public transient MediaType contentType;
        public File file;
        public String fileName;
        public long fileSize;

        public a(File file2, String str, MediaType mediaType) {
            this.file = file2;
            this.fileName = str;
            this.contentType = mediaType;
            this.fileSize = file2.length();
        }

        private void readObject(ObjectInputStream objectInputStream) {
            objectInputStream.defaultReadObject();
            this.contentType = MediaType.parse((String) objectInputStream.readObject());
        }

        private void writeObject(ObjectOutputStream objectOutputStream) {
            objectOutputStream.defaultWriteObject();
            objectOutputStream.writeObject(this.contentType.toString());
        }

        public String toString() {
            StringBuilder j = b2.j("FileWrapper{file=");
            j.append(this.file);
            j.append(", fileName=");
            j.append(this.fileName);
            j.append(", contentType=");
            j.append(this.contentType);
            j.append(", fileSize=");
            j.append(this.fileSize);
            j.append("}");
            return j.toString();
        }
    }

    public dx() {
        a();
    }

    public final void a() {
        this.urlParamsMap = new LinkedHashMap<>();
        this.fileParamsMap = new LinkedHashMap<>();
    }

    public final void b(String str, String str2, boolean z) {
        if (str != null && str2 != null) {
            List<String> list = this.urlParamsMap.get(str);
            if (list == null) {
                list = new ArrayList<>();
                this.urlParamsMap.put(str, list);
            }
            if (z) {
                list.clear();
            }
            list.add(str2);
        }
    }

    public void clear() {
        this.urlParamsMap.clear();
        this.fileParamsMap.clear();
    }

    public void put(dx dxVar) {
        if (dxVar != null) {
            LinkedHashMap<String, List<String>> linkedHashMap = dxVar.urlParamsMap;
            if (linkedHashMap != null && !linkedHashMap.isEmpty()) {
                this.urlParamsMap.putAll(dxVar.urlParamsMap);
            }
            LinkedHashMap<String, List<a>> linkedHashMap2 = dxVar.fileParamsMap;
            if (linkedHashMap2 != null && !linkedHashMap2.isEmpty()) {
                this.fileParamsMap.putAll(dxVar.fileParamsMap);
            }
        }
    }

    public void putFileParams(String str, List<File> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (File file : list) {
                put(str, file);
            }
        }
    }

    public void putFileWrapperParams(String str, List<a> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (a aVar : list) {
                put(str, aVar);
            }
        }
    }

    public void putUrlParams(String str, List<String> list) {
        if (!(str == null || list == null || list.isEmpty())) {
            for (String str2 : list) {
                b(str, str2, false);
            }
        }
    }

    public void remove(String str) {
        removeUrl(str);
        removeFile(str);
    }

    public void removeFile(String str) {
        this.fileParamsMap.remove(str);
    }

    public void removeUrl(String str) {
        this.urlParamsMap.remove(str);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (Map.Entry<String, List<String>> entry : this.urlParamsMap.entrySet()) {
            if (sb.length() > 0) {
                sb.append("&");
            }
            sb.append(entry.getKey());
            sb.append("=");
            sb.append(entry.getValue());
        }
        for (Map.Entry<String, List<a>> entry2 : this.fileParamsMap.entrySet()) {
            if (sb.length() > 0) {
                sb.append("&");
            }
            sb.append(entry2.getKey());
            sb.append("=");
            sb.append(entry2.getValue());
        }
        return sb.toString();
    }

    public dx(String str, String str2) {
        a();
        b(str, str2, true);
    }

    public void put(Map<String, String> map, boolean... zArr) {
        if (!(map == null || map.isEmpty())) {
            for (Map.Entry<String, String> entry : map.entrySet()) {
                put(entry.getKey(), entry.getValue(), zArr);
            }
        }
    }

    public dx(String str, File file) {
        a();
        put(str, file);
    }

    public void put(String str, String str2, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, str2, true);
        } else {
            b(str, str2, zArr[0]);
        }
    }

    public void put(String str, int i, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(i), true);
        } else {
            b(str, String.valueOf(i), zArr[0]);
        }
    }

    public void put(String str, long j, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(j), true);
        } else {
            b(str, String.valueOf(j), zArr[0]);
        }
    }

    public void put(String str, float f, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(f), true);
        } else {
            b(str, String.valueOf(f), zArr[0]);
        }
    }

    public void put(String str, double d, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(d), true);
        } else {
            b(str, String.valueOf(d), zArr[0]);
        }
    }

    public void put(String str, char c, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(c), true);
        } else {
            b(str, String.valueOf(c), zArr[0]);
        }
    }

    public void put(String str, boolean z, boolean... zArr) {
        if (zArr == null || zArr.length <= 0) {
            b(str, String.valueOf(z), true);
        } else {
            b(str, String.valueOf(z), zArr[0]);
        }
    }

    public void put(String str, File file) {
        put(str, file, file.getName());
    }

    public void put(String str, a aVar) {
        if (str != null && aVar != null) {
            put(str, aVar.file, aVar.fileName, aVar.contentType);
        }
    }

    public void put(String str, File file, String str2, MediaType mediaType) {
        if (str != null) {
            List<a> list = this.fileParamsMap.get(str);
            if (list == null) {
                list = new ArrayList<>();
                this.fileParamsMap.put(str, list);
            }
            list.add(new a(file, str2, mediaType));
        }
    }

    public void put(String str, File file, String str2) {
        MediaType mediaType;
        String contentTypeFor = URLConnection.getFileNameMap().getContentTypeFor(str2.replace("#", ""));
        if (contentTypeFor == null) {
            mediaType = MEDIA_TYPE_STREAM;
        } else {
            mediaType = MediaType.parse(contentTypeFor);
        }
        put(str, file, str2, mediaType);
    }
}
