package androidx.base;

import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.util.Collection;
import java.util.Collections;
import java.util.List;
import java.util.Map;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class er<K, V> extends fr<K, V> implements et {
    private static final long serialVersionUID = 6588350623831699109L;

    public er(Map<K, Collection<V>> map) {
        super(map);
    }

    @Override // androidx.base.ir, androidx.base.et
    public Map<K, Collection<V>> asMap() {
        return super.asMap();
    }

    @Override // androidx.base.fr
    public abstract List<V> createCollection();

    @Override // androidx.base.ir
    public boolean equals(@NullableDecl Object obj) {
        return super.equals(obj);
    }

    @Override // androidx.base.ir, androidx.base.et, androidx.base.fr
    @CanIgnoreReturnValue
    public boolean put(@NullableDecl K k, @NullableDecl V v) {
        return super.put(k, v);
    }

    @Override // androidx.base.fr
    public <E> Collection<E> unmodifiableCollectionSubclass(Collection<E> collection) {
        return Collections.unmodifiableList((List) collection);
    }

    @Override // androidx.base.fr
    public Collection<V> wrapCollection(K k, Collection<V> collection) {
        return wrapList(k, (List) collection, null);
    }

    @Override // androidx.base.fr
    public List<V> createUnmodifiableEmptyCollection() {
        return Collections.emptyList();
    }

    @Override // androidx.base.et, androidx.base.fr
    public List<V> get(@NullableDecl K k) {
        return (List) super.get((Object) k);
    }

    @Override // androidx.base.et, androidx.base.fr
    @CanIgnoreReturnValue
    public List<V> removeAll(@NullableDecl Object obj) {
        return (List) super.removeAll(obj);
    }

    @Override // androidx.base.ir, androidx.base.fr
    @CanIgnoreReturnValue
    public List<V> replaceValues(@NullableDecl K k, Iterable<? extends V> iterable) {
        return (List) super.replaceValues((Object) k, (Iterable) iterable);
    }
}
