package androidx.base;

import android.content.ContentValues;
import android.database.Cursor;
import android.os.SystemClock;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class ex implements Serializable {
    public static final String CURRENT_SIZE = "currentSize";
    public static final String DATE = "date";
    public static final int ERROR = 4;
    public static final String EXTRA1 = "extra1";
    public static final String EXTRA2 = "extra2";
    public static final String EXTRA3 = "extra3";
    public static final String FILE_NAME = "fileName";
    public static final String FILE_PATH = "filePath";
    public static final int FINISH = 5;
    public static final String FOLDER = "folder";
    public static final String FRACTION = "fraction";
    public static final int LOADING = 2;
    public static final int NONE = 0;
    public static final int PAUSE = 3;
    public static final String PRIORITY = "priority";
    public static final String REQUEST = "request";
    public static final String STATUS = "status";
    public static final String TAG = "tag";
    public static final String TOTAL_SIZE = "totalSize";
    public static final String URL = "url";
    public static final int WAITING = 1;
    private static final long serialVersionUID = 6353658567594109891L;
    public transient long a;
    public transient long b = SystemClock.elapsedRealtime();
    public transient List<Long> c = new ArrayList();
    public long currentSize;
    public long date = System.currentTimeMillis();
    public Throwable exception;
    public Serializable extra1;
    public Serializable extra2;
    public Serializable extra3;
    public String fileName;
    public String filePath;
    public String folder;
    public float fraction;
    public int priority = 0;
    public kx<?, ? extends kx> request;
    public transient long speed;
    public int status;
    public String tag;
    public long totalSize = -1;
    public String url;

    public interface a {
        void a(ex exVar);
    }

    public static ContentValues buildContentValues(ex exVar) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(TAG, exVar.tag);
        contentValues.put("url", exVar.url);
        contentValues.put(FOLDER, exVar.folder);
        contentValues.put(FILE_PATH, exVar.filePath);
        contentValues.put(FILE_NAME, exVar.fileName);
        contentValues.put(FRACTION, Float.valueOf(exVar.fraction));
        contentValues.put(TOTAL_SIZE, Long.valueOf(exVar.totalSize));
        contentValues.put(CURRENT_SIZE, Long.valueOf(exVar.currentSize));
        contentValues.put("status", Integer.valueOf(exVar.status));
        contentValues.put(PRIORITY, Integer.valueOf(exVar.priority));
        contentValues.put("date", Long.valueOf(exVar.date));
        contentValues.put(REQUEST, b.m0(exVar.request));
        contentValues.put(EXTRA1, b.m0(exVar.extra1));
        contentValues.put(EXTRA2, b.m0(exVar.extra2));
        contentValues.put(EXTRA3, b.m0(exVar.extra3));
        return contentValues;
    }

    public static ContentValues buildUpdateContentValues(ex exVar) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(FRACTION, Float.valueOf(exVar.fraction));
        contentValues.put(TOTAL_SIZE, Long.valueOf(exVar.totalSize));
        contentValues.put(CURRENT_SIZE, Long.valueOf(exVar.currentSize));
        contentValues.put("status", Integer.valueOf(exVar.status));
        contentValues.put(PRIORITY, Integer.valueOf(exVar.priority));
        contentValues.put("date", Long.valueOf(exVar.date));
        return contentValues;
    }

    public static ex changeProgress(ex exVar, long j, a aVar) {
        return changeProgress(exVar, j, exVar.totalSize, aVar);
    }

    public static ex parseCursorToBean(Cursor cursor) {
        ex exVar = new ex();
        exVar.tag = cursor.getString(cursor.getColumnIndex(TAG));
        exVar.url = cursor.getString(cursor.getColumnIndex("url"));
        exVar.folder = cursor.getString(cursor.getColumnIndex(FOLDER));
        exVar.filePath = cursor.getString(cursor.getColumnIndex(FILE_PATH));
        exVar.fileName = cursor.getString(cursor.getColumnIndex(FILE_NAME));
        exVar.fraction = cursor.getFloat(cursor.getColumnIndex(FRACTION));
        exVar.totalSize = cursor.getLong(cursor.getColumnIndex(TOTAL_SIZE));
        exVar.currentSize = cursor.getLong(cursor.getColumnIndex(CURRENT_SIZE));
        exVar.status = cursor.getInt(cursor.getColumnIndex("status"));
        exVar.priority = cursor.getInt(cursor.getColumnIndex(PRIORITY));
        exVar.date = cursor.getLong(cursor.getColumnIndex("date"));
        exVar.request = (kx) b.p0(cursor.getBlob(cursor.getColumnIndex(REQUEST)));
        exVar.extra1 = (Serializable) b.p0(cursor.getBlob(cursor.getColumnIndex(EXTRA1)));
        exVar.extra2 = (Serializable) b.p0(cursor.getBlob(cursor.getColumnIndex(EXTRA2)));
        exVar.extra3 = (Serializable) b.p0(cursor.getBlob(cursor.getColumnIndex(EXTRA3)));
        return exVar;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || ex.class != obj.getClass()) {
            return false;
        }
        String str = this.tag;
        String str2 = ((ex) obj).tag;
        if (str != null) {
            return str.equals(str2);
        }
        if (str2 == null) {
            return true;
        }
        return false;
    }

    public void from(ex exVar) {
        this.totalSize = exVar.totalSize;
        this.currentSize = exVar.currentSize;
        this.fraction = exVar.fraction;
        this.speed = exVar.speed;
        this.b = exVar.b;
        this.a = exVar.a;
    }

    public int hashCode() {
        String str = this.tag;
        if (str != null) {
            return str.hashCode();
        }
        return 0;
    }

    public String toString() {
        StringBuilder j = b2.j("Progress{fraction=");
        j.append(this.fraction);
        j.append(", totalSize=");
        j.append(this.totalSize);
        j.append(", currentSize=");
        j.append(this.currentSize);
        j.append(", speed=");
        j.append(this.speed);
        j.append(", status=");
        j.append(this.status);
        j.append(", priority=");
        j.append(this.priority);
        j.append(", folder=");
        j.append(this.folder);
        j.append(", filePath=");
        j.append(this.filePath);
        j.append(", fileName=");
        j.append(this.fileName);
        j.append(", tag=");
        j.append(this.tag);
        j.append(", url=");
        j.append(this.url);
        j.append('}');
        return j.toString();
    }

    public static ex changeProgress(ex exVar, long j, long j2, a aVar) {
        exVar.totalSize = j2;
        exVar.currentSize += j;
        exVar.a += j;
        long elapsedRealtime = SystemClock.elapsedRealtime();
        long j3 = exVar.b;
        if ((elapsedRealtime - j3 >= 300) || exVar.currentSize == j2) {
            long j4 = elapsedRealtime - j3;
            if (j4 == 0) {
                j4 = 1;
            }
            exVar.fraction = (((float) exVar.currentSize) * 1.0f) / ((float) j2);
            exVar.c.add(Long.valueOf((exVar.a * 1000) / j4));
            if (exVar.c.size() > 10) {
                exVar.c.remove(0);
            }
            long j5 = 0;
            for (Long l : exVar.c) {
                j5 = (long) (((float) j5) + ((float) l.longValue()));
            }
            exVar.speed = j5 / ((long) exVar.c.size());
            exVar.b = elapsedRealtime;
            exVar.a = 0;
            if (aVar != null) {
                aVar.a(exVar);
            }
        }
        return exVar;
    }
}
