package androidx.base;

import androidx.base.ir;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.Map;
import java.util.NavigableMap;
import java.util.NavigableSet;
import java.util.RandomAccess;
import java.util.Set;
import java.util.SortedMap;
import java.util.SortedSet;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class fr<K, V> extends ir<K, V> implements Serializable {
    private static final long serialVersionUID = 2447537837011683357L;
    public transient Map<K, Collection<V>> f;
    public transient int g;

    public class a extends fr<K, V>.d {
        public a(fr frVar) {
            super();
        }

        @Override // androidx.base.fr.d
        public V a(K k, V v) {
            return v;
        }
    }

    public class b extends fr<K, V>.d {
        public b(fr frVar) {
            super();
        }

        @Override // androidx.base.fr.d
        public Object a(Object obj, Object obj2) {
            return new as(obj, obj2);
        }
    }

    public class c extends dt<K, Collection<V>> {
        public final transient Map<K, Collection<V>> c;

        public class a extends at<K, Collection<V>> {
            public a() {
            }

            @Override // androidx.base.at
            public boolean contains(Object obj) {
                Set<Map.Entry<K, Collection<V>>> entrySet = c.this.c.entrySet();
                entrySet.getClass();
                try {
                    return entrySet.contains(obj);
                } catch (ClassCastException | NullPointerException unused) {
                    return false;
                }
            }

            @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
            public Iterator<Map.Entry<K, Collection<V>>> iterator() {
                return new b();
            }

            public boolean remove(Object obj) {
                if (!contains(obj)) {
                    return false;
                }
                fr.access$300(fr.this, ((Map.Entry) obj).getKey());
                return true;
            }
        }

        public class b implements Iterator<Map.Entry<K, Collection<V>>> {
            public final Iterator<Map.Entry<K, Collection<V>>> a;
            @NullableDecl
            public Collection<V> b;

            public b() {
                this.a = c.this.c.entrySet().iterator();
            }

            public boolean hasNext() {
                return this.a.hasNext();
            }

            @Override // java.util.Iterator
            public Object next() {
                Map.Entry<K, Collection<V>> next = this.a.next();
                this.b = next.getValue();
                return c.this.a(next);
            }

            public void remove() {
                b.l(this.b != null);
                this.a.remove();
                fr.this.g -= this.b.size();
                this.b.clear();
                this.b = null;
            }
        }

        public c(Map<K, Collection<V>> map) {
            this.c = map;
        }

        public Map.Entry<K, Collection<V>> a(Map.Entry<K, Collection<V>> entry) {
            K key = entry.getKey();
            return new as(key, fr.this.wrapCollection(key, entry.getValue()));
        }

        public void clear() {
            if (this.c == fr.this.f) {
                fr.this.clear();
            } else {
                tq.n(new b());
            }
        }

        public boolean containsKey(Object obj) {
            return nr.l(this.c, obj);
        }

        public boolean equals(@NullableDecl Object obj) {
            return this == obj || this.c.equals(obj);
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Object get(Object obj) {
            Collection<V> collection = (Collection) nr.m(this.c, obj);
            if (collection == null) {
                return null;
            }
            return fr.this.wrapCollection(obj, collection);
        }

        public int hashCode() {
            return this.c.hashCode();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Set<K> keySet() {
            return fr.this.keySet();
        }

        @Override // java.util.AbstractMap, java.util.Map
        public Object remove(Object obj) {
            Collection<V> remove = this.c.remove(obj);
            if (remove == null) {
                return null;
            }
            Collection<V> createCollection = fr.this.createCollection();
            createCollection.addAll(remove);
            fr.this.g -= remove.size();
            remove.clear();
            return createCollection;
        }

        public int size() {
            return this.c.size();
        }

        public String toString() {
            return this.c.toString();
        }
    }

    public abstract class d<T> implements Iterator<T> {
        public final Iterator<Map.Entry<K, Collection<V>>> a;
        @NullableDecl
        public K b = null;
        @MonotonicNonNullDecl
        public Collection<V> c = null;
        public Iterator<V> d = ss.INSTANCE;

        public d() {
            this.a = fr.this.f.entrySet().iterator();
        }

        public abstract T a(K k, V v);

        public boolean hasNext() {
            return this.a.hasNext() || this.d.hasNext();
        }

        @Override // java.util.Iterator
        public T next() {
            if (!this.d.hasNext()) {
                Map.Entry<K, Collection<V>> next = this.a.next();
                this.b = next.getKey();
                Collection<V> value = next.getValue();
                this.c = value;
                this.d = value.iterator();
            }
            return a(this.b, this.d.next());
        }

        public void remove() {
            this.d.remove();
            if (this.c.isEmpty()) {
                this.a.remove();
            }
            fr.access$210(fr.this);
        }
    }

    public class e extends bt<K, Collection<V>> {

        public class a implements Iterator<K> {
            @NullableDecl
            public Map.Entry<K, Collection<V>> a;
            public final /* synthetic */ Iterator b;

            public a(Iterator it) {
                this.b = it;
            }

            public boolean hasNext() {
                return this.b.hasNext();
            }

            @Override // java.util.Iterator
            public K next() {
                Map.Entry<K, Collection<V>> entry = (Map.Entry) this.b.next();
                this.a = entry;
                return entry.getKey();
            }

            public void remove() {
                b.l(this.a != null);
                Collection<V> value = this.a.getValue();
                this.b.remove();
                fr.this.g -= value.size();
                value.clear();
                this.a = null;
            }
        }

        public e(Map<K, Collection<V>> map) {
            super(map);
        }

        public void clear() {
            tq.n(iterator());
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public boolean containsAll(Collection<?> collection) {
            return this.a.keySet().containsAll(collection);
        }

        public boolean equals(@NullableDecl Object obj) {
            return this == obj || this.a.keySet().equals(obj);
        }

        public int hashCode() {
            return this.a.keySet().hashCode();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new a(this.a.entrySet().iterator());
        }

        public boolean remove(Object obj) {
            int i;
            V remove = this.a.remove(obj);
            if (remove != null) {
                i = remove.size();
                remove.clear();
                fr.this.g -= i;
            } else {
                i = 0;
            }
            if (i > 0) {
                return true;
            }
            return false;
        }
    }

    public class f extends fr<K, V>.i implements NavigableMap<K, Collection<V>> {
        public f(NavigableMap<K, Collection<V>> navigableMap) {
            super(navigableMap);
        }

        @Override // androidx.base.fr.i
        public SortedSet b() {
            return new g(d());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> ceilingEntry(K k) {
            Map.Entry<K, Collection<V>> ceilingEntry = d().ceilingEntry(k);
            if (ceilingEntry == null) {
                return null;
            }
            return a(ceilingEntry);
        }

        @Override // java.util.NavigableMap
        public K ceilingKey(K k) {
            return d().ceilingKey(k);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> descendingKeySet() {
            return ((f) descendingMap()).navigableKeySet();
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> descendingMap() {
            return new f(d().descendingMap());
        }

        /* renamed from: e */
        public NavigableSet<K> keySet() {
            SortedSet<K> sortedSet = this.e;
            if (sortedSet == null) {
                sortedSet = b();
                this.e = sortedSet;
            }
            return (NavigableSet) sortedSet;
        }

        public Map.Entry<K, Collection<V>> f(Iterator<Map.Entry<K, Collection<V>>> it) {
            if (!it.hasNext()) {
                return null;
            }
            Map.Entry<K, Collection<V>> next = it.next();
            Collection<V> createCollection = fr.this.createCollection();
            createCollection.addAll(next.getValue());
            it.remove();
            return new as(next.getKey(), fr.this.unmodifiableCollectionSubclass(createCollection));
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> firstEntry() {
            Map.Entry<K, Collection<V>> firstEntry = d().firstEntry();
            if (firstEntry == null) {
                return null;
            }
            return a(firstEntry);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> floorEntry(K k) {
            Map.Entry<K, Collection<V>> floorEntry = d().floorEntry(k);
            if (floorEntry == null) {
                return null;
            }
            return a(floorEntry);
        }

        @Override // java.util.NavigableMap
        public K floorKey(K k) {
            return d().floorKey(k);
        }

        /* renamed from: g */
        public NavigableMap<K, Collection<V>> d() {
            return (NavigableMap) ((SortedMap) this.c);
        }

        @Override // androidx.base.fr.i, java.util.NavigableMap, java.util.SortedMap
        public SortedMap headMap(Object obj) {
            return headMap(obj, false);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> higherEntry(K k) {
            Map.Entry<K, Collection<V>> higherEntry = d().higherEntry(k);
            if (higherEntry == null) {
                return null;
            }
            return a(higherEntry);
        }

        @Override // java.util.NavigableMap
        public K higherKey(K k) {
            return d().higherKey(k);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> lastEntry() {
            Map.Entry<K, Collection<V>> lastEntry = d().lastEntry();
            if (lastEntry == null) {
                return null;
            }
            return a(lastEntry);
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> lowerEntry(K k) {
            Map.Entry<K, Collection<V>> lowerEntry = d().lowerEntry(k);
            if (lowerEntry == null) {
                return null;
            }
            return a(lowerEntry);
        }

        @Override // java.util.NavigableMap
        public K lowerKey(K k) {
            return d().lowerKey(k);
        }

        @Override // java.util.NavigableMap
        public NavigableSet<K> navigableKeySet() {
            return keySet();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: androidx.base.fr$f */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> pollFirstEntry() {
            return f(entrySet().iterator());
        }

        @Override // java.util.NavigableMap
        public Map.Entry<K, Collection<V>> pollLastEntry() {
            return f(((dt) descendingMap()).entrySet().iterator());
        }

        @Override // androidx.base.fr.i, java.util.NavigableMap, java.util.SortedMap
        public SortedMap subMap(Object obj, Object obj2) {
            return subMap(obj, true, obj2, false);
        }

        @Override // androidx.base.fr.i, java.util.NavigableMap, java.util.SortedMap
        public SortedMap tailMap(Object obj) {
            return tailMap(obj, true);
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> headMap(K k, boolean z) {
            return new f(d().headMap(k, z));
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> subMap(K k, boolean z, K k2, boolean z2) {
            return new f(d().subMap(k, z, k2, z2));
        }

        @Override // java.util.NavigableMap
        public NavigableMap<K, Collection<V>> tailMap(K k, boolean z) {
            return new f(d().tailMap(k, z));
        }
    }

    public class g extends fr<K, V>.j implements NavigableSet<K> {
        public g(NavigableMap<K, Collection<V>> navigableMap) {
            super(navigableMap);
        }

        /* renamed from: b */
        public NavigableMap<K, Collection<V>> a() {
            return (NavigableMap) ((SortedMap) this.a);
        }

        @Override // java.util.NavigableSet
        public K ceiling(K k) {
            return a().ceilingKey(k);
        }

        @Override // java.util.NavigableSet
        public Iterator<K> descendingIterator() {
            return ((e) descendingSet()).iterator();
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> descendingSet() {
            return new g(a().descendingMap());
        }

        @Override // java.util.NavigableSet
        public K floor(K k) {
            return a().floorKey(k);
        }

        @Override // androidx.base.fr.j, java.util.SortedSet, java.util.NavigableSet
        public SortedSet headSet(Object obj) {
            return headSet(obj, false);
        }

        @Override // java.util.NavigableSet
        public K higher(K k) {
            return a().higherKey(k);
        }

        @Override // java.util.NavigableSet
        public K lower(K k) {
            return a().lowerKey(k);
        }

        @Override // java.util.NavigableSet
        public K pollFirst() {
            return (K) tq.E(iterator());
        }

        @Override // java.util.NavigableSet
        public K pollLast() {
            return (K) tq.E(descendingIterator());
        }

        @Override // androidx.base.fr.j, java.util.SortedSet, java.util.NavigableSet
        public SortedSet subSet(Object obj, Object obj2) {
            return subSet(obj, true, obj2, false);
        }

        @Override // androidx.base.fr.j, java.util.SortedSet, java.util.NavigableSet
        public SortedSet tailSet(Object obj) {
            return tailSet(obj, true);
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> headSet(K k, boolean z) {
            return new g(a().headMap(k, z));
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> subSet(K k, boolean z, K k2, boolean z2) {
            return new g(a().subMap(k, z, k2, z2));
        }

        @Override // java.util.NavigableSet
        public NavigableSet<K> tailSet(K k, boolean z) {
            return new g(a().tailMap(k, z));
        }
    }

    public class h extends fr<K, V>.l implements RandomAccess {
        public h(@NullableDecl fr frVar, K k, @NullableDecl List<V> list, fr<K, V>.k kVar) {
            super(k, list, kVar);
        }
    }

    public class i extends fr<K, V>.c implements SortedMap<K, Collection<V>> {
        @MonotonicNonNullDecl
        public SortedSet<K> e;

        public i(SortedMap<K, Collection<V>> sortedMap) {
            super(sortedMap);
        }

        public SortedSet<K> b() {
            return new j(d());
        }

        /* renamed from: c */
        public SortedSet<K> keySet() {
            SortedSet<K> sortedSet = this.e;
            if (sortedSet != null) {
                return sortedSet;
            }
            SortedSet<K> b = b();
            this.e = b;
            return b;
        }

        @Override // java.util.SortedMap
        public Comparator<? super K> comparator() {
            return d().comparator();
        }

        public SortedMap<K, Collection<V>> d() {
            return (SortedMap) this.c;
        }

        @Override // java.util.SortedMap
        public K firstKey() {
            return d().firstKey();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> headMap(K k) {
            return new i(d().headMap(k));
        }

        @Override // java.util.SortedMap
        public K lastKey() {
            return d().lastKey();
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> subMap(K k, K k2) {
            return new i(d().subMap(k, k2));
        }

        @Override // java.util.SortedMap
        public SortedMap<K, Collection<V>> tailMap(K k) {
            return new i(d().tailMap(k));
        }
    }

    public class j extends fr<K, V>.e implements SortedSet<K> {
        public j(SortedMap<K, Collection<V>> sortedMap) {
            super(sortedMap);
        }

        public SortedMap<K, Collection<V>> a() {
            return (SortedMap) this.a;
        }

        @Override // java.util.SortedSet
        public Comparator<? super K> comparator() {
            return a().comparator();
        }

        @Override // java.util.SortedSet
        public K first() {
            return a().firstKey();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> headSet(K k) {
            return new j(a().headMap(k));
        }

        @Override // java.util.SortedSet
        public K last() {
            return a().lastKey();
        }

        @Override // java.util.SortedSet
        public SortedSet<K> subSet(K k, K k2) {
            return new j(a().subMap(k, k2));
        }

        @Override // java.util.SortedSet
        public SortedSet<K> tailSet(K k) {
            return new j(a().tailMap(k));
        }
    }

    public fr(Map<K, Collection<V>> map) {
        tq.c(map.isEmpty());
        this.f = map;
    }

    public static Iterator access$100(Collection collection) {
        if (collection instanceof List) {
            return ((List) collection).listIterator();
        }
        return collection.iterator();
    }

    public static /* synthetic */ int access$208(fr frVar) {
        int i2 = frVar.g;
        frVar.g = i2 + 1;
        return i2;
    }

    public static /* synthetic */ int access$210(fr frVar) {
        int i2 = frVar.g;
        frVar.g = i2 - 1;
        return i2;
    }

    public static void access$300(fr frVar, Object obj) {
        Collection<V> collection;
        Map<K, Collection<V>> map = frVar.f;
        map.getClass();
        try {
            collection = map.remove(obj);
        } catch (ClassCastException | NullPointerException unused) {
            collection = null;
        }
        Collection<V> collection2 = collection;
        if (collection2 != null) {
            int size = collection2.size();
            collection2.clear();
            frVar.g -= size;
        }
    }

    public Map<K, Collection<V>> backingMap() {
        return this.f;
    }

    @Override // androidx.base.et
    public void clear() {
        for (Collection<V> collection : this.f.values()) {
            collection.clear();
        }
        this.f.clear();
        this.g = 0;
    }

    @Override // androidx.base.et
    public boolean containsKey(@NullableDecl Object obj) {
        return this.f.containsKey(obj);
    }

    @Override // androidx.base.ir
    public Map<K, Collection<V>> createAsMap() {
        return new c(this.f);
    }

    public abstract Collection<V> createCollection();

    public Collection<V> createCollection(@NullableDecl K k2) {
        return createCollection();
    }

    @Override // androidx.base.ir
    public Collection<Map.Entry<K, V>> createEntries() {
        if (this instanceof eu) {
            return new ir.b(this);
        }
        return new ir.a();
    }

    @Override // androidx.base.ir
    public Set<K> createKeySet() {
        return new e(this.f);
    }

    @Override // androidx.base.ir
    public kt<K> createKeys() {
        return new jt(this);
    }

    public final Map<K, Collection<V>> createMaybeNavigableAsMap() {
        Map<K, Collection<V>> map = this.f;
        if (map instanceof NavigableMap) {
            return new f((NavigableMap) this.f);
        }
        if (map instanceof SortedMap) {
            return new i((SortedMap) this.f);
        }
        return new c(this.f);
    }

    public final Set<K> createMaybeNavigableKeySet() {
        Map<K, Collection<V>> map = this.f;
        if (map instanceof NavigableMap) {
            return new g((NavigableMap) this.f);
        }
        if (map instanceof SortedMap) {
            return new j((SortedMap) this.f);
        }
        return new e(this.f);
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.util.Collection<V>, java.util.Collection<E> */
    /* JADX DEBUG: Type inference failed for r0v1. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    public Collection<V> createUnmodifiableEmptyCollection() {
        return (Collection<E>) unmodifiableCollectionSubclass(createCollection());
    }

    @Override // androidx.base.ir
    public Collection<V> createValues() {
        return new ir.c();
    }

    @Override // androidx.base.ir, androidx.base.et
    public Collection<Map.Entry<K, V>> entries() {
        return super.entries();
    }

    @Override // androidx.base.ir
    public Iterator<Map.Entry<K, V>> entryIterator() {
        return new b(this);
    }

    @Override // androidx.base.et
    public Collection<V> get(@NullableDecl K k2) {
        Collection<V> collection = this.f.get(k2);
        if (collection == null) {
            collection = createCollection(k2);
        }
        return wrapCollection(k2, collection);
    }

    @Override // androidx.base.ir, androidx.base.et
    public boolean put(@NullableDecl K k2, @NullableDecl V v) {
        Collection<V> collection = this.f.get(k2);
        if (collection == null) {
            Collection<V> createCollection = createCollection(k2);
            if (createCollection.add(v)) {
                this.g++;
                this.f.put(k2, createCollection);
                return true;
            }
            throw new AssertionError("New Collection violated the Collection spec");
        } else if (!collection.add(v)) {
            return false;
        } else {
            this.g++;
            return true;
        }
    }

    /* JADX DEBUG: Type inference failed for r4v3. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    @Override // androidx.base.et
    public Collection<V> removeAll(@NullableDecl Object obj) {
        Collection<V> remove = this.f.remove(obj);
        if (remove == null) {
            return createUnmodifiableEmptyCollection();
        }
        Collection createCollection = createCollection();
        createCollection.addAll(remove);
        this.g -= remove.size();
        remove.clear();
        return (Collection<E>) unmodifiableCollectionSubclass(createCollection);
    }

    /* JADX DEBUG: Type inference failed for r4v2. Raw type applied. Possible types: java.util.Collection<E>, java.util.Collection<V> */
    @Override // androidx.base.ir
    public Collection<V> replaceValues(@NullableDecl K k2, Iterable<? extends V> iterable) {
        Iterator<? extends V> it = iterable.iterator();
        if (!it.hasNext()) {
            return removeAll(k2);
        }
        Collection<V> collection = this.f.get(k2);
        if (collection == null) {
            collection = createCollection(k2);
            this.f.put(k2, collection);
        }
        Collection createCollection = createCollection();
        createCollection.addAll(collection);
        this.g -= collection.size();
        collection.clear();
        while (it.hasNext()) {
            if (collection.add((V) it.next())) {
                this.g++;
            }
        }
        return (Collection<E>) unmodifiableCollectionSubclass(createCollection);
    }

    public final void setMap(Map<K, Collection<V>> map) {
        this.f = map;
        this.g = 0;
        for (Collection<V> collection : map.values()) {
            tq.c(!collection.isEmpty());
            this.g = collection.size() + this.g;
        }
    }

    @Override // androidx.base.et
    public int size() {
        return this.g;
    }

    public <E> Collection<E> unmodifiableCollectionSubclass(Collection<E> collection) {
        return Collections.unmodifiableCollection(collection);
    }

    @Override // androidx.base.ir
    public Iterator<V> valueIterator() {
        return new a(this);
    }

    @Override // androidx.base.ir, androidx.base.et
    public Collection<V> values() {
        return super.values();
    }

    public Collection<V> wrapCollection(@NullableDecl K k2, Collection<V> collection) {
        return new k(k2, collection, null);
    }

    public final List<V> wrapList(@NullableDecl K k2, List<V> list, @NullableDecl fr<K, V>.k kVar) {
        return list instanceof RandomAccess ? new h(this, k2, list, kVar) : new l(k2, list, kVar);
    }

    public class k extends AbstractCollection<V> {
        @NullableDecl
        public final K a;
        public Collection<V> b;
        @NullableDecl
        public final fr<K, V>.k c;
        @NullableDecl
        public final Collection<V> d;

        public k(@NullableDecl K k, Collection<V> collection, @NullableDecl fr<K, V>.k kVar) {
            Collection<V> collection2;
            this.a = k;
            this.b = collection;
            this.c = kVar;
            if (kVar == null) {
                collection2 = null;
            } else {
                collection2 = kVar.b;
            }
            this.d = collection2;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r0v2, resolved type: java.util.Map */
        /* JADX WARN: Multi-variable type inference failed */
        public void a() {
            fr<K, V>.k kVar = this.c;
            if (kVar != null) {
                kVar.a();
            } else {
                fr.this.f.put(this.a, this.b);
            }
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean add(V v) {
            b();
            boolean isEmpty = this.b.isEmpty();
            boolean add = this.b.add(v);
            if (add) {
                fr.access$208(fr.this);
                if (isEmpty) {
                    a();
                }
            }
            return add;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean addAll(Collection<? extends V> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean addAll = this.b.addAll(collection);
            if (addAll) {
                int size2 = this.b.size();
                fr frVar = fr.this;
                frVar.g = (size2 - size) + frVar.g;
                if (size == 0) {
                    a();
                }
            }
            return addAll;
        }

        public void b() {
            Collection<V> collection;
            fr<K, V>.k kVar = this.c;
            if (kVar != null) {
                kVar.b();
                if (this.c.b != this.d) {
                    throw new ConcurrentModificationException();
                }
            } else if (this.b.isEmpty() && (collection = (Collection) fr.this.f.get(this.a)) != null) {
                this.b = collection;
            }
        }

        public void c() {
            fr<K, V>.k kVar = this.c;
            if (kVar != null) {
                kVar.c();
            } else if (this.b.isEmpty()) {
                fr.this.f.remove(this.a);
            }
        }

        public void clear() {
            int size = size();
            if (size != 0) {
                this.b.clear();
                fr.this.g -= size;
                c();
            }
        }

        public boolean contains(Object obj) {
            b();
            return this.b.contains(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean containsAll(Collection<?> collection) {
            b();
            return this.b.containsAll(collection);
        }

        public boolean equals(@NullableDecl Object obj) {
            if (obj == this) {
                return true;
            }
            b();
            return this.b.equals(obj);
        }

        public int hashCode() {
            b();
            return this.b.hashCode();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            b();
            return new a();
        }

        public boolean remove(Object obj) {
            b();
            boolean remove = this.b.remove(obj);
            if (remove) {
                fr.access$210(fr.this);
                c();
            }
            return remove;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean removeAll(Collection<?> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean removeAll = this.b.removeAll(collection);
            if (removeAll) {
                int size2 = this.b.size();
                fr frVar = fr.this;
                frVar.g = (size2 - size) + frVar.g;
                c();
            }
            return removeAll;
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public boolean retainAll(Collection<?> collection) {
            collection.getClass();
            int size = size();
            boolean retainAll = this.b.retainAll(collection);
            if (retainAll) {
                int size2 = this.b.size();
                fr frVar = fr.this;
                frVar.g = (size2 - size) + frVar.g;
                c();
            }
            return retainAll;
        }

        public int size() {
            b();
            return this.b.size();
        }

        public String toString() {
            b();
            return this.b.toString();
        }

        public class a implements Iterator<V> {
            public final Iterator<V> a;
            public final Collection<V> b;

            public a() {
                Collection<V> collection = k.this.b;
                this.b = collection;
                this.a = fr.access$100(collection);
            }

            public void a() {
                k.this.b();
                if (k.this.b != this.b) {
                    throw new ConcurrentModificationException();
                }
            }

            public boolean hasNext() {
                a();
                return this.a.hasNext();
            }

            @Override // java.util.Iterator
            public V next() {
                a();
                return this.a.next();
            }

            public void remove() {
                this.a.remove();
                fr.access$210(fr.this);
                k.this.c();
            }

            public a(Iterator<V> it) {
                this.b = k.this.b;
                this.a = it;
            }
        }
    }

    public class l extends fr<K, V>.k implements List<V> {

        public class a extends fr<K, V>.k.a implements ListIterator<V> {
            public a() {
                super();
            }

            @Override // java.util.ListIterator
            public void add(V v) {
                boolean isEmpty = l.this.isEmpty();
                b().add(v);
                fr.access$208(fr.this);
                if (isEmpty) {
                    l.this.a();
                }
            }

            public final ListIterator<V> b() {
                a();
                return (ListIterator) this.a;
            }

            public boolean hasPrevious() {
                return b().hasPrevious();
            }

            public int nextIndex() {
                return b().nextIndex();
            }

            @Override // java.util.ListIterator
            public V previous() {
                return b().previous();
            }

            public int previousIndex() {
                return b().previousIndex();
            }

            @Override // java.util.ListIterator
            public void set(V v) {
                b().set(v);
            }

            public a(int i) {
                super(((List) l.this.b).listIterator(i));
            }
        }

        public l(@NullableDecl K k, List<V> list, @NullableDecl fr<K, V>.k kVar) {
            super(k, list, kVar);
        }

        @Override // java.util.List
        public void add(int i, V v) {
            b();
            boolean isEmpty = this.b.isEmpty();
            ((List) this.b).add(i, v);
            fr.access$208(fr.this);
            if (isEmpty) {
                a();
            }
        }

        @Override // java.util.List
        public boolean addAll(int i, Collection<? extends V> collection) {
            if (collection.isEmpty()) {
                return false;
            }
            int size = size();
            boolean addAll = ((List) this.b).addAll(i, collection);
            if (addAll) {
                int size2 = this.b.size();
                fr frVar = fr.this;
                frVar.g = (size2 - size) + frVar.g;
                if (size == 0) {
                    a();
                }
            }
            return addAll;
        }

        @Override // java.util.List
        public V get(int i) {
            b();
            return (V) ((List) this.b).get(i);
        }

        public int indexOf(Object obj) {
            b();
            return ((List) this.b).indexOf(obj);
        }

        public int lastIndexOf(Object obj) {
            b();
            return ((List) this.b).lastIndexOf(obj);
        }

        @Override // java.util.List
        public ListIterator<V> listIterator() {
            b();
            return new a();
        }

        @Override // java.util.List
        public V remove(int i) {
            b();
            V v = (V) ((List) this.b).remove(i);
            fr.access$210(fr.this);
            c();
            return v;
        }

        @Override // java.util.List
        public V set(int i, V v) {
            b();
            return (V) ((List) this.b).set(i, v);
        }

        @Override // java.util.List
        public List<V> subList(int i, int i2) {
            b();
            fr frVar = fr.this;
            K k = this.a;
            List<V> subList = ((List) this.b).subList(i, i2);
            fr<K, V>.k kVar = this.c;
            if (kVar == null) {
                kVar = this;
            }
            return frVar.wrapList(k, subList, kVar);
        }

        @Override // java.util.List
        public ListIterator<V> listIterator(int i) {
            b();
            return new a(i);
        }
    }
}
