package androidx.base;

import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ir<K, V> implements et<K, V> {
    @MonotonicNonNullDecl
    public transient Collection<Map.Entry<K, V>> a;
    @MonotonicNonNullDecl
    public transient Set<K> b;
    @MonotonicNonNullDecl
    public transient kt<K> c;
    @MonotonicNonNullDecl
    public transient Collection<V> d;
    @MonotonicNonNullDecl
    public transient Map<K, Collection<V>> e;

    public class a extends ht<K, V> {
        public a() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return ir.this.entryIterator();
        }
    }

    public class b extends ir<K, V>.a implements Set<Map.Entry<K, V>> {
        public b(ir irVar) {
            super();
        }

        public boolean equals(@NullableDecl Object obj) {
            return nr.c(this, obj);
        }

        public int hashCode() {
            return nr.d(this);
        }
    }

    public class c extends AbstractCollection<V> {
        public c() {
        }

        public void clear() {
            ir.this.clear();
        }

        public boolean contains(@NullableDecl Object obj) {
            return ir.this.containsValue(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return ir.this.valueIterator();
        }

        public int size() {
            return ir.this.size();
        }
    }

    @Override // androidx.base.et
    public Map<K, Collection<V>> asMap() {
        Map<K, Collection<V>> map = this.e;
        if (map != null) {
            return map;
        }
        Map<K, Collection<V>> createAsMap = createAsMap();
        this.e = createAsMap;
        return createAsMap;
    }

    @Override // androidx.base.et
    public boolean containsEntry(@NullableDecl Object obj, @NullableDecl Object obj2) {
        Collection<V> collection = asMap().get(obj);
        return collection != null && collection.contains(obj2);
    }

    public boolean containsValue(@NullableDecl Object obj) {
        for (Collection<V> collection : asMap().values()) {
            if (collection.contains(obj)) {
                return true;
            }
        }
        return false;
    }

    public abstract Map<K, Collection<V>> createAsMap();

    public abstract Collection<Map.Entry<K, V>> createEntries();

    public abstract Set<K> createKeySet();

    public abstract kt<K> createKeys();

    public abstract Collection<V> createValues();

    @Override // androidx.base.et
    public Collection<Map.Entry<K, V>> entries() {
        Collection<Map.Entry<K, V>> collection = this.a;
        if (collection != null) {
            return collection;
        }
        Collection<Map.Entry<K, V>> createEntries = createEntries();
        this.a = createEntries;
        return createEntries;
    }

    public abstract Iterator<Map.Entry<K, V>> entryIterator();

    public boolean equals(@NullableDecl Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof et) {
            return asMap().equals(((et) obj).asMap());
        }
        return false;
    }

    public int hashCode() {
        return asMap().hashCode();
    }

    @Override // androidx.base.et
    public boolean isEmpty() {
        return size() == 0;
    }

    @Override // androidx.base.et
    public Set<K> keySet() {
        Set<K> set = this.b;
        if (set != null) {
            return set;
        }
        Set<K> createKeySet = createKeySet();
        this.b = createKeySet;
        return createKeySet;
    }

    public kt<K> keys() {
        kt<K> ktVar = this.c;
        if (ktVar != null) {
            return ktVar;
        }
        kt<K> createKeys = createKeys();
        this.c = createKeys;
        return createKeys;
    }

    @Override // androidx.base.et
    @CanIgnoreReturnValue
    public boolean put(@NullableDecl K k, @NullableDecl V v) {
        return get(k).add(v);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: androidx.base.ir<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    @CanIgnoreReturnValue
    public boolean putAll(et<? extends K, ? extends V> etVar) {
        boolean z = false;
        for (Map.Entry<? extends K, ? extends V> entry : etVar.entries()) {
            z |= put(entry.getKey(), entry.getValue());
        }
        return z;
    }

    @Override // androidx.base.et
    @CanIgnoreReturnValue
    public boolean remove(@NullableDecl Object obj, @NullableDecl Object obj2) {
        Collection<V> collection = asMap().get(obj);
        return collection != null && collection.remove(obj2);
    }

    @CanIgnoreReturnValue
    public Collection<V> replaceValues(@NullableDecl K k, Iterable<? extends V> iterable) {
        iterable.getClass();
        Collection<V> removeAll = removeAll(k);
        putAll(k, iterable);
        return removeAll;
    }

    public String toString() {
        return asMap().toString();
    }

    public Iterator<V> valueIterator() {
        return new ys(entries().iterator());
    }

    @Override // androidx.base.et
    public Collection<V> values() {
        Collection<V> collection = this.d;
        if (collection != null) {
            return collection;
        }
        Collection<V> createValues = createValues();
        this.d = createValues;
        return createValues;
    }

    @CanIgnoreReturnValue
    public boolean putAll(@NullableDecl K k, Iterable<? extends V> iterable) {
        iterable.getClass();
        if (iterable instanceof Collection) {
            Collection<? extends V> collection = (Collection) iterable;
            if (collection.isEmpty() || !get(k).addAll(collection)) {
                return false;
            }
            return true;
        }
        Iterator<? extends V> it = iterable.iterator();
        if (!it.hasNext() || !tq.a(get(k), it)) {
            return false;
        }
        return true;
    }
}
