package androidx.base;

import androidx.base.kt;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.util.AbstractCollection;
import java.util.Collection;
import java.util.Iterator;
import java.util.Set;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class jr<E> extends AbstractCollection<E> implements kt<E> {
    @MonotonicNonNullDecl
    public transient Set<E> a;
    @MonotonicNonNullDecl
    public transient Set<kt.a<E>> b;

    public class a extends mt<E> {
        public a() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<E> iterator() {
            return jr.this.elementIterator();
        }
    }

    public class b extends nt<E> {
        public b() {
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<kt.a<E>> iterator() {
            return jr.this.entryIterator();
        }

        public int size() {
            return jr.this.distinctElements();
        }
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @CanIgnoreReturnValue
    public final boolean add(@NullableDecl E e) {
        add(e, 1);
        return true;
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @CanIgnoreReturnValue
    public final boolean addAll(Collection<? extends E> collection) {
        collection.getClass();
        if (collection instanceof kt) {
            kt ktVar = (kt) collection;
            if (ktVar instanceof gr) {
                gr grVar = (gr) ktVar;
                if (grVar.isEmpty()) {
                    return false;
                }
                grVar.addTo(this);
            } else if (ktVar.isEmpty()) {
                return false;
            } else {
                for (kt.a<E> aVar : ktVar.entrySet()) {
                    add(aVar.getElement(), aVar.getCount());
                }
            }
            return true;
        } else if (collection.isEmpty()) {
            return false;
        } else {
            return tq.a(this, collection.iterator());
        }
    }

    public abstract void clear();

    @Override // androidx.base.kt
    public boolean contains(@NullableDecl Object obj) {
        return count(obj) > 0;
    }

    public Set<E> createElementSet() {
        return new a();
    }

    public Set<kt.a<E>> createEntrySet() {
        return new b();
    }

    public abstract int distinctElements();

    public abstract Iterator<E> elementIterator();

    @Override // androidx.base.kt
    public Set<E> elementSet() {
        Set<E> set = this.a;
        if (set != null) {
            return set;
        }
        Set<E> createElementSet = createElementSet();
        this.a = createElementSet;
        return createElementSet;
    }

    public abstract Iterator<kt.a<E>> entryIterator();

    @Override // androidx.base.kt
    public Set<kt.a<E>> entrySet() {
        Set<kt.a<E>> set = this.b;
        if (set != null) {
            return set;
        }
        Set<kt.a<E>> createEntrySet = createEntrySet();
        this.b = createEntrySet;
        return createEntrySet;
    }

    public final boolean equals(@NullableDecl Object obj) {
        return nr.a(this, obj);
    }

    public final int hashCode() {
        return entrySet().hashCode();
    }

    public boolean isEmpty() {
        return entrySet().isEmpty();
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    public final boolean remove(@NullableDecl Object obj) {
        return remove(obj, 1) > 0;
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @CanIgnoreReturnValue
    public final boolean removeAll(Collection<?> collection) {
        if (collection instanceof kt) {
            collection = ((kt) collection).elementSet();
        }
        return elementSet().removeAll(collection);
    }

    @Override // java.util.AbstractCollection, java.util.Collection
    @CanIgnoreReturnValue
    public final boolean retainAll(Collection<?> collection) {
        collection.getClass();
        if (collection instanceof kt) {
            collection = ((kt) collection).elementSet();
        }
        return elementSet().retainAll(collection);
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    public int setCount(@NullableDecl E e, int i) {
        b.i(i, "count");
        int count = count(e);
        int i2 = i - count;
        if (i2 > 0) {
            add(e, i2);
        } else if (i2 < 0) {
            remove(e, -i2);
        }
        return count;
    }

    public final String toString() {
        return entrySet().toString();
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    public int add(@NullableDecl E e, int i) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    public int remove(@NullableDecl Object obj, int i) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    public boolean setCount(@NullableDecl E e, int i, int i2) {
        b.i(i, "oldCount");
        b.i(i2, "newCount");
        if (count(e) != i) {
            return false;
        }
        setCount(e, i2);
        return true;
    }
}
