package androidx.base;

import android.text.TextUtils;
import androidx.base.dx;
import androidx.base.jx;
import androidx.base.kx;
import androidx.base.zv;
import java.io.Serializable;
import java.util.List;
import java.util.Map;
import okhttp3.Call;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.RequestBody;
import okhttp3.Response;

public abstract class kx<T, R extends kx> implements Serializable {
    private static final long serialVersionUID = -7174118653689916252L;
    public String baseUrl;
    public String cacheKey;
    public fw cacheMode;
    public transient hw<T> cachePolicy;
    public long cacheTime;
    public transient cw<T> call;
    public transient ow<T> callback;
    public transient OkHttpClient client;
    public transient qw<T> converter;
    public bx headers = new bx();
    public transient Request mRequest;
    public dx params = new dx();
    public int retryCount;
    public transient Object tag;
    public transient jx.b uploadInterceptor;
    public String url;

    public kx(String str) {
        this.url = str;
        this.baseUrl = str;
        zv zvVar = zv.b.a;
        String acceptLanguage = bx.getAcceptLanguage();
        if (!TextUtils.isEmpty(acceptLanguage)) {
            headers(bx.HEAD_KEY_ACCEPT_LANGUAGE, acceptLanguage);
        }
        String userAgent = bx.getUserAgent();
        if (!TextUtils.isEmpty(userAgent)) {
            headers(bx.HEAD_KEY_USER_AGENT, userAgent);
        }
        zvVar.getClass();
        this.retryCount = zvVar.c;
        this.cacheMode = zvVar.d;
        this.cacheTime = zvVar.e;
    }

    public cw<T> adapt() {
        cw<T> cwVar = this.call;
        return cwVar == null ? new bw(this) : cwVar;
    }

    public R addUrlParams(String str, List<String> list) {
        this.params.putUrlParams(str, list);
        return this;
    }

    public R cacheKey(String str) {
        if (str != null) {
            this.cacheKey = str;
            return this;
        }
        throw new NullPointerException("cacheKey == null");
    }

    public R cacheMode(fw fwVar) {
        this.cacheMode = fwVar;
        return this;
    }

    public R cachePolicy(hw<T> hwVar) {
        if (hwVar != null) {
            this.cachePolicy = hwVar;
            return this;
        }
        throw new NullPointerException("cachePolicy == null");
    }

    public R cacheTime(long j) {
        if (j <= -1) {
            j = -1;
        }
        this.cacheTime = j;
        return this;
    }

    public R call(cw<T> cwVar) {
        if (cwVar != null) {
            this.call = cwVar;
            return this;
        }
        throw new NullPointerException("call == null");
    }

    public R client(OkHttpClient okHttpClient) {
        if (okHttpClient != null) {
            this.client = okHttpClient;
            return this;
        }
        throw new NullPointerException("OkHttpClient == null");
    }

    public R converter(qw<T> qwVar) {
        if (qwVar != null) {
            this.converter = qwVar;
            return this;
        }
        throw new NullPointerException("converter == null");
    }

    public Response execute() {
        return getRawCall().execute();
    }

    public abstract Request generateRequest(RequestBody requestBody);

    public abstract RequestBody generateRequestBody();

    public String getBaseUrl() {
        return this.baseUrl;
    }

    public String getCacheKey() {
        return this.cacheKey;
    }

    public fw getCacheMode() {
        return this.cacheMode;
    }

    public hw<T> getCachePolicy() {
        return this.cachePolicy;
    }

    public long getCacheTime() {
        return this.cacheTime;
    }

    public qw<T> getConverter() {
        if (this.converter == null) {
            this.converter = this.callback;
        }
        b.j(this.converter, "converter == null, do you forget to call Request#converter(Converter<T>) ?");
        return this.converter;
    }

    public dx.a getFileParam(String str) {
        List<dx.a> list = this.params.fileParamsMap.get(str);
        if (list == null || list.size() <= 0) {
            return null;
        }
        return list.get(0);
    }

    public bx getHeaders() {
        return this.headers;
    }

    public abstract cx getMethod();

    public dx getParams() {
        return this.params;
    }

    public Call getRawCall() {
        RequestBody generateRequestBody = generateRequestBody();
        if (generateRequestBody != null) {
            jx jxVar = new jx(generateRequestBody, this.callback);
            jxVar.c = this.uploadInterceptor;
            this.mRequest = generateRequest(jxVar);
        } else {
            this.mRequest = generateRequest(null);
        }
        if (this.client == null) {
            this.client = zv.b.a.b();
        }
        return this.client.newCall(this.mRequest);
    }

    public Request getRequest() {
        return this.mRequest;
    }

    public int getRetryCount() {
        return this.retryCount;
    }

    public Object getTag() {
        return this.tag;
    }

    public String getUrl() {
        return this.url;
    }

    public String getUrlParam(String str) {
        List<String> list = this.params.urlParamsMap.get(str);
        if (list == null || list.size() <= 0) {
            return null;
        }
        return list.get(0);
    }

    public R headers(bx bxVar) {
        this.headers.put(bxVar);
        return this;
    }

    public R params(dx dxVar) {
        this.params.put(dxVar);
        return this;
    }

    public R removeAllHeaders() {
        this.headers.clear();
        return this;
    }

    public R removeAllParams() {
        this.params.clear();
        return this;
    }

    public R removeHeader(String str) {
        this.headers.remove(str);
        return this;
    }

    public R removeParam(String str) {
        this.params.remove(str);
        return this;
    }

    public R retryCount(int i) {
        if (i >= 0) {
            this.retryCount = i;
            return this;
        }
        throw new IllegalArgumentException("retryCount must > 0");
    }

    public void setCallback(ow<T> owVar) {
        this.callback = owVar;
    }

    public R tag(Object obj) {
        this.tag = obj;
        return this;
    }

    public R uploadInterceptor(jx.b bVar) {
        this.uploadInterceptor = bVar;
        return this;
    }

    public void execute(ow<T> owVar) {
        if (owVar != null) {
            this.callback = owVar;
            bw bwVar = (bw) adapt();
            gw gwVar = (gw) bwVar.a;
            if (gwVar.a.getCacheKey() == null) {
                kx<T, ? extends kx> kxVar = gwVar.a;
                kxVar.cacheKey(b.r(kxVar.getBaseUrl(), gwVar.a.getParams().urlParamsMap));
            }
            if (gwVar.a.getCacheMode() == null) {
                gwVar.a.cacheMode(fw.NO_CACHE);
            }
            if (gwVar.a.getCacheMode() == fw.NO_CACHE) {
                bwVar.a.c(null, owVar);
                return;
            }
            int i = tw.a;
            gwVar.a.getCacheKey();
            throw null;
        }
        throw new NullPointerException("callback == null");
    }

    public R headers(String str, String str2) {
        this.headers.put(str, str2);
        return this;
    }

    public R params(Map<String, String> map, boolean... zArr) {
        this.params.put(map, zArr);
        return this;
    }

    public <E> E adapt(dw<T, E> dwVar) {
        cw<T> cwVar = this.call;
        if (cwVar == null) {
            cwVar = new bw<>(this);
        }
        return dwVar.a(cwVar, null);
    }

    public R params(String str, String str2, boolean... zArr) {
        this.params.put(str, str2, zArr);
        return this;
    }

    public R params(String str, int i, boolean... zArr) {
        this.params.put(str, i, zArr);
        return this;
    }

    public R params(String str, float f, boolean... zArr) {
        this.params.put(str, f, zArr);
        return this;
    }

    public <E> E adapt(aw awVar, dw<T, E> dwVar) {
        cw<T> cwVar = this.call;
        if (cwVar == null) {
            cwVar = new bw<>(this);
        }
        return dwVar.a(cwVar, awVar);
    }

    public R params(String str, double d, boolean... zArr) {
        this.params.put(str, d, zArr);
        return this;
    }

    public R params(String str, long j, boolean... zArr) {
        this.params.put(str, j, zArr);
        return this;
    }

    public R params(String str, char c, boolean... zArr) {
        this.params.put(str, c, zArr);
        return this;
    }

    public R params(String str, boolean z, boolean... zArr) {
        this.params.put(str, z, zArr);
        return this;
    }
}
