package androidx.base;

import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Collection;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class or<K, V> extends AbstractMap<K, V> implements Serializable {
    public static final float DEFAULT_LOAD_FACTOR = 1.0f;
    public static final int DEFAULT_SIZE = 3;
    public static final int UNSET = -1;
    @MonotonicNonNullDecl
    public transient int[] a;
    public transient int b;
    public transient int c;
    @MonotonicNonNullDecl
    public transient Set<K> d;
    @MonotonicNonNullDecl
    public transient Set<Map.Entry<K, V>> e;
    @MonotonicNonNullDecl
    public transient long[] entries;
    @MonotonicNonNullDecl
    public transient Collection<V> f;
    @MonotonicNonNullDecl
    public transient Object[] keys;
    public transient float loadFactor;
    public transient int modCount;
    @MonotonicNonNullDecl
    public transient Object[] values;

    public class a extends or<K, V>.e {
        public a() {
            super(null);
        }

        @Override // androidx.base.or.e
        public K a(int i) {
            return (K) or.this.keys[i];
        }
    }

    public class b extends or<K, V>.e {
        public b() {
            super(null);
        }

        @Override // androidx.base.or.e
        public Object a(int i) {
            return new g(i);
        }
    }

    public class c extends or<K, V>.e {
        public c() {
            super(null);
        }

        @Override // androidx.base.or.e
        public V a(int i) {
            return (V) or.this.values[i];
        }
    }

    public class d extends AbstractSet<Map.Entry<K, V>> {
        public d() {
        }

        public void clear() {
            or.this.clear();
        }

        public boolean contains(@NullableDecl Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            int c = or.this.c(entry.getKey());
            if (c == -1 || !tq.q(or.this.values[c], entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return or.this.entrySetIterator();
        }

        public boolean remove(@NullableDecl Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            int c = or.this.c(entry.getKey());
            if (c == -1 || !tq.q(or.this.values[c], entry.getValue())) {
                return false;
            }
            or.access$000(or.this, c);
            return true;
        }

        public int size() {
            return or.this.c;
        }
    }

    public abstract class e<T> implements Iterator<T> {
        public int a;
        public int b;
        public int c = -1;

        public e(a aVar) {
            this.a = or.this.modCount;
            this.b = or.this.firstEntryIndex();
        }

        public abstract T a(int i);

        public boolean hasNext() {
            return this.b >= 0;
        }

        @Override // java.util.Iterator
        public T next() {
            if (or.this.modCount != this.a) {
                throw new ConcurrentModificationException();
            } else if (hasNext()) {
                int i = this.b;
                this.c = i;
                T a2 = a(i);
                this.b = or.this.getSuccessor(this.b);
                return a2;
            } else {
                throw new NoSuchElementException();
            }
        }

        public void remove() {
            if (or.this.modCount == this.a) {
                b.l(this.c >= 0);
                this.a++;
                or.access$000(or.this, this.c);
                this.b = or.this.adjustAfterRemove(this.b, this.c);
                this.c = -1;
                return;
            }
            throw new ConcurrentModificationException();
        }
    }

    public class f extends AbstractSet<K> {
        public f() {
        }

        public void clear() {
            or.this.clear();
        }

        public boolean contains(Object obj) {
            return or.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return or.this.keySetIterator();
        }

        public boolean remove(@NullableDecl Object obj) {
            int c = or.this.c(obj);
            if (c == -1) {
                return false;
            }
            or.access$000(or.this, c);
            return true;
        }

        public int size() {
            return or.this.c;
        }
    }

    public final class g extends hr<K, V> {
        @NullableDecl
        public final K a;
        public int b;

        public g(int i) {
            this.a = (K) or.this.keys[i];
            this.b = i;
        }

        public final void a() {
            int i = this.b;
            if (i == -1 || i >= or.this.size() || !tq.q(this.a, or.this.keys[this.b])) {
                this.b = or.this.c(this.a);
            }
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public K getKey() {
            return this.a;
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public V getValue() {
            a();
            int i = this.b;
            if (i == -1) {
                return null;
            }
            return (V) or.this.values[i];
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public V setValue(V v) {
            a();
            int i = this.b;
            if (i == -1) {
                or.this.put(this.a, v);
                return null;
            }
            Object[] objArr = or.this.values;
            V v2 = (V) objArr[i];
            objArr[i] = v;
            return v2;
        }
    }

    public class h extends AbstractCollection<V> {
        public h() {
        }

        public void clear() {
            or.this.clear();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return or.this.valuesIterator();
        }

        public int size() {
            return or.this.c;
        }
    }

    public or() {
        init(3, 1.0f);
    }

    public static int a(long j) {
        return (int) (j >>> 32);
    }

    public static Object access$000(or orVar, int i) {
        return orVar.d(orVar.keys[i], a(orVar.entries[i]));
    }

    public static <K, V> or<K, V> create() {
        return new or<>();
    }

    public static <K, V> or<K, V> createWithExpectedSize(int i) {
        return new or<>(i);
    }

    public static long f(long j, int i) {
        return (j & -4294967296L) | (((long) i) & 4294967295L);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: androidx.base.or<K, V> */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        init(3, 1.0f);
        int readInt = objectInputStream.readInt();
        while (true) {
            readInt--;
            if (readInt >= 0) {
                put(objectInputStream.readObject(), objectInputStream.readObject());
            } else {
                return;
            }
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.c);
        for (int i = 0; i < this.c; i++) {
            objectOutputStream.writeObject(this.keys[i]);
            objectOutputStream.writeObject(this.values[i]);
        }
    }

    public void accessEntry(int i) {
    }

    public int adjustAfterRemove(int i, int i2) {
        return i - 1;
    }

    public final int b() {
        return this.a.length - 1;
    }

    public final int c(@NullableDecl Object obj) {
        int H = tq.H(obj);
        int i = this.a[b() & H];
        while (i != -1) {
            long j = this.entries[i];
            if (a(j) == H && tq.q(obj, this.keys[i])) {
                return i;
            }
            i = (int) j;
        }
        return -1;
    }

    public void clear() {
        this.modCount++;
        Arrays.fill(this.keys, 0, this.c, (Object) null);
        Arrays.fill(this.values, 0, this.c, (Object) null);
        Arrays.fill(this.a, -1);
        Arrays.fill(this.entries, -1L);
        this.c = 0;
    }

    public boolean containsKey(@NullableDecl Object obj) {
        return c(obj) != -1;
    }

    public boolean containsValue(@NullableDecl Object obj) {
        for (int i = 0; i < this.c; i++) {
            if (tq.q(obj, this.values[i])) {
                return true;
            }
        }
        return false;
    }

    public Set<Map.Entry<K, V>> createEntrySet() {
        return new d();
    }

    public Set<K> createKeySet() {
        return new f();
    }

    public Collection<V> createValues() {
        return new h();
    }

    @NullableDecl
    public final V d(@NullableDecl Object obj, int i) {
        int b2 = b() & i;
        int i2 = this.a[b2];
        if (i2 == -1) {
            return null;
        }
        int i3 = -1;
        while (true) {
            if (a(this.entries[i2]) != i || !tq.q(obj, this.keys[i2])) {
                int i4 = (int) this.entries[i2];
                if (i4 == -1) {
                    return null;
                }
                i3 = i2;
                i2 = i4;
            } else {
                V v = (V) this.values[i2];
                if (i3 == -1) {
                    this.a[b2] = (int) this.entries[i2];
                } else {
                    long[] jArr = this.entries;
                    jArr[i3] = f(jArr[i3], (int) jArr[i2]);
                }
                moveLastEntry(i2);
                this.c--;
                this.modCount++;
                return v;
            }
        }
    }

    public final void e(int i) {
        if (this.a.length >= 1073741824) {
            this.b = Integer.MAX_VALUE;
            return;
        }
        int i2 = ((int) (((float) i) * this.loadFactor)) + 1;
        int[] iArr = new int[i];
        Arrays.fill(iArr, -1);
        long[] jArr = this.entries;
        int i3 = i - 1;
        for (int i4 = 0; i4 < this.c; i4++) {
            int a2 = a(jArr[i4]);
            int i5 = a2 & i3;
            int i6 = iArr[i5];
            iArr[i5] = i4;
            jArr[i4] = (((long) a2) << 32) | (4294967295L & ((long) i6));
        }
        this.b = i2;
        this.a = iArr;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.e;
        if (set != null) {
            return set;
        }
        Set<Map.Entry<K, V>> createEntrySet = createEntrySet();
        this.e = createEntrySet;
        return createEntrySet;
    }

    public Iterator<Map.Entry<K, V>> entrySetIterator() {
        return new b();
    }

    public int firstEntryIndex() {
        return isEmpty() ? -1 : 0;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(@NullableDecl Object obj) {
        int c2 = c(obj);
        accessEntry(c2);
        if (c2 == -1) {
            return null;
        }
        return (V) this.values[c2];
    }

    public int getSuccessor(int i) {
        int i2 = i + 1;
        if (i2 < this.c) {
            return i2;
        }
        return -1;
    }

    public void init(int i, float f2) {
        boolean z = false;
        tq.d(i >= 0, "Initial capacity must be non-negative");
        if (f2 > 0.0f) {
            z = true;
        }
        tq.d(z, "Illegal load factor");
        int o = tq.o(i, (double) f2);
        int[] iArr = new int[o];
        Arrays.fill(iArr, -1);
        this.a = iArr;
        this.loadFactor = f2;
        this.keys = new Object[i];
        this.values = new Object[i];
        long[] jArr = new long[i];
        Arrays.fill(jArr, -1L);
        this.entries = jArr;
        this.b = Math.max(1, (int) (((float) o) * f2));
    }

    public void insertEntry(int i, @NullableDecl K k, @NullableDecl V v, int i2) {
        this.entries[i] = (((long) i2) << 32) | 4294967295L;
        this.keys[i] = k;
        this.values[i] = v;
    }

    public boolean isEmpty() {
        return this.c == 0;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.d;
        if (set != null) {
            return set;
        }
        Set<K> createKeySet = createKeySet();
        this.d = createKeySet;
        return createKeySet;
    }

    public Iterator<K> keySetIterator() {
        return new a();
    }

    public void moveLastEntry(int i) {
        int size = size() - 1;
        if (i < size) {
            Object[] objArr = this.keys;
            objArr[i] = objArr[size];
            Object[] objArr2 = this.values;
            objArr2[i] = objArr2[size];
            objArr[size] = null;
            objArr2[size] = null;
            long[] jArr = this.entries;
            long j = jArr[size];
            jArr[i] = j;
            jArr[size] = -1;
            int a2 = a(j) & b();
            int[] iArr = this.a;
            int i2 = iArr[a2];
            if (i2 == size) {
                iArr[a2] = i;
                return;
            }
            while (true) {
                long[] jArr2 = this.entries;
                long j2 = jArr2[i2];
                int i3 = (int) j2;
                if (i3 == size) {
                    jArr2[i2] = f(j2, i);
                    return;
                }
                i2 = i3;
            }
        } else {
            this.keys[i] = null;
            this.values[i] = null;
            this.entries[i] = -1;
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    @CanIgnoreReturnValue
    @NullableDecl
    public V put(@NullableDecl K k, @NullableDecl V v) {
        long[] jArr = this.entries;
        Object[] objArr = this.keys;
        Object[] objArr2 = this.values;
        int H = tq.H(k);
        int b2 = b() & H;
        int i = this.c;
        int[] iArr = this.a;
        int i2 = iArr[b2];
        if (i2 == -1) {
            iArr[b2] = i;
        } else {
            while (true) {
                long j = jArr[i2];
                if (a(j) != H || !tq.q(k, objArr[i2])) {
                    int i3 = (int) j;
                    if (i3 == -1) {
                        jArr[i2] = f(j, i);
                        break;
                    }
                    i2 = i3;
                } else {
                    V v2 = (V) objArr2[i2];
                    objArr2[i2] = v;
                    accessEntry(i2);
                    return v2;
                }
            }
        }
        int i4 = Integer.MAX_VALUE;
        if (i != Integer.MAX_VALUE) {
            int i5 = i + 1;
            int length = this.entries.length;
            if (i5 > length) {
                int max = Math.max(1, length >>> 1) + length;
                if (max >= 0) {
                    i4 = max;
                }
                if (i4 != length) {
                    resizeEntries(i4);
                }
            }
            insertEntry(i, k, v, H);
            this.c = i5;
            if (i >= this.b) {
                e(this.a.length * 2);
            }
            this.modCount++;
            return null;
        }
        throw new IllegalStateException("Cannot contain more than Integer.MAX_VALUE elements!");
    }

    @Override // java.util.AbstractMap, java.util.Map
    @CanIgnoreReturnValue
    @NullableDecl
    public V remove(@NullableDecl Object obj) {
        return d(obj, tq.H(obj));
    }

    public void resizeEntries(int i) {
        this.keys = Arrays.copyOf(this.keys, i);
        this.values = Arrays.copyOf(this.values, i);
        long[] jArr = this.entries;
        int length = jArr.length;
        long[] copyOf = Arrays.copyOf(jArr, i);
        if (i > length) {
            Arrays.fill(copyOf, length, i, -1L);
        }
        this.entries = copyOf;
    }

    public int size() {
        return this.c;
    }

    public void trimToSize() {
        int i = this.c;
        if (i < this.entries.length) {
            resizeEntries(i);
        }
        int max = Math.max(1, Integer.highestOneBit((int) (((float) i) / this.loadFactor)));
        if (max < 1073741824) {
            double d2 = (double) i;
            double d3 = (double) max;
            Double.isNaN(d2);
            Double.isNaN(d3);
            if (d2 / d3 > ((double) this.loadFactor)) {
                max <<= 1;
            }
        }
        if (max < this.a.length) {
            e(max);
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.f;
        if (collection != null) {
            return collection;
        }
        Collection<V> createValues = createValues();
        this.f = createValues;
        return createValues;
    }

    public Iterator<V> valuesIterator() {
        return new c();
    }

    public or(int i) {
        this(i, 1.0f);
    }

    public or(int i, float f2) {
        init(i, f2);
    }
}
