package androidx.base;

import androidx.core.app.NotificationCompat;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.source.rtsp.RtspHeaders;
import java.io.BufferedInputStream;
import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.DataOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.FilterOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.RandomAccessFile;
import java.io.UnsupportedEncodingException;
import java.io.Writer;
import java.net.InetAddress;
import java.net.InetSocketAddress;
import java.net.ServerSocket;
import java.net.Socket;
import java.net.SocketException;
import java.net.SocketTimeoutException;
import java.net.URLDecoder;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.charset.Charset;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.StringTokenizer;
import java.util.TimeZone;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.util.zip.GZIPOutputStream;
import javax.net.ssl.SSLException;
import okhttp3.internal.http.StatusLine;

public abstract class oz {
    public static final Pattern a = Pattern.compile("([ |\t]*Content-Disposition[ |\t]*:)(.*)", 2);
    public static final Pattern b = Pattern.compile("([ |\t]*content-type[ |\t]*:)(.*)", 2);
    public static final Pattern c = Pattern.compile("[ |\t]*([a-zA-Z]*)[ |\t]*=[ |\t]*['|\"]([^\"^']*)['|\"]");
    public static final Logger d = Logger.getLogger(oz.class.getName());
    public final String e = null;
    public final int f;
    public volatile ServerSocket g;
    public r h = new h();
    public Thread i;
    public b j;
    public u k;

    public interface b {
    }

    public class c implements Runnable {
        public final InputStream a;
        public final Socket b;

        public c(InputStream inputStream, Socket socket) {
            this.a = inputStream;
            this.b = socket;
        }

        public void run() {
            b bVar;
            try {
                OutputStream outputStream = this.b.getOutputStream();
                ((k) oz.this.k).getClass();
                l lVar = new l(new j(), this.a, outputStream, this.b.getInetAddress());
                while (!this.b.isClosed()) {
                    lVar.d();
                }
                oz.e(outputStream);
                oz.e(this.a);
                oz.e(this.b);
                bVar = oz.this.j;
            } catch (Exception e) {
                if ((!(e instanceof SocketException) || !"NanoHttpd Shutdown".equals(e.getMessage())) && !(e instanceof SocketTimeoutException)) {
                    oz.d.log(Level.SEVERE, "Communication with the client broken, or an bug in the handler code", (Throwable) e);
                }
                oz.e(null);
                oz.e(this.a);
                oz.e(this.b);
                bVar = oz.this.j;
            } catch (Throwable th) {
                oz.e(null);
                oz.e(this.a);
                oz.e(this.b);
                ((g) oz.this.j).b.remove(this);
                throw th;
            }
            ((g) bVar).b.remove(this);
        }
    }

    public static class d {
        public static final Pattern a = Pattern.compile("[ |\t]*([^/^ ^;^,]+/[^ ^;^,]+)", 2);
        public static final Pattern b = Pattern.compile("[ |\t]*(charset)[ |\t]*=[ |\t]*['|\"]?([^\"^'^;^,]*)['|\"]?", 2);
        public static final Pattern c = Pattern.compile("[ |\t]*(boundary)[ |\t]*=[ |\t]*['|\"]?([^\"^'^;^,]*)['|\"]?", 2);
        public final String d;
        public final String e;
        public final String f;
        public final String g;

        public d(String str) {
            this.d = str;
            if (str != null) {
                this.e = a(str, a, "", 1);
                this.f = a(str, b, null, 2);
            } else {
                this.e = "";
                this.f = C.UTF8_NAME;
            }
            if ("multipart/form-data".equalsIgnoreCase(this.e)) {
                this.g = a(str, c, null, 2);
            } else {
                this.g = null;
            }
        }

        public final String a(String str, Pattern pattern, String str2, int i) {
            Matcher matcher = pattern.matcher(str);
            return matcher.find() ? matcher.group(i) : str2;
        }

        public String b() {
            String str = this.f;
            return str == null ? C.ASCII_NAME : str;
        }
    }

    public static class e {
    }

    public class f implements Iterable<String> {
        public final HashMap<String, String> a = new HashMap<>();
        public final ArrayList<e> b = new ArrayList<>();

        public f(oz ozVar, Map<String, String> map) {
            String str = map.get("cookie");
            if (str != null) {
                for (String str2 : str.split(";")) {
                    String[] split = str2.trim().split("=");
                    if (split.length == 2) {
                        this.a.put(split[0], split[1]);
                    }
                }
            }
        }

        public void a(o oVar) {
            Iterator<e> it = this.b.iterator();
            while (it.hasNext()) {
                it.next().getClass();
                oVar.e.put(bx.HEAD_KEY_SET_COOKIE, String.format("%s=%s; expires=%s", null, null, null));
            }
        }

        @Override // java.lang.Iterable
        public Iterator<String> iterator() {
            return this.a.keySet().iterator();
        }
    }

    public static class g implements b {
        public long a;
        public final List<c> b = Collections.synchronizedList(new ArrayList());

        public void a(c cVar) {
            this.a++;
            Thread thread = new Thread(cVar);
            thread.setDaemon(true);
            StringBuilder j = b2.j("NanoHttpd Request Processor (#");
            j.append(this.a);
            j.append(")");
            thread.setName(j.toString());
            this.b.add(cVar);
            thread.start();
        }
    }

    public static class h implements r {
    }

    public static class i implements s {
        public final File a;
        public final OutputStream b;

        public i(File file) {
            File createTempFile = File.createTempFile("NanoHTTPD-", "", file);
            this.a = createTempFile;
            this.b = new FileOutputStream(createTempFile);
        }

        public String a() {
            return this.a.getAbsolutePath();
        }

        @Override // androidx.base.oz.s
        public void delete() {
            oz.e(this.b);
            if (!this.a.delete()) {
                StringBuilder j = b2.j("could not delete temporary file: ");
                j.append(this.a.getAbsolutePath());
                throw new Exception(j.toString());
            }
        }
    }

    public static class j implements t {
        public final File a;
        public final List<s> b;

        public j() {
            File file = new File(System.getProperty("java.io.tmpdir"));
            this.a = file;
            if (!file.exists()) {
                file.mkdirs();
            }
            this.b = new ArrayList();
        }

        public void a() {
            for (s sVar : this.b) {
                try {
                    sVar.delete();
                } catch (Exception e) {
                    oz.d.log(Level.WARNING, "could not delete file ", (Throwable) e);
                }
            }
            this.b.clear();
        }
    }

    public class k implements u {
        public k(oz ozVar, a aVar) {
        }
    }

    public class l implements m {
        public final t a;
        public final OutputStream b;
        public final BufferedInputStream c;
        public int d;
        public int e;
        public String f;
        public n g;
        public Map<String, List<String>> h;
        public Map<String, String> i;
        public f j;
        public String k;
        public String l;
        public String m;

        public l(t tVar, InputStream inputStream, OutputStream outputStream, InetAddress inetAddress) {
            this.a = tVar;
            this.c = new BufferedInputStream(inputStream, 8192);
            this.b = outputStream;
            this.l = (inetAddress.isLoopbackAddress() || inetAddress.isAnyLocalAddress()) ? "127.0.0.1" : inetAddress.getHostAddress().toString();
            if (!inetAddress.isLoopbackAddress() && !inetAddress.isAnyLocalAddress()) {
                inetAddress.getHostName().toString();
            }
            this.i = new HashMap();
        }

        public final void a(BufferedReader bufferedReader, Map<String, String> map, Map<String, List<String>> map2, Map<String, String> map3) {
            String str;
            try {
                String readLine = bufferedReader.readLine();
                if (readLine != null) {
                    StringTokenizer stringTokenizer = new StringTokenizer(readLine);
                    if (stringTokenizer.hasMoreTokens()) {
                        map.put("method", stringTokenizer.nextToken());
                        if (stringTokenizer.hasMoreTokens()) {
                            String nextToken = stringTokenizer.nextToken();
                            int indexOf = nextToken.indexOf(63);
                            if (indexOf >= 0) {
                                c(nextToken.substring(indexOf + 1), map2);
                                str = oz.b(nextToken.substring(0, indexOf));
                            } else {
                                str = oz.b(nextToken);
                            }
                            if (stringTokenizer.hasMoreTokens()) {
                                this.m = stringTokenizer.nextToken();
                            } else {
                                this.m = "HTTP/1.1";
                                oz.d.log(Level.FINE, "no protocol version specified, strange. Assuming HTTP/1.1.");
                            }
                            String readLine2 = bufferedReader.readLine();
                            while (readLine2 != null && !readLine2.trim().isEmpty()) {
                                int indexOf2 = readLine2.indexOf(58);
                                if (indexOf2 >= 0) {
                                    map3.put(readLine2.substring(0, indexOf2).trim().toLowerCase(Locale.US), readLine2.substring(indexOf2 + 1).trim());
                                }
                                readLine2 = bufferedReader.readLine();
                            }
                            map.put(NotificationCompat.MessagingStyle.Message.KEY_DATA_URI, str);
                            return;
                        }
                        throw new p(o.d.BAD_REQUEST, "BAD REQUEST: Missing URI. Usage: GET /example/file.html");
                    }
                    throw new p(o.d.BAD_REQUEST, "BAD REQUEST: Syntax error. Usage: GET /example/file.html");
                }
            } catch (IOException e2) {
                o.d dVar = o.d.INTERNAL_ERROR;
                StringBuilder j2 = b2.j("SERVER INTERNAL ERROR: IOException: ");
                j2.append(e2.getMessage());
                throw new p(dVar, j2.toString(), e2);
            }
        }

        public final void b(d dVar, ByteBuffer byteBuffer, Map<String, List<String>> map, Map<String, String> map2) {
            String str;
            d dVar2 = dVar;
            try {
                int[] f2 = f(byteBuffer, dVar2.g.getBytes());
                int i2 = 2;
                if (f2.length >= 2) {
                    int i3 = 1024;
                    byte[] bArr = new byte[1024];
                    int i4 = 0;
                    int i5 = 0;
                    int i6 = 0;
                    while (i5 < f2.length - 1) {
                        byteBuffer.position(f2[i5]);
                        int remaining = byteBuffer.remaining() < i3 ? byteBuffer.remaining() : 1024;
                        byteBuffer.get(bArr, i4, remaining);
                        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new ByteArrayInputStream(bArr, i4, remaining), Charset.forName(dVar.b())), remaining);
                        String readLine = bufferedReader.readLine();
                        if (readLine == null || !readLine.contains(dVar2.g)) {
                            throw new p(o.d.BAD_REQUEST, "BAD REQUEST: Content type is multipart/form-data but chunk does not start with boundary.");
                        }
                        String readLine2 = bufferedReader.readLine();
                        String str2 = null;
                        String str3 = null;
                        int i7 = i6;
                        int i8 = 2;
                        String str4 = null;
                        while (readLine2 != null && readLine2.trim().length() > 0) {
                            Matcher matcher = oz.a.matcher(readLine2);
                            if (matcher.matches()) {
                                Matcher matcher2 = oz.c.matcher(matcher.group(i2));
                                while (matcher2.find()) {
                                    String group = matcher2.group(1);
                                    if ("name".equalsIgnoreCase(group)) {
                                        str = matcher2.group(2);
                                    } else if ("filename".equalsIgnoreCase(group)) {
                                        str4 = matcher2.group(2);
                                        if (!str4.isEmpty()) {
                                            if (i7 > 0) {
                                                str = str2 + String.valueOf(i7);
                                                i7++;
                                            } else {
                                                i7++;
                                            }
                                        }
                                    }
                                    str2 = str;
                                }
                            }
                            Matcher matcher3 = oz.b.matcher(readLine2);
                            if (matcher3.matches()) {
                                str3 = matcher3.group(2).trim();
                            }
                            readLine2 = bufferedReader.readLine();
                            i8++;
                            i2 = 2;
                        }
                        int i9 = 0;
                        while (true) {
                            int i10 = i8 - 1;
                            if (i8 <= 0) {
                                break;
                            }
                            while (true) {
                                byte b2 = bArr[i9];
                                i9++;
                                if (b2 == 10) {
                                    break;
                                }
                            }
                            i8 = i10;
                        }
                        if (i9 < remaining - 4) {
                            int i11 = f2[i5] + i9;
                            i5++;
                            int i12 = f2[i5] - 4;
                            byteBuffer.position(i11);
                            List<String> list = map.get(str2);
                            if (list == null) {
                                list = new ArrayList<>();
                                map.put(str2, list);
                            }
                            if (str3 == null) {
                                byte[] bArr2 = new byte[(i12 - i11)];
                                byteBuffer.get(bArr2);
                                list.add(new String(bArr2, dVar.b()));
                            } else {
                                String i13 = i(byteBuffer, i11, i12 - i11, str4);
                                if (!map2.containsKey(str2)) {
                                    map2.put(str2, i13);
                                } else {
                                    int i14 = 2;
                                    while (true) {
                                        if (!map2.containsKey(str2 + i14)) {
                                            break;
                                        }
                                        i14++;
                                    }
                                    map2.put(str2 + i14, i13);
                                }
                                list.add(str4);
                            }
                            dVar2 = dVar;
                            i6 = i7;
                            i3 = 1024;
                            i2 = 2;
                            i4 = 0;
                        } else {
                            throw new p(o.d.INTERNAL_ERROR, "Multipart header size exceeds MAX_HEADER_SIZE.");
                        }
                    }
                    return;
                }
                throw new p(o.d.BAD_REQUEST, "BAD REQUEST: Content type is multipart/form-data but contains less than two boundary strings.");
            } catch (p e2) {
                throw e2;
            } catch (Exception e3) {
                throw new p(o.d.INTERNAL_ERROR, e3.toString());
            }
        }

        public final void c(String str, Map<String, List<String>> map) {
            String str2;
            String str3;
            if (str == null) {
                this.k = "";
                return;
            }
            this.k = str;
            StringTokenizer stringTokenizer = new StringTokenizer(str, "&");
            while (stringTokenizer.hasMoreTokens()) {
                String nextToken = stringTokenizer.nextToken();
                int indexOf = nextToken.indexOf(61);
                if (indexOf >= 0) {
                    str3 = oz.b(nextToken.substring(0, indexOf)).trim();
                    str2 = oz.b(nextToken.substring(indexOf + 1));
                } else {
                    str3 = oz.b(nextToken).trim();
                    str2 = "";
                }
                List<String> list = map.get(str3);
                if (list == null) {
                    list = new ArrayList<>();
                    map.put(str3, list);
                }
                list.add(str2);
            }
        }

        /* JADX WARNING: Code restructure failed: missing block: B:56:0x0174, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:58:?, code lost:
            androidx.base.oz.d(r0.getStatus(), "text/plain", r0.getMessage()).c(r10.b);
            androidx.base.oz.e(r10.b);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:60:0x0196, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:61:0x0197, code lost:
            r1 = androidx.base.oz.o.d.INTERNAL_ERROR;
            androidx.base.oz.d(r1, "text/plain", "SERVER INTERNAL ERROR: IOException: " + r0.getMessage()).c(r10.b);
            androidx.base.oz.e(r10.b);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:62:0x01bd, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:63:0x01be, code lost:
            r1 = androidx.base.oz.o.d.INTERNAL_ERROR;
            androidx.base.oz.d(r1, "text/plain", "SSL PROTOCOL FAILURE: " + r0.getMessage()).c(r10.b);
            androidx.base.oz.e(r10.b);
         */
        /* JADX WARNING: Code restructure failed: missing block: B:65:0x01e5, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:66:0x01e6, code lost:
            throw r0;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:67:0x01e7, code lost:
            r0 = move-exception;
         */
        /* JADX WARNING: Code restructure failed: missing block: B:68:0x01e8, code lost:
            throw r0;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Removed duplicated region for block: B:56:0x0174 A[ExcHandler: p (r0v15 'e' androidx.base.oz$p A[CUSTOM_DECLARE]), Splitter:B:1:0x0009] */
        public void d() {
            o oVar = null;
            try {
                byte[] bArr = new byte[8192];
                boolean z = false;
                this.d = 0;
                this.e = 0;
                this.c.mark(8192);
                int read = this.c.read(bArr, 0, 8192);
                if (read != -1) {
                    while (read > 0) {
                        int i2 = this.e + read;
                        this.e = i2;
                        int e2 = e(bArr, i2);
                        this.d = e2;
                        if (e2 > 0) {
                            break;
                        }
                        BufferedInputStream bufferedInputStream = this.c;
                        int i3 = this.e;
                        read = bufferedInputStream.read(bArr, i3, 8192 - i3);
                    }
                    if (this.d < this.e) {
                        this.c.reset();
                        this.c.skip((long) this.d);
                    }
                    this.h = new HashMap();
                    Map<String, String> map = this.i;
                    if (map == null) {
                        this.i = new HashMap();
                    } else {
                        map.clear();
                    }
                    BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(new ByteArrayInputStream(bArr, 0, this.e)));
                    HashMap hashMap = new HashMap();
                    a(bufferedReader, hashMap, this.h, this.i);
                    String str = this.l;
                    if (str != null) {
                        this.i.put("remote-addr", str);
                        this.i.put("http-client-ip", this.l);
                    }
                    n lookup = n.lookup((String) hashMap.get("method"));
                    this.g = lookup;
                    if (lookup != null) {
                        this.f = (String) hashMap.get(NotificationCompat.MessagingStyle.Message.KEY_DATA_URI);
                        this.j = new f(oz.this, this.i);
                        String str2 = this.i.get(RtspHeaders.CONNECTION);
                        boolean z2 = "HTTP/1.1".equals(this.m) && (str2 == null || !str2.matches("(?i).*close.*"));
                        oVar = oz.this.f(this);
                        if (oVar != null) {
                            String str3 = this.i.get("accept-encoding");
                            this.j.a(oVar);
                            oVar.i(this.g);
                            if (oz.this.h(oVar) && str3 != null && str3.contains("gzip")) {
                                z = true;
                            }
                            oVar.g(z);
                            oVar.h(z2);
                            oVar.c(this.b);
                            if (!z2 || oVar.a()) {
                                throw new SocketException("NanoHttpd Shutdown");
                            }
                            oz.e(oVar);
                            ((j) this.a).a();
                            return;
                        }
                        throw new p(o.d.INTERNAL_ERROR, "SERVER INTERNAL ERROR: Serve() returned a null response.");
                    }
                    o.d dVar = o.d.BAD_REQUEST;
                    throw new p(dVar, "BAD REQUEST: Syntax error. HTTP verb " + ((String) hashMap.get("method")) + " unhandled.");
                }
                oz.e(this.c);
                oz.e(this.b);
                throw new SocketException("NanoHttpd Shutdown");
            } catch (SSLException e3) {
                throw e3;
            } catch (IOException unused) {
                oz.e(this.c);
                oz.e(this.b);
                throw new SocketException("NanoHttpd Shutdown");
            } catch (p e4) {
            } catch (Throwable th) {
                oz.e(null);
                ((j) this.a).a();
                throw th;
            }
        }

        public final int e(byte[] bArr, int i2) {
            int i3;
            int i4 = 0;
            while (true) {
                int i5 = i4 + 1;
                if (i5 >= i2) {
                    return 0;
                }
                if (bArr[i4] == 13 && bArr[i5] == 10 && (i3 = i4 + 3) < i2 && bArr[i4 + 2] == 13 && bArr[i3] == 10) {
                    return i4 + 4;
                }
                if (bArr[i4] == 10 && bArr[i5] == 10) {
                    return i4 + 2;
                }
                i4 = i5;
            }
        }

        public final int[] f(ByteBuffer byteBuffer, byte[] bArr) {
            int[] iArr = new int[0];
            if (byteBuffer.remaining() < bArr.length) {
                return iArr;
            }
            int length = bArr.length + 4096;
            byte[] bArr2 = new byte[length];
            int remaining = byteBuffer.remaining() < length ? byteBuffer.remaining() : length;
            byteBuffer.get(bArr2, 0, remaining);
            int length2 = remaining - bArr.length;
            int i2 = 0;
            do {
                int i3 = 0;
                while (i3 < length2) {
                    int i4 = 0;
                    while (i4 < bArr.length && bArr2[i3 + i4] == bArr[i4]) {
                        if (i4 == bArr.length - 1) {
                            int[] iArr2 = new int[(iArr.length + 1)];
                            System.arraycopy(iArr, 0, iArr2, 0, iArr.length);
                            iArr2[iArr.length] = i2 + i3;
                            iArr = iArr2;
                        }
                        i4++;
                    }
                    i3++;
                }
                i2 += length2;
                System.arraycopy(bArr2, length - bArr.length, bArr2, 0, bArr.length);
                length2 = length - bArr.length;
                if (byteBuffer.remaining() < length2) {
                    length2 = byteBuffer.remaining();
                }
                byteBuffer.get(bArr2, bArr.length, length2);
            } while (length2 > 0);
            return iArr;
        }

        @Deprecated
        public final Map<String, String> g() {
            HashMap hashMap = new HashMap();
            for (String str : this.h.keySet()) {
                hashMap.put(str, this.h.get(str).get(0));
            }
            return hashMap;
        }

        public void h(Map<String, String> map) {
            Throwable th;
            long j2;
            DataOutputStream dataOutputStream;
            ByteArrayOutputStream byteArrayOutputStream;
            RandomAccessFile randomAccessFile;
            ByteBuffer byteBuffer;
            RandomAccessFile randomAccessFile2 = null;
            try {
                if (this.i.containsKey(RtspHeaders.CONTENT_LENGTH)) {
                    j2 = Long.parseLong(this.i.get(RtspHeaders.CONTENT_LENGTH));
                } else {
                    int i2 = this.d;
                    int i3 = this.e;
                    j2 = i2 < i3 ? (long) (i3 - i2) : 0;
                }
                if (j2 < 1024) {
                    ByteArrayOutputStream byteArrayOutputStream2 = new ByteArrayOutputStream();
                    dataOutputStream = new DataOutputStream(byteArrayOutputStream2);
                    byteArrayOutputStream = byteArrayOutputStream2;
                    randomAccessFile = null;
                } else {
                    try {
                        j jVar = (j) this.a;
                        i iVar = new i(jVar.a);
                        jVar.b.add(iVar);
                        randomAccessFile = new RandomAccessFile(iVar.a(), "rw");
                        byteArrayOutputStream = null;
                        dataOutputStream = randomAccessFile;
                    } catch (Exception e2) {
                        throw new Error(e2);
                    }
                }
                try {
                    byte[] bArr = new byte[512];
                    while (this.e >= 0 && j2 > 0) {
                        int read = this.c.read(bArr, 0, (int) Math.min(j2, 512L));
                        this.e = read;
                        j2 -= (long) read;
                        if (read > 0) {
                            dataOutputStream.write(bArr, 0, read);
                        }
                    }
                    if (byteArrayOutputStream != null) {
                        byteBuffer = ByteBuffer.wrap(byteArrayOutputStream.toByteArray(), 0, byteArrayOutputStream.size());
                    } else {
                        byteBuffer = randomAccessFile.getChannel().map(FileChannel.MapMode.READ_ONLY, 0, randomAccessFile.length());
                        randomAccessFile.seek(0);
                    }
                    if (n.POST.equals(this.g)) {
                        d dVar = new d(this.i.get(RtspHeaders.CONTENT_TYPE));
                        if (!"multipart/form-data".equalsIgnoreCase(dVar.e)) {
                            byte[] bArr2 = new byte[byteBuffer.remaining()];
                            byteBuffer.get(bArr2);
                            String trim = new String(bArr2, dVar.b()).trim();
                            if ("application/x-www-form-urlencoded".equalsIgnoreCase(dVar.e)) {
                                c(trim, this.h);
                            } else if (trim.length() != 0) {
                                map.put("postData", trim);
                            }
                        } else if (dVar.g != null) {
                            b(dVar, byteBuffer, this.h, map);
                        } else {
                            throw new p(o.d.BAD_REQUEST, "BAD REQUEST: Content type is multipart/form-data but boundary missing. Usage: GET /example/file.html");
                        }
                    } else if (n.PUT.equals(this.g)) {
                        map.put("content", i(byteBuffer, 0, byteBuffer.limit(), null));
                    }
                    oz.e(randomAccessFile);
                } catch (Throwable th2) {
                    th = th2;
                    randomAccessFile2 = randomAccessFile;
                    oz.e(randomAccessFile2);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                oz.e(randomAccessFile2);
                throw th;
            }
        }

        public final String i(ByteBuffer byteBuffer, int i2, int i3, String str) {
            Throwable th;
            Exception e2;
            if (i3 <= 0) {
                return "";
            }
            FileOutputStream fileOutputStream = null;
            try {
                j jVar = (j) this.a;
                i iVar = new i(jVar.a);
                jVar.b.add(iVar);
                ByteBuffer duplicate = byteBuffer.duplicate();
                FileOutputStream fileOutputStream2 = new FileOutputStream(iVar.a());
                try {
                    FileChannel channel = fileOutputStream2.getChannel();
                    duplicate.position(i2).limit(i2 + i3);
                    channel.write(duplicate.slice());
                    String a2 = iVar.a();
                    oz.e(fileOutputStream2);
                    return a2;
                } catch (Exception e3) {
                    e2 = e3;
                    fileOutputStream = fileOutputStream2;
                    try {
                        throw new Error(e2);
                    } catch (Throwable th2) {
                        th = th2;
                        fileOutputStream2 = fileOutputStream;
                        oz.e(fileOutputStream2);
                        throw th;
                    }
                } catch (Throwable th3) {
                    th = th3;
                    oz.e(fileOutputStream2);
                    throw th;
                }
            } catch (Exception e4) {
                e2 = e4;
                throw new Error(e2);
            }
        }
    }

    public interface m {
    }

    public enum n {
        GET,
        PUT,
        POST,
        DELETE,
        HEAD,
        OPTIONS,
        TRACE,
        CONNECT,
        PATCH,
        PROPFIND,
        PROPPATCH,
        MKCOL,
        MOVE,
        COPY,
        LOCK,
        UNLOCK;

        public static n lookup(String str) {
            if (str == null) {
                return null;
            }
            try {
                return valueOf(str);
            } catch (IllegalArgumentException unused) {
                return null;
            }
        }
    }

    public static class o implements Closeable {
        public c a;
        public String b;
        public InputStream c;
        public long d;
        public final Map<String, String> e = new a();
        public final Map<String, String> f = new HashMap();
        public n g;
        public boolean h;
        public boolean i;
        public boolean j;

        public class a extends HashMap<String, String> {
            public a() {
            }

            public String put(String str, String str2) {
                String str3;
                Map<String, String> map = o.this.f;
                if (str == null) {
                    str3 = str;
                } else {
                    str3 = str.toLowerCase();
                }
                map.put(str3, str2);
                return (String) super.put((Object) str, (Object) str2);
            }
        }

        public static class b extends FilterOutputStream {
            public b(OutputStream outputStream) {
                super(outputStream);
            }

            public void a() {
                ((FilterOutputStream) this).out.write("0\r\n\r\n".getBytes());
            }

            @Override // java.io.OutputStream, java.io.FilterOutputStream
            public void write(int i) {
                write(new byte[]{(byte) i}, 0, 1);
            }

            @Override // java.io.OutputStream, java.io.FilterOutputStream
            public void write(byte[] bArr) {
                write(bArr, 0, bArr.length);
            }

            @Override // java.io.OutputStream, java.io.FilterOutputStream
            public void write(byte[] bArr, int i, int i2) {
                if (i2 != 0) {
                    ((FilterOutputStream) this).out.write(String.format("%x\r\n", Integer.valueOf(i2)).getBytes());
                    ((FilterOutputStream) this).out.write(bArr, i, i2);
                    ((FilterOutputStream) this).out.write("\r\n".getBytes());
                }
            }
        }

        public interface c {
        }

        public enum d implements c {
            SWITCH_PROTOCOL(101, "Switching Protocols"),
            OK(200, "OK"),
            CREATED(201, "Created"),
            ACCEPTED(202, "Accepted"),
            NO_CONTENT(204, "No Content"),
            PARTIAL_CONTENT(206, "Partial Content"),
            MULTI_STATUS(207, "Multi-Status"),
            REDIRECT(301, "Moved Permanently"),
            FOUND(302, "Found"),
            REDIRECT_SEE_OTHER(303, "See Other"),
            NOT_MODIFIED(304, "Not Modified"),
            TEMPORARY_REDIRECT(StatusLine.HTTP_TEMP_REDIRECT, "Temporary Redirect"),
            BAD_REQUEST(400, "Bad Request"),
            UNAUTHORIZED(401, "Unauthorized"),
            FORBIDDEN(403, "Forbidden"),
            NOT_FOUND(404, "Not Found"),
            METHOD_NOT_ALLOWED(405, "Method Not Allowed"),
            NOT_ACCEPTABLE(406, "Not Acceptable"),
            REQUEST_TIMEOUT(408, "Request Timeout"),
            CONFLICT(409, "Conflict"),
            GONE(410, "Gone"),
            LENGTH_REQUIRED(411, "Length Required"),
            PRECONDITION_FAILED(412, "Precondition Failed"),
            PAYLOAD_TOO_LARGE(413, "Payload Too Large"),
            UNSUPPORTED_MEDIA_TYPE(415, "Unsupported Media Type"),
            RANGE_NOT_SATISFIABLE(416, "Requested Range Not Satisfiable"),
            EXPECTATION_FAILED(417, "Expectation Failed"),
            TOO_MANY_REQUESTS(429, "Too Many Requests"),
            INTERNAL_ERROR(500, "Internal Server Error"),
            NOT_IMPLEMENTED(501, "Not Implemented"),
            SERVICE_UNAVAILABLE(503, "Service Unavailable"),
            UNSUPPORTED_HTTP_VERSION(505, "HTTP Version Not Supported");
            
            private final String description;
            private final int requestStatus;

            /* access modifiers changed from: public */
            d(int i, String str) {
                this.requestStatus = i;
                this.description = str;
            }

            public static d lookup(int i) {
                d[] values = values();
                for (int i2 = 0; i2 < 32; i2++) {
                    d dVar = values[i2];
                    if (dVar.getRequestStatus() == i) {
                        return dVar;
                    }
                }
                return null;
            }

            public String getDescription() {
                StringBuilder j = b2.j("");
                j.append(this.requestStatus);
                j.append(" ");
                j.append(this.description);
                return j.toString();
            }

            public int getRequestStatus() {
                return this.requestStatus;
            }
        }

        public o(c cVar, String str, InputStream inputStream, long j2) {
            this.a = cVar;
            this.b = str;
            boolean z = false;
            if (inputStream == null) {
                this.c = new ByteArrayInputStream(new byte[0]);
                this.d = 0;
            } else {
                this.c = inputStream;
                this.d = j2;
            }
            this.h = this.d < 0 ? true : z;
            this.j = true;
        }

        public boolean a() {
            return bx.HEAD_VALUE_CONNECTION_CLOSE.equals(this.f.get(RtspHeaders.CONNECTION.toLowerCase()));
        }

        public void b(PrintWriter printWriter, String str, String str2) {
            printWriter.append((CharSequence) str).append(": ").append((CharSequence) str2).append("\r\n");
        }

        public void c(OutputStream outputStream) {
            SimpleDateFormat simpleDateFormat = new SimpleDateFormat("E, d MMM yyyy HH:mm:ss 'GMT'", Locale.US);
            simpleDateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
            try {
                if (this.a != null) {
                    PrintWriter printWriter = new PrintWriter((Writer) new BufferedWriter(new OutputStreamWriter(outputStream, new d(this.b).b())), false);
                    printWriter.append("HTTP/1.1 ").append((CharSequence) ((d) this.a).getDescription()).append(" \r\n");
                    String str = this.b;
                    if (str != null) {
                        b(printWriter, "Content-Type", str);
                    }
                    if (this.f.get("date".toLowerCase()) == null) {
                        b(printWriter, bx.HEAD_KEY_DATE, simpleDateFormat.format(new Date()));
                    }
                    for (Map.Entry<String, String> entry : this.e.entrySet()) {
                        b(printWriter, entry.getKey(), entry.getValue());
                    }
                    if (this.f.get(RtspHeaders.CONNECTION.toLowerCase()) == null) {
                        b(printWriter, bx.HEAD_KEY_CONNECTION, this.j ? bx.HEAD_VALUE_CONNECTION_KEEP_ALIVE : bx.HEAD_VALUE_CONNECTION_CLOSE);
                    }
                    if (this.f.get(RtspHeaders.CONTENT_LENGTH.toLowerCase()) != null) {
                        this.i = false;
                    }
                    if (this.i) {
                        b(printWriter, bx.HEAD_KEY_CONTENT_ENCODING, "gzip");
                        this.h = true;
                    }
                    long j2 = this.c != null ? this.d : 0;
                    if (this.g != n.HEAD && this.h) {
                        b(printWriter, "Transfer-Encoding", "chunked");
                    } else if (!this.i) {
                        j2 = f(printWriter, j2);
                    }
                    printWriter.append("\r\n");
                    printWriter.flush();
                    e(outputStream, j2);
                    outputStream.flush();
                    oz.e(this.c);
                    return;
                }
                throw new Error("sendResponse(): Status can't be null.");
            } catch (IOException e2) {
                oz.d.log(Level.SEVERE, "Could not send response to the client", (Throwable) e2);
            }
        }

        @Override // java.io.Closeable, java.lang.AutoCloseable
        public void close() {
            InputStream inputStream = this.c;
            if (inputStream != null) {
                inputStream.close();
            }
        }

        public final void d(OutputStream outputStream, long j2) {
            long j3;
            byte[] bArr = new byte[((int) 16384)];
            boolean z = j2 == -1;
            while (true) {
                if (j2 > 0 || z) {
                    if (z) {
                        j3 = 16384;
                    } else {
                        j3 = Math.min(j2, 16384L);
                    }
                    int read = this.c.read(bArr, 0, (int) j3);
                    if (read > 0) {
                        outputStream.write(bArr, 0, read);
                        if (!z) {
                            j2 -= (long) read;
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            }
        }

        public final void e(OutputStream outputStream, long j2) {
            if (this.g != n.HEAD && this.h) {
                b bVar = new b(outputStream);
                if (this.i) {
                    GZIPOutputStream gZIPOutputStream = new GZIPOutputStream(bVar);
                    d(gZIPOutputStream, -1);
                    gZIPOutputStream.finish();
                } else {
                    d(bVar, -1);
                }
                bVar.a();
            } else if (this.i) {
                GZIPOutputStream gZIPOutputStream2 = new GZIPOutputStream(outputStream);
                d(gZIPOutputStream2, -1);
                gZIPOutputStream2.finish();
            } else {
                d(outputStream, j2);
            }
        }

        public long f(PrintWriter printWriter, long j2) {
            String str = this.f.get(RtspHeaders.CONTENT_LENGTH.toLowerCase());
            if (str != null) {
                try {
                    j2 = Long.parseLong(str);
                } catch (NumberFormatException unused) {
                    Logger logger = oz.d;
                    logger.severe("content-length was no number " + str);
                }
            }
            printWriter.print("Content-Length: " + j2 + "\r\n");
            return j2;
        }

        public void g(boolean z) {
            this.i = z;
        }

        public void h(boolean z) {
            this.j = z;
        }

        public void i(n nVar) {
            this.g = nVar;
        }
    }

    public class q implements Runnable {
        public final int a;
        public IOException b;
        public boolean c = false;

        public q(int i) {
            this.a = i;
        }

        public void run() {
            InetSocketAddress inetSocketAddress;
            try {
                ServerSocket serverSocket = oz.this.g;
                if (oz.this.e != null) {
                    oz ozVar = oz.this;
                    inetSocketAddress = new InetSocketAddress(ozVar.e, ozVar.f);
                } else {
                    inetSocketAddress = new InetSocketAddress(oz.this.f);
                }
                serverSocket.bind(inetSocketAddress);
                this.c = true;
                do {
                    try {
                        Socket accept = oz.this.g.accept();
                        int i = this.a;
                        if (i > 0) {
                            accept.setSoTimeout(i);
                        }
                        InputStream inputStream = accept.getInputStream();
                        oz ozVar2 = oz.this;
                        ((g) ozVar2.j).a(new c(inputStream, accept));
                    } catch (IOException e) {
                        oz.d.log(Level.FINE, "Communication with the client broken", (Throwable) e);
                    }
                } while (!oz.this.g.isClosed());
            } catch (IOException e2) {
                this.b = e2;
            }
        }
    }

    public interface r {
    }

    public interface s {
        void delete();
    }

    public interface t {
    }

    public interface u {
    }

    public oz(int i2) {
        this.f = i2;
        this.k = new k(this, null);
        this.j = new g();
    }

    public static String b(String str) {
        try {
            return URLDecoder.decode(str, "UTF8");
        } catch (UnsupportedEncodingException e2) {
            d.log(Level.WARNING, "Encoding not supported, ignored", (Throwable) e2);
            return null;
        }
    }

    public static o c(o.c cVar, String str, InputStream inputStream, long j2) {
        return new o(cVar, str, inputStream, j2);
    }

    public static o d(o.c cVar, String str, String str2) {
        byte[] bArr;
        d dVar = new d(str);
        if (str2 == null) {
            return c(cVar, str, new ByteArrayInputStream(new byte[0]), 0);
        }
        try {
            if (!Charset.forName(dVar.b()).newEncoder().canEncode(str2) && dVar.f == null) {
                dVar = new d(str + "; charset=UTF-8");
            }
            bArr = str2.getBytes(dVar.b());
        } catch (UnsupportedEncodingException e2) {
            d.log(Level.SEVERE, "encoding problem, responding nothing", (Throwable) e2);
            bArr = new byte[0];
        }
        return c(cVar, dVar.d, new ByteArrayInputStream(bArr), (long) bArr.length);
    }

    public static final void e(Object obj) {
        if (obj != null) {
            try {
                if (obj instanceof Closeable) {
                    ((Closeable) obj).close();
                } else if (obj instanceof Socket) {
                    ((Socket) obj).close();
                } else if (obj instanceof ServerSocket) {
                    ((ServerSocket) obj).close();
                } else {
                    throw new IllegalArgumentException("Unknown object to close");
                }
            } catch (IOException e2) {
                d.log(Level.SEVERE, "Could not close", (Throwable) e2);
            }
        }
    }

    public o f(m mVar) {
        HashMap hashMap = new HashMap();
        l lVar = (l) mVar;
        n nVar = lVar.g;
        if (n.PUT.equals(nVar) || n.POST.equals(nVar)) {
            try {
                ((l) mVar).h(hashMap);
            } catch (IOException e2) {
                o.d dVar = o.d.INTERNAL_ERROR;
                StringBuilder j2 = b2.j("SERVER INTERNAL ERROR: IOException: ");
                j2.append(e2.getMessage());
                return d(dVar, "text/plain", j2.toString());
            } catch (p e3) {
                return d(e3.getStatus(), "text/plain", e3.getMessage());
            }
        }
        ((HashMap) lVar.g()).put("NanoHttpd.QUERY_STRING", lVar.k);
        return d(o.d.NOT_FOUND, "text/plain", "Not Found");
    }

    public void g(int i2, boolean z) {
        ((h) this.h).getClass();
        this.g = new ServerSocket();
        this.g.setReuseAddress(true);
        q qVar = new q(i2);
        Thread thread = new Thread(qVar);
        this.i = thread;
        thread.setDaemon(z);
        this.i.setName("NanoHttpd Main Listener");
        this.i.start();
        while (!qVar.c && qVar.b == null) {
            try {
                Thread.sleep(10);
            } catch (Throwable unused) {
            }
        }
        IOException iOException = qVar.b;
        if (iOException != null) {
            throw iOException;
        }
    }

    public boolean h(o oVar) {
        String str = oVar.b;
        return str != null && (str.toLowerCase().contains("text/") || oVar.b.toLowerCase().contains("/json"));
    }

    public static final class p extends Exception {
        private static final long serialVersionUID = 6569838532917408380L;
        private final o.d status;

        public p(o.d dVar, String str) {
            super(str);
            this.status = dVar;
        }

        public o.d getStatus() {
            return this.status;
        }

        public p(o.d dVar, String str, Exception exc) {
            super(str, exc);
            this.status = dVar;
        }
    }
}
