package androidx.base;

import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.j2objc.annotations.ReflectionSupport;
import java.lang.reflect.Field;
import java.security.AccessController;
import java.security.PrivilegedActionException;
import java.security.PrivilegedExceptionAction;
import java.util.Locale;
import java.util.concurrent.CancellationException;
import java.util.concurrent.ExecutionException;
import java.util.concurrent.Executor;
import java.util.concurrent.Future;
import java.util.concurrent.ScheduledFuture;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.TimeoutException;
import java.util.concurrent.atomic.AtomicReferenceFieldUpdater;
import java.util.concurrent.locks.LockSupport;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;
import sun.misc.Unsafe;

@ReflectionSupport(ReflectionSupport.Level.FULL)
public abstract class tu<V> extends wu implements uu<V> {
    public static final boolean a = Boolean.parseBoolean(System.getProperty("guava.concurrent.generate_cancellation_cause", "false"));
    public static final Logger b = Logger.getLogger(tu.class.getName());
    public static final b c;
    public static final Object d = new Object();
    @NullableDecl
    public volatile Object e;
    @NullableDecl
    public volatile e f;
    @NullableDecl
    public volatile k g;

    public static abstract class b {
        public b(a aVar) {
        }

        public abstract boolean a(tu<?> tuVar, e eVar, e eVar2);

        public abstract boolean b(tu<?> tuVar, Object obj, Object obj2);

        public abstract boolean c(tu<?> tuVar, k kVar, k kVar2);

        public abstract void d(k kVar, k kVar2);

        public abstract void e(k kVar, Thread thread);
    }

    public static final class c {
        public static final c a;
        public static final c b;
        public final boolean c;
        @NullableDecl
        public final Throwable d;

        static {
            if (tu.a) {
                b = null;
                a = null;
                return;
            }
            b = new c(false, null);
            a = new c(true, null);
        }

        public c(boolean z, @NullableDecl Throwable th) {
            this.c = z;
            this.d = th;
        }
    }

    public static final class d {
        public final Throwable a;

        public static class a extends Throwable {
            public a(String str) {
                super(str);
            }

            public synchronized Throwable fillInStackTrace() {
                return this;
            }
        }

        static {
            new a("Failure occurred while trying to finish a future.");
        }

        public d(Throwable th) {
            th.getClass();
            this.a = th;
        }
    }

    public static final class e {
        public static final e a = new e(null, null);
        public final Runnable b = null;
        public final Executor c = null;
        @NullableDecl
        public e d;

        public e(Runnable runnable, Executor executor) {
        }
    }

    public static final class f extends b {
        public final AtomicReferenceFieldUpdater<k, Thread> a;
        public final AtomicReferenceFieldUpdater<k, k> b;
        public final AtomicReferenceFieldUpdater<tu, k> c;
        public final AtomicReferenceFieldUpdater<tu, e> d;
        public final AtomicReferenceFieldUpdater<tu, Object> e;

        public f(AtomicReferenceFieldUpdater<k, Thread> atomicReferenceFieldUpdater, AtomicReferenceFieldUpdater<k, k> atomicReferenceFieldUpdater2, AtomicReferenceFieldUpdater<tu, k> atomicReferenceFieldUpdater3, AtomicReferenceFieldUpdater<tu, e> atomicReferenceFieldUpdater4, AtomicReferenceFieldUpdater<tu, Object> atomicReferenceFieldUpdater5) {
            super(null);
            this.a = atomicReferenceFieldUpdater;
            this.b = atomicReferenceFieldUpdater2;
            this.c = atomicReferenceFieldUpdater3;
            this.d = atomicReferenceFieldUpdater4;
            this.e = atomicReferenceFieldUpdater5;
        }

        @Override // androidx.base.tu.b
        public boolean a(tu<?> tuVar, e eVar, e eVar2) {
            return this.d.compareAndSet(tuVar, eVar, eVar2);
        }

        @Override // androidx.base.tu.b
        public boolean b(tu<?> tuVar, Object obj, Object obj2) {
            return this.e.compareAndSet(tuVar, obj, obj2);
        }

        @Override // androidx.base.tu.b
        public boolean c(tu<?> tuVar, k kVar, k kVar2) {
            return this.c.compareAndSet(tuVar, kVar, kVar2);
        }

        @Override // androidx.base.tu.b
        public void d(k kVar, k kVar2) {
            this.b.lazySet(kVar, kVar2);
        }

        @Override // androidx.base.tu.b
        public void e(k kVar, Thread thread) {
            this.a.lazySet(kVar, thread);
        }
    }

    public static final class g<V> implements Runnable {
        public void run() {
            throw null;
        }
    }

    public static final class h extends b {
        public h(a aVar) {
            super(null);
        }

        @Override // androidx.base.tu.b
        public boolean a(tu<?> tuVar, e eVar, e eVar2) {
            synchronized (tuVar) {
                if (tuVar.f != eVar) {
                    return false;
                }
                tuVar.f = eVar2;
                return true;
            }
        }

        @Override // androidx.base.tu.b
        public boolean b(tu<?> tuVar, Object obj, Object obj2) {
            synchronized (tuVar) {
                if (tuVar.e != obj) {
                    return false;
                }
                tuVar.e = obj2;
                return true;
            }
        }

        @Override // androidx.base.tu.b
        public boolean c(tu<?> tuVar, k kVar, k kVar2) {
            synchronized (tuVar) {
                if (tuVar.g != kVar) {
                    return false;
                }
                tuVar.g = kVar2;
                return true;
            }
        }

        @Override // androidx.base.tu.b
        public void d(k kVar, k kVar2) {
            kVar.c = kVar2;
        }

        @Override // androidx.base.tu.b
        public void e(k kVar, Thread thread) {
            kVar.b = thread;
        }
    }

    public static abstract class i<V> extends tu<V> implements uu {
        @Override // androidx.base.tu
        @CanIgnoreReturnValue
        public final boolean cancel(boolean z) {
            return tu.super.cancel(z);
        }

        @Override // java.util.concurrent.Future, androidx.base.tu
        @CanIgnoreReturnValue
        public final V get() {
            return (V) tu.super.get();
        }

        @Override // androidx.base.tu
        public final boolean isCancelled() {
            return this.e instanceof c;
        }

        @Override // androidx.base.tu
        public final boolean isDone() {
            return tu.super.isDone();
        }

        @Override // java.util.concurrent.Future, androidx.base.tu
        @CanIgnoreReturnValue
        public final V get(long j, TimeUnit timeUnit) {
            return (V) tu.super.get(j, timeUnit);
        }
    }

    public static final class j extends b {
        public static final Unsafe a;
        public static final long b;
        public static final long c;
        public static final long d;
        public static final long e;
        public static final long f;

        public static class a implements PrivilegedExceptionAction<Unsafe> {
            /* renamed from: a */
            public Unsafe run() {
                Field[] declaredFields = Unsafe.class.getDeclaredFields();
                for (Field field : declaredFields) {
                    field.setAccessible(true);
                    Object obj = field.get(null);
                    if (Unsafe.class.isInstance(obj)) {
                        return (Unsafe) Unsafe.class.cast(obj);
                    }
                }
                throw new NoSuchFieldError("the Unsafe");
            }
        }

        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0007 */
        static {
            Unsafe unsafe = Unsafe.getUnsafe();
            try {
                unsafe = (Unsafe) AccessController.doPrivileged(new a());
                try {
                    c = unsafe.objectFieldOffset(tu.class.getDeclaredField("g"));
                    b = unsafe.objectFieldOffset(tu.class.getDeclaredField("f"));
                    d = unsafe.objectFieldOffset(tu.class.getDeclaredField("e"));
                    e = unsafe.objectFieldOffset(k.class.getDeclaredField("b"));
                    f = unsafe.objectFieldOffset(k.class.getDeclaredField("c"));
                    a = unsafe;
                } catch (Exception e2) {
                    Object obj = br.a;
                    if (e2 instanceof RuntimeException) {
                        throw ((RuntimeException) e2);
                    } else if (!(e2 instanceof Error)) {
                        throw new RuntimeException(e2);
                    } else {
                        throw ((Error) e2);
                    }
                }
            } catch (PrivilegedActionException e3) {
                throw new RuntimeException("Could not initialize intrinsics", e3.getCause());
            }
        }

        public j(a aVar) {
            super(null);
        }

        @Override // androidx.base.tu.b
        public boolean a(tu<?> tuVar, e eVar, e eVar2) {
            return a.compareAndSwapObject(tuVar, b, eVar, eVar2);
        }

        @Override // androidx.base.tu.b
        public boolean b(tu<?> tuVar, Object obj, Object obj2) {
            return a.compareAndSwapObject(tuVar, d, obj, obj2);
        }

        @Override // androidx.base.tu.b
        public boolean c(tu<?> tuVar, k kVar, k kVar2) {
            return a.compareAndSwapObject(tuVar, c, kVar, kVar2);
        }

        @Override // androidx.base.tu.b
        public void d(k kVar, k kVar2) {
            a.putObject(kVar, f, kVar2);
        }

        @Override // androidx.base.tu.b
        public void e(k kVar, Thread thread) {
            a.putObject(kVar, e, thread);
        }
    }

    public static final class k {
        public static final k a = new k(false);
        @NullableDecl
        public volatile Thread b;
        @NullableDecl
        public volatile k c;

        public k(boolean z) {
        }

        public k() {
            tu.c.e(this, Thread.currentThread());
        }
    }

    static {
        b bVar;
        Throwable th;
        Throwable th2 = null;
        try {
            bVar = new j(null);
            th = null;
        } catch (Throwable th3) {
            bVar = new h(null);
            th2 = th3;
        }
        c = bVar;
        if (th2 != null) {
            Logger logger = b;
            Level level = Level.SEVERE;
            logger.log(level, "UnsafeAtomicHelper is broken!", th);
            logger.log(level, "SafeAtomicHelper is broken!", th2);
        }
    }

    public static void b(tu<?> tuVar) {
        k kVar;
        e eVar;
        do {
            kVar = tuVar.g;
        } while (!c.c(tuVar, kVar, k.a));
        while (kVar != null) {
            Thread thread = kVar.b;
            if (thread != null) {
                kVar.b = null;
                LockSupport.unpark(thread);
            }
            kVar = kVar.c;
        }
        do {
            eVar = tuVar.f;
        } while (!c.a(tuVar, eVar, e.a));
        e eVar2 = null;
        while (eVar != null) {
            e eVar3 = eVar.d;
            eVar.d = eVar2;
            eVar2 = eVar;
            eVar = eVar3;
        }
        while (eVar2 != null) {
            e eVar4 = eVar2.d;
            Runnable runnable = eVar2.b;
            if (!(runnable instanceof g)) {
                Executor executor = eVar2.c;
                try {
                    executor.execute(runnable);
                } catch (RuntimeException e2) {
                    b.log(Level.SEVERE, "RuntimeException while executing runnable " + runnable + " with executor " + executor, (Throwable) e2);
                }
                eVar2 = eVar4;
            } else {
                ((g) runnable).getClass();
                throw null;
            }
        }
    }

    public static <V> V d(Future<V> future) {
        V v;
        boolean z = false;
        while (true) {
            try {
                v = future.get();
                break;
            } catch (InterruptedException unused) {
                z = true;
            } catch (Throwable th) {
                if (z) {
                    Thread.currentThread().interrupt();
                }
                throw th;
            }
        }
        if (z) {
            Thread.currentThread().interrupt();
        }
        return v;
    }

    public final void a(StringBuilder sb) {
        String str;
        try {
            Object d2 = d(this);
            sb.append("SUCCESS, result=[");
            if (d2 == this) {
                str = "this future";
            } else {
                str = String.valueOf(d2);
            }
            sb.append(str);
            sb.append("]");
        } catch (ExecutionException e2) {
            sb.append("FAILURE, cause=[");
            sb.append(e2.getCause());
            sb.append("]");
        } catch (CancellationException unused) {
            sb.append("CANCELLED");
        } catch (RuntimeException e3) {
            sb.append("UNKNOWN, cause=[");
            sb.append(e3.getClass());
            sb.append(" thrown from get()]");
        }
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
    /* JADX WARN: Multi-variable type inference failed */
    public final V c(Object obj) {
        if (obj instanceof c) {
            Throwable th = ((c) obj).d;
            CancellationException cancellationException = new CancellationException("Task was cancelled.");
            cancellationException.initCause(th);
            throw cancellationException;
        } else if (obj instanceof d) {
            throw new ExecutionException(((d) obj).a);
        } else if (obj == d) {
            return null;
        } else {
            return obj;
        }
    }

    @CanIgnoreReturnValue
    public boolean cancel(boolean z) {
        Object obj = this.e;
        if (!(obj == null) && !(obj instanceof g)) {
            return false;
        }
        c cVar = a ? new c(z, new CancellationException("Future.cancel() was called.")) : z ? c.a : c.b;
        while (!c.b(this, obj, cVar)) {
            obj = this.e;
            if (!(obj instanceof g)) {
            }
        }
        b(this);
        if (!(obj instanceof g)) {
            return true;
        }
        ((g) obj).getClass();
        throw null;
        return false;
    }

    @NullableDecl
    public String e() {
        Object obj = this.e;
        if (obj instanceof g) {
            ((g) obj).getClass();
            return "setFuture=[null]";
        } else if (!(this instanceof ScheduledFuture)) {
            return null;
        } else {
            StringBuilder j2 = b2.j("remaining delay=[");
            j2.append(((ScheduledFuture) this).getDelay(TimeUnit.MILLISECONDS));
            j2.append(" ms]");
            return j2.toString();
        }
    }

    public final void f(k kVar) {
        kVar.b = null;
        while (true) {
            k kVar2 = this.g;
            if (kVar2 != k.a) {
                k kVar3 = null;
                while (kVar2 != null) {
                    k kVar4 = kVar2.c;
                    if (kVar2.b != null) {
                        kVar3 = kVar2;
                    } else if (kVar3 != null) {
                        kVar3.c = kVar4;
                        if (kVar3.b == null) {
                        }
                    } else if (!c.c(this, kVar2, kVar4)) {
                    }
                    kVar2 = kVar4;
                }
                return;
            }
            return;
        }
    }

    @Override // java.util.concurrent.Future
    @CanIgnoreReturnValue
    public V get(long j2, TimeUnit timeUnit) {
        long nanos = timeUnit.toNanos(j2);
        if (!Thread.interrupted()) {
            Object obj = this.e;
            if ((obj != null) && (!(obj instanceof g))) {
                return c(obj);
            }
            long nanoTime = nanos > 0 ? System.nanoTime() + nanos : 0;
            if (nanos >= 1000) {
                k kVar = this.g;
                if (kVar != k.a) {
                    k kVar2 = new k();
                    do {
                        b bVar = c;
                        bVar.d(kVar2, kVar);
                        if (bVar.c(this, kVar, kVar2)) {
                            do {
                                LockSupport.parkNanos(this, nanos);
                                if (!Thread.interrupted()) {
                                    Object obj2 = this.e;
                                    if ((obj2 != null) && (!(obj2 instanceof g))) {
                                        return c(obj2);
                                    }
                                    nanos = nanoTime - System.nanoTime();
                                } else {
                                    f(kVar2);
                                    throw new InterruptedException();
                                }
                            } while (nanos >= 1000);
                            f(kVar2);
                        } else {
                            kVar = this.g;
                        }
                    } while (kVar != k.a);
                }
                return c(this.e);
            }
            while (nanos > 0) {
                Object obj3 = this.e;
                if ((obj3 != null) && (!(obj3 instanceof g))) {
                    return c(obj3);
                }
                if (!Thread.interrupted()) {
                    nanos = nanoTime - System.nanoTime();
                } else {
                    throw new InterruptedException();
                }
            }
            String tuVar = toString();
            String timeUnit2 = timeUnit.toString();
            Locale locale = Locale.ROOT;
            String lowerCase = timeUnit2.toLowerCase(locale);
            String str = "Waited " + j2 + " " + timeUnit.toString().toLowerCase(locale);
            if (nanos + 1000 < 0) {
                String c2 = b2.c(str, " (plus ");
                long j3 = -nanos;
                long convert = timeUnit.convert(j3, TimeUnit.NANOSECONDS);
                long nanos2 = j3 - timeUnit.toNanos(convert);
                boolean z = convert == 0 || nanos2 > 1000;
                if (convert > 0) {
                    String str2 = c2 + convert + " " + lowerCase;
                    if (z) {
                        str2 = b2.c(str2, ",");
                    }
                    c2 = b2.c(str2, " ");
                }
                if (z) {
                    c2 = c2 + nanos2 + " nanoseconds ";
                }
                str = b2.c(c2, "delay)");
            }
            if (isDone()) {
                throw new TimeoutException(b2.c(str, " but future completed as timeout expired"));
            }
            throw new TimeoutException(b2.d(str, " for ", tuVar));
        }
        throw new InterruptedException();
    }

    public boolean isCancelled() {
        return this.e instanceof c;
    }

    public boolean isDone() {
        Object obj = this.e;
        return (!(obj instanceof g)) & (obj != null);
    }

    public String toString() {
        String str;
        StringBuilder sb = new StringBuilder();
        sb.append(super.toString());
        sb.append("[status=");
        if (isCancelled()) {
            sb.append("CANCELLED");
        } else if (isDone()) {
            a(sb);
        } else {
            try {
                str = e();
            } catch (RuntimeException e2) {
                StringBuilder j2 = b2.j("Exception thrown from implementation: ");
                j2.append(e2.getClass());
                str = j2.toString();
            }
            if (str != null && !str.isEmpty()) {
                sb.append("PENDING, info=[");
                sb.append(str);
                sb.append("]");
            } else if (isDone()) {
                a(sb);
            } else {
                sb.append("PENDING");
            }
        }
        sb.append("]");
        return sb.toString();
    }

    @Override // java.util.concurrent.Future
    @CanIgnoreReturnValue
    public V get() {
        Object obj;
        if (!Thread.interrupted()) {
            Object obj2 = this.e;
            if ((obj2 != null) && (!(obj2 instanceof g))) {
                return c(obj2);
            }
            k kVar = this.g;
            if (kVar != k.a) {
                k kVar2 = new k();
                do {
                    b bVar = c;
                    bVar.d(kVar2, kVar);
                    if (bVar.c(this, kVar, kVar2)) {
                        do {
                            LockSupport.park(this);
                            if (!Thread.interrupted()) {
                                obj = this.e;
                            } else {
                                f(kVar2);
                                throw new InterruptedException();
                            }
                        } while (!((obj != null) & (!(obj instanceof g))));
                        return c(obj);
                    }
                    kVar = this.g;
                } while (kVar != k.a);
            }
            return c(this.e);
        }
        throw new InterruptedException();
    }
}
