package androidx.base;

import android.app.AlarmManager;
import android.app.AppOpsManager;
import android.app.NotificationManager;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Build;
import android.os.Environment;
import android.os.PowerManager;
import android.provider.Settings;
import androidx.base.tv;
import androidx.core.app.NotificationManagerCompat;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;

public final class uv {
    public static void a(HashMap<String, Integer> hashMap, String str, int i) {
        String str2;
        if (hashMap.containsKey(str)) {
            Integer num = hashMap.get(str);
            if (num != null && num.intValue() < i) {
                StringBuilder sb = new StringBuilder();
                sb.append("The AndroidManifest.xml file <uses-permission android:name=\"");
                sb.append(str);
                sb.append("\" android:maxSdkVersion=\"");
                sb.append(num);
                sb.append("\" /> does not meet the requirements, ");
                if (i != Integer.MAX_VALUE) {
                    str2 = b2.t("the minimum requirement for maxSdkVersion is ", i);
                } else {
                    str2 = "please delete the android:maxSdkVersion=\"" + num + "\" attribute";
                }
                sb.append(str2);
                throw new IllegalArgumentException(sb.toString());
            }
            return;
        }
        throw new IllegalStateException(b2.d("Please register permissions in the AndroidManifest.xml file <uses-permission android:name=\"", str, "\" />"));
    }

    public static Intent b(Context context) {
        Intent intent = new Intent("android.settings.APPLICATION_DETAILS_SETTINGS");
        intent.setData(c(context));
        return intent;
    }

    public static Uri c(Context context) {
        StringBuilder j = b2.j("package:");
        j.append(context.getPackageName());
        return Uri.parse(j.toString());
    }

    public static Intent d(Context context, List<String> list) {
        boolean z;
        Intent intent;
        if (list != null && !list.isEmpty()) {
            boolean z2 = true;
            if (!list.isEmpty()) {
                Iterator<String> it = list.iterator();
                while (true) {
                    if (it.hasNext()) {
                        if (i(it.next())) {
                            z = true;
                            break;
                        }
                    } else {
                        break;
                    }
                }
            }
            z = false;
            if (z) {
                if (b.M() && list.size() == 3 && list.contains("android.permission.MANAGE_EXTERNAL_STORAGE") && list.contains("android.permission.READ_EXTERNAL_STORAGE") && list.contains("android.permission.WRITE_EXTERNAL_STORAGE")) {
                    return e(context);
                }
                if (list.size() == 1) {
                    String str = list.get(0);
                    if ("android.permission.MANAGE_EXTERNAL_STORAGE".equals(str)) {
                        return e(context);
                    }
                    Intent intent2 = null;
                    if ("android.permission.REQUEST_INSTALL_PACKAGES".equals(str)) {
                        if (b.P()) {
                            intent2 = new Intent("android.settings.MANAGE_UNKNOWN_APP_SOURCES");
                            intent2.setData(c(context));
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.SYSTEM_ALERT_WINDOW".equals(str)) {
                        if (b.O()) {
                            intent2 = new Intent("android.settings.action.MANAGE_OVERLAY_PERMISSION");
                            intent2.setData(c(context));
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.WRITE_SETTINGS".equals(str)) {
                        if (b.O()) {
                            intent2 = new Intent("android.settings.action.MANAGE_WRITE_SETTINGS");
                            intent2.setData(c(context));
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.NOTIFICATION_SERVICE".equals(str)) {
                        if (b.P()) {
                            intent2 = new Intent("android.settings.APP_NOTIFICATION_SETTINGS");
                            intent2.putExtra("android.provider.extra.APP_PACKAGE", context.getPackageName());
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.PACKAGE_USAGE_STATS".equals(str)) {
                        if (Build.VERSION.SDK_INT < 21) {
                            z2 = false;
                        }
                        if (z2) {
                            intent2 = new Intent("android.settings.USAGE_ACCESS_SETTINGS");
                            if (b.L()) {
                                intent2.setData(c(context));
                            }
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.BIND_NOTIFICATION_LISTENER_SERVICE".equals(str)) {
                        if (Build.VERSION.SDK_INT < 22) {
                            z2 = false;
                        }
                        if (z2) {
                            intent = new Intent("android.settings.ACTION_NOTIFICATION_LISTENER_SETTINGS");
                        } else {
                            intent = new Intent("android.settings.ACTION_NOTIFICATION_LISTENER_SETTINGS");
                        }
                        return !wv.a(context, intent) ? b(context) : intent;
                    } else if ("android.permission.SCHEDULE_EXACT_ALARM".equals(str)) {
                        if (b.N()) {
                            intent2 = new Intent("android.settings.REQUEST_SCHEDULE_EXACT_ALARM");
                            intent2.setData(c(context));
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.ACCESS_NOTIFICATION_POLICY".equals(str)) {
                        if (b.O()) {
                            intent2 = new Intent("android.settings.NOTIFICATION_POLICY_ACCESS_SETTINGS");
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    } else if ("android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS".equals(str)) {
                        if (b.O()) {
                            intent2 = new Intent("android.settings.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS");
                            intent2.setData(c(context));
                        }
                        return (intent2 == null || !wv.a(context, intent2)) ? b(context) : intent2;
                    }
                }
                return b(context);
            }
        }
        return b(context);
    }

    public static Intent e(Context context) {
        Intent intent;
        if (b.M()) {
            intent = new Intent("android.settings.MANAGE_APP_ALL_FILES_ACCESS_PERMISSION");
            intent.setData(c(context));
        } else {
            intent = null;
        }
        return (intent == null || !wv.a(context, intent)) ? b(context) : intent;
    }

    public static boolean f(Context context) {
        if (b.N()) {
            return ((AlarmManager) context.getSystemService(AlarmManager.class)).canScheduleExactAlarms();
        }
        return true;
    }

    public static boolean g(Context context, String str) {
        int i;
        if ("android.permission.NOTIFICATION_SERVICE".equals(str)) {
            return NotificationManagerCompat.from(context).areNotificationsEnabled();
        }
        boolean z = false;
        if ("android.permission.PACKAGE_USAGE_STATS".equals(str)) {
            if (!(Build.VERSION.SDK_INT >= 21)) {
                return true;
            }
            AppOpsManager appOpsManager = (AppOpsManager) context.getSystemService("appops");
            if (b.L()) {
                i = appOpsManager.unsafeCheckOpNoThrow("android:get_usage_stats", context.getApplicationInfo().uid, context.getPackageName());
            } else {
                i = appOpsManager.checkOpNoThrow("android:get_usage_stats", context.getApplicationInfo().uid, context.getPackageName());
            }
            if (i == 0) {
                z = true;
            }
            return z;
        } else if ("android.permission.BIND_NOTIFICATION_LISTENER_SERVICE".equals(str)) {
            if (Build.VERSION.SDK_INT >= 18) {
                z = true;
            }
            if (z) {
                return NotificationManagerCompat.getEnabledListenerPackages(context).contains(context.getPackageName());
            }
            return true;
        } else if (!b.O()) {
            return true;
        } else {
            if ("android.permission.MANAGE_EXTERNAL_STORAGE".equals(str)) {
                if (b.M()) {
                    return Environment.isExternalStorageManager();
                }
                return h(context, wv.b(tv.a.a));
            } else if ("android.permission.REQUEST_INSTALL_PACKAGES".equals(str)) {
                if (b.P()) {
                    return context.getPackageManager().canRequestPackageInstalls();
                }
                return true;
            } else if ("android.permission.SYSTEM_ALERT_WINDOW".equals(str)) {
                if (b.O()) {
                    return Settings.canDrawOverlays(context);
                }
                return true;
            } else if ("android.permission.WRITE_SETTINGS".equals(str)) {
                if (b.O()) {
                    return Settings.System.canWrite(context);
                }
                return true;
            } else if ("android.permission.SCHEDULE_EXACT_ALARM".equals(str)) {
                return f(context);
            } else {
                if ("android.permission.ACCESS_NOTIFICATION_POLICY".equals(str)) {
                    if (b.O()) {
                        return ((NotificationManager) context.getSystemService(NotificationManager.class)).isNotificationPolicyAccessGranted();
                    }
                    return true;
                } else if (!"android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS".equals(str)) {
                    if (!b.N()) {
                        if ("android.permission.BLUETOOTH_SCAN".equals(str)) {
                            if (context.checkSelfPermission("android.permission.ACCESS_COARSE_LOCATION") == 0) {
                                return true;
                            }
                            return false;
                        } else if ("android.permission.BLUETOOTH_CONNECT".equals(str) || "android.permission.BLUETOOTH_ADVERTISE".equals(str)) {
                            return true;
                        }
                    }
                    if (!b.L()) {
                        if ("android.permission.ACCESS_BACKGROUND_LOCATION".equals(str)) {
                            if (context.checkSelfPermission("android.permission.ACCESS_FINE_LOCATION") == 0) {
                                return true;
                            }
                            return false;
                        } else if ("android.permission.ACTIVITY_RECOGNITION".equals(str)) {
                            if (context.checkSelfPermission("android.permission.BODY_SENSORS") == 0) {
                                return true;
                            }
                            return false;
                        } else if ("android.permission.ACCESS_MEDIA_LOCATION".equals(str)) {
                            return true;
                        }
                    }
                    if (!b.Q() && "android.permission.ACCEPT_HANDOVER".equals(str)) {
                        return true;
                    }
                    if (!b.P()) {
                        if ("android.permission.ANSWER_PHONE_CALLS".equals(str)) {
                            return true;
                        }
                        if ("android.permission.READ_PHONE_NUMBERS".equals(str)) {
                            if (context.checkSelfPermission("android.permission.READ_PHONE_STATE") == 0) {
                                return true;
                            }
                            return false;
                        }
                    }
                    if (context.checkSelfPermission(str) == 0) {
                        return true;
                    }
                    return false;
                } else if (b.O()) {
                    return ((PowerManager) context.getSystemService(PowerManager.class)).isIgnoringBatteryOptimizations(context.getPackageName());
                } else {
                    return true;
                }
            }
        }
    }

    public static boolean h(Context context, List<String> list) {
        if (list == null || list.isEmpty()) {
            return false;
        }
        for (String str : list) {
            if (!g(context, str)) {
                return false;
            }
        }
        return true;
    }

    public static boolean i(String str) {
        return "android.permission.MANAGE_EXTERNAL_STORAGE".equals(str) || "android.permission.REQUEST_INSTALL_PACKAGES".equals(str) || "android.permission.SYSTEM_ALERT_WINDOW".equals(str) || "android.permission.WRITE_SETTINGS".equals(str) || "android.permission.NOTIFICATION_SERVICE".equals(str) || "android.permission.PACKAGE_USAGE_STATS".equals(str) || "android.permission.SCHEDULE_EXACT_ALARM".equals(str) || "android.permission.BIND_NOTIFICATION_LISTENER_SERVICE".equals(str) || "android.permission.ACCESS_NOTIFICATION_POLICY".equals(str) || "android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS".equals(str);
    }
}
