package androidx.base;

import android.net.NetworkInfo;
import android.os.Handler;
import androidx.base.cz;
import androidx.base.xy;
import java.io.IOException;
import okhttp3.CacheControl;
import okhttp3.Request;
import okhttp3.Response;
import okhttp3.ResponseBody;

public class vy extends cz {
    public final my a;
    public final ez b;

    public static class a extends IOException {
        public a(String str) {
            super(str);
        }
    }

    public static final class b extends IOException {
        public final int code;
        public final int networkPolicy;

        public b(int i, int i2) {
            super(b2.t("HTTP ", i));
            this.code = i;
            this.networkPolicy = i2;
        }
    }

    public vy(my myVar, ez ezVar) {
        this.a = myVar;
        this.b = ezVar;
    }

    @Override // androidx.base.cz
    public boolean c(az azVar) {
        String scheme = azVar.d.getScheme();
        return "http".equals(scheme) || "https".equals(scheme);
    }

    @Override // androidx.base.cz
    public int e() {
        return 2;
    }

    @Override // androidx.base.cz
    public cz.a f(az azVar, int i) {
        CacheControl cacheControl;
        if (i == 0) {
            cacheControl = null;
        } else if (uy.isOfflineOnly(i)) {
            cacheControl = CacheControl.FORCE_CACHE;
        } else {
            CacheControl.Builder builder = new CacheControl.Builder();
            if (!uy.shouldReadFromDiskCache(i)) {
                builder.noCache();
            }
            if (!uy.shouldWriteToDiskCache(i)) {
                builder.noStore();
            }
            cacheControl = builder.build();
        }
        Request.Builder url = new Request.Builder().url(azVar.d.toString());
        if (cacheControl != null) {
            url.cacheControl(cacheControl);
        }
        Response execute = ((wy) this.a).a.newCall(url.build()).execute();
        ResponseBody body = execute.body();
        if (execute.isSuccessful()) {
            xy.d dVar = execute.cacheResponse() == null ? xy.d.NETWORK : xy.d.DISK;
            if (dVar == xy.d.DISK && body.contentLength() == 0) {
                body.close();
                throw new a("Received response with 0 content-length header.");
            }
            if (dVar == xy.d.NETWORK && body.contentLength() > 0) {
                ez ezVar = this.b;
                long contentLength = body.contentLength();
                Handler handler = ezVar.c;
                handler.sendMessage(handler.obtainMessage(4, Long.valueOf(contentLength)));
            }
            return new cz.a(body.source(), dVar);
        }
        body.close();
        throw new b(execute.code(), 0);
    }

    @Override // androidx.base.cz
    public boolean g(boolean z, NetworkInfo networkInfo) {
        return networkInfo == null || networkInfo.isConnected();
    }
}
