package androidx.base;

import java.util.ArrayList;
import java.util.Collection;

public abstract class x10<E> extends ArrayList<E> {
    public x10(int i) {
        super(i);
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList, java.util.ArrayList
    public boolean add(E e) {
        onContentsChanged();
        return super.add(e);
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.ArrayList
    public boolean addAll(Collection<? extends E> collection) {
        onContentsChanged();
        return super.addAll(collection);
    }

    public void clear() {
        onContentsChanged();
        super.clear();
    }

    public abstract void onContentsChanged();

    @Override // java.util.List, java.util.AbstractList, java.util.ArrayList
    public E remove(int i) {
        onContentsChanged();
        return (E) super.remove(i);
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.ArrayList
    public boolean removeAll(Collection<?> collection) {
        onContentsChanged();
        return super.removeAll(collection);
    }

    public void removeRange(int i, int i2) {
        onContentsChanged();
        super.removeRange(i, i2);
    }

    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.ArrayList
    public boolean retainAll(Collection<?> collection) {
        onContentsChanged();
        return super.retainAll(collection);
    }

    @Override // java.util.List, java.util.AbstractList, java.util.ArrayList
    public E set(int i, E e) {
        onContentsChanged();
        return (E) super.set(i, e);
    }

    @Override // java.util.List, java.util.AbstractList, java.util.ArrayList
    public void add(int i, E e) {
        onContentsChanged();
        super.add(i, e);
    }

    @Override // java.util.List, java.util.AbstractList, java.util.ArrayList
    public boolean addAll(int i, Collection<? extends E> collection) {
        onContentsChanged();
        return super.addAll(i, collection);
    }

    @Override // java.util.List, java.util.ArrayList
    public boolean remove(Object obj) {
        onContentsChanged();
        return super.remove(obj);
    }
}
