package androidx.base;

import androidx.base.w20;
import java.util.Locale;
import okio.Utf8;

public enum z20 {
    Data {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                y20.f(o20.d());
            } else if (l == '&') {
                y20.a(z20.CharacterReferenceInData);
            } else if (l == '<') {
                y20.a(z20.TagOpen);
            } else if (l != 65535) {
                y20.g(o20.f());
            } else {
                y20.i(new w20.f());
            }
        }
    },
    CharacterReferenceInData {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$100(y20, z20.Data);
        }
    },
    Rcdata {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                o20.a();
                y20.f(Utf8.REPLACEMENT_CHARACTER);
            } else if (l == '&') {
                y20.a(z20.CharacterReferenceInRcdata);
            } else if (l == '<') {
                y20.a(z20.RcdataLessthanSign);
            } else if (l != 65535) {
                y20.g(o20.f());
            } else {
                y20.i(new w20.f());
            }
        }
    },
    CharacterReferenceInRcdata {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$100(y20, z20.Rcdata);
        }
    },
    Rawtext {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$200(y20, o20, this, z20.RawtextLessthanSign);
        }
    },
    ScriptData {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$200(y20, o20, this, z20.ScriptDataLessthanSign);
        }
    },
    PLAINTEXT {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                o20.a();
                y20.f(Utf8.REPLACEMENT_CHARACTER);
            } else if (l != 65535) {
                y20.g(o20.h(0));
            } else {
                y20.i(new w20.f());
            }
        }
    },
    TagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == '!') {
                y20.a(z20.MarkupDeclarationOpen);
            } else if (l == '/') {
                y20.a(z20.EndTagOpen);
            } else if (l == '?') {
                y20.d();
                y20.a(z20.BogusComment);
            } else if (o20.s()) {
                y20.e(true);
                y20.e = z20.TagName;
            } else {
                y20.m(this);
                y20.f('<');
                y20.e = z20.Data;
            }
        }
    },
    EndTagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.m()) {
                y20.k(this);
                y20.g("</");
                y20.e = z20.Data;
            } else if (o20.s()) {
                y20.e(false);
                y20.e = z20.TagName;
            } else if (o20.q('>')) {
                y20.m(this);
                y20.a(z20.Data);
            } else {
                y20.m(this);
                y20.d();
                y20.a(z20.BogusComment);
            }
        }
    },
    TagName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            o20.b();
            int i = o20.e;
            int i2 = o20.c;
            char[] cArr = o20.a;
            int i3 = i;
            while (i3 < i2 && (r12 = cArr[i3]) != 0 && r12 != ' ' && r12 != '/' && r12 != '<' && r12 != '>' && r12 != '\t' && r12 != '\n' && r12 != '\f' && r12 != '\r') {
                i3++;
            }
            o20.e = i3;
            y20.k.n(i3 > i ? o20.c(o20.a, o20.h, i, i3 - i) : "");
            char d = o20.d();
            if (d != 0) {
                if (d != ' ') {
                    if (d != '/') {
                        if (d == '<') {
                            o20.w();
                            y20.m(this);
                        } else if (d != '>') {
                            if (d == 65535) {
                                y20.k(this);
                                y20.e = z20.Data;
                                return;
                            } else if (!(d == '\t' || d == '\n' || d == '\f' || d == '\r')) {
                                y20.k.m(d);
                                return;
                            }
                        }
                        y20.j();
                        y20.e = z20.Data;
                        return;
                    }
                    y20.e = z20.SelfClosingStartTag;
                    return;
                }
                y20.e = z20.BeforeAttributeName;
                return;
            }
            y20.k.n(z20.a);
        }
    },
    RcdataLessthanSign {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.q('/')) {
                w20.h(y20.j);
                y20.a(z20.RCDATAEndTagOpen);
                return;
            }
            if (o20.s() && y20.q != null) {
                StringBuilder j = b2.j("</");
                j.append(y20.q);
                String sb = j.toString();
                Locale locale = Locale.ENGLISH;
                if (!(o20.t(sb.toLowerCase(locale)) > -1 || o20.t(sb.toUpperCase(locale)) > -1)) {
                    w20.i e = y20.e(false);
                    e.s(y20.q);
                    y20.k = e;
                    y20.j();
                    y20.e = z20.TagOpen;
                    return;
                }
            }
            y20.g("<");
            y20.e = z20.Rcdata;
        }
    },
    RCDATAEndTagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                y20.e(false);
                y20.k.m(o20.l());
                y20.j.append(o20.l());
                y20.a(z20.RCDATAEndTagName);
                return;
            }
            y20.g("</");
            y20.e = z20.Rcdata;
        }
    },
    RCDATAEndTagName {
        public final void a(y20 y20, o20 o20) {
            y20.g("</");
            y20.h(y20.j);
            o20.w();
            y20.e = z20.Rcdata;
        }

        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                String g = o20.g();
                y20.k.n(g);
                y20.j.append(g);
                return;
            }
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                if (y20.n()) {
                    y20.e = z20.BeforeAttributeName;
                } else {
                    a(y20, o20);
                }
            } else if (d != '/') {
                if (d != '>') {
                    a(y20, o20);
                } else if (y20.n()) {
                    y20.j();
                    y20.e = z20.Data;
                } else {
                    a(y20, o20);
                }
            } else if (y20.n()) {
                y20.e = z20.SelfClosingStartTag;
            } else {
                a(y20, o20);
            }
        }
    },
    RawtextLessthanSign {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.q('/')) {
                w20.h(y20.j);
                y20.a(z20.RawtextEndTagOpen);
                return;
            }
            y20.f('<');
            y20.e = z20.Rawtext;
        }
    },
    RawtextEndTagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$400(y20, o20, z20.RawtextEndTagName, z20.Rawtext);
        }
    },
    RawtextEndTagName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$500(y20, o20, z20.Rawtext);
        }
    },
    ScriptDataLessthanSign {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '!') {
                y20.g("<!");
                y20.e = z20.ScriptDataEscapeStart;
            } else if (d == '/') {
                w20.h(y20.j);
                y20.e = z20.ScriptDataEndTagOpen;
            } else if (d != 65535) {
                y20.g("<");
                o20.w();
                y20.e = z20.ScriptData;
            } else {
                y20.g("<");
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    ScriptDataEndTagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$400(y20, o20, z20.ScriptDataEndTagName, z20.ScriptData);
        }
    },
    ScriptDataEndTagName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$500(y20, o20, z20.ScriptData);
        }
    },
    ScriptDataEscapeStart {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.q('-')) {
                y20.f('-');
                y20.a(z20.ScriptDataEscapeStartDash);
                return;
            }
            y20.e = z20.ScriptData;
        }
    },
    ScriptDataEscapeStartDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.q('-')) {
                y20.f('-');
                y20.a(z20.ScriptDataEscapedDashDash);
                return;
            }
            y20.e = z20.ScriptData;
        }
    },
    ScriptDataEscaped {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.m()) {
                y20.k(this);
                y20.e = z20.Data;
                return;
            }
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                o20.a();
                y20.f(Utf8.REPLACEMENT_CHARACTER);
            } else if (l == '-') {
                y20.f('-');
                y20.a(z20.ScriptDataEscapedDash);
            } else if (l != '<') {
                y20.g(o20.i('-', '<', 0));
            } else {
                y20.a(z20.ScriptDataEscapedLessthanSign);
            }
        }
    },
    ScriptDataEscapedDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.m()) {
                y20.k(this);
                y20.e = z20.Data;
                return;
            }
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.f(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.ScriptDataEscaped;
            } else if (d == '-') {
                y20.f(d);
                y20.e = z20.ScriptDataEscapedDashDash;
            } else if (d != '<') {
                y20.f(d);
                y20.e = z20.ScriptDataEscaped;
            } else {
                y20.e = z20.ScriptDataEscapedLessthanSign;
            }
        }
    },
    ScriptDataEscapedDashDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.m()) {
                y20.k(this);
                y20.e = z20.Data;
                return;
            }
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.f(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.ScriptDataEscaped;
            } else if (d == '-') {
                y20.f(d);
            } else if (d == '<') {
                y20.e = z20.ScriptDataEscapedLessthanSign;
            } else if (d != '>') {
                y20.f(d);
                y20.e = z20.ScriptDataEscaped;
            } else {
                y20.f(d);
                y20.e = z20.ScriptData;
            }
        }
    },
    ScriptDataEscapedLessthanSign {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                w20.h(y20.j);
                y20.j.append(o20.l());
                y20.g("<");
                y20.f(o20.l());
                y20.a(z20.ScriptDataDoubleEscapeStart);
            } else if (o20.q('/')) {
                w20.h(y20.j);
                y20.a(z20.ScriptDataEscapedEndTagOpen);
            } else {
                y20.f('<');
                y20.e = z20.ScriptDataEscaped;
            }
        }
    },
    ScriptDataEscapedEndTagOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                y20.e(false);
                y20.k.m(o20.l());
                y20.j.append(o20.l());
                y20.a(z20.ScriptDataEscapedEndTagName);
                return;
            }
            y20.g("</");
            y20.e = z20.ScriptDataEscaped;
        }
    },
    ScriptDataEscapedEndTagName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$500(y20, o20, z20.ScriptDataEscaped);
        }
    },
    ScriptDataDoubleEscapeStart {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$600(y20, o20, z20.ScriptDataDoubleEscaped, z20.ScriptDataEscaped);
        }
    },
    ScriptDataDoubleEscaped {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                o20.a();
                y20.f(Utf8.REPLACEMENT_CHARACTER);
            } else if (l == '-') {
                y20.f(l);
                y20.a(z20.ScriptDataDoubleEscapedDash);
            } else if (l == '<') {
                y20.f(l);
                y20.a(z20.ScriptDataDoubleEscapedLessthanSign);
            } else if (l != 65535) {
                y20.g(o20.i('-', '<', 0));
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    ScriptDataDoubleEscapedDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.f(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.ScriptDataDoubleEscaped;
            } else if (d == '-') {
                y20.f(d);
                y20.e = z20.ScriptDataDoubleEscapedDashDash;
            } else if (d == '<') {
                y20.f(d);
                y20.e = z20.ScriptDataDoubleEscapedLessthanSign;
            } else if (d != 65535) {
                y20.f(d);
                y20.e = z20.ScriptDataDoubleEscaped;
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    ScriptDataDoubleEscapedDashDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.f(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.ScriptDataDoubleEscaped;
            } else if (d == '-') {
                y20.f(d);
            } else if (d == '<') {
                y20.f(d);
                y20.e = z20.ScriptDataDoubleEscapedLessthanSign;
            } else if (d == '>') {
                y20.f(d);
                y20.e = z20.ScriptData;
            } else if (d != 65535) {
                y20.f(d);
                y20.e = z20.ScriptDataDoubleEscaped;
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    ScriptDataDoubleEscapedLessthanSign {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.q('/')) {
                y20.f('/');
                w20.h(y20.j);
                y20.a(z20.ScriptDataDoubleEscapeEnd);
                return;
            }
            y20.e = z20.ScriptDataDoubleEscaped;
        }
    },
    ScriptDataDoubleEscapeEnd {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            z20.access$600(y20, o20, z20.ScriptDataEscaped, z20.ScriptDataDoubleEscaped);
        }
    },
    BeforeAttributeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                o20.w();
                y20.m(this);
                y20.k.t();
                y20.e = z20.AttributeName;
            } else if (d != ' ') {
                if (!(d == '\"' || d == '\'')) {
                    if (d == '/') {
                        y20.e = z20.SelfClosingStartTag;
                        return;
                    } else if (d == 65535) {
                        y20.k(this);
                        y20.e = z20.Data;
                        return;
                    } else if (d != '\t' && d != '\n' && d != '\f' && d != '\r') {
                        switch (d) {
                            case '<':
                                o20.w();
                                y20.m(this);
                                y20.j();
                                y20.e = z20.Data;
                                return;
                            case '=':
                                break;
                            case '>':
                                y20.j();
                                y20.e = z20.Data;
                                return;
                            default:
                                y20.k.t();
                                o20.w();
                                y20.e = z20.AttributeName;
                                return;
                        }
                    } else {
                        return;
                    }
                }
                y20.m(this);
                y20.k.t();
                y20.k.i(d);
                y20.e = z20.AttributeName;
            }
        }
    },
    AttributeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            String j = o20.j(z20.attributeNameCharsSorted);
            w20.i iVar = y20.k;
            String str = iVar.d;
            if (str != null) {
                j = str.concat(j);
            }
            iVar.d = j;
            char d = o20.d();
            if (d != 0) {
                if (d != ' ') {
                    if (!(d == '\"' || d == '\'')) {
                        if (d == '/') {
                            y20.e = z20.SelfClosingStartTag;
                            return;
                        } else if (d == 65535) {
                            y20.k(this);
                            y20.e = z20.Data;
                            return;
                        } else if (!(d == '\t' || d == '\n' || d == '\f' || d == '\r')) {
                            switch (d) {
                                case '<':
                                    break;
                                case '=':
                                    y20.e = z20.BeforeAttributeValue;
                                    return;
                                case '>':
                                    y20.j();
                                    y20.e = z20.Data;
                                    return;
                                default:
                                    y20.k.i(d);
                                    return;
                            }
                        }
                    }
                    y20.m(this);
                    y20.k.i(d);
                    return;
                }
                y20.e = z20.AfterAttributeName;
                return;
            }
            y20.m(this);
            y20.k.i(Utf8.REPLACEMENT_CHARACTER);
        }
    },
    AfterAttributeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.k.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.AttributeName;
            } else if (d != ' ') {
                if (!(d == '\"' || d == '\'')) {
                    if (d == '/') {
                        y20.e = z20.SelfClosingStartTag;
                        return;
                    } else if (d == 65535) {
                        y20.k(this);
                        y20.e = z20.Data;
                        return;
                    } else if (d != '\t' && d != '\n' && d != '\f' && d != '\r') {
                        switch (d) {
                            case '<':
                                break;
                            case '=':
                                y20.e = z20.BeforeAttributeValue;
                                return;
                            case '>':
                                y20.j();
                                y20.e = z20.Data;
                                return;
                            default:
                                y20.k.t();
                                o20.w();
                                y20.e = z20.AttributeName;
                                return;
                        }
                    } else {
                        return;
                    }
                }
                y20.m(this);
                y20.k.t();
                y20.k.i(d);
                y20.e = z20.AttributeName;
            }
        }
    },
    BeforeAttributeValue {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.k.j(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.AttributeValue_unquoted;
            } else if (d == ' ') {
            } else {
                if (d != '\"') {
                    if (d != '`') {
                        if (d == 65535) {
                            y20.k(this);
                            y20.j();
                            y20.e = z20.Data;
                            return;
                        } else if (d != '\t' && d != '\n' && d != '\f' && d != '\r') {
                            if (d == '&') {
                                o20.w();
                                y20.e = z20.AttributeValue_unquoted;
                                return;
                            } else if (d != '\'') {
                                switch (d) {
                                    case '<':
                                    case '=':
                                        break;
                                    case '>':
                                        y20.m(this);
                                        y20.j();
                                        y20.e = z20.Data;
                                        return;
                                    default:
                                        o20.w();
                                        y20.e = z20.AttributeValue_unquoted;
                                        return;
                                }
                            } else {
                                y20.e = z20.AttributeValue_singleQuoted;
                                return;
                            }
                        } else {
                            return;
                        }
                    }
                    y20.m(this);
                    y20.k.j(d);
                    y20.e = z20.AttributeValue_unquoted;
                    return;
                }
                y20.e = z20.AttributeValue_doubleQuoted;
            }
        }
    },
    AttributeValue_doubleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            String e = o20.e(false);
            if (e.length() > 0) {
                y20.k.k(e);
            } else {
                y20.k.g = true;
            }
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.k.j(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == '\"') {
                y20.e = z20.AfterAttributeValue_quoted;
            } else if (d == '&') {
                int[] c = y20.c('\"', true);
                if (c != null) {
                    y20.k.l(c);
                } else {
                    y20.k.j('&');
                }
            } else if (d != 65535) {
                y20.k.j(d);
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    AttributeValue_singleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            String e = o20.e(true);
            if (e.length() > 0) {
                y20.k.k(e);
            } else {
                y20.k.g = true;
            }
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.k.j(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == 65535) {
                y20.k(this);
                y20.e = z20.Data;
            } else if (d == '&') {
                int[] c = y20.c('\'', true);
                if (c != null) {
                    y20.k.l(c);
                } else {
                    y20.k.j('&');
                }
            } else if (d != '\'') {
                y20.k.j(d);
            } else {
                y20.e = z20.AfterAttributeValue_quoted;
            }
        }
    },
    AttributeValue_unquoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            String j = o20.j(z20.attributeValueUnquoted);
            if (j.length() > 0) {
                y20.k.k(j);
            }
            char d = o20.d();
            if (d != 0) {
                if (d != ' ') {
                    if (!(d == '\"' || d == '`')) {
                        if (d == 65535) {
                            y20.k(this);
                            y20.e = z20.Data;
                            return;
                        } else if (!(d == '\t' || d == '\n' || d == '\f' || d == '\r')) {
                            if (d == '&') {
                                int[] c = y20.c('>', true);
                                if (c != null) {
                                    y20.k.l(c);
                                    return;
                                } else {
                                    y20.k.j('&');
                                    return;
                                }
                            } else if (d != '\'') {
                                switch (d) {
                                    case '<':
                                    case '=':
                                        break;
                                    case '>':
                                        y20.j();
                                        y20.e = z20.Data;
                                        return;
                                    default:
                                        y20.k.j(d);
                                        return;
                                }
                            }
                        }
                    }
                    y20.m(this);
                    y20.k.j(d);
                    return;
                }
                y20.e = z20.BeforeAttributeName;
                return;
            }
            y20.m(this);
            y20.k.j(Utf8.REPLACEMENT_CHARACTER);
        }
    },
    AfterAttributeValue_quoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                y20.e = z20.BeforeAttributeName;
            } else if (d == '/') {
                y20.e = z20.SelfClosingStartTag;
            } else if (d == '>') {
                y20.j();
                y20.e = z20.Data;
            } else if (d != 65535) {
                o20.w();
                y20.m(this);
                y20.e = z20.BeforeAttributeName;
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    SelfClosingStartTag {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '>') {
                y20.k.i = true;
                y20.j();
                y20.e = z20.Data;
            } else if (d != 65535) {
                o20.w();
                y20.m(this);
                y20.e = z20.BeforeAttributeName;
            } else {
                y20.k(this);
                y20.e = z20.Data;
            }
        }
    },
    BogusComment {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            o20.w();
            y20.p.j(o20.h('>'));
            char d = o20.d();
            if (d == '>' || d == 65535) {
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    MarkupDeclarationOpen {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.o("--")) {
                y20.p.g();
                y20.e = z20.CommentStart;
            } else if (o20.p("DOCTYPE")) {
                y20.e = z20.Doctype;
            } else if (o20.o("[CDATA[")) {
                w20.h(y20.j);
                y20.e = z20.CdataSection;
            } else {
                y20.m(this);
                y20.d();
                y20.a(z20.BogusComment);
            }
        }
    },
    CommentStart {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.p.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.Comment;
            } else if (d == '-') {
                y20.e = z20.CommentStartDash;
            } else if (d == '>') {
                y20.m(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            } else if (d != 65535) {
                o20.w();
                y20.e = z20.Comment;
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    CommentStartDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.p.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.Comment;
            } else if (d == '-') {
                y20.e = z20.CommentStartDash;
            } else if (d == '>') {
                y20.m(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.p.i(d);
                y20.e = z20.Comment;
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    Comment {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char l = o20.l();
            if (l == 0) {
                y20.m(this);
                o20.a();
                y20.p.i(Utf8.REPLACEMENT_CHARACTER);
            } else if (l == '-') {
                y20.a(z20.CommentEndDash);
            } else if (l != 65535) {
                y20.p.j(o20.i('-', 0));
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    CommentEndDash {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                w20.d dVar = y20.p;
                dVar.i('-');
                dVar.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.Comment;
            } else if (d == '-') {
                y20.e = z20.CommentEnd;
            } else if (d != 65535) {
                w20.d dVar2 = y20.p;
                dVar2.i('-');
                dVar2.i(d);
                y20.e = z20.Comment;
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    CommentEnd {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                w20.d dVar = y20.p;
                dVar.j("--");
                dVar.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.Comment;
            } else if (d == '!') {
                y20.m(this);
                y20.e = z20.CommentEndBang;
            } else if (d == '-') {
                y20.m(this);
                y20.p.i('-');
            } else if (d == '>') {
                y20.i(y20.p);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.m(this);
                w20.d dVar2 = y20.p;
                dVar2.j("--");
                dVar2.i(d);
                y20.e = z20.Comment;
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    CommentEndBang {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                w20.d dVar = y20.p;
                dVar.j("--!");
                dVar.i(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.Comment;
            } else if (d == '-') {
                y20.p.j("--!");
                y20.e = z20.CommentEndDash;
            } else if (d == '>') {
                y20.i(y20.p);
                y20.e = z20.Data;
            } else if (d != 65535) {
                w20.d dVar2 = y20.p;
                dVar2.j("--!");
                dVar2.i(d);
                y20.e = z20.Comment;
            } else {
                y20.k(this);
                y20.i(y20.p);
                y20.e = z20.Data;
            }
        }
    },
    Doctype {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                y20.e = z20.BeforeDoctypeName;
                return;
            }
            if (d != '>') {
                if (d != 65535) {
                    y20.m(this);
                    y20.e = z20.BeforeDoctypeName;
                    return;
                }
                y20.k(this);
            }
            y20.m(this);
            y20.o.g();
            w20.e eVar = y20.o;
            eVar.f = true;
            y20.i(eVar);
            y20.e = z20.Data;
        }
    },
    BeforeDoctypeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                y20.o.g();
                y20.e = z20.DoctypeName;
                return;
            }
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.o.g();
                y20.o.b.append(Utf8.REPLACEMENT_CHARACTER);
                y20.e = z20.DoctypeName;
            } else if (d == ' ') {
            } else {
                if (d == 65535) {
                    y20.k(this);
                    y20.o.g();
                    w20.e eVar = y20.o;
                    eVar.f = true;
                    y20.i(eVar);
                    y20.e = z20.Data;
                } else if (d != '\t' && d != '\n' && d != '\f' && d != '\r') {
                    y20.o.g();
                    y20.o.b.append(d);
                    y20.e = z20.DoctypeName;
                }
            }
        }
    },
    DoctypeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.s()) {
                y20.o.b.append(o20.g());
                return;
            }
            char d = o20.d();
            if (d != 0) {
                if (d != ' ') {
                    if (d == '>') {
                        y20.i(y20.o);
                        y20.e = z20.Data;
                        return;
                    } else if (d == 65535) {
                        y20.k(this);
                        w20.e eVar = y20.o;
                        eVar.f = true;
                        y20.i(eVar);
                        y20.e = z20.Data;
                        return;
                    } else if (!(d == '\t' || d == '\n' || d == '\f' || d == '\r')) {
                        y20.o.b.append(d);
                        return;
                    }
                }
                y20.e = z20.AfterDoctypeName;
                return;
            }
            y20.m(this);
            y20.o.b.append(Utf8.REPLACEMENT_CHARACTER);
        }
    },
    AfterDoctypeName {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            if (o20.m()) {
                y20.k(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (o20.r('\t', '\n', '\r', '\f', ' ')) {
                o20.a();
            } else if (o20.q('>')) {
                y20.i(y20.o);
                y20.a(z20.Data);
            } else if (o20.p("PUBLIC")) {
                y20.o.c = "PUBLIC";
                y20.e = z20.AfterDoctypePublicKeyword;
            } else if (o20.p("SYSTEM")) {
                y20.o.c = "SYSTEM";
                y20.e = z20.AfterDoctypeSystemKeyword;
            } else {
                y20.m(this);
                y20.o.f = true;
                y20.a(z20.BogusDoctype);
            }
        }
    },
    AfterDoctypePublicKeyword {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                y20.e = z20.BeforeDoctypePublicIdentifier;
            } else if (d == '\"') {
                y20.m(this);
                y20.e = z20.DoctypePublicIdentifier_doubleQuoted;
            } else if (d == '\'') {
                y20.m(this);
                y20.e = z20.DoctypePublicIdentifier_singleQuoted;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.m(this);
                y20.o.f = true;
                y20.e = z20.BogusDoctype;
            } else {
                y20.k(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
                y20.e = z20.Data;
            }
        }
    },
    BeforeDoctypePublicIdentifier {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d != '\t' && d != '\n' && d != '\f' && d != '\r' && d != ' ') {
                if (d == '\"') {
                    y20.e = z20.DoctypePublicIdentifier_doubleQuoted;
                } else if (d == '\'') {
                    y20.e = z20.DoctypePublicIdentifier_singleQuoted;
                } else if (d == '>') {
                    y20.m(this);
                    w20.e eVar = y20.o;
                    eVar.f = true;
                    y20.i(eVar);
                    y20.e = z20.Data;
                } else if (d != 65535) {
                    y20.m(this);
                    y20.o.f = true;
                    y20.e = z20.BogusDoctype;
                } else {
                    y20.k(this);
                    w20.e eVar2 = y20.o;
                    eVar2.f = true;
                    y20.i(eVar2);
                    y20.e = z20.Data;
                }
            }
        }
    },
    DoctypePublicIdentifier_doubleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.o.d.append(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == '\"') {
                y20.e = z20.AfterDoctypePublicIdentifier;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.o.d.append(d);
            } else {
                y20.k(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
                y20.e = z20.Data;
            }
        }
    },
    DoctypePublicIdentifier_singleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.o.d.append(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == '\'') {
                y20.e = z20.AfterDoctypePublicIdentifier;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.o.d.append(d);
            } else {
                y20.k(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
                y20.e = z20.Data;
            }
        }
    },
    AfterDoctypePublicIdentifier {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                y20.e = z20.BetweenDoctypePublicAndSystemIdentifiers;
            } else if (d == '\"') {
                y20.m(this);
                y20.e = z20.DoctypeSystemIdentifier_doubleQuoted;
            } else if (d == '\'') {
                y20.m(this);
                y20.e = z20.DoctypeSystemIdentifier_singleQuoted;
            } else if (d == '>') {
                y20.i(y20.o);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.m(this);
                y20.o.f = true;
                y20.e = z20.BogusDoctype;
            } else {
                y20.k(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            }
        }
    },
    BetweenDoctypePublicAndSystemIdentifiers {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d != '\t' && d != '\n' && d != '\f' && d != '\r' && d != ' ') {
                if (d == '\"') {
                    y20.m(this);
                    y20.e = z20.DoctypeSystemIdentifier_doubleQuoted;
                } else if (d == '\'') {
                    y20.m(this);
                    y20.e = z20.DoctypeSystemIdentifier_singleQuoted;
                } else if (d == '>') {
                    y20.i(y20.o);
                    y20.e = z20.Data;
                } else if (d != 65535) {
                    y20.m(this);
                    y20.o.f = true;
                    y20.e = z20.BogusDoctype;
                } else {
                    y20.k(this);
                    w20.e eVar = y20.o;
                    eVar.f = true;
                    y20.i(eVar);
                    y20.e = z20.Data;
                }
            }
        }
    },
    AfterDoctypeSystemKeyword {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '\t' || d == '\n' || d == '\f' || d == '\r' || d == ' ') {
                y20.e = z20.BeforeDoctypeSystemIdentifier;
            } else if (d == '\"') {
                y20.m(this);
                y20.e = z20.DoctypeSystemIdentifier_doubleQuoted;
            } else if (d == '\'') {
                y20.m(this);
                y20.e = z20.DoctypeSystemIdentifier_singleQuoted;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.m(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
            } else {
                y20.k(this);
                w20.e eVar3 = y20.o;
                eVar3.f = true;
                y20.i(eVar3);
                y20.e = z20.Data;
            }
        }
    },
    BeforeDoctypeSystemIdentifier {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d != '\t' && d != '\n' && d != '\f' && d != '\r' && d != ' ') {
                if (d == '\"') {
                    y20.e = z20.DoctypeSystemIdentifier_doubleQuoted;
                } else if (d == '\'') {
                    y20.e = z20.DoctypeSystemIdentifier_singleQuoted;
                } else if (d == '>') {
                    y20.m(this);
                    w20.e eVar = y20.o;
                    eVar.f = true;
                    y20.i(eVar);
                    y20.e = z20.Data;
                } else if (d != 65535) {
                    y20.m(this);
                    y20.o.f = true;
                    y20.e = z20.BogusDoctype;
                } else {
                    y20.k(this);
                    w20.e eVar2 = y20.o;
                    eVar2.f = true;
                    y20.i(eVar2);
                    y20.e = z20.Data;
                }
            }
        }
    },
    DoctypeSystemIdentifier_doubleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.o.e.append(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == '\"') {
                y20.e = z20.AfterDoctypeSystemIdentifier;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.o.e.append(d);
            } else {
                y20.k(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
                y20.e = z20.Data;
            }
        }
    },
    DoctypeSystemIdentifier_singleQuoted {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == 0) {
                y20.m(this);
                y20.o.e.append(Utf8.REPLACEMENT_CHARACTER);
            } else if (d == '\'') {
                y20.e = z20.AfterDoctypeSystemIdentifier;
            } else if (d == '>') {
                y20.m(this);
                w20.e eVar = y20.o;
                eVar.f = true;
                y20.i(eVar);
                y20.e = z20.Data;
            } else if (d != 65535) {
                y20.o.e.append(d);
            } else {
                y20.k(this);
                w20.e eVar2 = y20.o;
                eVar2.f = true;
                y20.i(eVar2);
                y20.e = z20.Data;
            }
        }
    },
    AfterDoctypeSystemIdentifier {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d != '\t' && d != '\n' && d != '\f' && d != '\r' && d != ' ') {
                if (d == '>') {
                    y20.i(y20.o);
                    y20.e = z20.Data;
                } else if (d != 65535) {
                    y20.m(this);
                    y20.e = z20.BogusDoctype;
                } else {
                    y20.k(this);
                    w20.e eVar = y20.o;
                    eVar.f = true;
                    y20.i(eVar);
                    y20.e = z20.Data;
                }
            }
        }
    },
    BogusDoctype {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            char d = o20.d();
            if (d == '>') {
                y20.i(y20.o);
                y20.e = z20.Data;
            } else if (d == 65535) {
                y20.i(y20.o);
                y20.e = z20.Data;
            }
        }
    },
    CdataSection {
        @Override // androidx.base.z20
        public void read(y20 y20, o20 o20) {
            String str;
            int t = o20.t("]]>");
            if (t != -1) {
                str = o20.c(o20.a, o20.h, o20.e, t);
                o20.e += t;
            } else {
                int i = o20.c;
                int i2 = o20.e;
                if (i - i2 < 3) {
                    str = o20.k();
                } else {
                    int i3 = (i - 3) + 1;
                    str = o20.c(o20.a, o20.h, i2, i3 - i2);
                    o20.e = i3;
                }
            }
            y20.j.append(str);
            if (o20.o("]]>") || o20.m()) {
                y20.i(new w20.b(y20.j.toString()));
                y20.e = z20.Data;
            }
        }
    };
    
    public static final String a = String.valueOf((char) Utf8.REPLACEMENT_CHARACTER);
    public static final char[] attributeNameCharsSorted = {0, '\t', '\n', '\f', '\r', ' ', '\"', '\'', '/', '<', '=', '>'};
    public static final char[] attributeValueUnquoted = {0, '\t', '\n', '\f', '\r', ' ', '\"', '&', '\'', '<', '=', '>', '`'};
    public static final char nullChar = 0;

    /* access modifiers changed from: public */
    z20(k kVar) {
    }

    public static void access$100(y20 y20, z20 z20) {
        int[] c2 = y20.c(null, false);
        if (c2 == null) {
            y20.f('&');
        } else {
            y20.g(new String(c2, 0, c2.length));
        }
        y20.e = z20;
    }

    public static void access$200(y20 y20, o20 o20, z20 z20, z20 z202) {
        char l2 = o20.l();
        if (l2 == 0) {
            y20.m(z20);
            o20.a();
            y20.f(Utf8.REPLACEMENT_CHARACTER);
        } else if (l2 == '<') {
            y20.c.a();
            y20.e = z202;
        } else if (l2 != 65535) {
            int i2 = o20.e;
            int i3 = o20.c;
            char[] cArr = o20.a;
            int i4 = i2;
            while (i4 < i3) {
                char c2 = cArr[i4];
                if (c2 == 0 || c2 == '<') {
                    break;
                }
                i4++;
            }
            o20.e = i4;
            y20.g(i4 > i2 ? o20.c(o20.a, o20.h, i2, i4 - i2) : "");
        } else {
            y20.i(new w20.f());
        }
    }

    public static void access$400(y20 y20, o20 o20, z20 z20, z20 z202) {
        if (o20.s()) {
            y20.e(false);
            y20.e = z20;
            return;
        }
        y20.g("</");
        y20.e = z202;
    }

    public static void access$500(y20 y20, o20 o20, z20 z20) {
        if (o20.s()) {
            String g2 = o20.g();
            y20.k.n(g2);
            y20.j.append(g2);
            return;
        }
        boolean z2 = false;
        boolean z3 = true;
        if (y20.n() && !o20.m()) {
            char d2 = o20.d();
            if (d2 == '\t' || d2 == '\n' || d2 == '\f' || d2 == '\r' || d2 == ' ') {
                y20.e = BeforeAttributeName;
            } else if (d2 == '/') {
                y20.e = SelfClosingStartTag;
            } else if (d2 != '>') {
                y20.j.append(d2);
                z2 = true;
            } else {
                y20.j();
                y20.e = Data;
            }
            z3 = z2;
        }
        if (z3) {
            y20.g("</");
            y20.h(y20.j);
            y20.e = z20;
        }
    }

    public static void access$600(y20 y20, o20 o20, z20 z20, z20 z202) {
        if (o20.s()) {
            String g2 = o20.g();
            y20.j.append(g2);
            y20.g(g2);
            return;
        }
        char d2 = o20.d();
        if (d2 == '\t' || d2 == '\n' || d2 == '\f' || d2 == '\r' || d2 == ' ' || d2 == '/' || d2 == '>') {
            if (y20.j.toString().equals("script")) {
                y20.e = z20;
            } else {
                y20.e = z202;
            }
            y20.f(d2);
            return;
        }
        o20.w();
        y20.e = z202;
    }

    public abstract void read(y20 y20, o20 o20);
}
