package androidx.recyclerview.widget;

import android.view.View;
import androidx.base.b2;
import androidx.recyclerview.widget.RecyclerView;

public class LayoutState {
    public static final int INVALID_LAYOUT = Integer.MIN_VALUE;
    public static final int ITEM_DIRECTION_HEAD = -1;
    public static final int ITEM_DIRECTION_TAIL = 1;
    public static final int LAYOUT_END = 1;
    public static final int LAYOUT_START = -1;
    public int mAvailable;
    public int mCurrentPosition;
    public int mEndLine = 0;
    public boolean mInfinite;
    public int mItemDirection;
    public int mLayoutDirection;
    public boolean mRecycle = true;
    public int mStartLine = 0;
    public boolean mStopInFocusable;

    public boolean hasMore(RecyclerView.State state) {
        int i = this.mCurrentPosition;
        return i >= 0 && i < state.getItemCount();
    }

    public View next(RecyclerView.Recycler recycler) {
        View viewForPosition = recycler.getViewForPosition(this.mCurrentPosition);
        this.mCurrentPosition += this.mItemDirection;
        return viewForPosition;
    }

    public String toString() {
        StringBuilder j = b2.j("LayoutState{mAvailable=");
        j.append(this.mAvailable);
        j.append(", mCurrentPosition=");
        j.append(this.mCurrentPosition);
        j.append(", mItemDirection=");
        j.append(this.mItemDirection);
        j.append(", mLayoutDirection=");
        j.append(this.mLayoutDirection);
        j.append(", mStartLine=");
        j.append(this.mStartLine);
        j.append(", mEndLine=");
        j.append(this.mEndLine);
        j.append('}');
        return j.toString();
    }
}
