package com.alibaba.android.vlayout;

import android.content.Context;
import android.graphics.PointF;
import android.os.Bundle;
import android.os.Parcelable;
import android.util.Log;
import android.view.View;
import android.view.ViewGroup;
import androidx.base.b2;
import androidx.base.o1;
import androidx.base.y1;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import java.lang.reflect.Field;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

public class ExposeLinearLayoutManagerEx extends LinearLayoutManager {
    private static final boolean DEBUG = false;
    public static final int FLAG_INVALID = 4;
    public static final int FLAG_UPDATED = 2;
    public static final int HORIZONTAL = 0;
    public static final int INVALID_OFFSET = Integer.MIN_VALUE;
    private static final float MAX_SCROLL_FACTOR = 0.33f;
    private static final String TAG = "ExposeLLManagerEx";
    public static final int VERTICAL = 1;
    private static Field vhField;
    private static Method vhSetFlags;
    private Object[] emptyArgs;
    private y1 layoutChunkResultCache;
    private final a mAnchorInfo;
    private final b mChildHelperWrapper;
    public Bundle mCurrentPendingSavedState;
    private int mCurrentPendingScrollPosition;
    private final Method mEnsureLayoutStateMethod;
    private boolean mLastStackFromEnd;
    public c mLayoutState;
    private o1 mOrientationHelper;
    private int mPendingScrollPositionOffset;
    private RecyclerView mRecyclerView;
    private boolean mShouldReverseLayoutExpose;
    public int recycleOffset;

    public class a {
        public int a;
        public int b;
        public boolean c;

        public a() {
        }

        public void a() {
            int i;
            if (this.c) {
                i = ExposeLinearLayoutManagerEx.this.mOrientationHelper.g();
            } else {
                i = ExposeLinearLayoutManagerEx.this.mOrientationHelper.i();
            }
            this.b = i;
        }

        public void b(View view) {
            if (this.c) {
                int computeAlignOffset = ExposeLinearLayoutManagerEx.this.computeAlignOffset(view, this.c, true) + ExposeLinearLayoutManagerEx.this.mOrientationHelper.b(view);
                o1 o1Var = ExposeLinearLayoutManagerEx.this.mOrientationHelper;
                this.b = computeAlignOffset + (Integer.MIN_VALUE == o1Var.b ? 0 : o1Var.j() - o1Var.b);
            } else {
                this.b = ExposeLinearLayoutManagerEx.this.computeAlignOffset(view, this.c, true) + ExposeLinearLayoutManagerEx.this.mOrientationHelper.e(view);
            }
            this.a = ExposeLinearLayoutManagerEx.this.getPosition(view);
        }

        public String toString() {
            StringBuilder j = b2.j("AnchorInfo{mPosition=");
            j.append(this.a);
            j.append(", mCoordinate=");
            j.append(this.b);
            j.append(", mLayoutFromEnd=");
            j.append(this.c);
            j.append('}');
            return j.toString();
        }
    }

    public class b {
        public Object a;
        public Method b;
        public Method c;
        public Method d;
        public Method e;
        public Field f;
        public Object g;
        public Method h;
        public Field i;
        public List j;
        public RecyclerView.LayoutManager k;
        public Object[] l = new Object[1];

        public b(RecyclerView.LayoutManager layoutManager) {
            this.k = layoutManager;
            try {
                Field declaredField = RecyclerView.LayoutManager.class.getDeclaredField("mChildHelper");
                this.i = declaredField;
                declaredField.setAccessible(true);
                a();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }

        public void a() {
            try {
                if (this.a == null) {
                    Object obj = this.i.get(this.k);
                    this.a = obj;
                    if (obj != null) {
                        Class<?> cls = obj.getClass();
                        Method declaredMethod = cls.getDeclaredMethod("hide", View.class);
                        this.b = declaredMethod;
                        declaredMethod.setAccessible(true);
                        try {
                            Class<?> cls2 = Integer.TYPE;
                            Method declaredMethod2 = cls.getDeclaredMethod("findHiddenNonRemovedView", cls2, cls2);
                            this.c = declaredMethod2;
                            declaredMethod2.setAccessible(true);
                        } catch (NoSuchMethodException unused) {
                            Method declaredMethod3 = cls.getDeclaredMethod("findHiddenNonRemovedView", Integer.TYPE);
                            this.d = declaredMethod3;
                            declaredMethod3.setAccessible(true);
                        }
                        Method declaredMethod4 = cls.getDeclaredMethod("isHidden", View.class);
                        this.e = declaredMethod4;
                        declaredMethod4.setAccessible(true);
                        Field declaredField = cls.getDeclaredField("mBucket");
                        declaredField.setAccessible(true);
                        Object obj2 = declaredField.get(this.a);
                        this.g = obj2;
                        Method declaredMethod5 = obj2.getClass().getDeclaredMethod("clear", Integer.TYPE);
                        this.h = declaredMethod5;
                        declaredMethod5.setAccessible(true);
                        Field declaredField2 = cls.getDeclaredField("mHiddenViews");
                        this.f = declaredField2;
                        declaredField2.setAccessible(true);
                        this.j = (List) this.f.get(this.a);
                    }
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }

        public void b(View view) {
            try {
                a();
                if (this.j.indexOf(view) < 0) {
                    Object[] objArr = this.l;
                    objArr[0] = view;
                    this.b.invoke(this.a, objArr);
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static class c {
        public Method a = null;
        public boolean b = true;
        public int c;
        public int d;
        public int e;
        public int f;
        public int g;
        public int h;
        public int i = 0;
        public boolean j = false;
        public List<RecyclerView.ViewHolder> k = null;

        public c() {
            try {
                Method declaredMethod = RecyclerView.ViewHolder.class.getDeclaredMethod("isRemoved", new Class[0]);
                this.a = declaredMethod;
                declaredMethod.setAccessible(true);
            } catch (NoSuchMethodException e2) {
                e2.printStackTrace();
                throw new RuntimeException(e2);
            }
        }

        public View a(RecyclerView.Recycler recycler) {
            int i2;
            boolean z;
            List<RecyclerView.ViewHolder> list = this.k;
            if (list != null) {
                int size = list.size();
                int i3 = Integer.MAX_VALUE;
                RecyclerView.ViewHolder viewHolder = null;
                for (i2 = 0; i2 < size; i2++) {
                    RecyclerView.ViewHolder viewHolder2 = this.k.get(i2);
                    if (!this.j) {
                        try {
                            z = ((Boolean) this.a.invoke(viewHolder2, new Object[0])).booleanValue();
                        } catch (IllegalAccessException e2) {
                            e2.printStackTrace();
                        } catch (InvocationTargetException e3) {
                            e3.printStackTrace();
                        }
                        if (!this.j && z) {
                        }
                    }
                    int position = (viewHolder2.getPosition() - this.e) * this.f;
                    if (position >= 0 && position < i3) {
                        viewHolder = viewHolder2;
                        if (position == 0) {
                            break;
                        }
                        i3 = position;
                    }
                }
                if (viewHolder == null) {
                    return null;
                }
                this.e = viewHolder.getPosition() + this.f;
                return viewHolder.itemView;
            }
            View viewForPosition = recycler.getViewForPosition(this.e);
            this.e += this.f;
            return viewForPosition;
            z = false;
        }
    }

    public static class d {
        public static Method a;
        public static Method b;
        public static Method c;
        public static Method d;
        public static Method e;
        public RecyclerView.ViewHolder f;

        static {
            try {
                Method declaredMethod = RecyclerView.ViewHolder.class.getDeclaredMethod("shouldIgnore", new Class[0]);
                a = declaredMethod;
                declaredMethod.setAccessible(true);
                Method declaredMethod2 = RecyclerView.ViewHolder.class.getDeclaredMethod("isInvalid", new Class[0]);
                b = declaredMethod2;
                declaredMethod2.setAccessible(true);
                Method declaredMethod3 = RecyclerView.ViewHolder.class.getDeclaredMethod("isRemoved", new Class[0]);
                c = declaredMethod3;
                declaredMethod3.setAccessible(true);
                Class cls = Integer.TYPE;
                Method declaredMethod4 = RecyclerView.ViewHolder.class.getDeclaredMethod("setFlags", cls, cls);
                e = declaredMethod4;
                declaredMethod4.setAccessible(true);
                try {
                    d = RecyclerView.ViewHolder.class.getDeclaredMethod("isChanged", new Class[0]);
                } catch (NoSuchMethodException unused) {
                    d = RecyclerView.ViewHolder.class.getDeclaredMethod("isUpdated", new Class[0]);
                }
                d.setAccessible(true);
            } catch (NoSuchMethodException e2) {
                e2.printStackTrace();
            }
        }

        public d(RecyclerView.ViewHolder viewHolder) {
            this.f = viewHolder;
        }

        public static void a(RecyclerView.ViewHolder viewHolder, int i, int i2) {
            try {
                e.invoke(viewHolder, Integer.valueOf(i), Integer.valueOf(i2));
            } catch (IllegalAccessException e2) {
                e2.printStackTrace();
            } catch (InvocationTargetException e3) {
                e3.printStackTrace();
            }
        }
    }

    public ExposeLinearLayoutManagerEx(Context context) {
        this(context, 1, false);
    }

    public static void attachViewHolder(RecyclerView.LayoutParams layoutParams, RecyclerView.ViewHolder viewHolder) {
        try {
            if (vhField == null) {
                vhField = RecyclerView.LayoutParams.class.getDeclaredField("mViewHolder");
            }
            vhField.setAccessible(true);
            vhField.set(layoutParams, viewHolder);
            if (vhSetFlags == null) {
                Class cls = Integer.TYPE;
                Method declaredMethod = RecyclerView.ViewHolder.class.getDeclaredMethod("setFlags", cls, cls);
                vhSetFlags = declaredMethod;
                declaredMethod.setAccessible(true);
            }
            vhSetFlags.invoke(viewHolder, 4, 4);
        } catch (NoSuchFieldException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e2) {
            e2.printStackTrace();
        } catch (NoSuchMethodException e3) {
            e3.printStackTrace();
        } catch (InvocationTargetException e4) {
            e4.printStackTrace();
        }
    }

    private int convertFocusDirectionToLayoutDirectionExpose(int i) {
        int orientation = getOrientation();
        if (i == 1) {
            return -1;
        }
        if (i != 2) {
            return i != 17 ? i != 33 ? i != 66 ? (i == 130 && orientation == 1) ? 1 : Integer.MIN_VALUE : orientation == 0 ? 1 : Integer.MIN_VALUE : orientation == 1 ? -1 : Integer.MIN_VALUE : orientation == 0 ? -1 : Integer.MIN_VALUE;
        }
        return 1;
    }

    private View findReferenceChildInternal(int i, int i2, int i3) {
        ensureLayoutStateExpose();
        int i4 = this.mOrientationHelper.i();
        int g = this.mOrientationHelper.g();
        int i5 = i2 > i ? 1 : -1;
        View view = null;
        View view2 = null;
        while (i != i2) {
            View childAt = getChildAt(i);
            int position = getPosition(childAt);
            if (position >= 0 && position < i3) {
                if (((RecyclerView.LayoutParams) childAt.getLayoutParams()).isItemRemoved()) {
                    if (view2 == null) {
                        view2 = childAt;
                    }
                } else if (this.mOrientationHelper.e(childAt) < g && this.mOrientationHelper.b(childAt) >= i4) {
                    return childAt;
                } else {
                    if (view == null) {
                        view = childAt;
                    }
                }
            }
            i += i5;
        }
        return view != null ? view : view2;
    }

    private int fixLayoutEndGapExpose(int i, RecyclerView.Recycler recycler, RecyclerView.State state, boolean z) {
        int g;
        int g2 = this.mOrientationHelper.g() - i;
        if (g2 <= 0) {
            return 0;
        }
        int i2 = -scrollInternalBy(-g2, recycler, state);
        int i3 = i + i2;
        if (!z || (g = this.mOrientationHelper.g() - i3) <= 0) {
            return i2;
        }
        this.mOrientationHelper.k(g);
        return g + i2;
    }

    private int fixLayoutStartGapExpose(int i, RecyclerView.Recycler recycler, RecyclerView.State state, boolean z) {
        int i2;
        int i3 = i - this.mOrientationHelper.i();
        if (i3 <= 0) {
            return 0;
        }
        int i4 = -scrollInternalBy(i3, recycler, state);
        int i5 = i + i4;
        if (!z || (i2 = i5 - this.mOrientationHelper.i()) <= 0) {
            return i4;
        }
        this.mOrientationHelper.k(-i2);
        return i4 - i2;
    }

    private View getChildClosestToEndExpose() {
        return getChildAt(this.mShouldReverseLayoutExpose ? 0 : getChildCount() - 1);
    }

    private View getChildClosestToStartExpose() {
        return getChildAt(this.mShouldReverseLayoutExpose ? getChildCount() - 1 : 0);
    }

    /* JADX WARNING: Removed duplicated region for block: B:10:0x0025  */
    /* JADX WARNING: Removed duplicated region for block: B:20:0x0045  */
    /* JADX WARNING: Removed duplicated region for block: B:31:? A[RETURN, SYNTHETIC] */
    public static boolean isViewHolderUpdated(RecyclerView.ViewHolder viewHolder) {
        boolean z;
        boolean z2;
        boolean z3;
        d dVar = new d(viewHolder);
        Method method = d.b;
        if (method != null) {
            try {
                z = ((Boolean) method.invoke(viewHolder, new Object[0])).booleanValue();
            } catch (IllegalAccessException e) {
                e.printStackTrace();
            } catch (InvocationTargetException e2) {
                e2.printStackTrace();
            }
            if (!z) {
                Method method2 = d.c;
                if (method2 != null) {
                    try {
                        z2 = ((Boolean) method2.invoke(dVar.f, new Object[0])).booleanValue();
                    } catch (IllegalAccessException e3) {
                        e3.printStackTrace();
                    } catch (InvocationTargetException e4) {
                        e4.printStackTrace();
                    }
                    if (!z2) {
                        Method method3 = d.d;
                        if (method3 != null) {
                            try {
                                z3 = ((Boolean) method3.invoke(dVar.f, new Object[0])).booleanValue();
                            } catch (IllegalAccessException e5) {
                                e5.printStackTrace();
                            } catch (InvocationTargetException e6) {
                                e6.printStackTrace();
                            }
                            if (!z3) {
                                return true;
                            }
                            return false;
                        }
                        z3 = true;
                        if (!z3) {
                        }
                    }
                }
                z2 = true;
                if (!z2) {
                }
            }
            return true;
        }
        z = true;
        if (!z) {
        }
        return true;
    }

    private void layoutForPredictiveAnimationsExpose(RecyclerView.Recycler recycler, RecyclerView.State state, int i, int i2) {
        int i3;
        if (state.willRunPredictiveAnimations() && getChildCount() != 0 && !state.isPreLayout() && supportsPredictiveItemAnimations()) {
            List<RecyclerView.ViewHolder> scrapList = recycler.getScrapList();
            int size = scrapList.size();
            int position = getPosition(getChildAt(0));
            int i4 = 0;
            int i5 = 0;
            int i6 = 0;
            while (true) {
                i3 = -1;
                char c2 = 1;
                if (i4 >= size) {
                    break;
                }
                RecyclerView.ViewHolder viewHolder = scrapList.get(i4);
                if ((viewHolder.getPosition() < position) != this.mShouldReverseLayoutExpose) {
                    c2 = 65535;
                }
                if (c2 == 65535) {
                    i5 += this.mOrientationHelper.c(viewHolder.itemView);
                } else {
                    i6 += this.mOrientationHelper.c(viewHolder.itemView);
                }
                i4++;
            }
            this.mLayoutState.k = scrapList;
            if (i5 > 0) {
                updateLayoutStateToFillStartExpose(getPosition(getChildClosestToStartExpose()), i);
                c cVar = this.mLayoutState;
                cVar.i = i5;
                cVar.d = 0;
                cVar.e += this.mShouldReverseLayoutExpose ? 1 : -1;
                cVar.getClass();
                fill(recycler, this.mLayoutState, state, false);
            }
            if (i6 > 0) {
                updateLayoutStateToFillEndExpose(getPosition(getChildClosestToEndExpose()), i2);
                c cVar2 = this.mLayoutState;
                cVar2.i = i6;
                cVar2.d = 0;
                int i7 = cVar2.e;
                if (!this.mShouldReverseLayoutExpose) {
                    i3 = 1;
                }
                cVar2.e = i7 + i3;
                cVar2.getClass();
                fill(recycler, this.mLayoutState, state, false);
            }
            this.mLayoutState.k = null;
        }
    }

    private void logChildren() {
        Log.d(TAG, "internal representation of views on the screen");
        for (int i = 0; i < getChildCount(); i++) {
            View childAt = getChildAt(i);
            StringBuilder j = b2.j("item ");
            j.append(getPosition(childAt));
            j.append(", coord:");
            j.append(this.mOrientationHelper.e(childAt));
            Log.d(TAG, j.toString());
        }
        Log.d(TAG, "==============");
    }

    private View myFindFirstReferenceChild(int i) {
        return findReferenceChildInternal(0, getChildCount(), i);
    }

    private View myFindLastReferenceChild(int i) {
        return findReferenceChildInternal(getChildCount() - 1, -1, i);
    }

    private View myFindReferenceChildClosestToEnd(RecyclerView.State state) {
        boolean z = this.mShouldReverseLayoutExpose;
        int itemCount = state.getItemCount();
        return z ? myFindFirstReferenceChild(itemCount) : myFindLastReferenceChild(itemCount);
    }

    private View myFindReferenceChildClosestToStart(RecyclerView.State state) {
        boolean z = this.mShouldReverseLayoutExpose;
        int itemCount = state.getItemCount();
        return z ? myFindLastReferenceChild(itemCount) : myFindFirstReferenceChild(itemCount);
    }

    private void myResolveShouldLayoutReverse() {
        if (getOrientation() == 1 || !isLayoutRTL()) {
            this.mShouldReverseLayoutExpose = getReverseLayout();
        } else {
            this.mShouldReverseLayoutExpose = !getReverseLayout();
        }
    }

    private void recycleByLayoutStateExpose(RecyclerView.Recycler recycler, c cVar) {
        if (cVar.b) {
            if (cVar.g == -1) {
                recycleViewsFromEndExpose(recycler, cVar.h);
            } else {
                recycleViewsFromStartExpose(recycler, cVar.h);
            }
        }
    }

    private void recycleViewsFromEndExpose(RecyclerView.Recycler recycler, int i) {
        int childCount = getChildCount();
        if (i >= 0) {
            int f = this.mOrientationHelper.f() - i;
            if (this.mShouldReverseLayoutExpose) {
                for (int i2 = 0; i2 < childCount; i2++) {
                    if (this.mOrientationHelper.e(getChildAt(i2)) - this.recycleOffset < f) {
                        recycleChildren(recycler, 0, i2);
                        return;
                    }
                }
                return;
            }
            int i3 = childCount - 1;
            for (int i4 = i3; i4 >= 0; i4--) {
                if (this.mOrientationHelper.e(getChildAt(i4)) - this.recycleOffset < f) {
                    recycleChildren(recycler, i3, i4);
                    return;
                }
            }
        }
    }

    private void recycleViewsFromStartExpose(RecyclerView.Recycler recycler, int i) {
        if (i >= 0) {
            int childCount = getChildCount();
            if (this.mShouldReverseLayoutExpose) {
                int i2 = childCount - 1;
                for (int i3 = i2; i3 >= 0; i3--) {
                    if (this.mOrientationHelper.b(getChildAt(i3)) + this.recycleOffset > i) {
                        recycleChildren(recycler, i2, i3);
                        return;
                    }
                }
                return;
            }
            for (int i4 = 0; i4 < childCount; i4++) {
                if (this.mOrientationHelper.b(getChildAt(i4)) + this.recycleOffset > i) {
                    recycleChildren(recycler, 0, i4);
                    return;
                }
            }
        }
    }

    private boolean updateAnchorFromChildrenExpose(RecyclerView.State state, a aVar) {
        View view;
        int i;
        boolean z;
        boolean z2 = false;
        if (getChildCount() == 0) {
            return false;
        }
        View focusedChild = getFocusedChild();
        if (focusedChild != null) {
            aVar.getClass();
            RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) focusedChild.getLayoutParams();
            if (layoutParams.isItemRemoved() || layoutParams.getViewPosition() < 0 || layoutParams.getViewPosition() >= state.getItemCount()) {
                z = false;
            } else {
                aVar.b(focusedChild);
                z = true;
            }
            if (z) {
                return true;
            }
        }
        if (this.mLastStackFromEnd != getStackFromEnd()) {
            return false;
        }
        if (aVar.c) {
            view = myFindReferenceChildClosestToEnd(state);
        } else {
            view = myFindReferenceChildClosestToStart(state);
        }
        if (view == null) {
            return false;
        }
        aVar.b(view);
        if (!state.isPreLayout() && supportsPredictiveItemAnimations()) {
            if (this.mOrientationHelper.e(view) >= this.mOrientationHelper.g() || this.mOrientationHelper.b(view) < this.mOrientationHelper.i()) {
                z2 = true;
            }
            if (z2) {
                if (aVar.c) {
                    i = this.mOrientationHelper.g();
                } else {
                    i = this.mOrientationHelper.i();
                }
                aVar.b = i;
            }
        }
        return true;
    }

    private boolean updateAnchorFromPendingDataExpose(RecyclerView.State state, a aVar) {
        int i;
        int i2;
        boolean z = false;
        int i3 = 0;
        if (!state.isPreLayout() && (i = this.mCurrentPendingScrollPosition) != -1) {
            if (i < 0 || i >= state.getItemCount()) {
                this.mCurrentPendingScrollPosition = -1;
                this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
            } else {
                aVar.a = this.mCurrentPendingScrollPosition;
                Bundle bundle = this.mCurrentPendingSavedState;
                if (bundle != null && bundle.getInt("AnchorPosition") >= 0) {
                    boolean z2 = this.mCurrentPendingSavedState.getBoolean("AnchorLayoutFromEnd");
                    aVar.c = z2;
                    if (z2) {
                        aVar.b = this.mOrientationHelper.g() - this.mCurrentPendingSavedState.getInt("AnchorOffset");
                    } else {
                        aVar.b = this.mCurrentPendingSavedState.getInt("AnchorOffset") + this.mOrientationHelper.i();
                    }
                    return true;
                } else if (this.mPendingScrollPositionOffset == Integer.MIN_VALUE) {
                    View findViewByPosition = findViewByPosition(this.mCurrentPendingScrollPosition);
                    if (findViewByPosition == null) {
                        if (getChildCount() > 0) {
                            if ((this.mCurrentPendingScrollPosition < getPosition(getChildAt(0))) == this.mShouldReverseLayoutExpose) {
                                z = true;
                            }
                            aVar.c = z;
                        }
                        aVar.a();
                    } else if (this.mOrientationHelper.c(findViewByPosition) > this.mOrientationHelper.j()) {
                        aVar.a();
                        return true;
                    } else if (this.mOrientationHelper.e(findViewByPosition) - this.mOrientationHelper.i() < 0) {
                        aVar.b = this.mOrientationHelper.i();
                        aVar.c = false;
                        return true;
                    } else if (this.mOrientationHelper.g() - this.mOrientationHelper.b(findViewByPosition) < 0) {
                        aVar.b = this.mOrientationHelper.g();
                        aVar.c = true;
                        return true;
                    } else {
                        if (aVar.c) {
                            int b2 = this.mOrientationHelper.b(findViewByPosition);
                            o1 o1Var = this.mOrientationHelper;
                            if (Integer.MIN_VALUE != o1Var.b) {
                                i3 = o1Var.j() - o1Var.b;
                            }
                            i2 = b2 + i3;
                        } else {
                            i2 = this.mOrientationHelper.e(findViewByPosition);
                        }
                        aVar.b = i2;
                    }
                    return true;
                } else {
                    boolean z3 = this.mShouldReverseLayoutExpose;
                    aVar.c = z3;
                    if (z3) {
                        aVar.b = this.mOrientationHelper.g() - this.mPendingScrollPositionOffset;
                    } else {
                        aVar.b = this.mOrientationHelper.i() + this.mPendingScrollPositionOffset;
                    }
                    return true;
                }
            }
        }
        return false;
    }

    private void updateAnchorInfoForLayoutExpose(RecyclerView.State state, a aVar) {
        if (!updateAnchorFromPendingDataExpose(state, aVar) && !updateAnchorFromChildrenExpose(state, aVar)) {
            aVar.a();
            aVar.a = getStackFromEnd() ? state.getItemCount() - 1 : 0;
        }
    }

    private void updateLayoutStateToFillEndExpose(a aVar) {
        updateLayoutStateToFillEndExpose(aVar.a, aVar.b);
    }

    private void updateLayoutStateToFillStartExpose(a aVar) {
        updateLayoutStateToFillStartExpose(aVar.a, aVar.b);
    }

    private void validateChildOrderExpose() {
        StringBuilder j = b2.j("validating child count ");
        j.append(getChildCount());
        Log.d(TAG, j.toString());
        boolean z = true;
        if (getChildCount() >= 1) {
            int position = getPosition(getChildAt(0));
            int e = this.mOrientationHelper.e(getChildAt(0));
            if (this.mShouldReverseLayoutExpose) {
                for (int i = 1; i < getChildCount(); i++) {
                    View childAt = getChildAt(i);
                    int position2 = getPosition(childAt);
                    int e2 = this.mOrientationHelper.e(childAt);
                    if (position2 < position) {
                        logChildren();
                        StringBuilder j2 = b2.j("detected invalid position. loc invalid? ");
                        if (e2 >= e) {
                            z = false;
                        }
                        j2.append(z);
                        throw new RuntimeException(j2.toString());
                    } else if (e2 > e) {
                        logChildren();
                        throw new RuntimeException("detected invalid location");
                    }
                }
                return;
            }
            for (int i2 = 1; i2 < getChildCount(); i2++) {
                View childAt2 = getChildAt(i2);
                int position3 = getPosition(childAt2);
                int e3 = this.mOrientationHelper.e(childAt2);
                if (position3 < position) {
                    logChildren();
                    StringBuilder j3 = b2.j("detected invalid position. loc invalid? ");
                    if (e3 >= e) {
                        z = false;
                    }
                    j3.append(z);
                    throw new RuntimeException(j3.toString());
                } else if (e3 < e) {
                    logChildren();
                    throw new RuntimeException("detected invalid location");
                }
            }
        }
    }

    public void addHiddenView(View view, boolean z) {
        addView(view, z ? 0 : -1);
        this.mChildHelperWrapper.b(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void assertNotInLayoutOrScroll(String str) {
        if (this.mCurrentPendingSavedState == null) {
            super.assertNotInLayoutOrScroll(str);
        }
    }

    public int computeAlignOffset(int i, boolean z, boolean z2) {
        return 0;
    }

    public int computeAlignOffset(View view, boolean z, boolean z2) {
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.SmoothScroller.ScrollVectorProvider, androidx.recyclerview.widget.LinearLayoutManager
    public PointF computeScrollVectorForPosition(int i) {
        if (getChildCount() == 0) {
            return null;
        }
        boolean z = false;
        int i2 = 1;
        if (i < getPosition(getChildAt(0))) {
            z = true;
        }
        if (z != this.mShouldReverseLayoutExpose) {
            i2 = -1;
        }
        if (getOrientation() == 0) {
            return new PointF((float) i2, 0.0f);
        }
        return new PointF(0.0f, (float) i2);
    }

    public void ensureLayoutStateExpose() {
        if (this.mLayoutState == null) {
            this.mLayoutState = new c();
        }
        if (this.mOrientationHelper == null) {
            this.mOrientationHelper = o1.a(this, getOrientation());
        }
        try {
            this.mEnsureLayoutStateMethod.invoke(this, this.emptyArgs);
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e2) {
            e2.printStackTrace();
        }
    }

    public int fill(RecyclerView.Recycler recycler, c cVar, RecyclerView.State state, boolean z) {
        int i = cVar.d;
        int i2 = cVar.h;
        if (i2 != Integer.MIN_VALUE) {
            if (i < 0) {
                cVar.h = i2 + i;
            }
            recycleByLayoutStateExpose(recycler, cVar);
        }
        int i3 = cVar.d + cVar.i + this.recycleOffset;
        while (i3 > 0) {
            int i4 = cVar.e;
            if (!(i4 >= 0 && i4 < state.getItemCount())) {
                break;
            }
            y1 y1Var = this.layoutChunkResultCache;
            y1Var.a = 0;
            y1Var.b = false;
            y1Var.c = false;
            y1Var.d = false;
            layoutChunk(recycler, state, cVar, y1Var);
            y1 y1Var2 = this.layoutChunkResultCache;
            if (!y1Var2.b) {
                cVar.c = (y1Var2.a * cVar.g) + cVar.c;
                if (!y1Var2.c || this.mLayoutState.k != null || !state.isPreLayout()) {
                    int i5 = cVar.d;
                    int i6 = this.layoutChunkResultCache.a;
                    cVar.d = i5 - i6;
                    i3 -= i6;
                }
                int i7 = cVar.h;
                if (i7 != Integer.MIN_VALUE) {
                    int i8 = i7 + this.layoutChunkResultCache.a;
                    cVar.h = i8;
                    int i9 = cVar.d;
                    if (i9 < 0) {
                        cVar.h = i8 + i9;
                    }
                    recycleByLayoutStateExpose(recycler, cVar);
                }
                if (z && this.layoutChunkResultCache.d) {
                    break;
                }
            } else {
                break;
            }
        }
        return i - cVar.d;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public int findFirstVisibleItemPosition() {
        ensureLayoutStateExpose();
        return super.findFirstVisibleItemPosition();
    }

    public View findHiddenView(int i) {
        b bVar = this.mChildHelperWrapper;
        bVar.getClass();
        try {
            bVar.a();
            Method method = bVar.c;
            if (method != null) {
                return (View) method.invoke(bVar.a, Integer.valueOf(i), -1);
            }
            Method method2 = bVar.d;
            if (method2 != null) {
                return (View) method2.invoke(bVar.a, Integer.valueOf(i));
            }
            return null;
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (InvocationTargetException e2) {
            e2.printStackTrace();
        } catch (Exception e3) {
            e3.printStackTrace();
        }
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public int findLastVisibleItemPosition() {
        ensureLayoutStateExpose();
        try {
            return super.findLastVisibleItemPosition();
        } catch (Exception e) {
            StringBuilder j = b2.j("itemCount: ");
            j.append(getItemCount());
            Log.d("LastItem", j.toString());
            Log.d("LastItem", "childCount: " + getChildCount());
            Log.d("LastItem", "child: " + getChildAt(getChildCount() + -1));
            Log.d("LastItem", "RV childCount: " + this.mRecyclerView.getChildCount());
            Log.d("LastItem", "RV child: " + this.mRecyclerView.getChildAt(this.mRecyclerView.getChildCount() + -1));
            throw e;
        }
    }

    public void hideView(View view) {
        this.mChildHelperWrapper.b(view);
    }

    public boolean isEnableMarginOverLap() {
        return false;
    }

    public boolean isHidden(View view) {
        b bVar = this.mChildHelperWrapper;
        bVar.getClass();
        try {
            bVar.a();
            Object[] objArr = bVar.l;
            objArr[0] = view;
            return ((Boolean) bVar.e.invoke(bVar.a, objArr)).booleanValue();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
            return false;
        } catch (InvocationTargetException e2) {
            e2.printStackTrace();
            return false;
        } catch (Exception e3) {
            e3.printStackTrace();
            return false;
        }
    }

    public void layoutChunk(RecyclerView.Recycler recycler, RecyclerView.State state, c cVar, y1 y1Var) {
        int i;
        int i2;
        int i3;
        int i4;
        View a2 = cVar.a(recycler);
        if (a2 == null) {
            y1Var.b = true;
            return;
        }
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) a2.getLayoutParams();
        if (cVar.k == null) {
            if (this.mShouldReverseLayoutExpose == (cVar.g == -1)) {
                addView(a2);
            } else {
                addView(a2, 0);
            }
        } else {
            if (this.mShouldReverseLayoutExpose == (cVar.g == -1)) {
                addDisappearingView(a2);
            } else {
                addDisappearingView(a2, 0);
            }
        }
        measureChildWithMargins(a2, 0, 0);
        y1Var.a = this.mOrientationHelper.c(a2);
        if (getOrientation() == 1) {
            if (isLayoutRTL()) {
                i4 = getWidth() - getPaddingRight();
                i2 = i4 - this.mOrientationHelper.d(a2);
            } else {
                i2 = getPaddingLeft();
                i4 = this.mOrientationHelper.d(a2) + i2;
            }
            if (cVar.g == -1) {
                i = cVar.c;
                i3 = i - y1Var.a;
            } else {
                i3 = cVar.c;
                i = y1Var.a + i3;
            }
        } else {
            int paddingTop = getPaddingTop();
            int d2 = this.mOrientationHelper.d(a2) + paddingTop;
            if (cVar.g == -1) {
                int i5 = cVar.c;
                int i6 = i5 - y1Var.a;
                i4 = i5;
                i = d2;
                i2 = i6;
                i3 = paddingTop;
            } else {
                int i7 = cVar.c;
                int i8 = y1Var.a + i7;
                i2 = i7;
                i = d2;
                i3 = paddingTop;
                i4 = i8;
            }
        }
        layoutDecorated(a2, i2 + ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin, ((ViewGroup.MarginLayoutParams) layoutParams).topMargin + i3, i4 - ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin, i - ((ViewGroup.MarginLayoutParams) layoutParams).bottomMargin);
        if (layoutParams.isItemRemoved() || layoutParams.isItemChanged()) {
            y1Var.c = true;
        }
        y1Var.d = a2.isFocusable();
    }

    public void onAnchorReady(RecyclerView.State state, a aVar) {
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAttachedToWindow(RecyclerView recyclerView) {
        super.onAttachedToWindow(recyclerView);
        this.mRecyclerView = recyclerView;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.Recycler recycler) {
        super.onDetachedFromWindow(recyclerView, recycler);
        this.mRecyclerView = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public View onFocusSearchFailed(View view, int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        int convertFocusDirectionToLayoutDirectionExpose;
        View view2;
        View view3;
        myResolveShouldLayoutReverse();
        if (getChildCount() == 0 || (convertFocusDirectionToLayoutDirectionExpose = convertFocusDirectionToLayoutDirectionExpose(i)) == Integer.MIN_VALUE) {
            return null;
        }
        if (convertFocusDirectionToLayoutDirectionExpose == -1) {
            view2 = myFindReferenceChildClosestToStart(state);
        } else {
            view2 = myFindReferenceChildClosestToEnd(state);
        }
        if (view2 == null) {
            return null;
        }
        ensureLayoutStateExpose();
        updateLayoutStateExpose(convertFocusDirectionToLayoutDirectionExpose, (int) (((float) this.mOrientationHelper.j()) * MAX_SCROLL_FACTOR), false, state);
        c cVar = this.mLayoutState;
        cVar.h = Integer.MIN_VALUE;
        cVar.b = false;
        cVar.getClass();
        fill(recycler, this.mLayoutState, state, true);
        if (convertFocusDirectionToLayoutDirectionExpose == -1) {
            view3 = getChildClosestToStartExpose();
        } else {
            view3 = getChildClosestToEndExpose();
        }
        if (view3 == view2 || !view3.isFocusable()) {
            return null;
        }
        return view3;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutChildren(RecyclerView.Recycler recycler, RecyclerView.State state) {
        int i;
        int i2;
        int i3;
        int i4;
        int i5;
        int i6;
        int i7;
        View findViewByPosition;
        int i8;
        int i9;
        Bundle bundle = this.mCurrentPendingSavedState;
        if (bundle != null && bundle.getInt("AnchorPosition") >= 0) {
            this.mCurrentPendingScrollPosition = this.mCurrentPendingSavedState.getInt("AnchorPosition");
        }
        ensureLayoutStateExpose();
        this.mLayoutState.b = false;
        myResolveShouldLayoutReverse();
        a aVar = this.mAnchorInfo;
        aVar.a = -1;
        aVar.b = Integer.MIN_VALUE;
        aVar.c = false;
        aVar.c = this.mShouldReverseLayoutExpose ^ getStackFromEnd();
        updateAnchorInfoForLayoutExpose(state, this.mAnchorInfo);
        int extraLayoutSpace = getExtraLayoutSpace(state);
        if ((state.getTargetScrollPosition() < this.mAnchorInfo.a) == this.mShouldReverseLayoutExpose) {
            i = extraLayoutSpace;
            extraLayoutSpace = 0;
        } else {
            i = 0;
        }
        int i10 = this.mOrientationHelper.i() + extraLayoutSpace;
        int h = this.mOrientationHelper.h() + i;
        if (!(!state.isPreLayout() || (i7 = this.mCurrentPendingScrollPosition) == -1 || this.mPendingScrollPositionOffset == Integer.MIN_VALUE || (findViewByPosition = findViewByPosition(i7)) == null)) {
            if (this.mShouldReverseLayoutExpose) {
                i8 = this.mOrientationHelper.g() - this.mOrientationHelper.b(findViewByPosition);
                i9 = this.mPendingScrollPositionOffset;
            } else {
                i9 = this.mOrientationHelper.e(findViewByPosition) - this.mOrientationHelper.i();
                i8 = this.mPendingScrollPositionOffset;
            }
            int i11 = i8 - i9;
            if (i11 > 0) {
                i10 += i11;
            } else {
                h -= i11;
            }
        }
        onAnchorReady(state, this.mAnchorInfo);
        detachAndScrapAttachedViews(recycler);
        this.mLayoutState.j = state.isPreLayout();
        this.mLayoutState.getClass();
        a aVar2 = this.mAnchorInfo;
        if (aVar2.c) {
            updateLayoutStateToFillStartExpose(aVar2);
            c cVar = this.mLayoutState;
            cVar.i = i10;
            fill(recycler, cVar, state, false);
            c cVar2 = this.mLayoutState;
            i2 = cVar2.c;
            int i12 = cVar2.d;
            if (i12 > 0) {
                h += i12;
            }
            updateLayoutStateToFillEndExpose(this.mAnchorInfo);
            c cVar3 = this.mLayoutState;
            cVar3.i = h;
            cVar3.e += cVar3.f;
            fill(recycler, cVar3, state, false);
            i3 = this.mLayoutState.c;
        } else {
            updateLayoutStateToFillEndExpose(aVar2);
            c cVar4 = this.mLayoutState;
            cVar4.i = h;
            fill(recycler, cVar4, state, false);
            c cVar5 = this.mLayoutState;
            int i13 = cVar5.c;
            int i14 = cVar5.d;
            if (i14 > 0) {
                i10 += i14;
            }
            updateLayoutStateToFillStartExpose(this.mAnchorInfo);
            c cVar6 = this.mLayoutState;
            cVar6.i = i10;
            cVar6.e += cVar6.f;
            fill(recycler, cVar6, state, false);
            i2 = this.mLayoutState.c;
            i3 = i13;
        }
        if (getChildCount() > 0) {
            if (this.mShouldReverseLayoutExpose ^ getStackFromEnd()) {
                int fixLayoutEndGapExpose = fixLayoutEndGapExpose(i3, recycler, state, true);
                i4 = i2 + fixLayoutEndGapExpose;
                i6 = i3 + fixLayoutEndGapExpose;
                i5 = fixLayoutStartGapExpose(i4, recycler, state, false);
            } else {
                int fixLayoutStartGapExpose = fixLayoutStartGapExpose(i2, recycler, state, true);
                i4 = i2 + fixLayoutStartGapExpose;
                i6 = i3 + fixLayoutStartGapExpose;
                i5 = fixLayoutEndGapExpose(i6, recycler, state, false);
            }
            i2 = i4 + i5;
            i3 = i6 + i5;
        }
        layoutForPredictiveAnimationsExpose(recycler, state, i2, i3);
        if (!state.isPreLayout()) {
            this.mCurrentPendingScrollPosition = -1;
            this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
            o1 o1Var = this.mOrientationHelper;
            o1Var.b = o1Var.j();
        }
        this.mLastStackFromEnd = getStackFromEnd();
        this.mCurrentPendingSavedState = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable instanceof Bundle) {
            this.mCurrentPendingSavedState = (Bundle) parcelable;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public Parcelable onSaveInstanceState() {
        if (this.mCurrentPendingSavedState != null) {
            return new Bundle(this.mCurrentPendingSavedState);
        }
        Bundle bundle = new Bundle();
        if (getChildCount() > 0) {
            boolean z = this.mLastStackFromEnd ^ this.mShouldReverseLayoutExpose;
            bundle.putBoolean("AnchorLayoutFromEnd", z);
            if (z) {
                View childClosestToEndExpose = getChildClosestToEndExpose();
                bundle.putInt("AnchorOffset", this.mOrientationHelper.g() - this.mOrientationHelper.b(childClosestToEndExpose));
                bundle.putInt("AnchorPosition", getPosition(childClosestToEndExpose));
            } else {
                View childClosestToStartExpose = getChildClosestToStartExpose();
                bundle.putInt("AnchorPosition", getPosition(childClosestToStartExpose));
                bundle.putInt("AnchorOffset", this.mOrientationHelper.e(childClosestToStartExpose) - this.mOrientationHelper.i());
            }
        } else {
            bundle.putInt("AnchorPosition", -1);
        }
        return bundle;
    }

    public void recycleChildren(RecyclerView.Recycler recycler, int i, int i2) {
        if (i != i2) {
            if (i2 > i) {
                for (int i3 = i2 - 1; i3 >= i; i3--) {
                    removeAndRecycleViewAt(i3, recycler);
                }
                return;
            }
            while (i > i2) {
                removeAndRecycleViewAt(i, recycler);
                i--;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollHorizontallyBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (getOrientation() == 1) {
            return 0;
        }
        return scrollInternalBy(i, recycler, state);
    }

    public int scrollInternalBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (getChildCount() == 0 || i == 0) {
            return 0;
        }
        this.mLayoutState.b = true;
        ensureLayoutStateExpose();
        int i2 = i > 0 ? 1 : -1;
        int abs = Math.abs(i);
        updateLayoutStateExpose(i2, abs, true, state);
        c cVar = this.mLayoutState;
        int i3 = cVar.h;
        cVar.getClass();
        int fill = fill(recycler, this.mLayoutState, state, false) + i3;
        if (fill < 0) {
            return 0;
        }
        if (abs > fill) {
            i = i2 * fill;
        }
        this.mOrientationHelper.k(-i);
        return i;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void scrollToPosition(int i) {
        this.mCurrentPendingScrollPosition = i;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        Bundle bundle = this.mCurrentPendingSavedState;
        if (bundle != null) {
            bundle.putInt("AnchorPosition", -1);
        }
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void scrollToPositionWithOffset(int i, int i2) {
        this.mCurrentPendingScrollPosition = i;
        this.mPendingScrollPositionOffset = i2;
        Bundle bundle = this.mCurrentPendingSavedState;
        if (bundle != null) {
            bundle.putInt("AnchorPosition", -1);
        }
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public int scrollVerticallyBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (getOrientation() == 0) {
            return 0;
        }
        return scrollInternalBy(i, recycler, state);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void setOrientation(int i) {
        super.setOrientation(i);
        this.mOrientationHelper = null;
    }

    public void setRecycleOffset(int i) {
        this.recycleOffset = i;
    }

    public void showView(View view) {
        b bVar = this.mChildHelperWrapper;
        bVar.getClass();
        try {
            bVar.a();
            bVar.l[0] = Integer.valueOf(ExposeLinearLayoutManagerEx.this.mRecyclerView.indexOfChild(view));
            bVar.h.invoke(bVar.g, bVar.l);
            List list = bVar.j;
            if (list != null) {
                list.remove(view);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.mCurrentPendingSavedState == null && this.mLastStackFromEnd == getStackFromEnd();
    }

    public void updateLayoutStateExpose(int i, int i2, boolean z, RecyclerView.State state) {
        int i3;
        this.mLayoutState.i = getExtraLayoutSpace(state);
        c cVar = this.mLayoutState;
        cVar.g = i;
        int i4 = -1;
        if (i == 1) {
            cVar.i = this.mOrientationHelper.h() + cVar.i;
            View childClosestToEndExpose = getChildClosestToEndExpose();
            c cVar2 = this.mLayoutState;
            if (!this.mShouldReverseLayoutExpose) {
                i4 = 1;
            }
            cVar2.f = i4;
            int position = getPosition(childClosestToEndExpose);
            c cVar3 = this.mLayoutState;
            cVar2.e = position + cVar3.f;
            cVar3.c = computeAlignOffset(childClosestToEndExpose, true, false) + this.mOrientationHelper.b(childClosestToEndExpose);
            i3 = this.mLayoutState.c - this.mOrientationHelper.g();
        } else {
            View childClosestToStartExpose = getChildClosestToStartExpose();
            c cVar4 = this.mLayoutState;
            cVar4.i = this.mOrientationHelper.i() + cVar4.i;
            c cVar5 = this.mLayoutState;
            if (this.mShouldReverseLayoutExpose) {
                i4 = 1;
            }
            cVar5.f = i4;
            int position2 = getPosition(childClosestToStartExpose);
            c cVar6 = this.mLayoutState;
            cVar5.e = position2 + cVar6.f;
            cVar6.c = computeAlignOffset(childClosestToStartExpose, false, false) + this.mOrientationHelper.e(childClosestToStartExpose);
            i3 = (-this.mLayoutState.c) + this.mOrientationHelper.i();
        }
        c cVar7 = this.mLayoutState;
        cVar7.d = i2;
        if (z) {
            cVar7.d = i2 - i3;
        }
        cVar7.h = i3;
    }

    public ExposeLinearLayoutManagerEx(Context context, int i, boolean z) {
        super(context, i, z);
        this.mShouldReverseLayoutExpose = false;
        this.mCurrentPendingScrollPosition = -1;
        this.mPendingScrollPositionOffset = Integer.MIN_VALUE;
        this.mCurrentPendingSavedState = null;
        this.emptyArgs = new Object[0];
        this.layoutChunkResultCache = new y1();
        this.mAnchorInfo = new a();
        setOrientation(i);
        setReverseLayout(z);
        this.mChildHelperWrapper = new b(this);
        try {
            Method declaredMethod = LinearLayoutManager.class.getDeclaredMethod("ensureLayoutState", new Class[0]);
            this.mEnsureLayoutStateMethod = declaredMethod;
            declaredMethod.setAccessible(true);
            try {
                Method declaredMethod2 = RecyclerView.LayoutManager.class.getDeclaredMethod("setItemPrefetchEnabled", Boolean.TYPE);
                if (declaredMethod2 != null) {
                    declaredMethod2.invoke(this, Boolean.FALSE);
                }
            } catch (IllegalAccessException | NoSuchMethodException | InvocationTargetException unused) {
            }
        } catch (NoSuchMethodException e) {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
    }

    private void updateLayoutStateToFillEndExpose(int i, int i2) {
        this.mLayoutState.d = this.mOrientationHelper.g() - i2;
        c cVar = this.mLayoutState;
        cVar.f = this.mShouldReverseLayoutExpose ? -1 : 1;
        cVar.e = i;
        cVar.g = 1;
        cVar.c = i2;
        cVar.h = Integer.MIN_VALUE;
    }

    private void updateLayoutStateToFillStartExpose(int i, int i2) {
        this.mLayoutState.d = i2 - this.mOrientationHelper.i();
        c cVar = this.mLayoutState;
        cVar.e = i;
        cVar.f = this.mShouldReverseLayoutExpose ? 1 : -1;
        cVar.g = -1;
        cVar.c = i2;
        cVar.h = Integer.MIN_VALUE;
    }
}
