package com.kingja.loadsir.target;

import android.app.Activity;
import android.view.View;
import android.view.ViewGroup;
import com.kingja.loadsir.callback.Callback;
import com.kingja.loadsir.callback.SuccessCallback;
import com.kingja.loadsir.core.LoadLayout;

public class ActivityTarget implements ITarget {
    @Override // com.kingja.loadsir.target.ITarget
    public boolean equals(Object obj) {
        return obj instanceof Activity;
    }

    @Override // com.kingja.loadsir.target.ITarget
    public LoadLayout replaceView(Object obj, Callback.OnReloadListener onReloadListener) {
        Activity activity = (Activity) obj;
        ViewGroup viewGroup = (ViewGroup) activity.findViewById(16908290);
        View childAt = viewGroup.getChildAt(0);
        viewGroup.removeView(childAt);
        ViewGroup.LayoutParams layoutParams = childAt.getLayoutParams();
        LoadLayout loadLayout = new LoadLayout(activity, onReloadListener);
        loadLayout.setupSuccessLayout(new SuccessCallback(childAt, activity, onReloadListener));
        viewGroup.addView(loadLayout, 0, layoutParams);
        return loadLayout;
    }
}
