package com.kingja.loadsir.target;

import android.view.View;
import android.view.ViewGroup;
import com.kingja.loadsir.callback.Callback;
import com.kingja.loadsir.callback.SuccessCallback;
import com.kingja.loadsir.core.LoadLayout;

public class ViewTarget implements ITarget {
    @Override // com.kingja.loadsir.target.ITarget
    public boolean equals(Object obj) {
        return obj instanceof View;
    }

    @Override // com.kingja.loadsir.target.ITarget
    public LoadLayout replaceView(Object obj, Callback.OnReloadListener onReloadListener) {
        int i;
        View view = (View) obj;
        ViewGroup viewGroup = (ViewGroup) view.getParent();
        int i2 = 0;
        if (viewGroup == null) {
            i = 0;
        } else {
            i = viewGroup.getChildCount();
        }
        int i3 = 0;
        while (true) {
            if (i3 >= i) {
                break;
            } else if (viewGroup.getChildAt(i3) == view) {
                i2 = i3;
                break;
            } else {
                i3++;
            }
        }
        if (viewGroup != null) {
            viewGroup.removeView(view);
        }
        ViewGroup.LayoutParams layoutParams = view.getLayoutParams();
        LoadLayout loadLayout = new LoadLayout(view.getContext(), onReloadListener);
        loadLayout.setupSuccessLayout(new SuccessCallback(view, view.getContext(), onReloadListener));
        if (viewGroup != null) {
            viewGroup.addView(loadLayout, i2, layoutParams);
        }
        return loadLayout;
    }
}
