package com.owen.tvrecyclerview;

import android.content.Context;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.base.b2;
import androidx.base.by;
import androidx.base.cy;
import androidx.recyclerview.widget.RecyclerView;
import com.owen.tvrecyclerview.TwoWayLayoutManager;
import java.util.Arrays;

public abstract class BaseLayoutManager extends TwoWayLayoutManager {
    public cy h;
    public cy i;
    public by j;
    public by k;
    public final Rect l;
    public final Rect m;
    public final cy.a n;

    public static class LanedSavedState extends TwoWayLayoutManager.SavedState {
        public static final Parcelable.Creator<LanedSavedState> CREATOR = new a();
        public TwoWayLayoutManager.c e;
        public Rect[] f;
        public float g;
        public by h;

        public static class a implements Parcelable.Creator<LanedSavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public LanedSavedState createFromParcel(Parcel parcel) {
                return new LanedSavedState(parcel, null);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public LanedSavedState[] newArray(int i) {
                return new LanedSavedState[i];
            }
        }

        public LanedSavedState(Parcelable parcelable) {
            super(parcelable);
        }

        @Override // com.owen.tvrecyclerview.TwoWayLayoutManager.SavedState
        public void writeToParcel(Parcel parcel, int i) {
            ItemEntry[] itemEntryArr;
            parcel.writeInt(this.c);
            parcel.writeParcelable(this.d, i);
            parcel.writeInt(this.e.ordinal());
            parcel.writeFloat(this.g);
            Rect[] rectArr = this.f;
            int i2 = 0;
            int length = rectArr != null ? rectArr.length : 0;
            parcel.writeInt(length);
            for (int i3 = 0; i3 < length; i3++) {
                this.f[i3].writeToParcel(parcel, 1);
            }
            by byVar = this.h;
            int length2 = (byVar == null || (itemEntryArr = byVar.a) == null) ? 0 : itemEntryArr.length;
            parcel.writeInt(length2);
            while (i2 < length2) {
                ItemEntry[] itemEntryArr2 = this.h.a;
                parcel.writeParcelable((itemEntryArr2 == null || i2 >= itemEntryArr2.length || i2 < 0) ? null : itemEntryArr2[i2], i);
                i2++;
            }
        }

        public LanedSavedState(Parcel parcel, a aVar) {
            super(parcel);
            this.e = TwoWayLayoutManager.c.values()[parcel.readInt()];
            this.g = parcel.readFloat();
            int readInt = parcel.readInt();
            if (readInt > 0) {
                this.f = new Rect[readInt];
                for (int i = 0; i < readInt; i++) {
                    Rect rect = new Rect();
                    rect.readFromParcel(parcel);
                    this.f[i] = rect;
                }
            }
            int readInt2 = parcel.readInt();
            if (readInt2 > 0) {
                this.h = new by();
                for (int i2 = 0; i2 < readInt2; i2++) {
                    by byVar = this.h;
                    byVar.c = true;
                    byVar.a(i2);
                    byVar.a[i2] = (ItemEntry) parcel.readParcelable(getClass().getClassLoader());
                    byVar.c = false;
                }
            }
        }
    }

    public enum b {
        ADD,
        REMOVE,
        UPDATE,
        MOVE
    }

    public BaseLayoutManager(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public void A(int i2) {
        ItemEntry[] itemEntryArr;
        by byVar = this.j;
        if (byVar != null && (itemEntryArr = byVar.a) != null && i2 < itemEntryArr.length) {
            while (true) {
                ItemEntry[] itemEntryArr2 = byVar.a;
                if (i2 < itemEntryArr2.length) {
                    ItemEntry itemEntry = itemEntryArr2[i2];
                    if (itemEntry != null) {
                        itemEntry.a = -1;
                        itemEntry.b = -1;
                        itemEntry.c = null;
                    }
                    i2++;
                } else {
                    return;
                }
            }
        }
    }

    public void B(View view) {
        int i2;
        int i3 = 0;
        if (!this.b) {
            i2 = 0;
        } else {
            i2 = ((getWidth() - getPaddingLeft()) - getPaddingRight()) - ((int) (getLanes().d * ((float) y(view))));
        }
        if (!this.b) {
            i3 = ((getHeight() - getPaddingTop()) - getPaddingBottom()) - ((int) (getLanes().d * ((float) y(view))));
        }
        measureChildWithMargins(view, i2, i3);
    }

    public abstract void C(int i2, int i3, RecyclerView.Recycler recycler, RecyclerView.State state);

    public void D(int i2, int i3) {
        ItemEntry[] itemEntryArr;
        by byVar = this.j;
        if (byVar != null && (itemEntryArr = byVar.a) != null && i2 < itemEntryArr.length) {
            int i4 = i2 + i3;
            byVar.a(i4);
            ItemEntry[] itemEntryArr2 = byVar.a;
            System.arraycopy(itemEntryArr2, i2, itemEntryArr2, i4, (itemEntryArr2.length - i2) - i3);
            Arrays.fill(byVar.a, i2, i4, (Object) null);
        }
    }

    public void E(int i2, int i3) {
        ItemEntry[] itemEntryArr;
        by byVar = this.j;
        if (byVar != null && (itemEntryArr = byVar.a) != null && i2 < itemEntryArr.length) {
            int i4 = i2 + i3;
            byVar.a(i4);
            ItemEntry[] itemEntryArr2 = byVar.a;
            System.arraycopy(itemEntryArr2, i4, itemEntryArr2, i2, (itemEntryArr2.length - i2) - i3);
            ItemEntry[] itemEntryArr3 = byVar.a;
            Arrays.fill(itemEntryArr3, itemEntryArr3.length - i3, itemEntryArr3.length, (Object) null);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:13:0x0019 A[ADDED_TO_REGION] */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x0034  */
    /* JADX WARNING: Removed duplicated region for block: B:26:0x004e  */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x0074  */
    public void F(ItemEntry itemEntry, Rect rect, int i2, int i3, TwoWayLayoutManager.b bVar) {
        boolean z;
        int i4;
        int i5;
        cy cyVar;
        int i6;
        if (bVar == TwoWayLayoutManager.b.END && itemEntry != null) {
            if (!(itemEntry.c != null)) {
                z = true;
                for (i4 = i2; i4 < i2 + i3; i4++) {
                    if (!(itemEntry == null || bVar == TwoWayLayoutManager.b.END)) {
                        int i7 = i4 - i2;
                        int[] iArr = itemEntry.c;
                        if (iArr != null) {
                            i5 = iArr[i7];
                            cyVar = this.h;
                            Rect rect2 = cyVar.b[i4];
                            if (!cyVar.a) {
                                if (bVar == TwoWayLayoutManager.b.END) {
                                    i6 = rect.top - rect2.bottom;
                                    rect2.bottom = rect.bottom + i5;
                                } else {
                                    i6 = rect.bottom - rect2.top;
                                    rect2.top = rect.top - i5;
                                }
                            } else if (bVar == TwoWayLayoutManager.b.END) {
                                i6 = rect.left - rect2.right;
                                rect2.right = rect.right + i5;
                            } else {
                                i6 = rect.right - rect2.left;
                                rect2.left = rect.left - i5;
                            }
                            cyVar.f();
                            if (i3 > 1 && z) {
                                int i8 = i4 - i2;
                                if (itemEntry.c == null) {
                                    itemEntry.c = new int[i3];
                                }
                                itemEntry.c[i8] = i6;
                            }
                        }
                    }
                    i5 = 0;
                    cyVar = this.h;
                    Rect rect22 = cyVar.b[i4];
                    if (!cyVar.a) {
                    }
                    cyVar.f();
                    int i82 = i4 - i2;
                    if (itemEntry.c == null) {
                    }
                    itemEntry.c[i82] = i6;
                }
            }
        }
        z = false;
        while (i4 < i2 + i3) {
        }
    }

    public void G(int i2, ItemEntry itemEntry) {
        by byVar = this.j;
        if (byVar != null) {
            byVar.a(i2);
            byVar.a[i2] = itemEntry;
        }
    }

    @Override // com.owen.tvrecyclerview.TwoWayLayoutManager
    public boolean b(TwoWayLayoutManager.b bVar, int i2) {
        int i3;
        int i4;
        int i5 = 20;
        if (bVar == TwoWayLayoutManager.b.START) {
            int paddingTop = this.b ? getPaddingTop() : getPaddingLeft();
            if (paddingTop > 0) {
                i5 = paddingTop;
            }
            cy cyVar = this.h;
            Integer num = cyVar.g;
            if (num != null) {
                i4 = num.intValue();
            } else {
                cyVar.g = Integer.MIN_VALUE;
                int i6 = 0;
                while (true) {
                    Rect[] rectArr = cyVar.b;
                    if (i6 >= rectArr.length) {
                        break;
                    }
                    Rect rect = rectArr[i6];
                    cyVar.g = Integer.valueOf(Math.max(cyVar.g.intValue(), cyVar.a ? rect.top : rect.left));
                    i6++;
                }
                i4 = cyVar.g.intValue();
            }
            if (i4 + i5 > i2) {
                return true;
            }
            return false;
        }
        int paddingBottom = this.b ? getPaddingBottom() : getPaddingRight();
        if (paddingBottom > 0) {
            i5 = paddingBottom;
        }
        cy cyVar2 = this.h;
        Integer num2 = cyVar2.h;
        if (num2 != null) {
            i3 = num2.intValue();
        } else {
            cyVar2.h = Integer.MAX_VALUE;
            int i7 = 0;
            while (true) {
                Rect[] rectArr2 = cyVar2.b;
                if (i7 >= rectArr2.length) {
                    break;
                }
                Rect rect2 = rectArr2[i7];
                cyVar2.h = Integer.valueOf(Math.min(cyVar2.h.intValue(), cyVar2.a ? rect2.bottom : rect2.right));
                i7++;
            }
            i3 = cyVar2.h.intValue();
        }
        if (i3 - i5 < i2) {
            return true;
        }
        return false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        if (this.b) {
            if (((ViewGroup.MarginLayoutParams) layoutParams).width == -1) {
                return true;
            }
            return false;
        } else if (((ViewGroup.MarginLayoutParams) layoutParams).height == -1) {
            return true;
        } else {
            return false;
        }
    }

    @Override // com.owen.tvrecyclerview.TwoWayLayoutManager
    public void f(View view, TwoWayLayoutManager.b bVar) {
        int position = getPosition(view);
        x(this.n, position, bVar);
        Rect rect = this.l;
        rect.left = getDecoratedLeft(view);
        rect.top = getDecoratedTop(view);
        rect.right = getDecoratedRight(view);
        rect.bottom = getDecoratedBottom(view);
        ItemEntry v = v(position);
        Rect rect2 = this.l;
        int i2 = this.n.a;
        int y = y(view);
        for (int i3 = i2; i3 < i2 + y; i3++) {
            int i4 = 0;
            if (!(v == null || bVar == TwoWayLayoutManager.b.END)) {
                int i5 = i3 - i2;
                int[] iArr = v.c;
                if (iArr != null) {
                    i4 = iArr[i5];
                }
            }
            cy cyVar = this.h;
            cyVar.getClass();
            if (i3 >= 0) {
                Rect[] rectArr = cyVar.b;
                if (i3 < rectArr.length) {
                    Rect rect3 = rectArr[i3];
                    if (cyVar.a) {
                        if (bVar == TwoWayLayoutManager.b.END) {
                            rect3.top = rect2.bottom - i4;
                        } else {
                            rect3.bottom = rect2.top + i4;
                        }
                    } else if (bVar == TwoWayLayoutManager.b.END) {
                        rect3.left = rect2.right - i4;
                    } else {
                        rect3.right = rect2.left + i4;
                    }
                    cyVar.f();
                }
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        if (this.b) {
            return new RecyclerView.LayoutParams(-1, -2);
        }
        return new RecyclerView.LayoutParams(-2, -1);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        RecyclerView.LayoutParams layoutParams2 = new RecyclerView.LayoutParams((ViewGroup.MarginLayoutParams) layoutParams);
        if (this.b) {
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = -1;
            ((ViewGroup.MarginLayoutParams) layoutParams2).height = layoutParams.height;
        } else {
            ((ViewGroup.MarginLayoutParams) layoutParams2).width = layoutParams.width;
            ((ViewGroup.MarginLayoutParams) layoutParams2).height = -1;
        }
        return layoutParams2;
    }

    public abstract int getLaneCount();

    public cy getLanes() {
        return this.h;
    }

    @Override // com.owen.tvrecyclerview.TwoWayLayoutManager
    public void n(View view, TwoWayLayoutManager.b bVar) {
        int position = getPosition(view);
        w(this.n, view, bVar);
        this.h.c(this.l, getDecoratedMeasuredWidth(view), getDecoratedMeasuredHeight(view), this.n, bVar);
        ItemEntry t = t(view, this.l);
        Rect rect = this.l;
        layoutDecorated(view, rect.left, rect.top, rect.right, rect.bottom);
        if (!((RecyclerView.LayoutParams) view.getLayoutParams()).isItemRemoved()) {
            F(t, this.l, this.n.a, y(view), bVar);
        }
        StringBuilder k2 = b2.k("child position ", position, " childFrame=");
        k2.append(this.l);
        k2.toString();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenHorizontal(int i2) {
        if (!this.b) {
            this.h.g(i2);
        }
        super.offsetChildrenHorizontal(i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenVertical(int i2) {
        super.offsetChildrenVertical(i2);
        if (this.b) {
            this.h.g(i2);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        z(i2, i3, b.ADD);
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onItemsChanged(RecyclerView recyclerView) {
        ItemEntry[] itemEntryArr;
        by byVar = this.j;
        if (!(byVar == null || (itemEntryArr = byVar.a) == null)) {
            Arrays.fill(itemEntryArr, (Object) null);
        }
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        z(i2, i3, b.MOVE);
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        z(i2, i3, b.REMOVE);
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3) {
        z(i2, i3, b.UPDATE);
        m();
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0050  */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x00ab A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x00ac  */
    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onLayoutChildren(RecyclerView.Recycler recycler, RecyclerView.State state) {
        boolean z;
        cy cyVar = this.i;
        boolean z2 = true;
        boolean z3 = cyVar != null;
        if (z3) {
            this.h = cyVar;
            this.j = this.k;
            this.i = null;
            this.k = null;
        }
        int laneCount = getLaneCount();
        if (!(laneCount == 0 || getWidth() == 0 || getHeight() == 0)) {
            cy cyVar2 = this.h;
            if (cyVar2 != null) {
                int laneCount2 = getLaneCount();
                float a2 = cy.a(this, laneCount2);
                if (cyVar2.e() == getOrientation() && cyVar2.b.length == laneCount2 && cyVar2.d == a2) {
                    z = true;
                    if (!z) {
                        cy cyVar3 = this.h;
                        this.h = new cy(this, laneCount);
                        if (getPendingScrollPosition() == -1) {
                            int firstVisiblePosition = getFirstVisiblePosition();
                            View findViewByPosition = findViewByPosition(firstVisiblePosition);
                            int l2 = findViewByPosition != null ? l(findViewByPosition) : 0;
                            this.d = firstVisiblePosition;
                            this.e = l2;
                        }
                        if (this.j == null) {
                            this.j = new by();
                        }
                        if (cyVar3 != null && cyVar3.e() == this.h.e() && cyVar3.d == this.h.d) {
                            A(0);
                            if (this.h != null) {
                            }
                        } else {
                            ItemEntry[] itemEntryArr = this.j.a;
                            if (itemEntryArr != null) {
                                Arrays.fill(itemEntryArr, (Object) null);
                            }
                            if (this.h != null) {
                                int itemCount = state.getItemCount();
                                by byVar = this.j;
                                if (byVar != null) {
                                    byVar.b = itemCount;
                                }
                                int j2 = j(state);
                                if (j2 > 0 && (z2 || !z3)) {
                                    C(j2, getPendingScrollOffset(), recycler, state);
                                }
                                this.h.j(TwoWayLayoutManager.b.START);
                                super.onLayoutChildren(recycler, state);
                                return;
                            }
                            return;
                        }
                    }
                }
            }
            z = false;
            if (!z) {
            }
        }
        z2 = false;
        if (this.h != null) {
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public void onRestoreInstanceState(Parcelable parcelable) {
        LanedSavedState lanedSavedState = (LanedSavedState) parcelable;
        Rect[] rectArr = lanedSavedState.f;
        if (rectArr != null) {
            float f = lanedSavedState.g;
            if (f > 0.0f) {
                this.i = new cy(this, lanedSavedState.e, rectArr, f);
                this.k = lanedSavedState.h;
            }
        }
        this.c = (TwoWayLayoutManager.SavedState) lanedSavedState.b;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public Parcelable onSaveInstanceState() {
        LanedSavedState lanedSavedState = new LanedSavedState(super.onSaveInstanceState());
        cy cyVar = this.h;
        int length = cyVar != null ? cyVar.b.length : 0;
        lanedSavedState.f = new Rect[length];
        for (int i2 = 0; i2 < length; i2++) {
            Rect rect = new Rect();
            this.h.d(i2, rect);
            lanedSavedState.f[i2] = rect;
        }
        lanedSavedState.e = getOrientation();
        cy cyVar2 = this.h;
        lanedSavedState.g = cyVar2 != null ? cyVar2.d : 0.0f;
        lanedSavedState.h = this.j;
        return lanedSavedState;
    }

    @Override // com.owen.tvrecyclerview.TwoWayLayoutManager
    public void p(View view, TwoWayLayoutManager.b bVar) {
        u(view, bVar);
        B(view);
    }

    @Override // com.owen.tvrecyclerview.TwoWayLayoutManager
    public void r(RecyclerView.Recycler recycler, RecyclerView.State state) {
        cy cyVar = this.h;
        int i2 = 0;
        int i3 = 0;
        while (true) {
            Rect[] rectArr = cyVar.b;
            if (i3 >= rectArr.length) {
                break;
            }
            cyVar.c[i3].set(rectArr[i3]);
            i3++;
        }
        super.r(recycler, state);
        cy cyVar2 = this.h;
        while (true) {
            Rect[] rectArr2 = cyVar2.b;
            if (i2 < rectArr2.length) {
                rectArr2[i2].set(cyVar2.c[i2]);
                i2++;
            } else {
                return;
            }
        }
    }

    public ItemEntry t(View view, Rect rect) {
        return null;
    }

    public ItemEntry u(View view, TwoWayLayoutManager.b bVar) {
        return null;
    }

    public ItemEntry v(int i2) {
        ItemEntry[] itemEntryArr;
        by byVar = this.j;
        if (byVar == null || (itemEntryArr = byVar.a) == null || i2 >= itemEntryArr.length || i2 < 0) {
            return null;
        }
        return itemEntryArr[i2];
    }

    public void w(cy.a aVar, View view, TwoWayLayoutManager.b bVar) {
        x(aVar, getPosition(view), bVar);
    }

    public abstract void x(cy.a aVar, int i2, TwoWayLayoutManager.b bVar);

    public int y(View view) {
        return 1;
    }

    public final void z(int i2, int i3, b bVar) {
        A(i2);
        int ordinal = bVar.ordinal();
        if (ordinal == 0) {
            D(i2, i3);
        } else if (ordinal == 1) {
            E(i2, i3);
        } else if (ordinal == 3) {
            E(i2, 1);
            D(i3, 1);
        }
        if (i3 + i2 > getFirstVisiblePosition() && i2 <= getLastVisiblePosition()) {
            requestLayout();
        }
    }

    public BaseLayoutManager(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.l = new Rect();
        this.m = new Rect();
        this.n = new cy.a();
    }

    public static class ItemEntry implements Parcelable {
        public static final Parcelable.Creator<ItemEntry> CREATOR = new a();
        public int a;
        public int b;
        public int[] c;

        public static class a implements Parcelable.Creator<ItemEntry> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public ItemEntry createFromParcel(Parcel parcel) {
                return new ItemEntry(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public ItemEntry[] newArray(int i) {
                return new ItemEntry[i];
            }
        }

        public ItemEntry(int i, int i2) {
            this.a = i;
            this.b = i2;
        }

        public void a(cy.a aVar) {
            this.a = aVar.a;
            this.b = aVar.b;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.a);
            parcel.writeInt(this.b);
            int[] iArr = this.c;
            int length = iArr != null ? iArr.length : 0;
            parcel.writeInt(length);
            for (int i2 = 0; i2 < length; i2++) {
                parcel.writeInt(this.c[i2]);
            }
        }

        public ItemEntry(Parcel parcel) {
            this.a = parcel.readInt();
            this.b = parcel.readInt();
            int readInt = parcel.readInt();
            if (readInt > 0) {
                this.c = new int[readInt];
                for (int i = 0; i < readInt; i++) {
                    this.c[i] = parcel.readInt();
                }
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new RecyclerView.LayoutParams(context, attributeSet);
    }
}
