package com.owen.tvrecyclerview;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.PointF;
import android.graphics.Rect;
import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.recyclerview.widget.LinearSmoothScroller;
import androidx.recyclerview.widget.RecyclerView;
import com.owen.tvrecyclerview.widget.TvRecyclerView;
import java.util.List;

public abstract class TwoWayLayoutManager extends RecyclerView.LayoutManager implements RecyclerView.SmoothScroller.ScrollVectorProvider {
    public RecyclerView a;
    public boolean b;
    public SavedState c;
    public int d;
    public int e;
    public int f;
    public int g;

    public class a extends LinearSmoothScroller {
        public a(TwoWayLayoutManager twoWayLayoutManager, Context context) {
            super(context);
        }

        @Override // androidx.recyclerview.widget.LinearSmoothScroller
        public int calculateDtToFit(int i, int i2, int i3, int i4, int i5) {
            return i3 - i;
        }
    }

    public enum b {
        START,
        END
    }

    public enum c {
        HORIZONTAL,
        VERTICAL
    }

    public TwoWayLayoutManager(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    private Bundle getPendingItemSelectionState() {
        SavedState savedState = this.c;
        if (savedState != null) {
            return savedState.d;
        }
        return null;
    }

    private int getTotalSpace() {
        int width;
        int paddingLeft;
        if (this.b) {
            width = getHeight() - getPaddingBottom();
            paddingLeft = getPaddingTop();
        } else {
            width = getWidth() - getPaddingRight();
            paddingLeft = getPaddingLeft();
        }
        return width - paddingLeft;
    }

    public final void a() {
        if (getChildCount() != 0) {
            int startWithPadding = this.f - getStartWithPadding();
            if (startWithPadding < 0) {
                startWithPadding = 0;
            }
            if (startWithPadding != 0) {
                q(-startWithPadding);
            }
        }
    }

    public abstract boolean b(b bVar, int i);

    public boolean c(int i) {
        return getChildCount() + getFirstVisiblePosition() == getItemCount() && this.g <= getEndWithPadding() && i >= 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollHorizontally() {
        return !this.b;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean canScrollVertically() {
        return this.b;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollExtent(RecyclerView.State state) {
        return getChildCount();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeHorizontalScrollRange(RecyclerView.State state) {
        return state.getItemCount();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.SmoothScroller.ScrollVectorProvider
    public PointF computeScrollVectorForPosition(int i) {
        if (getChildCount() == 0) {
            return null;
        }
        int i2 = i < getPosition(getChildAt(0)) ? -1 : 1;
        if (!this.b) {
            return new PointF((float) i2, 0.0f);
        }
        return new PointF(0.0f, (float) i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollExtent(RecyclerView.State state) {
        return getChildCount();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int computeVerticalScrollRange(RecyclerView.State state) {
        return state.getItemCount();
    }

    public boolean d(int i) {
        return getFirstVisiblePosition() == 0 && this.f >= getStartWithPadding() && i <= 0;
    }

    public final void e(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (getLastVisiblePosition() == state.getItemCount() - 1 && i != 0) {
            int startWithPadding = getStartWithPadding();
            int endWithPadding = getEndWithPadding();
            int firstVisiblePosition = getFirstVisiblePosition();
            int i2 = endWithPadding - this.g;
            if (i2 <= 0) {
                return;
            }
            if (firstVisiblePosition > 0 || this.f < startWithPadding) {
                if (firstVisiblePosition == 0) {
                    i2 = Math.min(i2, startWithPadding - this.f);
                }
                q(i2);
                if (firstVisiblePosition > 0) {
                    h(firstVisiblePosition - 1, recycler, 0);
                    a();
                }
            }
        }
    }

    public void f(View view, b bVar) {
    }

    public final void g(int i, RecyclerView.Recycler recycler, RecyclerView.State state, int i2) {
        int endWithPadding = getEndWithPadding() + i2;
        int itemCount = state.getItemCount();
        while (true) {
            b bVar = b.END;
            if (b(bVar, endWithPadding) && i < itemCount) {
                o(i, bVar, recycler);
                i++;
            } else {
                return;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        if (this.b) {
            return new RecyclerView.LayoutParams(-1, -2);
        }
        return new RecyclerView.LayoutParams(-2, -1);
    }

    public RecyclerView.Adapter getAdapter() {
        RecyclerView recyclerView = this.a;
        if (recyclerView != null) {
            return recyclerView.getAdapter();
        }
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedBottom(View view) {
        return super.getDecoratedBottom(view) + ((ViewGroup.MarginLayoutParams) view.getLayoutParams()).bottomMargin;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedLeft(View view) {
        return super.getDecoratedLeft(view) - ((ViewGroup.MarginLayoutParams) view.getLayoutParams()).leftMargin;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedMeasuredHeight(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return super.getDecoratedMeasuredHeight(view) + marginLayoutParams.topMargin + marginLayoutParams.bottomMargin;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedMeasuredWidth(View view) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        return super.getDecoratedMeasuredWidth(view) + marginLayoutParams.leftMargin + marginLayoutParams.rightMargin;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedRight(View view) {
        return super.getDecoratedRight(view) + ((ViewGroup.MarginLayoutParams) view.getLayoutParams()).rightMargin;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int getDecoratedTop(View view) {
        return super.getDecoratedTop(view) - ((ViewGroup.MarginLayoutParams) view.getLayoutParams()).topMargin;
    }

    public int getEndWithPadding() {
        int width;
        int paddingRight;
        if (this.b) {
            width = getHeight();
            paddingRight = getPaddingBottom();
        } else {
            width = getWidth();
            paddingRight = getPaddingRight();
        }
        return width - paddingRight;
    }

    public int getFirstVisiblePosition() {
        if (getChildCount() == 0) {
            return 0;
        }
        return getPosition(getChildAt(0));
    }

    public int getLastVisiblePosition() {
        int childCount = getChildCount();
        if (childCount == 0) {
            return 0;
        }
        return getPosition(getChildAt(childCount - 1));
    }

    public c getOrientation() {
        return this.b ? c.VERTICAL : c.HORIZONTAL;
    }

    public int getPendingScrollOffset() {
        if (this.c != null) {
            return 0;
        }
        if (this.e != 0 || getFirstVisiblePosition() <= 0) {
            return this.e;
        }
        return this.f;
    }

    public int getPendingScrollPosition() {
        SavedState savedState = this.c;
        if (savedState != null) {
            return savedState.c;
        }
        return this.d;
    }

    public int getStartWithPadding() {
        return this.b ? getPaddingTop() : getPaddingLeft();
    }

    public final void h(int i, RecyclerView.Recycler recycler, int i2) {
        int startWithPadding = getStartWithPadding() - i2;
        while (true) {
            b bVar = b.START;
            if (b(bVar, startWithPadding) && i >= 0) {
                o(i, bVar, recycler);
                i--;
            } else {
                return;
            }
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x0047  */
    /* JADX WARNING: Removed duplicated region for block: B:22:0x004b  */
    /* JADX WARNING: Removed duplicated region for block: B:6:0x001f  */
    public final void i(List<RecyclerView.ViewHolder> list, b bVar) {
        int i;
        TwoWayLayoutManager twoWayLayoutManager;
        int i2;
        TwoWayLayoutManager twoWayLayoutManager2;
        int abs;
        int firstVisiblePosition = getFirstVisiblePosition();
        if (bVar == b.END) {
            i = getChildCount();
            twoWayLayoutManager = this;
            i2 = firstVisiblePosition + i;
            twoWayLayoutManager2 = twoWayLayoutManager;
        } else {
            i2 = firstVisiblePosition - 1;
            twoWayLayoutManager2 = this;
        }
        int size = list.size();
        View view = null;
        int i3 = Integer.MAX_VALUE;
        RecyclerView.ViewHolder viewHolder = null;
        for (int i4 = 0; i4 < size; i4++) {
            RecyclerView.ViewHolder viewHolder2 = list.get(i4);
            int position = viewHolder2.getPosition() - i2;
            if ((position >= 0 || bVar != b.END) && ((position <= 0 || bVar != b.START) && (abs = Math.abs(position)) < i3)) {
                viewHolder = viewHolder2;
                if (position == 0) {
                    break;
                }
                i3 = abs;
            }
        }
        if (viewHolder != null) {
            view = viewHolder.itemView;
        }
        if (view == null) {
            twoWayLayoutManager2.p(view, bVar);
            twoWayLayoutManager2.n(view, bVar);
            if (bVar == b.END) {
                i = i2;
                twoWayLayoutManager = twoWayLayoutManager2;
                firstVisiblePosition = 1;
            } else {
                i = i2;
                twoWayLayoutManager = twoWayLayoutManager2;
                firstVisiblePosition = -1;
            }
            i2 = firstVisiblePosition + i;
            twoWayLayoutManager2 = twoWayLayoutManager;
            int size2 = list.size();
            View view2 = null;
            int i32 = Integer.MAX_VALUE;
            RecyclerView.ViewHolder viewHolder3 = null;
            while (i4 < size2) {
            }
            if (viewHolder3 != null) {
            }
            if (view2 == null) {
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean isAutoMeasureEnabled() {
        return true;
    }

    public int j(RecyclerView.State state) {
        int itemCount = state.getItemCount();
        int pendingScrollPosition = getPendingScrollPosition();
        if (pendingScrollPosition != -1 && (pendingScrollPosition < 0 || pendingScrollPosition >= itemCount)) {
            pendingScrollPosition = -1;
        }
        if (pendingScrollPosition != -1) {
            return pendingScrollPosition;
        }
        if (getChildCount() <= 0) {
            return 0;
        }
        int childCount = getChildCount();
        for (int i = 0; i < childCount; i++) {
            int position = getPosition(getChildAt(i));
            if (position >= 0 && position < itemCount) {
                return position;
            }
        }
        return 0;
    }

    public int k(View view) {
        return this.b ? getDecoratedBottom(view) : getDecoratedRight(view);
    }

    public int l(View view) {
        return this.b ? getDecoratedTop(view) : getDecoratedLeft(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void layoutDecorated(View view, int i, int i2, int i3, int i4) {
        ViewGroup.MarginLayoutParams marginLayoutParams = (ViewGroup.MarginLayoutParams) view.getLayoutParams();
        super.layoutDecorated(view, i + marginLayoutParams.leftMargin, i2 + marginLayoutParams.topMargin, i3 - marginLayoutParams.rightMargin, i4 - marginLayoutParams.bottomMargin);
    }

    public final void m() {
        int firstVisiblePosition = getFirstVisiblePosition();
        if (findViewByPosition(firstVisiblePosition) != null) {
            int i = this.f;
            this.d = firstVisiblePosition;
            this.e = i;
            return;
        }
        this.d = -1;
        this.e = 0;
    }

    public abstract void n(View view, b bVar);

    public final View o(int i, b bVar, RecyclerView.Recycler recycler) {
        View viewForPosition = recycler.getViewForPosition(i);
        boolean isItemRemoved = ((RecyclerView.LayoutParams) viewForPosition.getLayoutParams()).isItemRemoved();
        if (!isItemRemoved) {
            addView(viewForPosition, bVar == b.END ? -1 : 0);
        }
        p(viewForPosition, bVar);
        n(viewForPosition, bVar);
        if (!isItemRemoved) {
            int l = l(viewForPosition);
            if (l < this.f) {
                this.f = l;
            }
            int k = k(viewForPosition);
            if (k > this.g) {
                this.g = k;
            }
        }
        return viewForPosition;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAdapterChanged(RecyclerView.Adapter adapter, RecyclerView.Adapter adapter2) {
        super.onAdapterChanged(adapter, adapter2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAttachedToWindow(RecyclerView recyclerView) {
        super.onAttachedToWindow(recyclerView);
        this.a = recyclerView;
        if (this.f == 0) {
            this.f = getStartWithPadding();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.Recycler recycler) {
        super.onDetachedFromWindow(recyclerView, recycler);
        this.a = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsAdded(RecyclerView recyclerView, int i, int i2) {
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsChanged(RecyclerView recyclerView) {
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsMoved(RecyclerView recyclerView, int i, int i2, int i3) {
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsRemoved(RecyclerView recyclerView, int i, int i2) {
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsUpdated(RecyclerView recyclerView, int i, int i2) {
        m();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onLayoutChildren(RecyclerView.Recycler recycler, RecyclerView.State state) {
        int i;
        int j = j(state);
        detachAndScrapAttachedViews(recycler);
        if (state.getItemCount() > 0) {
            o(j, b.END, recycler);
            int totalSpace = state.hasTargetScrollPosition() ? getTotalSpace() : 0;
            if (state.getTargetScrollPosition() < j) {
                i = 0;
            } else {
                i = totalSpace;
                totalSpace = 0;
            }
            h(j - 1, recycler, totalSpace);
            a();
            g(j + 1, recycler, state, i);
            e(getChildCount(), recycler, state);
        }
        r(recycler, state);
        this.d = -1;
        this.e = 0;
        this.c = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onMeasure(RecyclerView.Recycler recycler, RecyclerView.State state, int i, int i2) {
        super.onMeasure(recycler, state, i, i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onRestoreInstanceState(Parcelable parcelable) {
        this.c = (SavedState) parcelable;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public Parcelable onSaveInstanceState() {
        SavedState savedState = new SavedState(SavedState.a);
        int pendingScrollPosition = getPendingScrollPosition();
        if (pendingScrollPosition == -1) {
            pendingScrollPosition = getFirstVisiblePosition();
        }
        savedState.c = pendingScrollPosition;
        savedState.d = Bundle.EMPTY;
        return savedState;
    }

    public abstract void p(View view, b bVar);

    public final void q(int i) {
        if (this.b) {
            offsetChildrenVertical(i);
        } else {
            offsetChildrenHorizontal(i);
        }
        this.f += i;
        this.g += i;
    }

    public void r(RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (getChildCount() != 0 && !state.isPreLayout() && supportsPredictiveItemAnimations()) {
            List<RecyclerView.ViewHolder> scrapList = recycler.getScrapList();
            i(scrapList, b.START);
            i(scrapList, b.END);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean requestChildRectangleOnScreen(RecyclerView recyclerView, View view, Rect rect, boolean z, boolean z2) {
        if (recyclerView instanceof TvRecyclerView) {
            return recyclerView.requestChildRectangleOnScreen(view, rect, z);
        }
        return super.requestChildRectangleOnScreen(recyclerView, view, rect, z, z2);
    }

    public final void s(View view, b bVar) {
        int i;
        int childCount = getChildCount();
        if (childCount == 0) {
            int startWithPadding = getStartWithPadding();
            this.f = startWithPadding;
            this.g = startWithPadding;
            return;
        }
        int l = l(view);
        int k = k(view);
        if (l <= this.f || k >= this.g) {
            if (bVar == b.END) {
                this.f = Integer.MAX_VALUE;
                i = 0;
            } else {
                this.g = Integer.MIN_VALUE;
                i = childCount - 1;
                k = l;
            }
            while (i >= 0 && i <= childCount - 1) {
                View childAt = getChildAt(i);
                if (bVar == b.END) {
                    int l2 = l(childAt);
                    if (l2 < this.f) {
                        this.f = l2;
                    }
                    if (l2 < k) {
                        i++;
                    } else {
                        return;
                    }
                } else {
                    int k2 = k(childAt);
                    if (k2 > this.g) {
                        this.g = k2;
                    }
                    if (k2 > k) {
                        i--;
                    } else {
                        return;
                    }
                }
            }
        }
    }

    public final int scrollBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        int i2;
        int childCount = getChildCount();
        if (!(childCount == 0 || i == 0)) {
            int startWithPadding = getStartWithPadding();
            int endWithPadding = getEndWithPadding();
            int firstVisiblePosition = getFirstVisiblePosition();
            int totalSpace = getTotalSpace();
            if (i < 0) {
                i2 = Math.max(-(totalSpace - 1), i);
            } else {
                i2 = Math.min(totalSpace - 1, i);
            }
            boolean z = firstVisiblePosition == 0 && this.f >= startWithPadding && i2 <= 0;
            if (!(firstVisiblePosition + childCount == state.getItemCount() && this.g <= endWithPadding && i2 >= 0) && !z) {
                q(-i2);
                b bVar = i2 > 0 ? b.END : b.START;
                if (bVar != b.END) {
                    int endWithPadding2 = getEndWithPadding();
                    int i3 = 0;
                    int i4 = 0;
                    for (int childCount2 = getChildCount() - 1; childCount2 >= 0; childCount2--) {
                        View childAt = getChildAt(childCount2);
                        if (l(childAt) <= endWithPadding2) {
                            break;
                        }
                        i3++;
                        f(childAt, bVar);
                        i4 = childCount2;
                    }
                    while (true) {
                        i3--;
                        if (i3 < 0) {
                            break;
                        }
                        View childAt2 = getChildAt(i4);
                        removeAndRecycleViewAt(i4, recycler);
                        s(childAt2, bVar);
                    }
                } else {
                    int childCount3 = getChildCount();
                    int startWithPadding2 = getStartWithPadding();
                    int i5 = 0;
                    for (int i6 = 0; i6 < childCount3; i6++) {
                        View childAt3 = getChildAt(i6);
                        if (k(childAt3) >= startWithPadding2) {
                            break;
                        }
                        i5++;
                        f(childAt3, bVar);
                    }
                    while (true) {
                        i5--;
                        if (i5 < 0) {
                            break;
                        }
                        View childAt4 = getChildAt(0);
                        removeAndRecycleView(childAt4, recycler);
                        s(childAt4, bVar);
                    }
                }
                int abs = Math.abs(i2);
                if (b(b.START, startWithPadding - abs) || b(b.END, endWithPadding + abs)) {
                    int childCount4 = getChildCount();
                    int totalSpace2 = state.hasTargetScrollPosition() ? getTotalSpace() : 0;
                    int firstVisiblePosition2 = getFirstVisiblePosition();
                    if (bVar == b.END) {
                        g(firstVisiblePosition2 + childCount4, recycler, state, totalSpace2);
                        e(childCount4, recycler, state);
                    } else {
                        h(firstVisiblePosition2 - 1, recycler, totalSpace2);
                        if (getFirstVisiblePosition() == 0 && childCount4 != 0) {
                            int startWithPadding3 = getStartWithPadding();
                            int endWithPadding3 = getEndWithPadding();
                            int itemCount = state.getItemCount();
                            int lastVisiblePosition = getLastVisiblePosition();
                            int i7 = this.f - startWithPadding3;
                            if (i7 > 0) {
                                int i8 = itemCount - 1;
                                if (lastVisiblePosition < i8 || this.g > endWithPadding3) {
                                    if (lastVisiblePosition == i8) {
                                        i7 = Math.min(i7, this.g - endWithPadding3);
                                    }
                                    q(-i7);
                                    if (lastVisiblePosition < i8) {
                                        g(lastVisiblePosition + 1, recycler, state, 0);
                                        a();
                                    }
                                } else if (lastVisiblePosition == i8) {
                                    a();
                                }
                            }
                        }
                    }
                }
                return i2;
            }
        }
        return 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollHorizontallyBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (this.b) {
            return 0;
        }
        return scrollBy(i, recycler, state);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void scrollToPosition(int i) {
        this.d = i;
        this.e = 0;
        requestLayout();
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public int scrollVerticallyBy(int i, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (!this.b) {
            return 0;
        }
        return scrollBy(i, recycler, state);
    }

    public void setOrientation(c cVar) {
        boolean z = cVar == c.VERTICAL;
        if (this.b != z) {
            this.b = z;
            requestLayout();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.State state, int i) {
        a aVar = new a(this, recyclerView.getContext());
        aVar.setTargetPosition(i);
        startSmoothScroll(aVar);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return false;
    }

    public static class SavedState implements Parcelable {
        public static final Parcelable.Creator<SavedState> CREATOR = new a();
        public static final SavedState a = new SavedState();
        public final Parcelable b;
        public int c;
        public Bundle d;

        public static class a implements Parcelable.Creator<SavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState createFromParcel(Parcel parcel) {
                return new SavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SavedState[] newArray(int i) {
                return new SavedState[i];
            }
        }

        public SavedState() {
            this.b = null;
        }

        public int describeContents() {
            return 0;
        }

        public void writeToParcel(Parcel parcel, int i) {
            parcel.writeInt(this.c);
            parcel.writeParcelable(this.d, i);
        }

        public SavedState(Parcelable parcelable) {
            if (parcelable != null) {
                this.b = parcelable == a ? null : parcelable;
                return;
            }
            throw new IllegalArgumentException("superState must not be null");
        }

        public SavedState(Parcel parcel) {
            this.b = a;
            this.c = parcel.readInt();
            this.d = (Bundle) parcel.readParcelable(getClass().getClassLoader());
        }
    }

    public TwoWayLayoutManager(Context context, AttributeSet attributeSet, int i) {
        int i2;
        this.b = true;
        this.c = null;
        this.d = -1;
        this.e = 0;
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.TvRecyclerView, i, 0);
        int indexCount = obtainStyledAttributes.getIndexCount();
        for (int i3 = 0; i3 < indexCount; i3++) {
            int index = obtainStyledAttributes.getIndex(i3);
            if (index == R$styleable.TvRecyclerView_android_orientation && (i2 = obtainStyledAttributes.getInt(index, -1)) >= 0) {
                setOrientation(c.values()[i2]);
            }
        }
        obtainStyledAttributes.recycle();
    }
}
