package com.owen.tvrecyclerview.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.util.AttributeSet;
import android.view.View;
import android.view.ViewGroup;
import androidx.base.b2;
import androidx.base.cy;
import androidx.recyclerview.widget.RecyclerView;
import com.owen.tvrecyclerview.BaseLayoutManager;
import com.owen.tvrecyclerview.R$styleable;
import com.owen.tvrecyclerview.TwoWayLayoutManager;

public class SpannableGridLayoutManager extends GridLayoutManager {
    public boolean q;

    public SpannableGridLayoutManager(Context context) {
        this(context, null);
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager
    public void B(View view) {
        this.q = true;
        measureChildWithMargins(view, ((getWidth() - getPaddingLeft()) - getPaddingRight()) - (((int) getLanes().d) * ((a) view.getLayoutParams()).b), ((getHeight() - getPaddingTop()) - getPaddingBottom()) - (((int) getLanes().d) * ((a) view.getLayoutParams()).a));
        this.q = false;
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, com.owen.tvrecyclerview.widget.GridLayoutManager
    public void C(int i, int i2, RecyclerView.Recycler recycler, RecyclerView.State state) {
        int i3;
        int i4;
        boolean z = this.b;
        cy lanes = getLanes();
        lanes.i(0);
        for (int i5 = 0; i5 <= i; i5++) {
            SpannableItemEntry spannableItemEntry = (SpannableItemEntry) v(i5);
            if (spannableItemEntry == null) {
                spannableItemEntry = (SpannableItemEntry) u(recycler.getViewForPosition(i5), TwoWayLayoutManager.b.END);
            }
            cy.a aVar = this.n;
            int i6 = spannableItemEntry.a;
            int i7 = spannableItemEntry.b;
            aVar.a = i6;
            aVar.b = i7;
            if (aVar.a()) {
                cy.a aVar2 = this.n;
                SpannableItemEntry spannableItemEntry2 = (SpannableItemEntry) v(i5);
                if (spannableItemEntry2 == null) {
                    View childAt = getChildAt(i5 - getFirstVisiblePosition());
                    if (childAt != null) {
                        i4 = y(childAt);
                    } else {
                        throw new IllegalStateException(b2.t("Could not find span for position ", i5));
                    }
                } else if (this.b) {
                    i4 = spannableItemEntry2.d;
                } else {
                    i4 = spannableItemEntry2.e;
                }
                lanes.b(aVar2, i4, TwoWayLayoutManager.b.END);
                spannableItemEntry.a(this.n);
            }
            Rect rect = this.m;
            int i8 = ((int) getLanes().d) * spannableItemEntry.d;
            int i9 = spannableItemEntry.e;
            cy.a aVar3 = this.n;
            TwoWayLayoutManager.b bVar = TwoWayLayoutManager.b.END;
            lanes.c(rect, i8, ((int) getLanes().d) * i9, aVar3, bVar);
            if (i5 != i) {
                Rect rect2 = this.m;
                int i10 = spannableItemEntry.a;
                if (z) {
                    i3 = spannableItemEntry.d;
                } else {
                    i3 = spannableItemEntry.e;
                }
                F(spannableItemEntry, rect2, i10, i3, bVar);
            }
        }
        lanes.d(this.n.a, this.m);
        lanes.j(TwoWayLayoutManager.b.END);
        Rect rect3 = this.m;
        lanes.g(i2 - (z ? rect3.bottom : rect3.right));
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public boolean canScrollHorizontally() {
        if (!(!this.b) || this.q) {
            return false;
        }
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public boolean canScrollVertically() {
        return this.b && !this.q;
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        int i;
        int i2;
        super.checkLayoutParams(layoutParams);
        if (((ViewGroup.MarginLayoutParams) layoutParams).width != -1 || ((ViewGroup.MarginLayoutParams) layoutParams).height != -1 || !(layoutParams instanceof a)) {
            return false;
        }
        a aVar = (a) layoutParams;
        if (this.b) {
            if (aVar.a < 1 || (i2 = aVar.b) < 1 || i2 > getLaneCount()) {
                return false;
            }
            return true;
        } else if (aVar.b < 1 || (i = aVar.a) < 1 || i > getLaneCount()) {
            return false;
        } else {
            return true;
        }
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager, com.owen.tvrecyclerview.TwoWayLayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        return new a(-1, -1);
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        a aVar = new a((ViewGroup.MarginLayoutParams) layoutParams);
        ((ViewGroup.MarginLayoutParams) aVar).width = -1;
        ((ViewGroup.MarginLayoutParams) aVar).height = -1;
        if (layoutParams instanceof a) {
            a aVar2 = (a) layoutParams;
            if (this.b) {
                aVar.b = Math.max(1, Math.min(aVar2.b, getLaneCount()));
                aVar.a = Math.max(1, aVar2.a);
            } else {
                aVar.b = Math.max(1, aVar2.b);
                aVar.a = Math.max(1, Math.min(aVar2.a, getLaneCount()));
            }
        }
        return aVar;
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager
    public BaseLayoutManager.ItemEntry u(View view, TwoWayLayoutManager.b bVar) {
        int position = getPosition(view);
        this.n.b();
        SpannableItemEntry spannableItemEntry = (SpannableItemEntry) v(position);
        if (spannableItemEntry != null) {
            cy.a aVar = this.n;
            int i = spannableItemEntry.a;
            int i2 = spannableItemEntry.b;
            aVar.a = i;
            aVar.b = i2;
        }
        if (this.n.a()) {
            w(this.n, view, bVar);
        }
        if (spannableItemEntry == null) {
            a aVar2 = (a) view.getLayoutParams();
            cy.a aVar3 = this.n;
            SpannableItemEntry spannableItemEntry2 = new SpannableItemEntry(aVar3.a, aVar3.b, aVar2.b, aVar2.a);
            G(position, spannableItemEntry2);
            return spannableItemEntry2;
        }
        spannableItemEntry.a(this.n);
        return spannableItemEntry;
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager
    public void w(cy.a aVar, View view, TwoWayLayoutManager.b bVar) {
        x(aVar, getPosition(view), bVar);
        if (aVar.a()) {
            getLanes().b(aVar, y(view), bVar);
        }
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, com.owen.tvrecyclerview.widget.GridLayoutManager
    public void x(cy.a aVar, int i, TwoWayLayoutManager.b bVar) {
        SpannableItemEntry spannableItemEntry = (SpannableItemEntry) v(i);
        if (spannableItemEntry != null) {
            int i2 = spannableItemEntry.a;
            int i3 = spannableItemEntry.b;
            aVar.a = i2;
            aVar.b = i3;
            return;
        }
        aVar.b();
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager
    public int y(View view) {
        a aVar = (a) view.getLayoutParams();
        return this.b ? aVar.b : aVar.a;
    }

    public SpannableGridLayoutManager(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public static class SpannableItemEntry extends BaseLayoutManager.ItemEntry {
        public static final Parcelable.Creator<SpannableItemEntry> CREATOR = new a();
        public final int d;
        public final int e;

        public static class a implements Parcelable.Creator<SpannableItemEntry> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public SpannableItemEntry createFromParcel(Parcel parcel) {
                return new SpannableItemEntry(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public SpannableItemEntry[] newArray(int i) {
                return new SpannableItemEntry[i];
            }
        }

        public SpannableItemEntry(int i, int i2, int i3, int i4) {
            super(i, i2);
            this.d = i3;
            this.e = i4;
        }

        @Override // com.owen.tvrecyclerview.BaseLayoutManager.ItemEntry
        public void writeToParcel(Parcel parcel, int i) {
            super.writeToParcel(parcel, i);
            parcel.writeInt(this.d);
            parcel.writeInt(this.e);
        }

        public SpannableItemEntry(Parcel parcel) {
            super(parcel);
            this.d = parcel.readInt();
            this.e = parcel.readInt();
        }
    }

    public static class a extends RecyclerView.LayoutParams {
        public int a;
        public int b;

        public a(int i, int i2) {
            super(i, i2);
            this.a = 1;
            this.b = 1;
        }

        public a(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
            TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.TvRecyclerView_SpannableGridViewChild);
            this.b = Math.max(1, obtainStyledAttributes.getInt(R$styleable.TvRecyclerView_SpannableGridViewChild_tv_colSpan, -1));
            this.a = Math.max(1, obtainStyledAttributes.getInt(R$styleable.TvRecyclerView_SpannableGridViewChild_tv_rowSpan, -1));
            obtainStyledAttributes.recycle();
        }

        public a(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
            if (marginLayoutParams instanceof a) {
                a aVar = (a) marginLayoutParams;
                this.a = aVar.a;
                this.b = aVar.b;
                return;
            }
            this.a = 1;
            this.b = 1;
        }
    }

    public SpannableGridLayoutManager(Context context, AttributeSet attributeSet, int i) {
        super(context, attributeSet, i, 3, 3);
    }

    @Override // com.owen.tvrecyclerview.BaseLayoutManager, androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new a(context, attributeSet);
    }
}
