package com.owen.tvrecyclerview.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.Point;
import android.graphics.Rect;
import android.os.Parcel;
import android.os.Parcelable;
import android.text.TextUtils;
import android.util.AttributeSet;
import android.view.FocusFinder;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.Interpolator;
import androidx.core.view.ViewCompat;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.LinearSmoothScroller;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.SimpleItemAnimator;
import com.google.android.exoplayer2.extractor.ts.TsExtractor;
import com.owen.tvrecyclerview.BaseLayoutManager;
import com.owen.tvrecyclerview.R$styleable;
import com.owen.tvrecyclerview.TwoWayLayoutManager;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.ArrayList;

public class TvRecyclerView extends RecyclerView implements View.OnClickListener, View.OnFocusChangeListener {
    public static final Class<?>[] a = {Context.class, AttributeSet.class, Integer.TYPE};
    public int b;
    public int c;
    public int d;
    public int e;
    public int f;
    public int g;
    public boolean h;
    public boolean i;
    public boolean j;
    public boolean k;
    public boolean l;
    public int m;
    public int n;
    public boolean o;
    public e p;
    public d q;
    public f r;
    public final Rect s;
    public final c t;
    public boolean u;
    public boolean v;
    public Point w;

    public static class ISavedState extends View.BaseSavedState {
        public static final Parcelable.Creator<ISavedState> CREATOR = new a();
        public int a;
        public int b;
        public int c;
        public int d;
        public int e;
        public int f;
        public int g;
        public boolean h;
        public boolean i;
        public boolean j;
        public boolean k;
        public Parcelable l;

        public static class a implements Parcelable.Creator<ISavedState> {
            /* Return type fixed from 'java.lang.Object' to match base method */
            @Override // android.os.Parcelable.Creator
            public ISavedState createFromParcel(Parcel parcel) {
                return new ISavedState(parcel);
            }

            /* Return type fixed from 'java.lang.Object[]' to match base method */
            @Override // android.os.Parcelable.Creator
            public ISavedState[] newArray(int i) {
                return new ISavedState[i];
            }
        }

        public ISavedState(Parcelable parcelable) {
            super(parcelable);
        }

        public void writeToParcel(Parcel parcel, int i2) {
            super.writeToParcel(parcel, i2);
            parcel.writeParcelable(this.l, 0);
            parcel.writeInt(this.a);
            parcel.writeInt(this.b);
            parcel.writeInt(this.d);
            parcel.writeInt(this.c);
            parcel.writeInt(this.e);
            parcel.writeInt(this.f);
            parcel.writeInt(this.g);
            parcel.writeBooleanArray(new boolean[]{this.h, this.i, this.j, this.k});
        }

        public ISavedState(Parcel parcel) {
            super(parcel);
            this.l = parcel.readParcelable(RecyclerView.class.getClassLoader());
            this.a = parcel.readInt();
            this.b = parcel.readInt();
            this.d = parcel.readInt();
            this.c = parcel.readInt();
            this.e = parcel.readInt();
            this.f = parcel.readInt();
            this.g = parcel.readInt();
            boolean[] zArr = new boolean[4];
            parcel.readBooleanArray(zArr);
            this.h = zArr[0];
            this.i = zArr[1];
            this.j = zArr[2];
            this.k = zArr[3];
        }
    }

    public class a implements Runnable {
        public final /* synthetic */ boolean a;
        public final /* synthetic */ View b;

        public a(boolean z, View view) {
            this.a = z;
            this.b = view;
        }

        public void run() {
            if (!TvRecyclerView.this.hasFocus()) {
                if (TvRecyclerView.this.j && !this.a) {
                    this.b.setActivated(true);
                }
                if (TvRecyclerView.this.getOnFocusChangeListener() != null) {
                    TvRecyclerView.this.getOnFocusChangeListener().onFocusChange(TvRecyclerView.this, false);
                }
            }
        }
    }

    public class b implements Runnable {
        public final /* synthetic */ int a;

        public b(int i) {
            this.a = i;
        }

        public void run() {
            int i;
            if (TvRecyclerView.this.getAdapter() != null && (i = this.a) >= 0 && i < TvRecyclerView.this.getItemCount()) {
                TvRecyclerView tvRecyclerView = TvRecyclerView.this;
                tvRecyclerView.n = this.a;
                View findViewByPosition = tvRecyclerView.getLayoutManager() != null ? TvRecyclerView.this.getLayoutManager().findViewByPosition(this.a) : null;
                if (findViewByPosition != null) {
                    if (!TvRecyclerView.this.hasFocus()) {
                        TvRecyclerView.this.onFocusChanged(true, TsExtractor.TS_STREAM_TYPE_HDMV_DTS, null);
                    }
                    findViewByPosition.requestFocus();
                    return;
                }
                TvRecyclerView tvRecyclerView2 = TvRecyclerView.this;
                g gVar = new g(tvRecyclerView2.getContext(), true, false, TvRecyclerView.this.f);
                gVar.setTargetPosition(this.a);
                TvRecyclerView.this.getLayoutManager().startSmoothScroll(gVar);
            }
        }
    }

    public class c extends RecyclerView.AdapterDataObserver {
        public c(a aVar) {
        }

        @Override // androidx.recyclerview.widget.RecyclerView.AdapterDataObserver
        public void onChanged() {
            TvRecyclerView.this.u = true;
        }
    }

    public interface d {
        boolean a(int i, View view);
    }

    public interface e {
        void a(TvRecyclerView tvRecyclerView, View view, int i);

        void b(TvRecyclerView tvRecyclerView, View view, int i);

        void c(TvRecyclerView tvRecyclerView, View view, int i);
    }

    public interface f {
        void a();
    }

    public class g extends LinearSmoothScroller {
        public boolean a;
        public boolean b;
        public int c;

        public class a implements Runnable {
            public final /* synthetic */ int a;

            public a(int i) {
                this.a = i;
            }

            public void run() {
                View findViewByPosition = TvRecyclerView.this.getLayoutManager().findViewByPosition(this.a);
                if (findViewByPosition != null) {
                    if (!TvRecyclerView.this.hasFocus()) {
                        TvRecyclerView.this.onFocusChanged(true, TsExtractor.TS_STREAM_TYPE_HDMV_DTS, null);
                    }
                    findViewByPosition.requestFocus();
                }
            }
        }

        public g(Context context, boolean z, boolean z2, int i) {
            super(context);
            this.a = z;
            this.b = z2;
            this.c = i;
        }

        @Override // androidx.recyclerview.widget.LinearSmoothScroller
        public int calculateDtToFit(int i, int i2, int i3, int i4, int i5) {
            return (i3 - i) + this.c;
        }

        @Override // androidx.recyclerview.widget.LinearSmoothScroller
        public int calculateTimeForScrolling(int i) {
            if (this.b) {
                return super.calculateTimeForScrolling(i);
            }
            return (int) Math.ceil((double) ((4.0f / ((float) TvRecyclerView.this.getContext().getResources().getDisplayMetrics().densityDpi)) * ((float) Math.abs(i))));
        }

        @Override // androidx.recyclerview.widget.LinearSmoothScroller, androidx.recyclerview.widget.RecyclerView.SmoothScroller
        public void onStop() {
            if (this.a) {
                TvRecyclerView.this.postDelayed(new a(getTargetPosition()), this.b ? 400 : 100);
            }
            super.onStop();
        }

        @Override // androidx.recyclerview.widget.LinearSmoothScroller, androidx.recyclerview.widget.RecyclerView.SmoothScroller
        public void onTargetFound(View view, RecyclerView.State state, RecyclerView.SmoothScroller.Action action) {
            int i;
            int i2;
            if (TvRecyclerView.this.h && getLayoutManager() != null) {
                TvRecyclerView tvRecyclerView = TvRecyclerView.this;
                tvRecyclerView.getDecoratedBoundsWithMargins(view, tvRecyclerView.s);
                if (getLayoutManager().canScrollHorizontally()) {
                    i2 = TvRecyclerView.this.getFreeWidth();
                    i = TvRecyclerView.this.s.width();
                } else {
                    i2 = TvRecyclerView.this.getFreeHeight();
                    i = TvRecyclerView.this.s.height();
                }
                this.c = (i2 - i) / 2;
            }
            super.onTargetFound(view, state, action);
        }
    }

    public TvRecyclerView(Context context) {
        this(context, null);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getFreeHeight() {
        return (getHeight() - getPaddingTop()) - getPaddingBottom();
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private int getFreeWidth() {
        return (getWidth() - getPaddingLeft()) - getPaddingRight();
    }

    @Override // android.view.ViewGroup, android.view.View, androidx.recyclerview.widget.RecyclerView
    public void addFocusables(ArrayList<View> arrayList, int i2, int i3) {
        if (hasFocus() || !isFocusable()) {
            super.addFocusables(arrayList, i2, i3);
        } else {
            arrayList.add(this);
        }
    }

    public boolean canScrollHorizontally(int i2) {
        if (getLayoutManager() == null || !(getLayoutManager() instanceof TwoWayLayoutManager)) {
            return super.canScrollHorizontally(i2);
        }
        TwoWayLayoutManager twoWayLayoutManager = (TwoWayLayoutManager) getLayoutManager();
        return twoWayLayoutManager.canScrollHorizontally() && (i2 <= 0 ? !twoWayLayoutManager.d(i2) : !twoWayLayoutManager.c(i2));
    }

    public boolean canScrollVertically(int i2) {
        if (getLayoutManager() == null || !(getLayoutManager() instanceof TwoWayLayoutManager)) {
            return super.canScrollVertically(i2);
        }
        TwoWayLayoutManager twoWayLayoutManager = (TwoWayLayoutManager) getLayoutManager();
        return twoWayLayoutManager.canScrollVertically() && (i2 <= 0 ? !twoWayLayoutManager.d(i2) : !twoWayLayoutManager.c(i2));
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public boolean checkLayoutParams(ViewGroup.LayoutParams layoutParams) {
        int i2;
        boolean checkLayoutParams = super.checkLayoutParams(layoutParams);
        if (checkLayoutParams && ((i2 = this.b) >= 0 || this.c >= 0)) {
            int i3 = i2 / 2;
            int i4 = this.c / 2;
            ((RecyclerView.LayoutParams) layoutParams).setMargins(i4, i3, i4, i3);
        }
        return checkLayoutParams;
    }

    public boolean dispatchUnhandledMove(View view, int i2) {
        return super.dispatchUnhandledMove(view, i2);
    }

    public final int e(int i2, int i3, int i4, int i5) {
        canScrollHorizontally(-1);
        canScrollVertically(-1);
        if (i3 > 0) {
            return getLastVisiblePosition() != getItemCount() - 1 ? i3 + i5 : i3;
        }
        if (i2 < 0) {
            return getFirstVisiblePosition() != 0 ? i2 - i4 : i2;
        }
        if (i2 > 0 && i2 < i4 && (canScrollHorizontally(-1) || canScrollVertically(-1))) {
            return i2 - i4;
        }
        if (Math.abs(i3) <= 0 || Math.abs(i3) >= i5) {
            return 0;
        }
        if (canScrollHorizontally(1) || canScrollVertically(1)) {
            return i5 - Math.abs(i3);
        }
        return 0;
    }

    public final int[] f(View view, int i2, int i3) {
        int i4;
        int i5;
        if (getLayoutManager() != null) {
            getDecoratedBoundsWithMargins(view, this.s);
            if (getLayoutManager().canScrollHorizontally()) {
                i5 = e(this.s.left - getPaddingLeft(), (getPaddingRight() + this.s.right) - getWidth(), i2, i3);
            } else {
                i5 = 0;
            }
            if (getLayoutManager().canScrollVertically()) {
                i4 = e(this.s.top - getPaddingTop(), (getPaddingBottom() + this.s.bottom) - getHeight(), i2, i3);
                return new int[]{i5, i4};
            }
        } else {
            i5 = 0;
        }
        i4 = 0;
        return new int[]{i5, i4};
    }

    /* JADX WARNING: Code restructure failed: missing block: B:13:0x0046, code lost:
        if (java.lang.Math.abs(((getHeight() - r7.getBottom()) - ((android.view.ViewGroup.MarginLayoutParams) r7.getLayoutParams()).bottomMargin) - getPaddingBottom()) <= 2) goto L_0x0048;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x006f, code lost:
        if (java.lang.Math.abs(((getWidth() - r7.getRight()) - ((android.view.ViewGroup.MarginLayoutParams) r7.getLayoutParams()).rightMargin) - getPaddingRight()) <= 2) goto L_0x0048;
     */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0085  */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x0097 A[RETURN] */
    @Override // androidx.recyclerview.widget.RecyclerView
    public View focusSearch(View view, int i2) {
        boolean z;
        View findNextFocus = FocusFinder.getInstance().findNextFocus(this, getFocusedChild(), i2);
        boolean z2 = false;
        if (i2 == 17) {
            if (findNextFocus == null) {
                z = canScrollHorizontally(-1);
            }
            if (z2) {
            }
        } else if (i2 != 33) {
            if (i2 != 66) {
                if (i2 == 130) {
                    z = canScrollVertically(1);
                    if (findNextFocus != null && !z) {
                        if (view != null) {
                        }
                    }
                }
                if (z2) {
                    return findNextFocus;
                }
                d dVar = this.q;
                if (dVar == null || !dVar.a(i2, view)) {
                    return super.focusSearch(view, i2);
                }
                return null;
            }
            z = canScrollHorizontally(1);
            if (findNextFocus != null && !z) {
                if (view != null) {
                }
                if (z2) {
                }
            }
            z2 = true;
            if (z2) {
            }
        } else {
            if (findNextFocus == null) {
                z = canScrollVertically(-1);
            }
            if (z2) {
            }
        }
        z2 = !z;
        if (z2) {
        }
    }

    public final void g() {
        setChildrenDrawingOrderEnabled(true);
        setWillNotDraw(true);
        setHasFixedSize(true);
        setOverScrollMode(2);
        setClipChildren(false);
        setClipToPadding(false);
        setFocusable(true);
        setFocusableInTouchMode(true);
        if (getItemAnimator() != null) {
            ((SimpleItemAnimator) getItemAnimator()).setSupportsChangeAnimations(false);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public int getChildDrawingOrder(int i2, int i3) {
        View focusedChild = getFocusedChild();
        if (focusedChild != null) {
            int indexOfChild = indexOfChild(focusedChild);
            int i4 = i2 - 1;
            if (i3 == i4) {
                return indexOfChild > i3 ? i3 : indexOfChild;
            }
            if (indexOfChild == i3) {
                return i4;
            }
        }
        return i3;
    }

    public int getFirstVisibleAndFocusablePosition() {
        for (int firstVisiblePosition = getFirstVisiblePosition(); firstVisiblePosition < getChildCount(); firstVisiblePosition++) {
            View findViewByPosition = getLayoutManager().findViewByPosition(firstVisiblePosition);
            if (findViewByPosition != null && findViewByPosition.isFocusable()) {
                return firstVisiblePosition;
            }
        }
        return -1;
    }

    public int getFirstVisiblePosition() {
        if (getChildCount() == 0) {
            return 0;
        }
        if (getLayoutManager() instanceof LinearLayoutManager) {
            return ((LinearLayoutManager) getLayoutManager()).findFirstVisibleItemPosition();
        }
        return getChildAdapterPosition(getChildAt(0));
    }

    public int getItemCount() {
        if (getAdapter() != null) {
            return getAdapter().getItemCount();
        }
        return 0;
    }

    public int getLastVisibleAndFocusablePosition() {
        int firstVisiblePosition = getFirstVisiblePosition();
        for (int lastVisiblePosition = getLastVisiblePosition(); lastVisiblePosition >= firstVisiblePosition; lastVisiblePosition--) {
            View findViewByPosition = getLayoutManager().findViewByPosition(lastVisiblePosition);
            if (findViewByPosition != null && findViewByPosition.isFocusable()) {
                return lastVisiblePosition;
            }
        }
        return -1;
    }

    public int getLastVisiblePosition() {
        int childCount = getChildCount();
        if (childCount == 0) {
            return 0;
        }
        if (getLayoutManager() instanceof LinearLayoutManager) {
            return ((LinearLayoutManager) getLayoutManager()).findLastVisibleItemPosition();
        }
        return getChildAdapterPosition(getChildAt(childCount - 1));
    }

    public int getLoadMoreBeforehandCount() {
        return this.m;
    }

    public int getSelectedItemOffsetEnd() {
        return this.g;
    }

    public int getSelectedItemOffsetStart() {
        return this.f;
    }

    public int getSelectedPosition() {
        return this.n;
    }

    public boolean h() {
        return getScrollState() != 0;
    }

    public final void i(RecyclerView.Adapter adapter, boolean z) {
        RecyclerView.Adapter adapter2 = getAdapter();
        if (adapter2 != null) {
            adapter2.unregisterAdapterDataObserver(this.t);
            this.u = true;
        }
        adapter.registerAdapterDataObserver(this.t);
        View childAt = getChildAt(0);
        if (childAt == null || adapter2 == null || !(getLayoutManager() instanceof BaseLayoutManager)) {
            this.n = getFirstVisibleAndFocusablePosition();
        } else {
            this.o = hasFocus();
            int decoratedTop = (getLayoutManager().canScrollVertically() ? getLayoutManager().getDecoratedTop(childAt) : getLayoutManager().getDecoratedLeft(childAt)) - (getLayoutManager().canScrollVertically() ? getPaddingTop() : getPaddingLeft());
            scrollBy(decoratedTop, decoratedTop);
        }
        if (z) {
            this.n = -1;
        }
    }

    public boolean isInEditMode() {
        return true;
    }

    public final void j(int i2, boolean z, boolean z2, int i3) {
        this.n = i2;
        g gVar = new g(getContext(), z, z2, i3);
        gVar.setTargetPosition(i2);
        getLayoutManager().startSmoothScroll(gVar);
    }

    public void k(int i2, int i3) {
        if (i2 == 0 && i3 == 0) {
            setTag(null);
            return;
        }
        this.w.set(i2, i3);
        setTag(this.w);
    }

    public void l(int i2, int i3) {
        int i4 = this.b;
        if (i4 != i2 || this.c != i3) {
            this.d = i4;
            int i5 = this.c;
            this.e = i5;
            this.b = i2;
            this.c = i3;
            if (i2 >= 0 || i3 >= 0) {
                int i6 = i2 / 2;
                int i7 = i3 / 2;
                int i8 = i4 / 2;
                int i9 = i5 / 2;
                setPadding((getPaddingLeft() + i9) - i7, (getPaddingTop() + i8) - i6, (getPaddingRight() + i9) - i7, (getPaddingBottom() + i8) - i6);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onChildAttachedToWindow(View view) {
        if (view.isClickable() && !ViewCompat.hasOnClickListeners(view)) {
            view.setOnClickListener(this);
        }
        if (view.isFocusable() && view.getOnFocusChangeListener() == null) {
            view.setOnFocusChangeListener(this);
        }
    }

    public void onClick(View view) {
        e eVar = this.p;
        if (eVar != null && this != view) {
            eVar.c(this, view, getChildAdapterPosition(view));
        }
    }

    public void onFocusChange(View view, boolean z) {
        if (view != null) {
            int childAdapterPosition = getChildAdapterPosition(view);
            boolean z2 = view instanceof RecyclerView;
            if (!z2) {
                view.setSelected(z);
            }
            if (z) {
                this.n = childAdapterPosition;
                if (!z2) {
                    if (this.j && view.isActivated()) {
                        view.setActivated(false);
                    }
                    e eVar = this.p;
                    if (eVar != null) {
                        eVar.b(this, view, childAdapterPosition);
                        return;
                    }
                    return;
                }
                return;
            }
            view.postDelayed(new a(z2, view), 6);
            e eVar2 = this.p;
            if (eVar2 != null && !z2) {
                eVar2.a(this, view, childAdapterPosition);
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onLayout(boolean z, int i2, int i3, int i4, int i5) {
        System.currentTimeMillis();
        boolean z2 = true;
        this.o = this.o || hasFocus();
        boolean z3 = this.u;
        if (this.v && !z && !z3) {
            z2 = false;
        }
        if (z2) {
            super.onLayout(z, i2, i3, i4, i5);
            this.u = false;
            if (!hasFocus()) {
                int i6 = this.n;
                if (i6 < 0) {
                    this.n = getFirstVisibleAndFocusablePosition();
                } else if (i6 >= getItemCount()) {
                    this.n = getLastVisibleAndFocusablePosition();
                }
                if (!this.o || !getPreserveFocusAfterLayout()) {
                    if (this.j) {
                        setItemActivated(this.n);
                    }
                } else if (this.j || this.i) {
                    if (this.n < 0) {
                        this.n = getFirstVisibleAndFocusablePosition();
                    }
                    setSelection(this.n);
                } else {
                    setSelection(getFirstVisibleAndFocusablePosition());
                }
            }
        } else {
            hasFocus();
        }
        this.o = false;
        System.currentTimeMillis();
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onMeasure(int i2, int i3) {
        System.currentTimeMillis();
        super.onMeasure(i2, i3);
        System.currentTimeMillis();
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public boolean onRequestFocusInDescendants(int i2, Rect rect) {
        int i3 = this.n;
        if (i3 == -1 || !this.i) {
            i3 = getFirstVisibleAndFocusablePosition();
        }
        View findViewByPosition = getLayoutManager() != null ? getLayoutManager().findViewByPosition(i3) : null;
        if (findViewByPosition == null) {
            return super.onRequestFocusInDescendants(i2, rect);
        }
        if (getOnFocusChangeListener() != null) {
            getOnFocusChangeListener().onFocusChange(this, true);
        }
        return findViewByPosition.requestFocus(i2, rect);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onRestoreInstanceState(Parcelable parcelable) {
        if (parcelable == null) {
            return;
        }
        if (parcelable instanceof ISavedState) {
            ISavedState iSavedState = (ISavedState) parcelable;
            this.n = iSavedState.a;
            this.b = iSavedState.b;
            this.c = iSavedState.d;
            this.d = iSavedState.c;
            this.e = iSavedState.e;
            this.f = iSavedState.f;
            this.g = iSavedState.g;
            this.h = iSavedState.h;
            this.j = iSavedState.i;
            this.k = iSavedState.j;
            this.i = iSavedState.k;
            try {
                super.onRestoreInstanceState(iSavedState.l);
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        } else {
            super.onRestoreInstanceState(parcelable);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public Parcelable onSaveInstanceState() {
        RecyclerView.SavedState savedState = (RecyclerView.SavedState) super.onSaveInstanceState();
        ISavedState iSavedState = new ISavedState(savedState != null ? savedState.getSuperState() : null);
        iSavedState.l = savedState;
        iSavedState.a = this.n;
        iSavedState.b = this.b;
        iSavedState.d = this.c;
        iSavedState.c = this.d;
        iSavedState.e = this.e;
        iSavedState.f = this.f;
        iSavedState.g = this.g;
        iSavedState.h = this.h;
        iSavedState.i = this.j;
        iSavedState.j = this.k;
        iSavedState.k = this.i;
        return iSavedState;
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void onScrollStateChanged(int i2) {
        if (i2 == 0) {
            k(0, 0);
            if (this.r != null && !this.l && this.k && getLastVisiblePosition() >= getAdapter().getItemCount() - (this.m + 1)) {
                this.l = true;
                this.r.a();
            }
        }
        super.onScrollStateChanged(i2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public boolean requestChildRectangleOnScreen(View view, Rect rect, boolean z) {
        int i2;
        int i3;
        if (view == null || getLayoutManager() == null) {
            return false;
        }
        if (this.h) {
            getDecoratedBoundsWithMargins(view, this.s);
            if (getLayoutManager().canScrollHorizontally()) {
                i2 = getFreeWidth();
                i3 = this.s.width();
            } else {
                i2 = getFreeHeight();
                i3 = this.s.height();
            }
            int i4 = (i2 - i3) / 2;
            this.f = i4;
            this.g = i4;
        }
        int[] f2 = f(view, this.f, this.g);
        int i5 = f2[0];
        int i6 = f2[1];
        smoothScrollBy(i5, i6);
        if (i5 != 0 || i6 != 0) {
            return true;
        }
        postInvalidate();
        return false;
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void scrollToPosition(int i2) {
        j(i2, false, false, this.f);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void setAdapter(RecyclerView.Adapter adapter) {
        if (adapter != null) {
            i(adapter, false);
            super.setAdapter(adapter);
        }
    }

    public void setHasMoreData(boolean z) {
        this.k = z;
    }

    public void setItemActivated(int i2) {
        int i3 = this.n;
        if (i2 != i3) {
            RecyclerView.ViewHolder findViewHolderForLayoutPosition = findViewHolderForLayoutPosition(i3);
            if (findViewHolderForLayoutPosition != null && findViewHolderForLayoutPosition.itemView.isActivated()) {
                findViewHolderForLayoutPosition.itemView.setActivated(false);
            }
            this.n = i2;
        }
        RecyclerView.ViewHolder findViewHolderForLayoutPosition2 = findViewHolderForLayoutPosition(i2);
        if (findViewHolderForLayoutPosition2 != null && !findViewHolderForLayoutPosition2.itemView.isActivated()) {
            findViewHolderForLayoutPosition2.itemView.setActivated(true);
        }
    }

    public void setLoadMoreBeforehandCount(int i2) {
        this.m = i2;
    }

    public void setMemoryFocus(boolean z) {
        this.i = z;
    }

    public void setMenu(boolean z) {
        this.j = z;
    }

    public void setOnInBorderKeyEventListener(d dVar) {
        this.q = dVar;
    }

    public void setOnItemListener(e eVar) {
        this.p = eVar;
    }

    public void setOnLoadMoreListener(f fVar) {
        this.r = fVar;
    }

    public void setSelectedItemAtCentered(boolean z) {
        this.h = z;
    }

    public void setSelectedPosition(int i2) {
        this.n = i2;
    }

    public void setSelection(int i2) {
        post(new b(i2));
    }

    public void setSelectionWithSmooth(int i2) {
        if (getAdapter() != null && i2 >= 0 && i2 < getItemCount()) {
            this.n = i2;
            g gVar = new g(getContext(), true, true, this.f);
            gVar.setTargetPosition(i2);
            getLayoutManager().startSmoothScroll(gVar);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void smoothScrollBy(int i2, int i3, Interpolator interpolator) {
        k(i2, i3);
        super.smoothScrollBy(i2, i3, null);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void smoothScrollToPosition(int i2) {
        j(i2, false, true, this.f);
    }

    @Override // androidx.recyclerview.widget.RecyclerView
    public void swapAdapter(RecyclerView.Adapter adapter, boolean z) {
        if (adapter != null) {
            i(adapter, false);
            super.swapAdapter(adapter, z);
        }
    }

    public TvRecyclerView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public TvRecyclerView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        ClassLoader classLoader;
        Constructor<? extends U> constructor;
        this.b = 0;
        this.c = 0;
        this.d = 0;
        this.e = 0;
        this.k = true;
        this.l = false;
        this.n = -1;
        this.o = false;
        this.s = new Rect();
        Object[] objArr = null;
        this.t = new c(null);
        this.u = true;
        this.w = new Point();
        g();
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R$styleable.TvRecyclerView, i2, 0);
        String string = obtainStyledAttributes.getString(R$styleable.TvRecyclerView_tv_layoutManager);
        if (!TextUtils.isEmpty(string) && string != null) {
            String trim = string.trim();
            if (trim.length() != 0) {
                if (trim.charAt(0) == '.') {
                    trim = context.getPackageName() + trim;
                } else if (!trim.contains(".")) {
                    trim = TvRecyclerView.class.getPackage().getName() + '.' + trim;
                }
                try {
                    if (isInEditMode()) {
                        classLoader = getClass().getClassLoader();
                    } else {
                        classLoader = context.getClassLoader();
                    }
                    Class<? extends U> asSubclass = classLoader.loadClass(trim).asSubclass(RecyclerView.LayoutManager.class);
                    try {
                        constructor = asSubclass.getConstructor(a);
                        objArr = new Object[]{context, attributeSet, Integer.valueOf(i2)};
                    } catch (NoSuchMethodException e2) {
                        try {
                            constructor = asSubclass.getConstructor(new Class[0]);
                        } catch (NoSuchMethodException e3) {
                            e3.initCause(e2);
                            throw new IllegalStateException(attributeSet.getPositionDescription() + ": Error creating LayoutManager " + trim, e3);
                        }
                    }
                    constructor.setAccessible(true);
                    setLayoutManager((RecyclerView.LayoutManager) constructor.newInstance(objArr));
                } catch (ClassNotFoundException e4) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Unable to find LayoutManager " + trim, e4);
                } catch (InvocationTargetException e5) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + trim, e5);
                } catch (InstantiationException e6) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Could not instantiate the LayoutManager: " + trim, e6);
                } catch (IllegalAccessException e7) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Cannot access non-public constructor " + trim, e7);
                } catch (ClassCastException e8) {
                    throw new IllegalStateException(attributeSet.getPositionDescription() + ": Class is not a LayoutManager " + trim, e8);
                }
            }
        }
        this.h = obtainStyledAttributes.getBoolean(R$styleable.TvRecyclerView_tv_selectedItemIsCentered, false);
        this.j = obtainStyledAttributes.getBoolean(R$styleable.TvRecyclerView_tv_isMenu, false);
        this.i = obtainStyledAttributes.getBoolean(R$styleable.TvRecyclerView_tv_isMemoryFocus, true);
        this.m = obtainStyledAttributes.getInt(R$styleable.TvRecyclerView_tv_loadMoreBeforehandCount, 4);
        this.f = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.TvRecyclerView_tv_selectedItemOffsetStart, 0);
        this.g = obtainStyledAttributes.getDimensionPixelOffset(R$styleable.TvRecyclerView_tv_selectedItemOffsetEnd, 0);
        this.v = obtainStyledAttributes.getBoolean(R$styleable.TvRecyclerView_tv_optimizeLayout, false);
        l(obtainStyledAttributes.getDimensionPixelOffset(R$styleable.TvRecyclerView_tv_verticalSpacingWithMargins, 0), obtainStyledAttributes.getDimensionPixelOffset(R$styleable.TvRecyclerView_tv_horizontalSpacingWithMargins, 0));
        obtainStyledAttributes.recycle();
    }
}
