package com.thoughtworks.xstream;

import androidx.base.b2;
import com.thoughtworks.xstream.io.HierarchicalStreamDriver;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;
import com.thoughtworks.xstream.io.StreamException;
import com.thoughtworks.xstream.io.xml.XppDriver;
import com.thoughtworks.xstream.security.TypeHierarchyPermission;
import com.thoughtworks.xstream.security.TypePermission;
import com.thoughtworks.xstream.security.WildcardTypePermission;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.ObjectStreamException;
import java.io.Reader;
import java.io.StringReader;
import java.io.StringWriter;
import java.io.Writer;

public class XStreamer {
    private static final TypePermission[] PERMISSIONS;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$MarshallingStrategy;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$XStream;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$ConverterLookup;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$ConverterMatcher;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$ConverterRegistry;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$MarshallingContext;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$UnmarshallingContext;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$javabean$JavaBeanProvider;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$reflection$FieldKeySorter;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$reflection$ReflectionProvider;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$core$JVM;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$io$HierarchicalStreamDriver;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$io$naming$NameCoder;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$mapper$Mapper;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$security$TypePermission;
    public static /* synthetic */ Class class$javax$xml$datatype$DatatypeFactory;

    static {
        TypePermission[] typePermissionArr = new TypePermission[16];
        Class cls = class$com$thoughtworks$xstream$converters$ConverterMatcher;
        if (cls == null) {
            cls = class$("com.thoughtworks.xstream.converters.ConverterMatcher");
            class$com$thoughtworks$xstream$converters$ConverterMatcher = cls;
        }
        typePermissionArr[0] = new TypeHierarchyPermission(cls);
        Class cls2 = class$com$thoughtworks$xstream$mapper$Mapper;
        if (cls2 == null) {
            cls2 = class$("com.thoughtworks.xstream.mapper.Mapper");
            class$com$thoughtworks$xstream$mapper$Mapper = cls2;
        }
        typePermissionArr[1] = new TypeHierarchyPermission(cls2);
        Class cls3 = class$com$thoughtworks$xstream$XStream;
        if (cls3 == null) {
            cls3 = class$("com.thoughtworks.xstream.XStream");
            class$com$thoughtworks$xstream$XStream = cls3;
        }
        typePermissionArr[2] = new TypeHierarchyPermission(cls3);
        Class cls4 = class$com$thoughtworks$xstream$converters$reflection$ReflectionProvider;
        if (cls4 == null) {
            cls4 = class$("com.thoughtworks.xstream.converters.reflection.ReflectionProvider");
            class$com$thoughtworks$xstream$converters$reflection$ReflectionProvider = cls4;
        }
        typePermissionArr[3] = new TypeHierarchyPermission(cls4);
        Class cls5 = class$com$thoughtworks$xstream$converters$javabean$JavaBeanProvider;
        if (cls5 == null) {
            cls5 = class$("com.thoughtworks.xstream.converters.javabean.JavaBeanProvider");
            class$com$thoughtworks$xstream$converters$javabean$JavaBeanProvider = cls5;
        }
        typePermissionArr[4] = new TypeHierarchyPermission(cls5);
        Class cls6 = class$com$thoughtworks$xstream$converters$reflection$FieldKeySorter;
        if (cls6 == null) {
            cls6 = class$("com.thoughtworks.xstream.converters.reflection.FieldKeySorter");
            class$com$thoughtworks$xstream$converters$reflection$FieldKeySorter = cls6;
        }
        typePermissionArr[5] = new TypeHierarchyPermission(cls6);
        Class cls7 = class$com$thoughtworks$xstream$converters$ConverterLookup;
        if (cls7 == null) {
            cls7 = class$("com.thoughtworks.xstream.converters.ConverterLookup");
            class$com$thoughtworks$xstream$converters$ConverterLookup = cls7;
        }
        typePermissionArr[6] = new TypeHierarchyPermission(cls7);
        Class cls8 = class$com$thoughtworks$xstream$converters$ConverterRegistry;
        if (cls8 == null) {
            cls8 = class$("com.thoughtworks.xstream.converters.ConverterRegistry");
            class$com$thoughtworks$xstream$converters$ConverterRegistry = cls8;
        }
        typePermissionArr[7] = new TypeHierarchyPermission(cls8);
        Class cls9 = class$com$thoughtworks$xstream$io$HierarchicalStreamDriver;
        if (cls9 == null) {
            cls9 = class$("com.thoughtworks.xstream.io.HierarchicalStreamDriver");
            class$com$thoughtworks$xstream$io$HierarchicalStreamDriver = cls9;
        }
        typePermissionArr[8] = new TypeHierarchyPermission(cls9);
        Class cls10 = class$com$thoughtworks$xstream$MarshallingStrategy;
        if (cls10 == null) {
            cls10 = class$("com.thoughtworks.xstream.MarshallingStrategy");
            class$com$thoughtworks$xstream$MarshallingStrategy = cls10;
        }
        typePermissionArr[9] = new TypeHierarchyPermission(cls10);
        Class cls11 = class$com$thoughtworks$xstream$converters$MarshallingContext;
        if (cls11 == null) {
            cls11 = class$("com.thoughtworks.xstream.converters.MarshallingContext");
            class$com$thoughtworks$xstream$converters$MarshallingContext = cls11;
        }
        typePermissionArr[10] = new TypeHierarchyPermission(cls11);
        Class cls12 = class$com$thoughtworks$xstream$converters$UnmarshallingContext;
        if (cls12 == null) {
            cls12 = class$("com.thoughtworks.xstream.converters.UnmarshallingContext");
            class$com$thoughtworks$xstream$converters$UnmarshallingContext = cls12;
        }
        typePermissionArr[11] = new TypeHierarchyPermission(cls12);
        Class cls13 = class$com$thoughtworks$xstream$io$naming$NameCoder;
        if (cls13 == null) {
            cls13 = class$("com.thoughtworks.xstream.io.naming.NameCoder");
            class$com$thoughtworks$xstream$io$naming$NameCoder = cls13;
        }
        typePermissionArr[12] = new TypeHierarchyPermission(cls13);
        Class cls14 = class$com$thoughtworks$xstream$security$TypePermission;
        if (cls14 == null) {
            cls14 = class$("com.thoughtworks.xstream.security.TypePermission");
            class$com$thoughtworks$xstream$security$TypePermission = cls14;
        }
        typePermissionArr[13] = new TypeHierarchyPermission(cls14);
        String[] strArr = new String[1];
        StringBuffer stringBuffer = new StringBuffer();
        Class cls15 = class$com$thoughtworks$xstream$core$JVM;
        if (cls15 == null) {
            cls15 = class$("com.thoughtworks.xstream.core.JVM");
            class$com$thoughtworks$xstream$core$JVM = cls15;
        }
        stringBuffer.append(cls15.getPackage().getName());
        stringBuffer.append(".**");
        strArr[0] = stringBuffer.toString();
        typePermissionArr[14] = new WildcardTypePermission(strArr);
        Class cls16 = class$javax$xml$datatype$DatatypeFactory;
        if (cls16 == null) {
            cls16 = class$("javax.xml.datatype.DatatypeFactory");
            class$javax$xml$datatype$DatatypeFactory = cls16;
        }
        typePermissionArr[15] = new TypeHierarchyPermission(cls16);
        PERMISSIONS = typePermissionArr;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    public static TypePermission[] getDefaultPermissions() {
        return (TypePermission[]) PERMISSIONS.clone();
    }

    public Object fromXML(String str) {
        try {
            return fromXML(new StringReader(str));
        } catch (ObjectStreamException e) {
            throw e;
        } catch (IOException e2) {
            throw new StreamException("Unexpected IO error from a StringReader", e2);
        }
    }

    public String toXML(XStream xStream, Object obj) {
        StringWriter stringWriter = new StringWriter();
        try {
            toXML(xStream, obj, stringWriter);
            return stringWriter.toString();
        } catch (ObjectStreamException e) {
            throw e;
        } catch (IOException e2) {
            throw new StreamException("Unexpected IO error from a StringWriter", e2);
        }
    }

    public Object fromXML(String str, TypePermission[] typePermissionArr) {
        try {
            return fromXML(new StringReader(str), typePermissionArr);
        } catch (ObjectStreamException e) {
            throw e;
        } catch (IOException e2) {
            throw new StreamException("Unexpected IO error from a StringReader", e2);
        }
    }

    public void toXML(XStream xStream, Object obj, Writer writer) {
        XStream xStream2 = new XStream();
        XStream.setupDefaultSecurity(xStream2);
        ObjectOutputStream createObjectOutputStream = xStream2.createObjectOutputStream(writer);
        try {
            createObjectOutputStream.writeObject(xStream);
            createObjectOutputStream.flush();
            xStream.toXML(obj, writer);
        } finally {
            createObjectOutputStream.close();
        }
    }

    public Object fromXML(HierarchicalStreamDriver hierarchicalStreamDriver, String str) {
        try {
            return fromXML(hierarchicalStreamDriver, new StringReader(str));
        } catch (ObjectStreamException e) {
            throw e;
        } catch (IOException e2) {
            throw new StreamException("Unexpected IO error from a StringReader", e2);
        }
    }

    public Object fromXML(HierarchicalStreamDriver hierarchicalStreamDriver, String str, TypePermission[] typePermissionArr) {
        try {
            return fromXML(hierarchicalStreamDriver, new StringReader(str), typePermissionArr);
        } catch (ObjectStreamException e) {
            throw e;
        } catch (IOException e2) {
            throw new StreamException("Unexpected IO error from a StringReader", e2);
        }
    }

    public Object fromXML(Reader reader) {
        return fromXML(new XppDriver(), reader);
    }

    public Object fromXML(Reader reader, TypePermission[] typePermissionArr) {
        return fromXML(new XppDriver(), reader, typePermissionArr);
    }

    public Object fromXML(HierarchicalStreamDriver hierarchicalStreamDriver, Reader reader) {
        return fromXML(hierarchicalStreamDriver, reader, PERMISSIONS);
    }

    public Object fromXML(HierarchicalStreamDriver hierarchicalStreamDriver, Reader reader, TypePermission[] typePermissionArr) {
        XStream xStream = new XStream(hierarchicalStreamDriver);
        XStream.setupDefaultSecurity(xStream);
        for (TypePermission typePermission : typePermissionArr) {
            xStream.addPermission(typePermission);
        }
        HierarchicalStreamReader createReader = hierarchicalStreamDriver.createReader(reader);
        ObjectInputStream createObjectInputStream = xStream.createObjectInputStream(createReader);
        try {
            createObjectInputStream = ((XStream) createObjectInputStream.readObject()).createObjectInputStream(createReader);
            try {
                Object readObject = createObjectInputStream.readObject();
                createObjectInputStream.close();
                return readObject;
            } finally {
                createObjectInputStream.close();
            }
        } finally {
            createObjectInputStream.close();
        }
    }
}
