package com.thoughtworks.xstream.converters.basic;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.Converter;
import com.thoughtworks.xstream.converters.MarshallingContext;
import com.thoughtworks.xstream.converters.SingleValueConverter;
import com.thoughtworks.xstream.converters.UnmarshallingContext;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;
import com.thoughtworks.xstream.io.HierarchicalStreamWriter;

public class CharConverter implements Converter, SingleValueConverter {
    public static /* synthetic */ Class class$java$lang$Character;

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher
    public boolean canConvert(Class cls) {
        if (cls != Character.TYPE) {
            Class cls2 = class$java$lang$Character;
            if (cls2 == null) {
                cls2 = class$("java.lang.Character");
                class$java$lang$Character = cls2;
            }
            return cls == cls2;
        }
    }

    @Override // com.thoughtworks.xstream.converters.SingleValueConverter
    public Object fromString(String str) {
        if (str.length() == 0) {
            return new Character(0);
        }
        return new Character(str.charAt(0));
    }

    @Override // com.thoughtworks.xstream.converters.Converter
    public void marshal(Object obj, HierarchicalStreamWriter hierarchicalStreamWriter, MarshallingContext marshallingContext) {
        hierarchicalStreamWriter.setValue(toString(obj));
    }

    @Override // com.thoughtworks.xstream.converters.SingleValueConverter
    public String toString(Object obj) {
        if (((Character) obj).charValue() == 0) {
            return "";
        }
        return obj.toString();
    }

    @Override // com.thoughtworks.xstream.converters.Converter
    public Object unmarshal(HierarchicalStreamReader hierarchicalStreamReader, UnmarshallingContext unmarshallingContext) {
        String attribute = hierarchicalStreamReader.getAttribute("null");
        if (attribute == null || !attribute.equals("true")) {
            return fromString(hierarchicalStreamReader.getValue());
        }
        return new Character(0);
    }
}
