package com.thoughtworks.xstream.converters.basic;

import androidx.base.b2;
import com.thoughtworks.xstream.core.util.WeakCache;
import java.util.Collections;
import java.util.Map;

public class StringConverter extends AbstractSingleValueConverter {
    private static final int LENGTH_LIMIT = 38;
    public static /* synthetic */ Class class$java$lang$String;
    private final Map cache;
    private final int lengthLimit;

    public StringConverter(Map map, int i) {
        this.cache = map;
        this.lengthLimit = i;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
    public boolean canConvert(Class cls) {
        Class cls2 = class$java$lang$String;
        if (cls2 == null) {
            cls2 = class$("java.lang.String");
            class$java$lang$String = cls2;
        }
        return cls == cls2;
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public Object fromString(String str) {
        if (this.cache == null || str == null) {
            return str;
        }
        if (this.lengthLimit >= 0 && str.length() > this.lengthLimit) {
            return str;
        }
        String str2 = (String) this.cache.get(str);
        if (str2 != null) {
            return str2;
        }
        this.cache.put(str, str);
        return str;
    }

    public StringConverter(Map map) {
        this(map, 38);
    }

    public StringConverter(int i) {
        this(Collections.synchronizedMap(new WeakCache()), i);
    }

    public StringConverter() {
        this(38);
    }
}
