package com.thoughtworks.xstream.converters.collections;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.Converter;
import com.thoughtworks.xstream.converters.MarshallingContext;
import com.thoughtworks.xstream.converters.UnmarshallingContext;
import com.thoughtworks.xstream.core.util.Fields;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;
import com.thoughtworks.xstream.io.HierarchicalStreamWriter;
import java.lang.reflect.Field;
import java.util.Map;
import java.util.Properties;
import java.util.TreeMap;

public class PropertiesConverter implements Converter {
    public static /* synthetic */ Class class$java$util$Properties;
    private final boolean sort;

    public static class Reflections {
        private static final Field defaultsField;

        static {
            Class cls = PropertiesConverter.class$java$util$Properties;
            if (cls == null) {
                cls = PropertiesConverter.class$("java.util.Properties");
                PropertiesConverter.class$java$util$Properties = cls;
            }
            Class cls2 = PropertiesConverter.class$java$util$Properties;
            if (cls2 == null) {
                cls2 = PropertiesConverter.class$("java.util.Properties");
                PropertiesConverter.class$java$util$Properties = cls2;
            }
            defaultsField = Fields.locate(cls, cls2, false);
        }

        private Reflections() {
        }
    }

    public PropertiesConverter() {
        this(false);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher
    public boolean canConvert(Class cls) {
        Class cls2 = class$java$util$Properties;
        if (cls2 == null) {
            cls2 = class$("java.util.Properties");
            class$java$util$Properties = cls2;
        }
        return cls2 == cls;
    }

    @Override // com.thoughtworks.xstream.converters.Converter
    public void marshal(Object obj, HierarchicalStreamWriter hierarchicalStreamWriter, MarshallingContext marshallingContext) {
        Properties properties;
        Properties properties2 = (Properties) obj;
        for (Map.Entry entry : (this.sort ? new TreeMap(properties2) : properties2).entrySet()) {
            hierarchicalStreamWriter.startNode("property");
            hierarchicalStreamWriter.addAttribute("name", entry.getKey().toString());
            hierarchicalStreamWriter.addAttribute("value", entry.getValue().toString());
            hierarchicalStreamWriter.endNode();
        }
        if (!(Reflections.defaultsField == null || (properties = (Properties) Fields.read(Reflections.defaultsField, properties2)) == null)) {
            hierarchicalStreamWriter.startNode("defaults");
            marshal(properties, hierarchicalStreamWriter, marshallingContext);
            hierarchicalStreamWriter.endNode();
        }
    }

    @Override // com.thoughtworks.xstream.converters.Converter
    public Object unmarshal(HierarchicalStreamReader hierarchicalStreamReader, UnmarshallingContext unmarshallingContext) {
        Properties properties = new Properties();
        Properties properties2 = null;
        while (hierarchicalStreamReader.hasMoreChildren()) {
            hierarchicalStreamReader.moveDown();
            if (hierarchicalStreamReader.getNodeName().equals("defaults")) {
                properties2 = (Properties) unmarshal(hierarchicalStreamReader, unmarshallingContext);
            } else {
                properties.setProperty(hierarchicalStreamReader.getAttribute("name"), hierarchicalStreamReader.getAttribute("value"));
            }
            hierarchicalStreamReader.moveUp();
        }
        if (properties2 == null) {
            return properties;
        }
        Properties properties3 = new Properties(properties2);
        properties3.putAll(properties);
        return properties3;
    }

    public PropertiesConverter(boolean z) {
        this.sort = z;
    }
}
