package com.thoughtworks.xstream.converters.extended;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter;
import javax.xml.datatype.DatatypeConfigurationException;
import javax.xml.datatype.DatatypeFactory;

public class DurationConverter extends AbstractSingleValueConverter {
    public static /* synthetic */ Class class$javax$xml$datatype$Duration;
    private final DatatypeFactory factory;

    public DurationConverter() {
        this(new Object() {
            /* class com.thoughtworks.xstream.converters.extended.DurationConverter.AnonymousClass1 */

            public DatatypeFactory getFactory() {
                try {
                    return DatatypeFactory.newInstance();
                } catch (DatatypeConfigurationException unused) {
                    return null;
                }
            }
        }.getFactory());
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
    public boolean canConvert(Class cls) {
        if (!(this.factory == null || cls == null)) {
            Class cls2 = class$javax$xml$datatype$Duration;
            if (cls2 == null) {
                cls2 = class$("javax.xml.datatype.Duration");
                class$javax$xml$datatype$Duration = cls2;
            }
            if (cls2.isAssignableFrom(cls)) {
                return true;
            }
        }
        return false;
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public Object fromString(String str) {
        return this.factory.newDuration(str);
    }

    public DurationConverter(DatatypeFactory datatypeFactory) {
        this.factory = datatypeFactory;
    }
}
