package com.thoughtworks.xstream.converters.reflection;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.ConversionException;
import com.thoughtworks.xstream.converters.ErrorWritingException;
import java.lang.reflect.Field;
import sun.misc.Unsafe;

public class SunLimitedUnsafeReflectionProvider extends PureJavaReflectionProvider {
    public static /* synthetic */ Class class$java$lang$Void;
    public static /* synthetic */ Class class$sun$misc$Unsafe;
    public static final Exception exception;
    public static final Unsafe unsafe;

    static {
        Unsafe unsafe2;
        Exception exc = null;
        try {
            Class cls = class$sun$misc$Unsafe;
            if (cls == null) {
                cls = class$("sun.misc.Unsafe");
                class$sun$misc$Unsafe = cls;
            }
            Field declaredField = cls.getDeclaredField("theUnsafe");
            declaredField.setAccessible(true);
            unsafe2 = (Unsafe) declaredField.get(null);
        } catch (IllegalAccessException | IllegalArgumentException | NoSuchFieldException | SecurityException e) {
            unsafe2 = null;
            exc = e;
        }
        exception = exc;
        unsafe = unsafe2;
    }

    public SunLimitedUnsafeReflectionProvider() {
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private Object readResolve() {
        init();
        return this;
    }

    @Override // com.thoughtworks.xstream.converters.reflection.PureJavaReflectionProvider, com.thoughtworks.xstream.converters.reflection.ReflectionProvider
    public Object newInstance(Class cls) {
        ErrorWritingException errorWritingException;
        Exception exc = exception;
        if (exc == null) {
            if (cls != Void.TYPE) {
                Class cls2 = class$java$lang$Void;
                if (cls2 == null) {
                    cls2 = class$("java.lang.Void");
                    class$java$lang$Void = cls2;
                }
                if (cls != cls2) {
                    try {
                        return unsafe.allocateInstance(cls);
                    } catch (SecurityException e) {
                        errorWritingException = new ObjectAccessException("Cannot construct type", e);
                    } catch (InstantiationException e2) {
                        errorWritingException = new ConversionException("Cannot construct type", e2);
                    } catch (IllegalArgumentException e3) {
                        errorWritingException = new ObjectAccessException("Cannot construct type", e3);
                    }
                }
            }
            errorWritingException = new ConversionException("Security alert: Marshalling rejected");
            errorWritingException.add("construction-type", cls.getName());
            throw errorWritingException;
        }
        ObjectAccessException objectAccessException = new ObjectAccessException("Cannot construct type", exc);
        objectAccessException.add("construction-type", cls.getName());
        throw objectAccessException;
    }

    @Override // com.thoughtworks.xstream.converters.reflection.PureJavaReflectionProvider
    public void validateFieldAccess(Field field) {
    }

    public SunLimitedUnsafeReflectionProvider(FieldDictionary fieldDictionary) {
        super(fieldDictionary);
    }
}
