package com.thoughtworks.xstream.core.util;

import com.thoughtworks.xstream.core.StringCodec;
import java.util.Base64;

public class Base64JavaUtilCodec implements StringCodec {
    private final Base64.Decoder decoder;
    private final Base64.Encoder encoder;

    public Base64JavaUtilCodec() {
        this(Base64.getEncoder(), Base64.getMimeDecoder());
    }

    @Override // com.thoughtworks.xstream.core.StringCodec
    public byte[] decode(String str) {
        return this.decoder.decode(str);
    }

    @Override // com.thoughtworks.xstream.core.StringCodec
    public String encode(byte[] bArr) {
        return this.encoder.encodeToString(bArr);
    }

    public Base64JavaUtilCodec(Base64.Encoder encoder2, Base64.Decoder decoder2) {
        this.encoder = encoder2;
        this.decoder = decoder2;
    }
}
