package com.thoughtworks.xstream.core.util;

import androidx.base.b2;
import com.thoughtworks.xstream.core.JVM;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;
import java.lang.reflect.Method;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;

public class CompositeClassLoader extends ClassLoader {
    public static /* synthetic */ Class class$java$lang$ClassLoader;
    public static /* synthetic */ Class class$java$lang$Object;
    private final List classLoaders = new ArrayList();
    private final ReferenceQueue queue = new ReferenceQueue();

    static {
        if (JVM.isVersion(7)) {
            try {
                Class cls = class$java$lang$ClassLoader;
                if (cls == null) {
                    cls = class$("java.lang.ClassLoader");
                    class$java$lang$ClassLoader = cls;
                }
                Method declaredMethod = cls.getDeclaredMethod("registerAsParallelCapable", null);
                if (!declaredMethod.isAccessible()) {
                    declaredMethod.setAccessible(true);
                }
                declaredMethod.invoke(null, null);
            } catch (Exception unused) {
            }
        }
    }

    public CompositeClassLoader() {
        Class cls = class$java$lang$Object;
        if (cls == null) {
            cls = class$("java.lang.Object");
            class$java$lang$Object = cls;
        }
        addInternal(cls.getClassLoader());
        addInternal(getClass().getClassLoader());
    }

    private void addInternal(ClassLoader classLoader) {
        Iterator it = this.classLoaders.iterator();
        WeakReference weakReference = null;
        while (it.hasNext()) {
            WeakReference weakReference2 = (WeakReference) it.next();
            ClassLoader classLoader2 = (ClassLoader) weakReference2.get();
            if (classLoader2 == null) {
                it.remove();
            } else if (classLoader2 == classLoader) {
                it.remove();
                weakReference = weakReference2;
            }
        }
        List list = this.classLoaders;
        if (weakReference == null) {
            weakReference = new WeakReference(classLoader, this.queue);
        }
        list.add(0, weakReference);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private void cleanup() {
        while (true) {
            WeakReference weakReference = (WeakReference) this.queue.poll();
            if (weakReference != null) {
                this.classLoaders.remove(weakReference);
            } else {
                return;
            }
        }
    }

    public synchronized void add(ClassLoader classLoader) {
        cleanup();
        if (classLoader != null) {
            addInternal(classLoader);
        }
    }

    @Override // java.lang.ClassLoader
    public Class loadClass(String str) {
        AnonymousClass1 r0 = new ArrayList(this.classLoaders.size()) {
            /* class com.thoughtworks.xstream.core.util.CompositeClassLoader.AnonymousClass1 */

            @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList, java.util.ArrayList
            public boolean add(Object obj) {
                Object obj2 = ((WeakReference) obj).get();
                if (obj2 != null) {
                    return super.add(obj2);
                }
                return false;
            }

            @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.ArrayList
            public boolean addAll(Collection collection) {
                boolean z = false;
                for (Object obj : collection) {
                    z |= add(obj);
                }
                return z;
            }
        };
        synchronized (this) {
            cleanup();
            r0.addAll(this.classLoaders);
        }
        ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
        Iterator it = r0.iterator();
        while (it.hasNext()) {
            ClassLoader classLoader = (ClassLoader) it.next();
            if (classLoader == contextClassLoader) {
                contextClassLoader = null;
            }
            try {
                continue;
                return classLoader.loadClass(str);
            } catch (ClassNotFoundException unused) {
            }
        }
        if (contextClassLoader != null) {
            return contextClassLoader.loadClass(str);
        }
        throw new ClassNotFoundException(str);
    }
}
