package com.thoughtworks.xstream.core.util;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.ConversionException;
import com.thoughtworks.xstream.converters.ErrorWritingException;
import com.thoughtworks.xstream.converters.reflection.ObjectAccessException;
import com.thoughtworks.xstream.core.util.Pool;
import java.beans.PropertyEditor;

public class ThreadSafePropertyEditor {
    public static /* synthetic */ Class class$java$beans$PropertyEditor;
    private final Class editorType;
    private final Pool pool;

    public ThreadSafePropertyEditor(Class cls, int i, int i2) {
        Class cls2 = class$java$beans$PropertyEditor;
        if (cls2 == null) {
            cls2 = class$("java.beans.PropertyEditor");
            class$java$beans$PropertyEditor = cls2;
        }
        if (!cls2.isAssignableFrom(cls)) {
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(cls.getName());
            stringBuffer.append(" is not a ");
            Class cls3 = class$java$beans$PropertyEditor;
            if (cls3 == null) {
                cls3 = class$("java.beans.PropertyEditor");
                class$java$beans$PropertyEditor = cls3;
            }
            stringBuffer.append(cls3.getName());
            throw new IllegalArgumentException(stringBuffer.toString());
        }
        this.editorType = cls;
        this.pool = new Pool(i, i2, new Pool.Factory() {
            /* class com.thoughtworks.xstream.core.util.ThreadSafePropertyEditor.AnonymousClass1 */

            @Override // com.thoughtworks.xstream.core.util.Pool.Factory
            public Object newInstance() {
                ErrorWritingException errorWritingException;
                try {
                    return ThreadSafePropertyEditor.this.editorType.newInstance();
                } catch (InstantiationException e) {
                    errorWritingException = new ConversionException("Faild to call default constructor", e);
                    errorWritingException.add("construction-type", ThreadSafePropertyEditor.this.editorType.getName());
                    throw errorWritingException;
                } catch (IllegalAccessException e2) {
                    errorWritingException = new ObjectAccessException("Cannot call default constructor", e2);
                    errorWritingException.add("construction-type", ThreadSafePropertyEditor.this.editorType.getName());
                    throw errorWritingException;
                }
            }
        });
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private PropertyEditor fetchFromPool() {
        return (PropertyEditor) this.pool.fetchFromPool();
    }

    public String getAsText(Object obj) {
        PropertyEditor fetchFromPool = fetchFromPool();
        try {
            fetchFromPool.setValue(obj);
            return fetchFromPool.getAsText();
        } finally {
            this.pool.putInPool(fetchFromPool);
        }
    }

    public Object setAsText(String str) {
        PropertyEditor fetchFromPool = fetchFromPool();
        try {
            fetchFromPool.setAsText(str);
            return fetchFromPool.getValue();
        } finally {
            this.pool.putInPool(fetchFromPool);
        }
    }
}
