package com.thoughtworks.xstream.io;

import com.thoughtworks.xstream.core.util.Cloneables;
import com.thoughtworks.xstream.io.naming.NameCoder;
import com.thoughtworks.xstream.io.naming.NoNameCoder;

public abstract class AbstractWriter implements ExtendedHierarchicalStreamWriter {
    private NameCoder nameCoder;

    public AbstractWriter() {
        this(new NoNameCoder());
    }

    public String encodeAttribute(String str) {
        return this.nameCoder.encodeAttribute(str);
    }

    public String encodeNode(String str) {
        return this.nameCoder.encodeNode(str);
    }

    @Override // com.thoughtworks.xstream.io.ExtendedHierarchicalStreamWriter
    public void startNode(String str, Class cls) {
        startNode(str);
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamWriter
    public HierarchicalStreamWriter underlyingWriter() {
        return this;
    }

    public AbstractWriter(NameCoder nameCoder2) {
        this.nameCoder = (NameCoder) Cloneables.cloneIfPossible(nameCoder2);
    }
}
