package com.thoughtworks.xstream.io.xml;

import com.thoughtworks.xstream.io.AbstractReader;
import com.thoughtworks.xstream.io.naming.NameCoder;

public abstract class AbstractXmlReader extends AbstractReader {
    public AbstractXmlReader() {
        this(new XmlFriendlyNameCoder());
    }

    public String escapeXmlName(String str) {
        return encodeNode(str);
    }

    public String unescapeXmlName(String str) {
        return decodeNode(str);
    }

    public AbstractXmlReader(XmlFriendlyReplacer xmlFriendlyReplacer) {
        this((NameCoder) xmlFriendlyReplacer);
    }

    public AbstractXmlReader(NameCoder nameCoder) {
        super(nameCoder);
    }
}
