package com.thoughtworks.xstream.io.xml;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import javax.xml.namespace.QName;

public class QNameMap {
    private String defaultNamespace = "";
    private String defaultPrefix = "";
    private Map javaToQName;
    private Map qnameToJava;

    public String getDefaultNamespace() {
        return this.defaultNamespace;
    }

    public String getDefaultPrefix() {
        return this.defaultPrefix;
    }

    public String getJavaClassName(QName qName) {
        String str;
        Map map = this.qnameToJava;
        if (map == null || (str = (String) map.get(qName)) == null) {
            return qName.getLocalPart();
        }
        return str;
    }

    public QName getQName(String str) {
        QName qName;
        Map map = this.javaToQName;
        if (map == null || (qName = (QName) map.get(str)) == null) {
            return new QName(this.defaultNamespace, str, this.defaultPrefix);
        }
        return qName;
    }

    public synchronized void registerMapping(QName qName, String str) {
        if (this.javaToQName == null) {
            this.javaToQName = Collections.synchronizedMap(new HashMap());
        }
        if (this.qnameToJava == null) {
            this.qnameToJava = Collections.synchronizedMap(new HashMap());
        }
        this.javaToQName.put(str, qName);
        this.qnameToJava.put(qName, str);
    }

    public void setDefaultNamespace(String str) {
        this.defaultNamespace = str;
    }

    public void setDefaultPrefix(String str) {
        this.defaultPrefix = str;
    }

    public synchronized void registerMapping(QName qName, Class cls) {
        registerMapping(qName, cls.getName());
    }
}
