package com.thoughtworks.xstream.io.xml;

import com.thoughtworks.xstream.io.naming.NameCoder;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserFactory;

public class XppDriver extends AbstractXppDriver {
    private static XmlPullParserFactory factory;

    public XppDriver() {
        super(new XmlFriendlyNameCoder());
    }

    public static synchronized XmlPullParser createDefaultParser() {
        XmlPullParser newPullParser;
        synchronized (XppDriver.class) {
            if (factory == null) {
                factory = XmlPullParserFactory.newInstance();
            }
            newPullParser = factory.newPullParser();
        }
        return newPullParser;
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractXppDriver
    public XmlPullParser createParser() {
        return createDefaultParser();
    }

    public XppDriver(NameCoder nameCoder) {
        super(nameCoder);
    }

    public XppDriver(XmlFriendlyReplacer xmlFriendlyReplacer) {
        this((NameCoder) xmlFriendlyReplacer);
    }
}
