package com.thoughtworks.xstream.io.xml;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.ErrorWriter;
import com.thoughtworks.xstream.io.StreamException;
import com.thoughtworks.xstream.io.naming.NameCoder;
import java.io.IOException;
import java.io.Reader;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserException;

public class XppReader extends AbstractPullReader {
    public static /* synthetic */ Class class$org$xmlpull$v1$XmlPullParser;
    private final XmlPullParser parser;
    private final Reader reader;

    public XppReader(Reader reader2, XmlPullParser xmlPullParser) {
        this(reader2, xmlPullParser, new XmlFriendlyNameCoder());
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader, com.thoughtworks.xstream.converters.ErrorReporter
    public void appendErrors(ErrorWriter errorWriter) {
        errorWriter.add("line number", String.valueOf(this.parser.getLineNumber()));
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader
    public void close() {
        try {
            this.reader.close();
        } catch (IOException e) {
            throw new StreamException(e);
        }
    }

    public XmlPullParser createParser() {
        try {
            Class cls = class$org$xmlpull$v1$XmlPullParser;
            if (cls == null) {
                cls = class$("org.xmlpull.v1.XmlPullParser");
                class$org$xmlpull$v1$XmlPullParser = cls;
            }
            return (XmlPullParser) Class.forName("androidx.base.r50", true, cls.getClassLoader()).newInstance();
        } catch (ClassNotFoundException | IllegalAccessException | InstantiationException e) {
            throw new StreamException("Cannot create Xpp3 parser instance.", e);
        }
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader
    public String getAttribute(String str) {
        return this.parser.getAttributeValue(null, encodeAttribute(str));
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader
    public int getAttributeCount() {
        return this.parser.getAttributeCount();
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader
    public String getAttributeName(int i) {
        return decodeAttribute(this.parser.getAttributeName(i));
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractPullReader
    public String pullElementName() {
        return this.parser.getName();
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractPullReader
    public int pullNextEvent() {
        try {
            int next = this.parser.next();
            if (next != 0) {
                if (next != 1) {
                    if (next != 2) {
                        if (next != 3) {
                            if (next != 4) {
                                return next != 9 ? 0 : 4;
                            }
                            return 3;
                        }
                    }
                }
                return 2;
            }
            return 1;
        } catch (XmlPullParserException e) {
            throw new StreamException(e);
        } catch (IOException e2) {
            throw new StreamException(e2);
        }
    }

    @Override // com.thoughtworks.xstream.io.xml.AbstractPullReader
    public String pullText() {
        return this.parser.getText();
    }

    public XppReader(Reader reader2, XmlPullParser xmlPullParser, NameCoder nameCoder) {
        super(nameCoder);
        this.parser = xmlPullParser;
        this.reader = reader2;
        try {
            xmlPullParser.setInput(reader2);
            moveDown();
        } catch (XmlPullParserException e) {
            throw new StreamException(e);
        }
    }

    @Override // com.thoughtworks.xstream.io.HierarchicalStreamReader
    public String getAttribute(int i) {
        return this.parser.getAttributeValue(i);
    }

    public XppReader(Reader reader2) {
        this(reader2, new XmlFriendlyReplacer());
    }

    public XppReader(Reader reader2, XmlFriendlyReplacer xmlFriendlyReplacer) {
        super(xmlFriendlyReplacer);
        try {
            XmlPullParser createParser = createParser();
            this.parser = createParser;
            this.reader = reader2;
            createParser.setInput(reader2);
            moveDown();
        } catch (XmlPullParserException e) {
            throw new StreamException(e);
        }
    }
}
