package com.thoughtworks.xstream.io.xml.xppdom;

import java.util.Arrays;
import java.util.Comparator;
import java.util.HashMap;

public class XppDomComparator implements Comparator {
    private final ThreadLocal xpath;

    public XppDomComparator() {
        this(null);
    }

    private int compareInternal(XppDom xppDom, XppDom xppDom2, StringBuffer stringBuffer, int i) {
        int length = stringBuffer.length();
        String name = xppDom.getName();
        int compareTo = name.compareTo(xppDom2.getName());
        stringBuffer.append(name);
        if (i >= 0) {
            stringBuffer.append('[');
            stringBuffer.append(i);
            stringBuffer.append(']');
        }
        if (compareTo != 0) {
            stringBuffer.append('?');
            return compareTo;
        }
        String[] attributeNames = xppDom.getAttributeNames();
        String[] attributeNames2 = xppDom2.getAttributeNames();
        int length2 = attributeNames.length;
        int length3 = attributeNames2.length - length2;
        int i2 = -1;
        int i3 = 1;
        if (length3 != 0) {
            stringBuffer.append("::count(@*)");
            if (length3 < 0) {
                return 1;
            }
            return -1;
        }
        Arrays.sort(attributeNames);
        Arrays.sort(attributeNames2);
        for (int i4 = 0; i4 < length2; i4++) {
            String str = attributeNames[i4];
            int compareTo2 = str.compareTo(attributeNames2[i4]);
            if (compareTo2 != 0) {
                stringBuffer.append("[@");
                stringBuffer.append(str);
                stringBuffer.append("?]");
                return compareTo2;
            }
            int compareTo3 = xppDom.getAttribute(str).compareTo(xppDom2.getAttribute(str));
            if (compareTo3 != 0) {
                stringBuffer.append("[@");
                stringBuffer.append(str);
                stringBuffer.append(']');
                return compareTo3;
            }
        }
        int childCount = xppDom.getChildCount();
        int childCount2 = xppDom2.getChildCount() - childCount;
        if (childCount2 != 0) {
            stringBuffer.append("::count(*)");
            if (childCount2 < 0) {
                return 1;
            }
            return -1;
        }
        if (childCount <= 0) {
            String value = xppDom2.getValue();
            String value2 = xppDom.getValue();
            if (value2 == null) {
                if (value == null) {
                    i2 = 0;
                }
                childCount2 = i2;
            } else {
                if (value != null) {
                    i3 = value2.compareTo(value);
                }
                childCount2 = i3;
            }
            if (childCount2 != 0) {
                stringBuffer.append("::text()");
                return childCount2;
            }
        } else if (xppDom.getValue() == null && xppDom2.getValue() == null) {
            stringBuffer.append('/');
            HashMap hashMap = new HashMap();
            for (int i5 = 0; i5 < childCount; i5++) {
                XppDom child = xppDom.getChild(i5);
                XppDom child2 = xppDom2.getChild(i5);
                String name2 = child.getName();
                if (!hashMap.containsKey(name2)) {
                    hashMap.put(name2, new int[1]);
                }
                int[] iArr = (int[]) hashMap.get(name2);
                int i6 = iArr[0];
                iArr[0] = i6 + 1;
                childCount2 = compareInternal(child, child2, stringBuffer, i6);
                if (childCount2 != 0) {
                    return childCount2;
                }
            }
        } else {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append("XppDom cannot handle mixed mode at ");
            stringBuffer2.append((Object) stringBuffer);
            stringBuffer2.append("::text()");
            throw new IllegalArgumentException(stringBuffer2.toString());
        }
        stringBuffer.setLength(length);
        return childCount2;
    }

    @Override // java.util.Comparator
    public int compare(Object obj, Object obj2) {
        StringBuffer stringBuffer = new StringBuffer("/");
        int compareInternal = compareInternal((XppDom) obj, (XppDom) obj2, stringBuffer, -1);
        ThreadLocal threadLocal = this.xpath;
        if (threadLocal != null) {
            if (compareInternal != 0) {
                threadLocal.set(stringBuffer.toString());
            } else {
                threadLocal.set(null);
            }
        }
        return compareInternal;
    }

    public XppDomComparator(ThreadLocal threadLocal) {
        this.xpath = threadLocal;
    }
}
