package com.thoughtworks.xstream.io.xml.xppdom;

import java.io.InputStream;
import java.io.Reader;
import java.io.StringReader;
import org.xmlpull.v1.XmlPullParser;
import org.xmlpull.v1.XmlPullParserFactory;

public class XppFactory {
    public static XppDom buildDom(String str) {
        return buildDom(new StringReader(str));
    }

    public static XmlPullParser createDefaultParser() {
        return XmlPullParserFactory.newInstance().newPullParser();
    }

    public static XppDom buildDom(Reader reader) {
        XmlPullParser createDefaultParser = createDefaultParser();
        createDefaultParser.setInput(reader);
        return XppDom.build(createDefaultParser);
    }

    public static XppDom buildDom(InputStream inputStream, String str) {
        XmlPullParser createDefaultParser = createDefaultParser();
        createDefaultParser.setInput(inputStream, str);
        return XppDom.build(createDefaultParser);
    }
}
