package com.thoughtworks.xstream.mapper;

import java.util.HashMap;
import java.util.Map;

public abstract class AbstractAttributeAliasingMapper extends MapperWrapper {
    public final Map aliasToName = new HashMap();
    public transient Map nameToAlias = new HashMap();

    public AbstractAttributeAliasingMapper(Mapper mapper) {
        super(mapper);
    }

    public void addAliasFor(String str, String str2) {
        this.aliasToName.put(str2, str);
        this.nameToAlias.put(str, str2);
    }

    public Object readResolve() {
        this.nameToAlias = new HashMap();
        for (Object obj : this.aliasToName.keySet()) {
            this.nameToAlias.put(this.aliasToName.get(obj), obj);
        }
        return this;
    }
}
