package com.thoughtworks.xstream.mapper;

import androidx.base.b2;
import com.thoughtworks.xstream.core.util.FastField;
import java.util.HashSet;
import java.util.LinkedHashSet;
import java.util.Set;
import java.util.regex.Pattern;

public class ElementIgnoringMapper extends MapperWrapper {
    public static /* synthetic */ Class class$java$lang$Object;
    public final Set fieldsToOmit = new HashSet();
    public final Set unknownElementsToIgnore = new LinkedHashSet();

    public ElementIgnoringMapper(Mapper mapper) {
        super(mapper);
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private Object key(Class cls, String str) {
        return new FastField(cls, str);
    }

    public void addElementsToIgnore(Pattern pattern) {
        this.unknownElementsToIgnore.add(pattern);
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public boolean isIgnoredElement(String str) {
        if (!this.unknownElementsToIgnore.isEmpty()) {
            for (Pattern pattern : this.unknownElementsToIgnore) {
                if (pattern.matcher(str).matches()) {
                    return true;
                }
            }
        }
        return super.isIgnoredElement(str);
    }

    public void omitField(Class cls, String str) {
        this.fieldsToOmit.add(key(cls, str));
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public boolean shouldSerializeMember(Class cls, String str) {
        if (this.fieldsToOmit.contains(key(cls, str))) {
            return false;
        }
        Class cls2 = class$java$lang$Object;
        if (cls2 == null) {
            cls2 = class$("java.lang.Object");
            class$java$lang$Object = cls2;
        }
        if (cls != cls2 || !isIgnoredElement(str)) {
            return super.shouldSerializeMember(cls, str);
        }
        return false;
    }
}
