package com.thoughtworks.xstream.mapper;

import java.util.HashSet;
import java.util.Set;

public class ImmutableTypesMapper extends MapperWrapper {
    private final Set immutableTypes = new HashSet();
    private final Set unreferenceableTypes = new HashSet();

    public ImmutableTypesMapper(Mapper mapper) {
        super(mapper);
    }

    public void addImmutableType(Class cls) {
        addImmutableType(cls, true);
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public boolean isImmutableValueType(Class cls) {
        if (this.immutableTypes.contains(cls)) {
            return true;
        }
        return super.isImmutableValueType(cls);
    }

    @Override // com.thoughtworks.xstream.mapper.MapperWrapper, com.thoughtworks.xstream.mapper.Mapper
    public boolean isReferenceable(Class cls) {
        if (this.unreferenceableTypes.contains(cls)) {
            return false;
        }
        return super.isReferenceable(cls);
    }

    public void addImmutableType(Class cls, boolean z) {
        this.immutableTypes.add(cls);
        if (!z) {
            this.unreferenceableTypes.add(cls);
        } else {
            this.unreferenceableTypes.remove(cls);
        }
    }
}
