package com.thoughtworks.xstream.persistence;

import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Iterator;
import java.util.Set;

public class XmlMap extends AbstractMap {
    private final PersistenceStrategy persistenceStrategy;

    public class XmlMapEntries extends AbstractSet {
        public XmlMapEntries() {
        }

        public boolean isEmpty() {
            return XmlMap.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator iterator() {
            return XmlMap.this.persistenceStrategy.iterator();
        }

        public int size() {
            return XmlMap.this.size();
        }
    }

    public XmlMap(PersistenceStrategy persistenceStrategy2) {
        this.persistenceStrategy = persistenceStrategy2;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set entrySet() {
        return new XmlMapEntries();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object get(Object obj) {
        return this.persistenceStrategy.get(obj);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object put(Object obj, Object obj2) {
        return this.persistenceStrategy.put(obj, obj2);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object remove(Object obj) {
        return this.persistenceStrategy.remove(obj);
    }

    public int size() {
        return this.persistenceStrategy.size();
    }
}
