package com.xunlei.downloadlib;

import android.os.Looper;

public class Daemon {
    private static Looper looper;
    private static volatile boolean shouldStop;
    private static Thread thread;

    public static Looper looper() {
        if (looper == null) {
            start();
        }
        Looper looper2 = looper;
        return looper2 == null ? Looper.getMainLooper() : looper2;
    }

    public static void start() {
        synchronized (Daemon.class) {
            if (thread == null) {
                final BlockingItem blockingItem = new BlockingItem();
                thread = new Thread(new Runnable() {
                    /* class com.xunlei.downloadlib.Daemon.AnonymousClass1 */

                    public void run() {
                        Looper.prepare();
                        BlockingItem.this.put(Looper.myLooper());
                        while (!Daemon.shouldStop) {
                            try {
                                Looper.loop();
                            } catch (Exception unused) {
                            }
                        }
                    }
                }, "daemon");
                shouldStop = false;
                thread.start();
                try {
                    looper = (Looper) blockingItem.take();
                } catch (InterruptedException unused) {
                }
            }
        }
    }

    public static void stop() {
        Looper looper2;
        synchronized (Daemon.class) {
            shouldStop = true;
            if (!(thread == null || (looper2 = looper) == null)) {
                looper2.quit();
                try {
                    thread.join();
                } catch (Exception unused) {
                }
                thread = null;
                looper = null;
            }
        }
    }
}
