package com.xunlei.downloadlib.android;

import android.text.TextUtils;
import com.google.android.exoplayer2.source.rtsp.SessionDescription;
import java.io.File;
import java.io.FileInputStream;
import java.util.HashMap;
import java.util.Map;

public final class LogConfig {
    private final int mDestinationType;
    public final String mFileName;
    public final LogLevel mLevel;
    public final String mLogDir;
    public final long mLogSize;

    public LogConfig(String str) {
        Map<String, String> parseConfigFile = parseConfigFile(str);
        long parseLong = Long.parseLong(getOrDefault(parseConfigFile, "LOG_FILE_SIZE", SessionDescription.SUPPORTED_SDP_VERSION));
        this.mLogSize = parseLong == 0 ? 20971520 : parseLong;
        this.mLevel = LogLevel.parseLevel(getOrDefault(parseConfigFile, "LOG_LEVEL", "").toLowerCase());
        String orDefault = getOrDefault(parseConfigFile, "LOG_FILE", "");
        this.mFileName = orDefault;
        String orDefault2 = getOrDefault(parseConfigFile, "LOG_DIR", "");
        this.mLogDir = orDefault2;
        if (TextUtils.isEmpty(orDefault) || TextUtils.isEmpty(orDefault2)) {
            this.mDestinationType = 0;
            return;
        }
        int parseInt = Integer.parseInt(getOrDefault(parseConfigFile, "LOG_DESTINATION_TYPE", SessionDescription.SUPPORTED_SDP_VERSION));
        this.mDestinationType = parseInt <= 0 ? 3 : parseInt;
    }

    private String getOrDefault(Map<String, String> map, String str, String str2) {
        String str3 = map.get(str);
        return str3 == null ? str2 : str3;
    }

    private Map<String, String> parseConfigFile(String str) {
        int read;
        File file = new File(str);
        HashMap hashMap = new HashMap();
        if (file.exists()) {
            try {
                FileInputStream fileInputStream = new FileInputStream(file);
                StringBuilder sb = new StringBuilder();
                StringBuilder sb2 = new StringBuilder();
                loop0:
                while (true) {
                    String str2 = "";
                    while (true) {
                        int read2 = fileInputStream.read();
                        if (read2 != -1) {
                            if (sb.length() == 0 && read2 == 35) {
                                do {
                                    read = fileInputStream.read();
                                    if (read == -1 || read == 13) {
                                        break;
                                    }
                                } while (read != 10);
                            } else if (!(read2 == 32 || read2 == 9)) {
                                if (read2 == 61) {
                                    str2 = sb.toString();
                                } else if (read2 != 10 && read2 != 13) {
                                    char c = (char) read2;
                                    if (str2.length() == 0) {
                                        sb.append(c);
                                    } else {
                                        sb2.append(c);
                                    }
                                } else if (sb.length() != 0) {
                                    break;
                                }
                            }
                        } else {
                            break loop0;
                        }
                    }
                    hashMap.put(str2, sb2.toString());
                    sb = new StringBuilder();
                    sb2 = new StringBuilder();
                }
                fileInputStream.close();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
        return hashMap;
    }

    public final boolean canLogToFile() {
        return (this.mDestinationType & 1) > 0;
    }

    public final boolean canLogToLogCat() {
        return (this.mDestinationType & 2) > 0;
    }
}
