package okio;

import androidx.base.g00;
import androidx.base.y00;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;
import java.nio.file.Files;
import java.nio.file.OpenOption;
import java.nio.file.Path;
import java.util.Arrays;

public final /* synthetic */ class Okio__JvmOkioKt {
    public static final Sink appendingSink(File file) {
        if (file != null) {
            return Okio.sink(new FileOutputStream(file, true));
        }
        g00.f("$this$appendingSink");
        throw null;
    }

    public static final boolean isAndroidGetsocknameError(AssertionError assertionError) {
        if (assertionError != null) {
            if (assertionError.getCause() != null) {
                String message = assertionError.getMessage();
                if (message != null && y00.d(message, "getsockname failed", 0, false, 2) >= 0) {
                    return true;
                }
            }
            return false;
        }
        g00.f("$this$isAndroidGetsocknameError");
        throw null;
    }

    public static final Sink sink(File file) {
        return sink$default(file, false, 1, null);
    }

    public static final Sink sink(OutputStream outputStream) {
        if (outputStream != null) {
            return new OutputStreamSink(outputStream, new Timeout());
        }
        g00.f("$this$sink");
        throw null;
    }

    public static /* synthetic */ Sink sink$default(File file, boolean z, int i, Object obj) {
        if ((i & 1) != 0) {
            z = false;
        }
        return Okio.sink(file, z);
    }

    public static final Source source(InputStream inputStream) {
        if (inputStream != null) {
            return new InputStreamSource(inputStream, new Timeout());
        }
        g00.f("$this$source");
        throw null;
    }

    public static final Sink sink(Socket socket) {
        if (socket != null) {
            SocketAsyncTimeout socketAsyncTimeout = new SocketAsyncTimeout(socket);
            OutputStream outputStream = socket.getOutputStream();
            g00.b(outputStream, "getOutputStream()");
            return socketAsyncTimeout.sink(new OutputStreamSink(outputStream, socketAsyncTimeout));
        }
        g00.f("$this$sink");
        throw null;
    }

    public static final Source source(Socket socket) {
        if (socket != null) {
            SocketAsyncTimeout socketAsyncTimeout = new SocketAsyncTimeout(socket);
            InputStream inputStream = socket.getInputStream();
            g00.b(inputStream, "getInputStream()");
            return socketAsyncTimeout.source(new InputStreamSource(inputStream, socketAsyncTimeout));
        }
        g00.f("$this$source");
        throw null;
    }

    public static final Sink sink(File file, boolean z) {
        if (file != null) {
            return Okio.sink(new FileOutputStream(file, z));
        }
        g00.f("$this$sink");
        throw null;
    }

    public static final Source source(File file) {
        if (file != null) {
            return Okio.source(new FileInputStream(file));
        }
        g00.f("$this$source");
        throw null;
    }

    public static final Sink sink(Path path, OpenOption... openOptionArr) {
        if (path == null) {
            g00.f("$this$sink");
            throw null;
        } else if (openOptionArr != null) {
            OutputStream newOutputStream = Files.newOutputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
            g00.b(newOutputStream, "Files.newOutputStream(this, *options)");
            return Okio.sink(newOutputStream);
        } else {
            g00.f("options");
            throw null;
        }
    }

    public static final Source source(Path path, OpenOption... openOptionArr) {
        if (path == null) {
            g00.f("$this$source");
            throw null;
        } else if (openOptionArr != null) {
            InputStream newInputStream = Files.newInputStream(path, (OpenOption[]) Arrays.copyOf(openOptionArr, openOptionArr.length));
            g00.b(newInputStream, "Files.newInputStream(this, *options)");
            return Okio.source(newInputStream);
        } else {
            g00.f("options");
            throw null;
        }
    }
}
