package okio;

import androidx.base.f00;
import androidx.base.g00;
import androidx.base.sz;
import androidx.base.uz;
import androidx.base.vz;
import androidx.exifinterface.media.ExifInterface;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;
import java.util.RandomAccess;

public final class Options extends uz<ByteString> implements RandomAccess {
    public static final Companion Companion = new Companion(null);
    private final ByteString[] byteStrings;
    private final int[] trie;

    public static final class Companion {
        private Companion() {
        }

        private final void buildTrieRecursive(long j, Buffer buffer, int i, List<? extends ByteString> list, int i2, int i3, List<Integer> list2) {
            int i4;
            int i5;
            int i6;
            int i7;
            Buffer buffer2;
            int i8 = i;
            if (i2 < i3) {
                for (int i9 = i2; i9 < i3; i9++) {
                    if (!(((ByteString) list.get(i9)).size() >= i8)) {
                        throw new IllegalArgumentException("Failed requirement.".toString());
                    }
                }
                ByteString byteString = (ByteString) list.get(i2);
                ByteString byteString2 = (ByteString) list.get(i3 - 1);
                if (i8 == byteString.size()) {
                    int i10 = i2 + 1;
                    i4 = i10;
                    i5 = list2.get(i2).intValue();
                    byteString = (ByteString) list.get(i10);
                } else {
                    i4 = i2;
                    i5 = -1;
                }
                if (byteString.getByte(i8) != byteString2.getByte(i8)) {
                    int i11 = 1;
                    for (int i12 = i4 + 1; i12 < i3; i12++) {
                        if (((ByteString) list.get(i12 - 1)).getByte(i8) != ((ByteString) list.get(i12)).getByte(i8)) {
                            i11++;
                        }
                    }
                    long intCount = j + getIntCount(buffer) + ((long) 2) + ((long) (i11 * 2));
                    buffer.writeInt(i11);
                    buffer.writeInt(i5);
                    for (int i13 = i4; i13 < i3; i13++) {
                        byte b = ((ByteString) list.get(i13)).getByte(i8);
                        if (i13 == i4 || b != ((ByteString) list.get(i13 - 1)).getByte(i8)) {
                            buffer.writeInt(b & ExifInterface.MARKER);
                        }
                    }
                    Buffer buffer3 = new Buffer();
                    while (i4 < i3) {
                        byte b2 = ((ByteString) list.get(i4)).getByte(i8);
                        int i14 = i4 + 1;
                        int i15 = i14;
                        while (true) {
                            if (i15 >= i3) {
                                i6 = i3;
                                break;
                            } else if (b2 != ((ByteString) list.get(i15)).getByte(i8)) {
                                i6 = i15;
                                break;
                            } else {
                                i15++;
                            }
                        }
                        if (i14 == i6 && i8 + 1 == ((ByteString) list.get(i4)).size()) {
                            buffer.writeInt(list2.get(i4).intValue());
                            i7 = i6;
                            buffer2 = buffer3;
                        } else {
                            buffer.writeInt(((int) (intCount + getIntCount(buffer3))) * -1);
                            i7 = i6;
                            buffer2 = buffer3;
                            buildTrieRecursive(intCount, buffer3, i8 + 1, list, i4, i6, list2);
                        }
                        buffer3 = buffer2;
                        i4 = i7;
                    }
                    buffer.writeAll(buffer3);
                    return;
                }
                int min = Math.min(byteString.size(), byteString2.size());
                int i16 = i8;
                int i17 = 0;
                while (i16 < min && byteString.getByte(i16) == byteString2.getByte(i16)) {
                    i17++;
                    i16++;
                }
                long intCount2 = j + getIntCount(buffer) + ((long) 2) + ((long) i17) + 1;
                buffer.writeInt(-i17);
                buffer.writeInt(i5);
                int i18 = i8 + i17;
                while (i8 < i18) {
                    buffer.writeInt(byteString.getByte(i8) & ExifInterface.MARKER);
                    i8++;
                }
                if (i4 + 1 == i3) {
                    if (i18 == ((ByteString) list.get(i4)).size()) {
                        buffer.writeInt(list2.get(i4).intValue());
                        return;
                    }
                    throw new IllegalStateException("Check failed.".toString());
                }
                Buffer buffer4 = new Buffer();
                buffer.writeInt(((int) (getIntCount(buffer4) + intCount2)) * -1);
                buildTrieRecursive(intCount2, buffer4, i18, list, i4, i3, list2);
                buffer.writeAll(buffer4);
                return;
            }
            throw new IllegalArgumentException("Failed requirement.".toString());
        }

        public static /* synthetic */ void buildTrieRecursive$default(Companion companion, long j, Buffer buffer, int i, List list, int i2, int i3, List list2, int i4, Object obj) {
            companion.buildTrieRecursive((i4 & 1) != 0 ? 0 : j, buffer, (i4 & 4) != 0 ? 0 : i, list, (i4 & 16) != 0 ? 0 : i2, (i4 & 32) != 0 ? list.size() : i3, list2);
        }

        private final long getIntCount(Buffer buffer) {
            return buffer.size() / ((long) 4);
        }

        public final Options of(ByteString... byteStringArr) {
            int i;
            if (byteStringArr != null) {
                int i2 = 0;
                if (byteStringArr.length == 0) {
                    return new Options(new ByteString[0], new int[]{0, -1}, null);
                }
                ArrayList arrayList = new ArrayList(new vz(byteStringArr, false));
                if (arrayList.size() > 1) {
                    Collections.sort(arrayList);
                }
                ArrayList arrayList2 = new ArrayList(byteStringArr.length);
                for (ByteString byteString : byteStringArr) {
                    arrayList2.add(-1);
                }
                Object[] array = arrayList2.toArray(new Integer[0]);
                if (array != null) {
                    Integer[] numArr = (Integer[]) array;
                    Integer[] numArr2 = (Integer[]) Arrays.copyOf(numArr, numArr.length);
                    if (numArr2 != null) {
                        ArrayList arrayList3 = numArr2.length == 0 ? new ArrayList() : new ArrayList(new vz(numArr2, true));
                        int length = byteStringArr.length;
                        int i3 = 0;
                        int i4 = 0;
                        while (i3 < length) {
                            ByteString byteString2 = byteStringArr[i3];
                            int i5 = i4 + 1;
                            int size = arrayList.size();
                            int size2 = arrayList.size();
                            if (size < 0) {
                                throw new IllegalArgumentException("fromIndex (" + 0 + ") is greater than toIndex (" + size + ").");
                            } else if (size <= size2) {
                                int i6 = size - 1;
                                int i7 = 0;
                                while (true) {
                                    if (i7 > i6) {
                                        i = -(i7 + 1);
                                        break;
                                    }
                                    i = (i7 + i6) >>> 1;
                                    Comparable comparable = (Comparable) arrayList.get(i);
                                    int compareTo = comparable == byteString2 ? 0 : comparable == null ? -1 : byteString2 == null ? 1 : comparable.compareTo(byteString2);
                                    if (compareTo >= 0) {
                                        if (compareTo <= 0) {
                                            break;
                                        }
                                        i6 = i - 1;
                                    } else {
                                        i7 = i + 1;
                                    }
                                }
                                arrayList3.set(i, Integer.valueOf(i4));
                                i3++;
                                i4 = i5;
                            } else {
                                throw new IndexOutOfBoundsException("toIndex (" + size + ") is greater than size (" + size2 + ").");
                            }
                        }
                        if (((ByteString) arrayList.get(0)).size() > 0) {
                            int i8 = 0;
                            while (i8 < arrayList.size()) {
                                ByteString byteString3 = (ByteString) arrayList.get(i8);
                                int i9 = i8 + 1;
                                int i10 = i9;
                                while (i10 < arrayList.size()) {
                                    ByteString byteString4 = (ByteString) arrayList.get(i10);
                                    if (!byteString4.startsWith(byteString3)) {
                                        continue;
                                        break;
                                    }
                                    if (!(byteString4.size() != byteString3.size())) {
                                        throw new IllegalArgumentException(("duplicate option: " + byteString4).toString());
                                    } else if (((Number) arrayList3.get(i10)).intValue() > ((Number) arrayList3.get(i8)).intValue()) {
                                        arrayList.remove(i10);
                                        arrayList3.remove(i10);
                                    } else {
                                        i10++;
                                    }
                                }
                                i8 = i9;
                            }
                            Buffer buffer = new Buffer();
                            buildTrieRecursive$default(this, 0, buffer, 0, arrayList, 0, 0, arrayList3, 53, null);
                            int[] iArr = new int[((int) getIntCount(buffer))];
                            while (!buffer.exhausted()) {
                                iArr[i2] = buffer.readInt();
                                i2++;
                            }
                            Object[] copyOf = Arrays.copyOf(byteStringArr, byteStringArr.length);
                            g00.b(copyOf, "java.util.Arrays.copyOf(this, size)");
                            return new Options((ByteString[]) copyOf, iArr, null);
                        }
                        throw new IllegalArgumentException("the empty byte string is not a supported option".toString());
                    }
                    g00.f("elements");
                    throw null;
                }
                throw new sz("null cannot be cast to non-null type kotlin.Array<T>");
            }
            g00.f("byteStrings");
            throw null;
        }

        public /* synthetic */ Companion(f00 f00) {
            this();
        }
    }

    public /* synthetic */ Options(ByteString[] byteStringArr, int[] iArr, f00 f00) {
        this(byteStringArr, iArr);
    }

    public static final Options of(ByteString... byteStringArr) {
        return Companion.of(byteStringArr);
    }

    @Override // androidx.base.tz
    public final /* bridge */ boolean contains(Object obj) {
        if (obj instanceof ByteString) {
            return contains((ByteString) obj);
        }
        return false;
    }

    public final ByteString[] getByteStrings$okio() {
        return this.byteStrings;
    }

    @Override // androidx.base.tz, androidx.base.uz
    public int getSize() {
        return this.byteStrings.length;
    }

    public final int[] getTrie$okio() {
        return this.trie;
    }

    @Override // androidx.base.uz
    public final /* bridge */ int indexOf(Object obj) {
        if (obj instanceof ByteString) {
            return indexOf((ByteString) obj);
        }
        return -1;
    }

    @Override // androidx.base.uz
    public final /* bridge */ int lastIndexOf(Object obj) {
        if (obj instanceof ByteString) {
            return lastIndexOf((ByteString) obj);
        }
        return -1;
    }

    private Options(ByteString[] byteStringArr, int[] iArr) {
        this.byteStrings = byteStringArr;
        this.trie = iArr;
    }

    public /* bridge */ boolean contains(ByteString byteString) {
        return super.contains((Object) byteString);
    }

    @Override // java.util.List, androidx.base.uz
    public ByteString get(int i) {
        return this.byteStrings[i];
    }

    public /* bridge */ int indexOf(ByteString byteString) {
        return super.indexOf((Object) byteString);
    }

    public /* bridge */ int lastIndexOf(ByteString byteString) {
        return super.lastIndexOf((Object) byteString);
    }
}
