package okio;

import androidx.base.f00;
import androidx.base.g00;
import androidx.base.xz;
import java.util.Arrays;

public final class Segment {
    public static final Companion Companion = new Companion(null);
    public static final int SHARE_MINIMUM = 1024;
    public static final int SIZE = 8192;
    public final byte[] data;
    public int limit;
    public Segment next;
    public boolean owner;
    public int pos;
    public Segment prev;
    public boolean shared;

    public static final class Companion {
        private Companion() {
        }

        public /* synthetic */ Companion(f00 f00) {
            this();
        }
    }

    public Segment() {
        this.data = new byte[8192];
        this.owner = true;
        this.shared = false;
    }

    public final void compact() {
        Segment segment = this.prev;
        int i = 0;
        if (!(segment != this)) {
            throw new IllegalStateException("cannot compact".toString());
        } else if (segment == null) {
            g00.e();
            throw null;
        } else if (segment.owner) {
            int i2 = this.limit - this.pos;
            if (segment != null) {
                int i3 = 8192 - segment.limit;
                if (segment != null) {
                    if (!segment.shared) {
                        if (segment != null) {
                            i = segment.pos;
                        } else {
                            g00.e();
                            throw null;
                        }
                    }
                    if (i2 <= i3 + i) {
                        if (segment != null) {
                            writeTo(segment, i2);
                            pop();
                            SegmentPool.INSTANCE.recycle(this);
                            return;
                        }
                        g00.e();
                        throw null;
                    }
                    return;
                }
                g00.e();
                throw null;
            }
            g00.e();
            throw null;
        }
    }

    public final Segment pop() {
        Segment segment = this.next;
        Segment segment2 = segment != this ? segment : null;
        Segment segment3 = this.prev;
        if (segment3 != null) {
            segment3.next = segment;
            Segment segment4 = this.next;
            if (segment4 != null) {
                segment4.prev = segment3;
                this.next = null;
                this.prev = null;
                return segment2;
            }
            g00.e();
            throw null;
        }
        g00.e();
        throw null;
    }

    public final Segment push(Segment segment) {
        if (segment != null) {
            segment.prev = this;
            segment.next = this.next;
            Segment segment2 = this.next;
            if (segment2 != null) {
                segment2.prev = segment;
                this.next = segment;
                return segment;
            }
            g00.e();
            throw null;
        }
        g00.f("segment");
        throw null;
    }

    public final Segment sharedCopy() {
        this.shared = true;
        return new Segment(this.data, this.pos, this.limit, true, false);
    }

    public final Segment split(int i) {
        Segment segment;
        if (i > 0 && i <= this.limit - this.pos) {
            if (i >= 1024) {
                segment = sharedCopy();
            } else {
                segment = SegmentPool.INSTANCE.take();
                byte[] bArr = this.data;
                byte[] bArr2 = segment.data;
                int i2 = this.pos;
                xz.b(bArr, bArr2, 0, i2, i2 + i, 2);
            }
            segment.limit = segment.pos + i;
            this.pos += i;
            Segment segment2 = this.prev;
            if (segment2 != null) {
                segment2.push(segment);
                return segment;
            }
            g00.e();
            throw null;
        }
        throw new IllegalArgumentException("byteCount out of range".toString());
    }

    public final Segment unsharedCopy() {
        byte[] bArr = this.data;
        byte[] copyOf = Arrays.copyOf(bArr, bArr.length);
        g00.b(copyOf, "java.util.Arrays.copyOf(this, size)");
        return new Segment(copyOf, this.pos, this.limit, false, true);
    }

    public final void writeTo(Segment segment, int i) {
        if (segment == null) {
            g00.f("sink");
            throw null;
        } else if (segment.owner) {
            int i2 = segment.limit;
            if (i2 + i > 8192) {
                if (!segment.shared) {
                    int i3 = segment.pos;
                    if ((i2 + i) - i3 <= 8192) {
                        byte[] bArr = segment.data;
                        xz.b(bArr, bArr, 0, i3, i2, 2);
                        segment.limit -= segment.pos;
                        segment.pos = 0;
                    } else {
                        throw new IllegalArgumentException();
                    }
                } else {
                    throw new IllegalArgumentException();
                }
            }
            byte[] bArr2 = this.data;
            byte[] bArr3 = segment.data;
            int i4 = segment.limit;
            int i5 = this.pos;
            xz.a(bArr2, bArr3, i4, i5, i5 + i);
            segment.limit += i;
            this.pos += i;
        } else {
            throw new IllegalStateException("only owner can write".toString());
        }
    }

    public Segment(byte[] bArr, int i, int i2, boolean z, boolean z2) {
        if (bArr != null) {
            this.data = bArr;
            this.pos = i;
            this.limit = i2;
            this.shared = z;
            this.owner = z2;
            return;
        }
        g00.f("data");
        throw null;
    }
}
