package okio;

import androidx.base.g00;

public final class SegmentPool {
    public static final SegmentPool INSTANCE = new SegmentPool();
    public static final long MAX_SIZE = 65536;
    private static long byteCount;
    private static Segment next;

    private SegmentPool() {
    }

    public final long getByteCount() {
        return byteCount;
    }

    public final Segment getNext() {
        return next;
    }

    public final void recycle(Segment segment) {
        if (segment != null) {
            if (!(segment.next == null && segment.prev == null)) {
                throw new IllegalArgumentException("Failed requirement.".toString());
            } else if (!segment.shared) {
                synchronized (this) {
                    long j = byteCount;
                    long j2 = (long) 8192;
                    if (j + j2 <= 65536) {
                        byteCount = j + j2;
                        segment.next = next;
                        segment.limit = 0;
                        segment.pos = 0;
                        next = segment;
                    }
                }
            }
        } else {
            g00.f("segment");
            throw null;
        }
    }

    public final void setByteCount(long j) {
        byteCount = j;
    }

    public final void setNext(Segment segment) {
        next = segment;
    }

    public final Segment take() {
        synchronized (this) {
            Segment segment = next;
            if (segment == null) {
                return new Segment();
            }
            next = segment.next;
            segment.next = null;
            byteCount -= (long) 8192;
            return segment;
        }
    }
}
