package okio;

import androidx.base.b2;
import androidx.base.g00;
import java.io.IOException;
import java.net.Socket;
import java.net.SocketTimeoutException;
import java.util.logging.Level;
import java.util.logging.Logger;

public final class SocketAsyncTimeout extends AsyncTimeout {
    private final Logger logger;
    private final Socket socket;

    public SocketAsyncTimeout(Socket socket2) {
        if (socket2 != null) {
            this.socket = socket2;
            this.logger = Logger.getLogger("okio.Okio");
            return;
        }
        g00.f("socket");
        throw null;
    }

    @Override // okio.AsyncTimeout
    public IOException newTimeoutException(IOException iOException) {
        SocketTimeoutException socketTimeoutException = new SocketTimeoutException("timeout");
        if (iOException != null) {
            socketTimeoutException.initCause(iOException);
        }
        return socketTimeoutException;
    }

    @Override // okio.AsyncTimeout
    public void timedOut() {
        try {
            this.socket.close();
        } catch (Exception e) {
            Logger logger2 = this.logger;
            Level level = Level.WARNING;
            StringBuilder j = b2.j("Failed to close timed out socket ");
            j.append(this.socket);
            logger2.log(level, j.toString(), (Throwable) e);
        } catch (AssertionError e2) {
            if (Okio.isAndroidGetsocknameError(e2)) {
                Logger logger3 = this.logger;
                Level level2 = Level.WARNING;
                StringBuilder j2 = b2.j("Failed to close timed out socket ");
                j2.append(this.socket);
                logger3.log(level2, j2.toString(), (Throwable) e2);
                return;
            }
            throw e2;
        }
    }
}
