package okio;

import androidx.base.a00;
import androidx.base.b2;
import androidx.base.g00;
import com.google.android.exoplayer2.extractor.ts.PsExtractor;

public final class Utf8 {
    public static final int HIGH_SURROGATE_HEADER = 55232;
    public static final int LOG_SURROGATE_HEADER = 56320;
    public static final int MASK_2BYTES = 3968;
    public static final int MASK_3BYTES = -123008;
    public static final int MASK_4BYTES = 3678080;
    public static final byte REPLACEMENT_BYTE = 63;
    public static final char REPLACEMENT_CHARACTER = 65533;
    public static final int REPLACEMENT_CODE_POINT = 65533;

    public static final boolean isIsoControl(int i) {
        return (i >= 0 && 31 >= i) || (127 <= i && 159 >= i);
    }

    public static final boolean isUtf8Continuation(byte b) {
        return (b & 192) == 128;
    }

    public static final int process2Utf8Bytes(byte[] bArr, int i, int i2, a00<? super Integer, ?> a00) {
        if (bArr == null) {
            g00.f("$this$process2Utf8Bytes");
            throw null;
        } else if (a00 != null) {
            int i3 = i + 1;
            if (i2 <= i3) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 1;
            }
            byte b = bArr[i];
            byte b2 = bArr[i3];
            if (!((b2 & 192) == 128)) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 1;
            }
            int i4 = (b2 ^ 3968) ^ (b << 6);
            if (i4 < 128) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 2;
            }
            a00.invoke(Integer.valueOf(i4));
            return 2;
        } else {
            g00.f("yield");
            throw null;
        }
    }

    public static final int process3Utf8Bytes(byte[] bArr, int i, int i2, a00<? super Integer, ?> a00) {
        if (bArr == null) {
            g00.f("$this$process3Utf8Bytes");
            throw null;
        } else if (a00 != null) {
            int i3 = i + 2;
            boolean z = false;
            if (i2 <= i3) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                int i4 = i + 1;
                if (i2 > i4) {
                    if ((bArr[i4] & 192) == 128) {
                        z = true;
                    }
                    return !z ? 1 : 2;
                }
            }
            byte b = bArr[i];
            byte b2 = bArr[i + 1];
            if (!((b2 & 192) == 128)) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 1;
            }
            byte b3 = bArr[i3];
            if ((b3 & 192) == 128) {
                z = true;
            }
            if (!z) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 2;
            }
            int i5 = ((b3 ^ -123008) ^ (b2 << 6)) ^ (b << 12);
            if (i5 < 2048) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 3;
            } else if (55296 <= i5 && 57343 >= i5) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 3;
            } else {
                a00.invoke(Integer.valueOf(i5));
                return 3;
            }
        } else {
            g00.f("yield");
            throw null;
        }
    }

    public static final int process4Utf8Bytes(byte[] bArr, int i, int i2, a00<? super Integer, ?> a00) {
        if (bArr == null) {
            g00.f("$this$process4Utf8Bytes");
            throw null;
        } else if (a00 != null) {
            int i3 = i + 3;
            boolean z = false;
            if (i2 <= i3) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                int i4 = i + 1;
                if (i2 > i4) {
                    if ((bArr[i4] & 192) == 128) {
                        int i5 = i + 2;
                        if (i2 > i5) {
                            if ((bArr[i5] & 192) == 128) {
                                z = true;
                            }
                            return !z ? 2 : 3;
                        }
                    }
                }
                return 1;
            }
            byte b = bArr[i];
            byte b2 = bArr[i + 1];
            if (!((b2 & 192) == 128)) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 1;
            }
            byte b3 = bArr[i + 2];
            if (!((b3 & 192) == 128)) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 2;
            }
            byte b4 = bArr[i3];
            if ((b4 & 192) == 128) {
                z = true;
            }
            if (!z) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 3;
            }
            int i6 = (((b4 ^ 3678080) ^ (b3 << 6)) ^ (b2 << 12)) ^ (b << 18);
            if (i6 > 1114111) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 4;
            } else if (55296 <= i6 && 57343 >= i6) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 4;
            } else if (i6 < 65536) {
                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                return 4;
            } else {
                a00.invoke(Integer.valueOf(i6));
                return 4;
            }
        } else {
            g00.f("yield");
            throw null;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x008b, code lost:
        if (r7 == false) goto L_0x0048;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x0104, code lost:
        if (r7 == false) goto L_0x0067;
     */
    public static final void processUtf16Chars(byte[] bArr, int i, int i2, a00<? super Character, ?> a00) {
        if (bArr == null) {
            g00.f("$this$processUtf16Chars");
            throw null;
        } else if (a00 != null) {
            int i3 = i;
            while (i3 < i2) {
                byte b = bArr[i3];
                if (b >= 0) {
                    a00.invoke(Character.valueOf((char) b));
                    i3++;
                    while (i3 < i2 && bArr[i3] >= 0) {
                        a00.invoke(Character.valueOf((char) bArr[i3]));
                        i3++;
                    }
                } else {
                    int i4 = 2;
                    boolean z = false;
                    if ((b >> 5) == -2) {
                        int i5 = i3 + 1;
                        if (i2 > i5) {
                            byte b2 = bArr[i3];
                            byte b3 = bArr[i5];
                            if ((b3 & 192) == 128) {
                                z = true;
                            }
                            if (z) {
                                int i6 = (b3 ^ 3968) ^ (b2 << 6);
                                a00.invoke(Character.valueOf(i6 < 128 ? (char) REPLACEMENT_CODE_POINT : (char) i6));
                                i3 += i4;
                            }
                        }
                        a00.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                    } else {
                        if ((b >> 4) == -2) {
                            int i7 = i3 + 2;
                            if (i2 <= i7) {
                                a00.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                                int i8 = i3 + 1;
                                if (i2 > i8) {
                                    if ((bArr[i8] & 192) == 128) {
                                        z = true;
                                    }
                                }
                            } else {
                                byte b4 = bArr[i3];
                                byte b5 = bArr[i3 + 1];
                                if (!((b5 & 192) == 128)) {
                                    a00.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                                } else {
                                    byte b6 = bArr[i7];
                                    if ((b6 & 192) == 128) {
                                        z = true;
                                    }
                                    if (!z) {
                                        a00.invoke(Character.valueOf((char) REPLACEMENT_CODE_POINT));
                                        i3 += i4;
                                    } else {
                                        int i9 = ((b6 ^ -123008) ^ (b5 << 6)) ^ (b4 << 12);
                                        a00.invoke(Character.valueOf((i9 >= 2048 && (55296 > i9 || 57343 < i9)) ? (char) i9 : (char) REPLACEMENT_CODE_POINT));
                                    }
                                }
                            }
                        } else if ((b >> 3) == -2) {
                            int i10 = i3 + 3;
                            if (i2 <= i10) {
                                a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                int i11 = i3 + 1;
                                if (i2 > i11) {
                                    if ((bArr[i11] & 192) == 128) {
                                        int i12 = i3 + 2;
                                        if (i2 > i12) {
                                            if ((bArr[i12] & 192) == 128) {
                                                z = true;
                                            }
                                        }
                                        i3 += i4;
                                    }
                                }
                            } else {
                                byte b7 = bArr[i3];
                                byte b8 = bArr[i3 + 1];
                                if (!((b8 & 192) == 128)) {
                                    a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                } else {
                                    byte b9 = bArr[i3 + 2];
                                    if (!((b9 & 192) == 128)) {
                                        a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                    } else {
                                        byte b10 = bArr[i10];
                                        if ((b10 & 192) == 128) {
                                            z = true;
                                        }
                                        if (!z) {
                                            a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                        } else {
                                            int i13 = (((b10 ^ 3678080) ^ (b9 << 6)) ^ (b8 << 12)) ^ (b7 << 18);
                                            if (i13 <= 1114111 && ((55296 > i13 || 57343 < i13) && i13 >= 65536 && i13 != 65533)) {
                                                a00.invoke(Character.valueOf((char) ((i13 >>> 10) + HIGH_SURROGATE_HEADER)));
                                                a00.invoke(Character.valueOf((char) ((i13 & 1023) + LOG_SURROGATE_HEADER)));
                                            } else {
                                                a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                                            }
                                            i4 = 4;
                                        }
                                    }
                                    i3 += i4;
                                }
                            }
                        } else {
                            a00.invoke(Character.valueOf(REPLACEMENT_CHARACTER));
                            i3++;
                        }
                        i4 = 3;
                        i3 += i4;
                    }
                    i4 = 1;
                    i3 += i4;
                }
            }
        } else {
            g00.f("yield");
            throw null;
        }
    }

    public static final void processUtf8Bytes(String str, int i, int i2, a00<? super Byte, ?> a00) {
        int i3;
        char charAt;
        if (str == null) {
            g00.f("$this$processUtf8Bytes");
            throw null;
        } else if (a00 != null) {
            while (i < i2) {
                char charAt2 = str.charAt(i);
                if (charAt2 < 128) {
                    a00.invoke(Byte.valueOf((byte) charAt2));
                    i++;
                    while (i < i2 && str.charAt(i) < 128) {
                        a00.invoke(Byte.valueOf((byte) str.charAt(i)));
                        i++;
                    }
                } else {
                    if (charAt2 < 2048) {
                        a00.invoke(Byte.valueOf((byte) ((charAt2 >> 6) | PsExtractor.AUDIO_STREAM)));
                        a00.invoke(Byte.valueOf((byte) ((charAt2 & '?') | 128)));
                    } else if (55296 > charAt2 || 57343 < charAt2) {
                        a00.invoke(Byte.valueOf((byte) ((charAt2 >> '\f') | 224)));
                        a00.invoke(Byte.valueOf((byte) (((charAt2 >> 6) & 63) | 128)));
                        a00.invoke(Byte.valueOf((byte) ((charAt2 & '?') | 128)));
                    } else if (charAt2 > 56319 || i2 <= (i3 = i + 1) || 56320 > (charAt = str.charAt(i3)) || 57343 < charAt) {
                        a00.invoke(Byte.valueOf((byte) REPLACEMENT_BYTE));
                    } else {
                        int charAt3 = (str.charAt(i3) + (charAt2 << '\n')) - 56613888;
                        a00.invoke(Byte.valueOf((byte) ((charAt3 >> 18) | PsExtractor.VIDEO_STREAM_MASK)));
                        a00.invoke(Byte.valueOf((byte) (((charAt3 >> 12) & 63) | 128)));
                        a00.invoke(Byte.valueOf((byte) (((charAt3 >> 6) & 63) | 128)));
                        a00.invoke(Byte.valueOf((byte) ((charAt3 & 63) | 128)));
                        i += 2;
                    }
                    i++;
                }
            }
        } else {
            g00.f("yield");
            throw null;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:37:0x0089, code lost:
        if (r7 == false) goto L_0x0045;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:73:0x0102, code lost:
        if (r7 == false) goto L_0x0066;
     */
    public static final void processUtf8CodePoints(byte[] bArr, int i, int i2, a00<? super Integer, ?> a00) {
        if (bArr == null) {
            g00.f("$this$processUtf8CodePoints");
            throw null;
        } else if (a00 != null) {
            int i3 = i;
            while (i3 < i2) {
                byte b = bArr[i3];
                if (b >= 0) {
                    a00.invoke(Integer.valueOf(b));
                    i3++;
                    while (i3 < i2 && bArr[i3] >= 0) {
                        a00.invoke(Integer.valueOf(bArr[i3]));
                        i3++;
                    }
                } else {
                    int i4 = 2;
                    boolean z = false;
                    if ((b >> 5) == -2) {
                        int i5 = i3 + 1;
                        if (i2 > i5) {
                            byte b2 = bArr[i3];
                            byte b3 = bArr[i5];
                            if ((b3 & 192) == 128) {
                                z = true;
                            }
                            if (z) {
                                int i6 = (b3 ^ 3968) ^ (b2 << 6);
                                a00.invoke(i6 < 128 ? Integer.valueOf((int) REPLACEMENT_CODE_POINT) : Integer.valueOf(i6));
                                i3 += i4;
                            }
                        }
                        a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                    } else {
                        if ((b >> 4) == -2) {
                            int i7 = i3 + 2;
                            if (i2 <= i7) {
                                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                int i8 = i3 + 1;
                                if (i2 > i8) {
                                    if ((bArr[i8] & 192) == 128) {
                                        z = true;
                                    }
                                }
                            } else {
                                byte b4 = bArr[i3];
                                byte b5 = bArr[i3 + 1];
                                if (!((b5 & 192) == 128)) {
                                    a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                } else {
                                    byte b6 = bArr[i7];
                                    if ((b6 & 192) == 128) {
                                        z = true;
                                    }
                                    if (!z) {
                                        a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                        i3 += i4;
                                    } else {
                                        int i9 = ((b6 ^ -123008) ^ (b5 << 6)) ^ (b4 << 12);
                                        a00.invoke((i9 >= 2048 && (55296 > i9 || 57343 < i9)) ? Integer.valueOf(i9) : Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                    }
                                }
                            }
                        } else if ((b >> 3) == -2) {
                            int i10 = i3 + 3;
                            if (i2 <= i10) {
                                a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                int i11 = i3 + 1;
                                if (i2 > i11) {
                                    if ((bArr[i11] & 192) == 128) {
                                        int i12 = i3 + 2;
                                        if (i2 > i12) {
                                            if ((bArr[i12] & 192) == 128) {
                                                z = true;
                                            }
                                        }
                                        i3 += i4;
                                    }
                                }
                            } else {
                                byte b7 = bArr[i3];
                                byte b8 = bArr[i3 + 1];
                                if (!((b8 & 192) == 128)) {
                                    a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                } else {
                                    byte b9 = bArr[i3 + 2];
                                    if (!((b9 & 192) == 128)) {
                                        a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                    } else {
                                        byte b10 = bArr[i10];
                                        if ((b10 & 192) == 128) {
                                            z = true;
                                        }
                                        if (!z) {
                                            a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                        } else {
                                            int i13 = (((b10 ^ 3678080) ^ (b9 << 6)) ^ (b8 << 12)) ^ (b7 << 18);
                                            a00.invoke((i13 <= 1114111 && (55296 > i13 || 57343 < i13) && i13 >= 65536) ? Integer.valueOf(i13) : Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                                            i4 = 4;
                                        }
                                    }
                                    i3 += i4;
                                }
                            }
                        } else {
                            a00.invoke(Integer.valueOf((int) REPLACEMENT_CODE_POINT));
                            i3++;
                        }
                        i4 = 3;
                        i3 += i4;
                    }
                    i4 = 1;
                    i3 += i4;
                }
            }
        } else {
            g00.f("yield");
            throw null;
        }
    }

    public static final long size(String str) {
        return size$default(str, 0, 0, 3, null);
    }

    public static final long size(String str, int i) {
        return size$default(str, i, 0, 2, null);
    }

    public static final long size(String str, int i, int i2) {
        int i3;
        if (str != null) {
            boolean z = true;
            if (i >= 0) {
                if (i2 >= i) {
                    if (i2 > str.length()) {
                        z = false;
                    }
                    if (z) {
                        long j = 0;
                        while (i < i2) {
                            char charAt = str.charAt(i);
                            if (charAt < 128) {
                                j++;
                            } else {
                                if (charAt < 2048) {
                                    i3 = 2;
                                } else if (charAt < 55296 || charAt > 57343) {
                                    i3 = 3;
                                } else {
                                    int i4 = i + 1;
                                    char charAt2 = i4 < i2 ? str.charAt(i4) : 0;
                                    if (charAt > 56319 || charAt2 < 56320 || charAt2 > 57343) {
                                        j++;
                                        i = i4;
                                    } else {
                                        j += (long) 4;
                                        i += 2;
                                    }
                                }
                                j += (long) i3;
                            }
                            i++;
                        }
                        return j;
                    }
                    StringBuilder k = b2.k("endIndex > string.length: ", i2, " > ");
                    k.append(str.length());
                    throw new IllegalArgumentException(k.toString().toString());
                }
                throw new IllegalArgumentException(("endIndex < beginIndex: " + i2 + " < " + i).toString());
            }
            throw new IllegalArgumentException(b2.t("beginIndex < 0: ", i).toString());
        }
        g00.f("$this$utf8Size");
        throw null;
    }

    public static /* synthetic */ long size$default(String str, int i, int i2, int i3, Object obj) {
        if ((i3 & 1) != 0) {
            i = 0;
        }
        if ((i3 & 2) != 0) {
            i2 = str.length();
        }
        return size(str, i, i2);
    }
}
