package okio.internal;

import androidx.base.b2;
import androidx.base.g00;
import java.io.EOFException;
import okio.Buffer;
import okio.BufferedSink;
import okio.ByteString;
import okio.RealBufferedSink;
import okio.Sink;
import okio.Source;
import okio.Timeout;

public final class RealBufferedSinkKt {
    public static final void commonClose(RealBufferedSink realBufferedSink) {
        Throwable th = null;
        if (realBufferedSink == null) {
            g00.f("$this$commonClose");
            throw null;
        } else if (!realBufferedSink.closed) {
            try {
                if (realBufferedSink.bufferField.size() > 0) {
                    Sink sink = realBufferedSink.sink;
                    Buffer buffer = realBufferedSink.bufferField;
                    sink.write(buffer, buffer.size());
                }
            } catch (Throwable th2) {
                th = th2;
            }
            try {
                realBufferedSink.sink.close();
            } catch (Throwable th3) {
                if (th == null) {
                    th = th3;
                }
            }
            realBufferedSink.closed = true;
            if (th != null) {
                throw th;
            }
        }
    }

    public static final BufferedSink commonEmit(RealBufferedSink realBufferedSink) {
        if (realBufferedSink == null) {
            g00.f("$this$commonEmit");
            throw null;
        } else if (!realBufferedSink.closed) {
            long size = realBufferedSink.bufferField.size();
            if (size > 0) {
                realBufferedSink.sink.write(realBufferedSink.bufferField, size);
            }
            return realBufferedSink;
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonEmitCompleteSegments(RealBufferedSink realBufferedSink) {
        if (realBufferedSink == null) {
            g00.f("$this$commonEmitCompleteSegments");
            throw null;
        } else if (!realBufferedSink.closed) {
            long completeSegmentByteCount = realBufferedSink.bufferField.completeSegmentByteCount();
            if (completeSegmentByteCount > 0) {
                realBufferedSink.sink.write(realBufferedSink.bufferField, completeSegmentByteCount);
            }
            return realBufferedSink;
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final void commonFlush(RealBufferedSink realBufferedSink) {
        if (realBufferedSink == null) {
            g00.f("$this$commonFlush");
            throw null;
        } else if (!realBufferedSink.closed) {
            if (realBufferedSink.bufferField.size() > 0) {
                Sink sink = realBufferedSink.sink;
                Buffer buffer = realBufferedSink.bufferField;
                sink.write(buffer, buffer.size());
            }
            realBufferedSink.sink.flush();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final Timeout commonTimeout(RealBufferedSink realBufferedSink) {
        if (realBufferedSink != null) {
            return realBufferedSink.sink.timeout();
        }
        g00.f("$this$commonTimeout");
        throw null;
    }

    public static final String commonToString(RealBufferedSink realBufferedSink) {
        if (realBufferedSink != null) {
            StringBuilder j = b2.j("buffer(");
            j.append(realBufferedSink.sink);
            j.append(')');
            return j.toString();
        }
        g00.f("$this$commonToString");
        throw null;
    }

    public static final void commonWrite(RealBufferedSink realBufferedSink, Buffer buffer, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (buffer == null) {
            g00.f("source");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(buffer, j);
            realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final long commonWriteAll(RealBufferedSink realBufferedSink, Source source) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteAll");
            throw null;
        } else if (source != null) {
            long j = 0;
            while (true) {
                long read = source.read(realBufferedSink.bufferField, (long) 8192);
                if (read == -1) {
                    return j;
                }
                j += read;
                realBufferedSink.emitCompleteSegments();
            }
        } else {
            g00.f("source");
            throw null;
        }
    }

    public static final BufferedSink commonWriteByte(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteByte");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeByte(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteDecimalLong(RealBufferedSink realBufferedSink, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteDecimalLong");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeDecimalLong(j);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteHexadecimalUnsignedLong(RealBufferedSink realBufferedSink, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteHexadecimalUnsignedLong");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeHexadecimalUnsignedLong(j);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteInt(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteInt");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeInt(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteIntLe(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteIntLe");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeIntLe(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteLong(RealBufferedSink realBufferedSink, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteLong");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeLong(j);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteLongLe(RealBufferedSink realBufferedSink, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteLongLe");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeLongLe(j);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteShort(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteShort");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeShort(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteShortLe(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteShortLe");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeShortLe(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteUtf8(RealBufferedSink realBufferedSink, String str) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteUtf8");
            throw null;
        } else if (str == null) {
            g00.f("string");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8(str);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteUtf8CodePoint(RealBufferedSink realBufferedSink, int i) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteUtf8CodePoint");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8CodePoint(i);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, ByteString byteString) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (byteString == null) {
            g00.f("byteString");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(byteString);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWriteUtf8(RealBufferedSink realBufferedSink, String str, int i, int i2) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWriteUtf8");
            throw null;
        } else if (str == null) {
            g00.f("string");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.writeUtf8(str, i, i2);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, ByteString byteString, int i, int i2) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (byteString == null) {
            g00.f("byteString");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(byteString, i, i2);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, byte[] bArr) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (bArr == null) {
            g00.f("source");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(bArr);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, byte[] bArr, int i, int i2) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (bArr == null) {
            g00.f("source");
            throw null;
        } else if (!realBufferedSink.closed) {
            realBufferedSink.bufferField.write(bArr, i, i2);
            return realBufferedSink.emitCompleteSegments();
        } else {
            throw new IllegalStateException("closed".toString());
        }
    }

    public static final BufferedSink commonWrite(RealBufferedSink realBufferedSink, Source source, long j) {
        if (realBufferedSink == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (source != null) {
            while (j > 0) {
                long read = source.read(realBufferedSink.bufferField, j);
                if (read != -1) {
                    j -= read;
                    realBufferedSink.emitCompleteSegments();
                } else {
                    throw new EOFException();
                }
            }
            return realBufferedSink;
        } else {
            g00.f("source");
            throw null;
        }
    }
}
