package okio.internal;

import androidx.base.b2;
import androidx.base.c00;
import androidx.base.g00;
import androidx.base.xz;
import okio.Buffer;
import okio.ByteString;
import okio.Segment;
import okio.SegmentedByteString;
import okio.Util;

public final class SegmentedByteStringKt {
    public static final int binarySearch(int[] iArr, int i, int i2, int i3) {
        if (iArr != null) {
            int i4 = i3 - 1;
            while (i2 <= i4) {
                int i5 = (i2 + i4) >>> 1;
                int i6 = iArr[i5];
                if (i6 < i) {
                    i2 = i5 + 1;
                } else if (i6 <= i) {
                    return i5;
                } else {
                    i4 = i5 - 1;
                }
            }
            return (-i2) - 1;
        }
        g00.f("$this$binarySearch");
        throw null;
    }

    public static final boolean commonEquals(SegmentedByteString segmentedByteString, Object obj) {
        if (segmentedByteString == null) {
            g00.f("$this$commonEquals");
            throw null;
        } else if (obj == segmentedByteString) {
            return true;
        } else {
            if (obj instanceof ByteString) {
                ByteString byteString = (ByteString) obj;
                return byteString.size() == segmentedByteString.size() && segmentedByteString.rangeEquals(0, byteString, 0, segmentedByteString.size());
            }
        }
    }

    public static final int commonGetSize(SegmentedByteString segmentedByteString) {
        if (segmentedByteString != null) {
            return segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length - 1];
        }
        g00.f("$this$commonGetSize");
        throw null;
    }

    public static final int commonHashCode(SegmentedByteString segmentedByteString) {
        if (segmentedByteString != null) {
            int hashCode$okio = segmentedByteString.getHashCode$okio();
            if (hashCode$okio != 0) {
                return hashCode$okio;
            }
            int length = segmentedByteString.getSegments$okio().length;
            int i = 0;
            int i2 = 0;
            int i3 = 1;
            while (i < length) {
                int i4 = segmentedByteString.getDirectory$okio()[length + i];
                int i5 = segmentedByteString.getDirectory$okio()[i];
                byte[] bArr = segmentedByteString.getSegments$okio()[i];
                int i6 = (i5 - i2) + i4;
                while (i4 < i6) {
                    i3 = (i3 * 31) + bArr[i4];
                    i4++;
                }
                i++;
                i2 = i5;
            }
            segmentedByteString.setHashCode$okio(i3);
            return i3;
        }
        g00.f("$this$commonHashCode");
        throw null;
    }

    public static final byte commonInternalGet(SegmentedByteString segmentedByteString, int i) {
        int i2;
        if (segmentedByteString != null) {
            Util.checkOffsetAndCount((long) segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length - 1], (long) i, 1);
            int segment = segment(segmentedByteString, i);
            if (segment == 0) {
                i2 = 0;
            } else {
                i2 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            return segmentedByteString.getSegments$okio()[segment][(i - i2) + segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment]];
        }
        g00.f("$this$commonInternalGet");
        throw null;
    }

    public static final boolean commonRangeEquals(SegmentedByteString segmentedByteString, int i, ByteString byteString, int i2, int i3) {
        int i4;
        if (segmentedByteString == null) {
            g00.f("$this$commonRangeEquals");
            throw null;
        } else if (byteString == null) {
            g00.f("other");
            throw null;
        } else if (i < 0 || i > segmentedByteString.size() - i3) {
            return false;
        } else {
            int i5 = i3 + i;
            int segment = segment(segmentedByteString, i);
            while (i < i5) {
                if (segment == 0) {
                    i4 = 0;
                } else {
                    i4 = segmentedByteString.getDirectory$okio()[segment - 1];
                }
                int i6 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
                int min = Math.min(i5, (segmentedByteString.getDirectory$okio()[segment] - i4) + i4) - i;
                if (!byteString.rangeEquals(i2, segmentedByteString.getSegments$okio()[segment], (i - i4) + i6, min)) {
                    return false;
                }
                i2 += min;
                i += min;
                segment++;
            }
            return true;
        }
    }

    public static final ByteString commonSubstring(SegmentedByteString segmentedByteString, int i, int i2) {
        if (segmentedByteString != null) {
            int i3 = 0;
            if (i >= 0) {
                if (i2 <= segmentedByteString.size()) {
                    int i4 = i2 - i;
                    if (!(i4 >= 0)) {
                        throw new IllegalArgumentException(("endIndex=" + i2 + " < beginIndex=" + i).toString());
                    } else if (i == 0 && i2 == segmentedByteString.size()) {
                        return segmentedByteString;
                    } else {
                        if (i == i2) {
                            return ByteString.EMPTY;
                        }
                        int segment = segment(segmentedByteString, i);
                        int segment2 = segment(segmentedByteString, i2 - 1);
                        byte[][] bArr = (byte[][]) xz.d(segmentedByteString.getSegments$okio(), segment, segment2 + 1);
                        int[] iArr = new int[(bArr.length * 2)];
                        if (segment <= segment2) {
                            int i5 = 0;
                            int i6 = segment;
                            while (true) {
                                iArr[i5] = Math.min(segmentedByteString.getDirectory$okio()[i6] - i, i4);
                                int i7 = i5 + 1;
                                iArr[i5 + bArr.length] = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + i6];
                                if (i6 == segment2) {
                                    break;
                                }
                                i6++;
                                i5 = i7;
                            }
                        }
                        if (segment != 0) {
                            i3 = segmentedByteString.getDirectory$okio()[segment - 1];
                        }
                        int length = bArr.length;
                        iArr[length] = (i - i3) + iArr[length];
                        return new SegmentedByteString(bArr, iArr);
                    }
                } else {
                    StringBuilder k = b2.k("endIndex=", i2, " > length(");
                    k.append(segmentedByteString.size());
                    k.append(')');
                    throw new IllegalArgumentException(k.toString().toString());
                }
            } else {
                throw new IllegalArgumentException(b2.u("beginIndex=", i, " < 0").toString());
            }
        } else {
            g00.f("$this$commonSubstring");
            throw null;
        }
    }

    public static final byte[] commonToByteArray(SegmentedByteString segmentedByteString) {
        if (segmentedByteString != null) {
            byte[] bArr = new byte[segmentedByteString.size()];
            int length = segmentedByteString.getSegments$okio().length;
            int i = 0;
            int i2 = 0;
            int i3 = 0;
            while (i < length) {
                int i4 = segmentedByteString.getDirectory$okio()[length + i];
                int i5 = segmentedByteString.getDirectory$okio()[i];
                int i6 = i5 - i2;
                xz.a(segmentedByteString.getSegments$okio()[i], bArr, i3, i4, i4 + i6);
                i3 += i6;
                i++;
                i2 = i5;
            }
            return bArr;
        }
        g00.f("$this$commonToByteArray");
        throw null;
    }

    public static final void commonWrite(SegmentedByteString segmentedByteString, Buffer buffer, int i, int i2) {
        int i3;
        if (segmentedByteString == null) {
            g00.f("$this$commonWrite");
            throw null;
        } else if (buffer != null) {
            int i4 = i2 + i;
            int segment = segment(segmentedByteString, i);
            while (i < i4) {
                if (segment == 0) {
                    i3 = 0;
                } else {
                    i3 = segmentedByteString.getDirectory$okio()[segment - 1];
                }
                int i5 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
                int min = Math.min(i4, (segmentedByteString.getDirectory$okio()[segment] - i3) + i3) - i;
                int i6 = (i - i3) + i5;
                Segment segment2 = new Segment(segmentedByteString.getSegments$okio()[segment], i6, i6 + min, true, false);
                Segment segment3 = buffer.head;
                if (segment3 == null) {
                    segment2.prev = segment2;
                    segment2.next = segment2;
                    buffer.head = segment2;
                } else if (segment3 != null) {
                    Segment segment4 = segment3.prev;
                    if (segment4 != null) {
                        segment4.push(segment2);
                    } else {
                        g00.e();
                        throw null;
                    }
                } else {
                    g00.e();
                    throw null;
                }
                i += min;
                segment++;
            }
            buffer.setSize$okio(buffer.size() + ((long) segmentedByteString.size()));
        } else {
            g00.f("buffer");
            throw null;
        }
    }

    public static final void forEachSegment(SegmentedByteString segmentedByteString, c00<? super byte[], ? super Integer, ? super Integer, ?> c00) {
        if (segmentedByteString == null) {
            g00.f("$this$forEachSegment");
            throw null;
        } else if (c00 != null) {
            int length = segmentedByteString.getSegments$okio().length;
            int i = 0;
            int i2 = 0;
            while (i < length) {
                int i3 = segmentedByteString.getDirectory$okio()[length + i];
                int i4 = segmentedByteString.getDirectory$okio()[i];
                c00.a(segmentedByteString.getSegments$okio()[i], Integer.valueOf(i3), Integer.valueOf(i4 - i2));
                i++;
                i2 = i4;
            }
        } else {
            g00.f("action");
            throw null;
        }
    }

    public static final int segment(SegmentedByteString segmentedByteString, int i) {
        if (segmentedByteString != null) {
            int binarySearch = binarySearch(segmentedByteString.getDirectory$okio(), i + 1, 0, segmentedByteString.getSegments$okio().length);
            return binarySearch >= 0 ? binarySearch : binarySearch ^ -1;
        }
        g00.f("$this$segment");
        throw null;
    }

    /* access modifiers changed from: private */
    public static final void forEachSegment(SegmentedByteString segmentedByteString, int i, int i2, c00<? super byte[], ? super Integer, ? super Integer, ?> c00) {
        int i3;
        int segment = segment(segmentedByteString, i);
        while (i < i2) {
            if (segment == 0) {
                i3 = 0;
            } else {
                i3 = segmentedByteString.getDirectory$okio()[segment - 1];
            }
            int i4 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
            int min = Math.min(i2, (segmentedByteString.getDirectory$okio()[segment] - i3) + i3) - i;
            c00.a(segmentedByteString.getSegments$okio()[segment], Integer.valueOf((i - i3) + i4), Integer.valueOf(min));
            i += min;
            segment++;
        }
    }

    public static final boolean commonRangeEquals(SegmentedByteString segmentedByteString, int i, byte[] bArr, int i2, int i3) {
        int i4;
        if (segmentedByteString == null) {
            g00.f("$this$commonRangeEquals");
            throw null;
        } else if (bArr == null) {
            g00.f("other");
            throw null;
        } else if (i < 0 || i > segmentedByteString.size() - i3 || i2 < 0 || i2 > bArr.length - i3) {
            return false;
        } else {
            int i5 = i3 + i;
            int segment = segment(segmentedByteString, i);
            while (i < i5) {
                if (segment == 0) {
                    i4 = 0;
                } else {
                    i4 = segmentedByteString.getDirectory$okio()[segment - 1];
                }
                int i6 = segmentedByteString.getDirectory$okio()[segmentedByteString.getSegments$okio().length + segment];
                int min = Math.min(i5, (segmentedByteString.getDirectory$okio()[segment] - i4) + i4) - i;
                if (!Util.arrayRangeEquals(segmentedByteString.getSegments$okio()[segment], (i - i4) + i6, bArr, i2, min)) {
                    return false;
                }
                i2 += min;
                i += min;
                segment++;
            }
            return true;
        }
    }
}
