package org.chromium.base;

import android.content.Context;
import android.content.res.AssetFileDescriptor;
import android.util.Log;
import java.io.IOException;
import org.chromium.base.annotations.CalledByNative;
import org.chromium.base.annotations.JNINamespace;

@JNINamespace("base::android")
public class ApkAssets {
    private static final String LOGTAG = "ApkAssets";

    @CalledByNative
    public static long[] open(Context context, String str) {
        AssetFileDescriptor assetFileDescriptor = null;
        try {
            assetFileDescriptor = context.getAssets().openNonAssetFd(str);
            long[] jArr = {(long) assetFileDescriptor.getParcelFileDescriptor().detachFd(), assetFileDescriptor.getStartOffset(), assetFileDescriptor.getLength()};
            try {
                assetFileDescriptor.close();
            } catch (IOException e) {
                Log.e(LOGTAG, "Unable to close AssetFileDescriptor", e);
            }
            return jArr;
        } catch (IOException e2) {
            if (!e2.getMessage().equals("") && !e2.getMessage().equals(str)) {
                Log.e(LOGTAG, "Error while loading asset " + str + ": " + e2);
            }
            long[] jArr2 = {-1, -1, -1};
            if (assetFileDescriptor != null) {
                try {
                    assetFileDescriptor.close();
                } catch (IOException e3) {
                    Log.e(LOGTAG, "Unable to close AssetFileDescriptor", e3);
                }
            }
            return jArr2;
        } catch (Throwable th) {
            if (assetFileDescriptor != null) {
                try {
                    assetFileDescriptor.close();
                } catch (IOException e4) {
                    Log.e(LOGTAG, "Unable to close AssetFileDescriptor", e4);
                }
            }
            throw th;
        }
    }
}
