package org.chromium.base;

import android.app.Application;
import android.content.Context;
import org.chromium.base.multidex.ChromiumMultiDexInstaller;

public class BaseChromiumApplication extends Application {
    private static final String TAG = "cr.base";
    private final boolean mShouldInitializeApplicationStatusTracking;

    public BaseChromiumApplication() {
        this(true);
    }

    @VisibleForTesting
    public static void initCommandLine(Context context) {
        ((BaseChromiumApplication) context.getApplicationContext()).initCommandLine();
    }

    public void attachBaseContext(Context context) {
        super.attachBaseContext(context);
        ChromiumMultiDexInstaller.install(this);
    }

    public void initCommandLine() {
    }

    public void onCreate() {
        super.onCreate();
        ApplicationStatusManager.init(this);
    }

    public BaseChromiumApplication(boolean z) {
        this.mShouldInitializeApplicationStatusTracking = z;
    }
}
