package org.chromium.base;

import android.annotation.TargetApi;
import android.os.Build;
import android.os.Handler;
import android.os.HandlerThread;
import org.chromium.base.annotations.CalledByNative;
import org.chromium.base.annotations.JNINamespace;

@JNINamespace("base::android")
public class JavaHandlerThread {
    public final HandlerThread mThread;

    private JavaHandlerThread(String str) {
        this.mThread = new HandlerThread(str);
    }

    @CalledByNative
    private static JavaHandlerThread create(String str) {
        return new JavaHandlerThread(str);
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private native void nativeInitializeThread(long j, long j2);

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private native void nativeStopThread(long j, long j2);

    @CalledByNative
    private void start(final long j, final long j2) {
        this.mThread.start();
        new Handler(this.mThread.getLooper()).post(new Runnable() {
            /* class org.chromium.base.JavaHandlerThread.AnonymousClass1 */

            public void run() {
                JavaHandlerThread.this.nativeInitializeThread(j, j2);
            }
        });
    }

    @TargetApi(18)
    @CalledByNative
    private void stop(final long j, final long j2) {
        final boolean z = Build.VERSION.SDK_INT >= 18;
        new Handler(this.mThread.getLooper()).post(new Runnable() {
            /* class org.chromium.base.JavaHandlerThread.AnonymousClass2 */

            public void run() {
                JavaHandlerThread.this.nativeStopThread(j, j2);
                if (!z) {
                    JavaHandlerThread.this.mThread.quit();
                }
            }
        });
        if (z) {
            this.mThread.quitSafely();
        }
    }
}
