package org.chromium.base.metrics;

import org.chromium.base.ThreadUtils;
import org.chromium.base.VisibleForTesting;
import org.chromium.base.annotations.JNINamespace;

@JNINamespace("base::android")
public class RecordUserAction {
    private static boolean sIsDisabledForTests = false;

    @VisibleForTesting
    public static void disableForTests() {
        sIsDisabledForTests = true;
    }

    /* access modifiers changed from: private */
    public static native void nativeRecordUserAction(String str);

    public static void record(final String str) {
        if (!sIsDisabledForTests) {
            if (ThreadUtils.runningOnUiThread()) {
                nativeRecordUserAction(str);
            } else {
                ThreadUtils.runOnUiThread(new Runnable() {
                    /* class org.chromium.base.metrics.RecordUserAction.AnonymousClass1 */

                    public void run() {
                        RecordUserAction.nativeRecordUserAction(str);
                    }
                });
            }
        }
    }
}
