package org.chromium.components.web_contents_delegate_android;

import android.view.KeyEvent;
import org.chromium.base.annotations.CalledByNative;
import org.chromium.base.annotations.JNINamespace;
import org.chromium.content_public.browser.WebContents;
import org.chromium.content_public.common.ResourceRequestBody;

@JNINamespace("web_contents_delegate_android")
public class WebContentsDelegateAndroid {
    public static final int LOG_LEVEL_ERROR = 3;
    public static final int LOG_LEVEL_LOG = 1;
    public static final int LOG_LEVEL_TIP = 0;
    public static final int LOG_LEVEL_WARNING = 2;
    private int mMostRecentProgress = 100;

    @CalledByNative
    private final void notifyLoadProgressChanged(double d) {
        int i = (int) (d * 100.0d);
        this.mMostRecentProgress = i;
        onLoadProgressChanged(i);
    }

    @CalledByNative
    public void activateContents() {
    }

    @CalledByNative
    public boolean addMessageToConsole(int i, String str, int i2, String str2) {
        return false;
    }

    @CalledByNative
    public void closeContents() {
    }

    public int getMostRecentProgress() {
        return this.mMostRecentProgress;
    }

    @CalledByNative
    public void handleKeyboardEvent(KeyEvent keyEvent) {
    }

    @CalledByNative
    public boolean isFullscreenForTabOrPending() {
        return false;
    }

    @CalledByNative
    public void navigationStateChanged(int i) {
    }

    @CalledByNative
    public boolean onGoToEntryOffset(int i) {
        return true;
    }

    public void onLoadProgressChanged(int i) {
    }

    @CalledByNative
    public void onLoadStarted(boolean z) {
    }

    @CalledByNative
    public void onLoadStopped() {
    }

    @CalledByNative
    public void onUpdateUrl(String str) {
    }

    @CalledByNative
    public void openNewTab(String str, String str2, ResourceRequestBody resourceRequestBody, int i, boolean z) {
    }

    @CalledByNative
    public void rendererResponsive() {
    }

    @CalledByNative
    public void rendererUnresponsive() {
    }

    @CalledByNative
    public boolean shouldCreateWebContents(String str) {
        return true;
    }

    @CalledByNative
    public void showRepostFormWarningDialog() {
    }

    @CalledByNative
    public boolean takeFocus(boolean z) {
        return false;
    }

    @CalledByNative
    public void toggleFullscreenModeForTab(boolean z) {
    }

    @CalledByNative
    public void visibleSSLStateChanged() {
    }

    @CalledByNative
    public void webContentsCreated(WebContents webContents, long j, String str, String str2, WebContents webContents2) {
    }
}
