package org.chromium.content.browser;

import org.chromium.net.ProxyChangeListener;

public class ContentViewStatics {
    public static void disablePlatformNotifications() {
        ProxyChangeListener.setEnabled(false);
    }

    public static void enablePlatformNotifications() {
        ProxyChangeListener.setEnabled(true);
    }

    public static String findAddress(String str) {
        if (str != null) {
            String nativeFindAddress = nativeFindAddress(str);
            if (nativeFindAddress == null || nativeFindAddress.isEmpty()) {
                return null;
            }
            return nativeFindAddress;
        }
        throw new NullPointerException("addr is null");
    }

    private static native String nativeFindAddress(String str);

    private static native void nativeSetWebKitSharedTimersSuspended(boolean z);

    public static void setWebKitSharedTimersSuspended(boolean z) {
        nativeSetWebKitSharedTimersSuspended(z);
    }
}
