package org.chromium.content.browser;

import android.annotation.TargetApi;
import android.graphics.Rect;
import android.view.ActionMode;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

@TargetApi(23)
public class FloatingWebActionModeCallback extends ActionMode.Callback2 {
    private final WebActionModeCallback mWrappedCallback;

    public FloatingWebActionModeCallback(WebActionModeCallback webActionModeCallback) {
        this.mWrappedCallback = webActionModeCallback;
    }

    public boolean onActionItemClicked(ActionMode actionMode, MenuItem menuItem) {
        return this.mWrappedCallback.onActionItemClicked(actionMode, menuItem);
    }

    public boolean onCreateActionMode(ActionMode actionMode, Menu menu) {
        if (actionMode.getType() != 1) {
            return false;
        }
        return this.mWrappedCallback.onCreateActionMode(actionMode, menu);
    }

    public void onDestroyActionMode(ActionMode actionMode) {
        this.mWrappedCallback.onDestroyActionMode(actionMode);
    }

    public void onGetContentRect(ActionMode actionMode, View view, Rect rect) {
        this.mWrappedCallback.onGetContentRect(actionMode, view, rect);
    }

    public boolean onPrepareActionMode(ActionMode actionMode, Menu menu) {
        return this.mWrappedCallback.onPrepareActionMode(actionMode, menu);
    }
}
