package org.chromium.content.browser;

import org.chromium.base.VisibleForTesting;
import org.chromium.base.annotations.CalledByNative;
import org.chromium.base.annotations.JNINamespace;

@JNINamespace("content")
public class InterstitialPageDelegateAndroid {
    private long mNativePtr;

    @VisibleForTesting
    public InterstitialPageDelegateAndroid(String str) {
        this.mNativePtr = nativeInit(str);
    }

    private native void nativeDontProceed(long j);

    private native long nativeInit(String str);

    private native void nativeProceed(long j);

    @CalledByNative
    private void onNativeDestroyed() {
        this.mNativePtr = 0;
    }

    @CalledByNative
    public void commandReceived(String str) {
    }

    public void dontProceed() {
        long j = this.mNativePtr;
        if (j != 0) {
            nativeDontProceed(j);
        }
    }

    @VisibleForTesting
    public long getNative() {
        return this.mNativePtr;
    }

    @CalledByNative
    public void onDontProceed() {
    }

    @CalledByNative
    public void onProceed() {
    }

    public void proceed() {
        long j = this.mNativePtr;
        if (j != 0) {
            nativeProceed(j);
        }
    }
}
