package org.chromium.content.browser.accessibility.captioning;

import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.graphics.Typeface;
import android.os.Build;
import android.view.accessibility.CaptioningManager;

@TargetApi(19)
public class CaptioningStyle {
    private Integer mBackgroundColor;
    private Integer mEdgeColor;
    private Integer mEdgeType;
    private Integer mForegroundColor;
    private Typeface mTypeface;
    private Integer mWindowColor;

    public CaptioningStyle(Integer num, Integer num2, Integer num3, Integer num4, Integer num5, Typeface typeface) {
        this.mBackgroundColor = num;
        this.mEdgeColor = num2;
        this.mEdgeType = num3;
        this.mForegroundColor = num4;
        this.mWindowColor = num5;
        this.mTypeface = typeface;
    }

    @SuppressLint({"NewApi"})
    public static CaptioningStyle createFrom(CaptioningManager.CaptionStyle captionStyle) {
        Integer num;
        Integer num2;
        Integer num3;
        Integer num4;
        if (captionStyle == null) {
            return new CaptioningStyle(null, null, null, null, null, null);
        }
        Integer num5 = null;
        if (Build.VERSION.SDK_INT >= 21) {
            num4 = captionStyle.hasBackgroundColor() ? Integer.valueOf(captionStyle.backgroundColor) : null;
            num3 = captionStyle.hasEdgeColor() ? Integer.valueOf(captionStyle.edgeColor) : null;
            num2 = captionStyle.hasEdgeType() ? Integer.valueOf(captionStyle.edgeType) : null;
            num = captionStyle.hasForegroundColor() ? Integer.valueOf(captionStyle.foregroundColor) : null;
            if (captionStyle.hasWindowColor()) {
                num5 = Integer.valueOf(captionStyle.windowColor);
            }
        } else {
            num4 = Integer.valueOf(captionStyle.backgroundColor);
            num3 = Integer.valueOf(captionStyle.edgeColor);
            num2 = Integer.valueOf(captionStyle.edgeType);
            num = Integer.valueOf(captionStyle.foregroundColor);
        }
        return new CaptioningStyle(num4, num3, num2, num, num5, captionStyle.getTypeface());
    }

    public Integer getBackgroundColor() {
        return this.mBackgroundColor;
    }

    public Integer getEdgeColor() {
        return this.mEdgeColor;
    }

    public Integer getEdgeType() {
        return this.mEdgeType;
    }

    public Integer getForegroundColor() {
        return this.mForegroundColor;
    }

    public Typeface getTypeface() {
        return this.mTypeface;
    }

    public Integer getWindowColor() {
        return this.mWindowColor;
    }
}
