package org.chromium.content.browser.input;

import androidx.base.b2;
import org.chromium.base.VisibleForTesting;

public class Range {
    private int mEnd;
    private int mStart;

    public Range(int i, int i2) {
        set(i, i2);
    }

    public void clamp(int i, int i2) {
        this.mStart = Math.min(Math.max(this.mStart, i), i2);
        this.mEnd = Math.max(Math.min(this.mEnd, i2), i);
    }

    public int end() {
        return this.mEnd;
    }

    public boolean equals(Object obj) {
        if (!(obj instanceof Range)) {
            return false;
        }
        if (obj == this) {
            return true;
        }
        Range range = (Range) obj;
        if (this.mStart == range.mStart && this.mEnd == range.mEnd) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return (this.mEnd * 31) + (this.mStart * 11);
    }

    @VisibleForTesting
    public void set(int i, int i2) {
        this.mStart = Math.min(i, i2);
        this.mEnd = Math.max(i, i2);
    }

    public int start() {
        return this.mStart;
    }

    public String toString() {
        StringBuilder j = b2.j("[ ");
        j.append(this.mStart);
        j.append(", ");
        return b2.e(j, this.mEnd, " ]");
    }
}
