package org.chromium.content.common;

import android.os.Parcel;
import android.os.Parcelable;
import android.view.Surface;
import org.chromium.base.annotations.MainDex;

@MainDex
public class SurfaceWrapper implements Parcelable {
    public static final Parcelable.Creator<SurfaceWrapper> CREATOR = new Parcelable.Creator<SurfaceWrapper>() {
        /* class org.chromium.content.common.SurfaceWrapper.AnonymousClass1 */

        @Override // android.os.Parcelable.Creator
        public SurfaceWrapper createFromParcel(Parcel parcel) {
            return new SurfaceWrapper((Surface) Surface.CREATOR.createFromParcel(parcel));
        }

        @Override // android.os.Parcelable.Creator
        public SurfaceWrapper[] newArray(int i) {
            return new SurfaceWrapper[i];
        }
    };
    private final Surface mSurface;

    public SurfaceWrapper(Surface surface) {
        this.mSurface = surface;
    }

    public int describeContents() {
        return 0;
    }

    public Surface getSurface() {
        return this.mSurface;
    }

    public void writeToParcel(Parcel parcel, int i) {
        this.mSurface.writeToParcel(parcel, 0);
    }
}
