package org.chromium.device.power_save_blocker;

import android.view.View;
import java.lang.ref.WeakReference;
import org.chromium.base.annotations.CalledByNative;
import org.chromium.base.annotations.JNINamespace;
import org.chromium.ui.base.ViewAndroidDelegate;

@JNINamespace("device")
public class PowerSaveBlocker {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private WeakReference<View> mKeepScreenOnView;

    private PowerSaveBlocker() {
    }

    @CalledByNative
    private void applyBlock(ViewAndroidDelegate viewAndroidDelegate) {
        View acquireAnchorView = viewAndroidDelegate.acquireAnchorView();
        this.mKeepScreenOnView = new WeakReference<>(acquireAnchorView);
        viewAndroidDelegate.setAnchorViewPosition(acquireAnchorView, 0.0f, 0.0f, 0.0f, 0.0f);
        acquireAnchorView.setKeepScreenOn(true);
    }

    @CalledByNative
    private static PowerSaveBlocker create() {
        return new PowerSaveBlocker();
    }

    @CalledByNative
    private void removeBlock(ViewAndroidDelegate viewAndroidDelegate) {
        View view = this.mKeepScreenOnView.get();
        this.mKeepScreenOnView = null;
        if (view != null) {
            view.setKeepScreenOn(false);
            viewAndroidDelegate.releaseAnchorView(view);
        }
    }
}
