package org.chromium.mojo.bindings;

public final class QueryVersion extends Struct {
    private static final DataHeader DEFAULT_STRUCT_INFO;
    private static final int STRUCT_SIZE = 8;
    private static final DataHeader[] VERSION_ARRAY;

    static {
        DataHeader[] dataHeaderArr = {new DataHeader(8, 0)};
        VERSION_ARRAY = dataHeaderArr;
        DEFAULT_STRUCT_INFO = dataHeaderArr[0];
    }

    private QueryVersion(int i) {
        super(8, i);
    }

    public static QueryVersion decode(Decoder decoder) {
        if (decoder == null) {
            return null;
        }
        return new QueryVersion(decoder.readAndValidateDataHeader(VERSION_ARRAY).elementsOrVersion);
    }

    public static QueryVersion deserialize(Message message) {
        return decode(new Decoder(message));
    }

    @Override // org.chromium.mojo.bindings.Struct
    public final void encode(Encoder encoder) {
        encoder.getEncoderAtDataOffset(DEFAULT_STRUCT_INFO);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        return obj != null && QueryVersion.class == obj.getClass();
    }

    public int hashCode() {
        return QueryVersion.class.hashCode() + 31;
    }

    public QueryVersion() {
        this(0);
    }
}
