package org.chromium.mojo.bindings;

public final class RequireVersion extends Struct {
    private static final DataHeader DEFAULT_STRUCT_INFO;
    private static final int STRUCT_SIZE = 16;
    private static final DataHeader[] VERSION_ARRAY;
    public int version;

    static {
        DataHeader[] dataHeaderArr = {new DataHeader(16, 0)};
        VERSION_ARRAY = dataHeaderArr;
        DEFAULT_STRUCT_INFO = dataHeaderArr[0];
    }

    private RequireVersion(int i) {
        super(16, i);
    }

    public static RequireVersion decode(Decoder decoder) {
        if (decoder == null) {
            return null;
        }
        DataHeader readAndValidateDataHeader = decoder.readAndValidateDataHeader(VERSION_ARRAY);
        RequireVersion requireVersion = new RequireVersion(readAndValidateDataHeader.elementsOrVersion);
        if (readAndValidateDataHeader.elementsOrVersion >= 0) {
            requireVersion.version = decoder.readInt(8);
        }
        return requireVersion;
    }

    public static RequireVersion deserialize(Message message) {
        return decode(new Decoder(message));
    }

    @Override // org.chromium.mojo.bindings.Struct
    public final void encode(Encoder encoder) {
        encoder.getEncoderAtDataOffset(DEFAULT_STRUCT_INFO).encode(this.version, 8);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        return obj != null && RequireVersion.class == obj.getClass() && this.version == ((RequireVersion) obj).version;
    }

    public int hashCode() {
        return BindingsHelper.hashCode(this.version) + ((RequireVersion.class.hashCode() + 31) * 31);
    }

    public RequireVersion() {
        this(0);
    }
}
