package org.chromium.mojo.bindings;

public final class RunResponseMessageParams extends Struct {
    private static final DataHeader DEFAULT_STRUCT_INFO;
    private static final int STRUCT_SIZE = 24;
    private static final DataHeader[] VERSION_ARRAY;
    public QueryVersionResult queryVersionResult;
    public int reserved0;
    public int reserved1;

    static {
        DataHeader[] dataHeaderArr = {new DataHeader(24, 0)};
        VERSION_ARRAY = dataHeaderArr;
        DEFAULT_STRUCT_INFO = dataHeaderArr[0];
    }

    private RunResponseMessageParams(int i) {
        super(24, i);
    }

    public static RunResponseMessageParams decode(Decoder decoder) {
        if (decoder == null) {
            return null;
        }
        DataHeader readAndValidateDataHeader = decoder.readAndValidateDataHeader(VERSION_ARRAY);
        RunResponseMessageParams runResponseMessageParams = new RunResponseMessageParams(readAndValidateDataHeader.elementsOrVersion);
        if (readAndValidateDataHeader.elementsOrVersion >= 0) {
            runResponseMessageParams.reserved0 = decoder.readInt(8);
        }
        if (readAndValidateDataHeader.elementsOrVersion >= 0) {
            runResponseMessageParams.reserved1 = decoder.readInt(12);
        }
        if (readAndValidateDataHeader.elementsOrVersion >= 0) {
            runResponseMessageParams.queryVersionResult = QueryVersionResult.decode(decoder.readPointer(16, false));
        }
        return runResponseMessageParams;
    }

    public static RunResponseMessageParams deserialize(Message message) {
        return decode(new Decoder(message));
    }

    @Override // org.chromium.mojo.bindings.Struct
    public final void encode(Encoder encoder) {
        Encoder encoderAtDataOffset = encoder.getEncoderAtDataOffset(DEFAULT_STRUCT_INFO);
        encoderAtDataOffset.encode(this.reserved0, 8);
        encoderAtDataOffset.encode(this.reserved1, 12);
        encoderAtDataOffset.encode((Struct) this.queryVersionResult, 16, false);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj == null || RunResponseMessageParams.class != obj.getClass()) {
            return false;
        }
        RunResponseMessageParams runResponseMessageParams = (RunResponseMessageParams) obj;
        return this.reserved0 == runResponseMessageParams.reserved0 && this.reserved1 == runResponseMessageParams.reserved1 && BindingsHelper.equals(this.queryVersionResult, runResponseMessageParams.queryVersionResult);
    }

    public int hashCode() {
        int hashCode = BindingsHelper.hashCode(this.reserved0);
        int hashCode2 = BindingsHelper.hashCode(this.reserved1);
        return BindingsHelper.hashCode(this.queryVersionResult) + ((hashCode2 + ((hashCode + ((RunResponseMessageParams.class.hashCode() + 31) * 31)) * 31)) * 31);
    }

    public RunResponseMessageParams() {
        this(0);
    }
}
