package org.chromium.mojo.bindings;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class ServiceMessage extends Message {
    public static final /* synthetic */ boolean $assertionsDisabled = false;
    private final MessageHeader mHeader;
    private Message mPayload;

    public ServiceMessage(Message message, MessageHeader messageHeader) {
        super(message.getData(), message.getHandles());
        this.mHeader = messageHeader;
    }

    @Override // org.chromium.mojo.bindings.Message
    public ServiceMessage asServiceMessage() {
        return this;
    }

    public MessageHeader getHeader() {
        return this.mHeader;
    }

    public Message getPayload() {
        if (this.mPayload == null) {
            ByteBuffer slice = ((ByteBuffer) getData().position(getHeader().getSize())).slice();
            slice.order(ByteOrder.LITTLE_ENDIAN);
            this.mPayload = new Message(slice, getHandles());
        }
        return this.mPayload;
    }

    public void setRequestId(long j) {
        this.mHeader.setRequestId(getData(), j);
    }

    public ServiceMessage(Message message) {
        this(message, new MessageHeader(message));
    }
}
