package org.chromium.mojo.bindings.pipecontrol;

import org.chromium.mojo.bindings.BindingsHelper;
import org.chromium.mojo.bindings.DataHeader;
import org.chromium.mojo.bindings.Decoder;
import org.chromium.mojo.bindings.Encoder;
import org.chromium.mojo.bindings.Message;
import org.chromium.mojo.bindings.Struct;

public final class PeerAssociatedEndpointClosedEvent extends Struct {
    private static final DataHeader DEFAULT_STRUCT_INFO;
    private static final int STRUCT_SIZE = 16;
    private static final DataHeader[] VERSION_ARRAY;
    public int id;

    static {
        DataHeader[] dataHeaderArr = {new DataHeader(16, 0)};
        VERSION_ARRAY = dataHeaderArr;
        DEFAULT_STRUCT_INFO = dataHeaderArr[0];
    }

    private PeerAssociatedEndpointClosedEvent(int i) {
        super(16, i);
    }

    public static PeerAssociatedEndpointClosedEvent decode(Decoder decoder) {
        if (decoder == null) {
            return null;
        }
        DataHeader readAndValidateDataHeader = decoder.readAndValidateDataHeader(VERSION_ARRAY);
        PeerAssociatedEndpointClosedEvent peerAssociatedEndpointClosedEvent = new PeerAssociatedEndpointClosedEvent(readAndValidateDataHeader.elementsOrVersion);
        if (readAndValidateDataHeader.elementsOrVersion >= 0) {
            peerAssociatedEndpointClosedEvent.id = decoder.readInt(8);
        }
        return peerAssociatedEndpointClosedEvent;
    }

    public static PeerAssociatedEndpointClosedEvent deserialize(Message message) {
        return decode(new Decoder(message));
    }

    @Override // org.chromium.mojo.bindings.Struct
    public final void encode(Encoder encoder) {
        encoder.getEncoderAtDataOffset(DEFAULT_STRUCT_INFO).encode(this.id, 8);
    }

    public boolean equals(Object obj) {
        if (obj == this) {
            return true;
        }
        return obj != null && PeerAssociatedEndpointClosedEvent.class == obj.getClass() && this.id == ((PeerAssociatedEndpointClosedEvent) obj).id;
    }

    public int hashCode() {
        return BindingsHelper.hashCode(this.id) + ((PeerAssociatedEndpointClosedEvent.class.hashCode() + 31) * 31);
    }

    public PeerAssociatedEndpointClosedEvent() {
        this(0);
    }
}
