package org.chromium.mojo.system;

import org.chromium.mojo.system.Flags;

public abstract class Flags<F extends Flags<F>> {
    private int mFlags;
    private boolean mImmutable = false;

    public Flags(int i) {
        this.mFlags = i;
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        return obj != null && getClass() == obj.getClass() && this.mFlags == ((Flags) obj).mFlags;
    }

    public int getFlags() {
        return this.mFlags;
    }

    public int hashCode() {
        return this.mFlags;
    }

    public F immutable() {
        this.mImmutable = true;
        return this;
    }

    public F setFlag(int i, boolean z) {
        if (!this.mImmutable) {
            if (z) {
                this.mFlags = i | this.mFlags;
            } else {
                this.mFlags = (i ^ -1) & this.mFlags;
            }
            return this;
        }
        throw new UnsupportedOperationException("Flags is immutable.");
    }
}
