package org.chromium.mojo.system;

import androidx.base.b2;

public class MojoException extends RuntimeException {
    private final int mCode;

    public MojoException(int i) {
        this.mCode = i;
    }

    public int getMojoResult() {
        return this.mCode;
    }

    public String toString() {
        StringBuilder j = b2.j("MojoResult(");
        j.append(this.mCode);
        j.append("): ");
        j.append(MojoResult.describe(this.mCode));
        return j.toString();
    }

    public MojoException(Throwable th) {
        super(th);
        this.mCode = 2;
    }
}
