package org.chromium.mojo.system.impl;

import java.nio.ByteBuffer;
import org.chromium.mojo.system.DataPipe;
import org.chromium.mojo.system.ResultAnd;

public class DataPipeProducerHandleImpl extends HandleBase implements DataPipe.ProducerHandle {
    public DataPipeProducerHandleImpl(CoreImpl coreImpl, int i) {
        super(coreImpl, i);
    }

    @Override // org.chromium.mojo.system.DataPipe.ProducerHandle
    public ByteBuffer beginWriteData(int i, DataPipe.WriteFlags writeFlags) {
        return this.mCore.beginWriteData(this, i, writeFlags);
    }

    @Override // org.chromium.mojo.system.DataPipe.ProducerHandle
    public void endWriteData(int i) {
        this.mCore.endWriteData(this, i);
    }

    @Override // org.chromium.mojo.system.DataPipe.ProducerHandle
    public ResultAnd<Integer> writeData(ByteBuffer byteBuffer, DataPipe.WriteFlags writeFlags) {
        return this.mCore.writeData(this, byteBuffer, writeFlags);
    }

    public DataPipeProducerHandleImpl(HandleBase handleBase) {
        super(handleBase);
    }

    @Override // org.chromium.mojo.system.DataPipe.ProducerHandle, org.chromium.mojo.system.Handle
    public DataPipe.ProducerHandle pass() {
        return new DataPipeProducerHandleImpl(this);
    }
}
