package org.chromium.ui;

import android.graphics.drawable.GradientDrawable;
import android.view.View;
import android.widget.SeekBar;
import android.widget.TextView;
import org.chromium.base.ApiCompatibilityUtils;

public class ColorPickerAdvancedComponent {
    private int[] mGradientColors;
    private GradientDrawable mGradientDrawable = new GradientDrawable(GradientDrawable.Orientation.LEFT_RIGHT, null);
    private final View mGradientView;
    private final SeekBar mSeekBar;
    private final TextView mText;

    public ColorPickerAdvancedComponent(View view, int i, int i2, SeekBar.OnSeekBarChangeListener onSeekBarChangeListener) {
        this.mGradientView = view.findViewById(R.id.gradient);
        TextView textView = (TextView) view.findViewById(R.id.text);
        this.mText = textView;
        textView.setText(i);
        SeekBar seekBar = (SeekBar) view.findViewById(R.id.seek_bar);
        this.mSeekBar = seekBar;
        seekBar.setOnSeekBarChangeListener(onSeekBarChangeListener);
        seekBar.setMax(i2);
        seekBar.setThumbOffset(ApiCompatibilityUtils.getDrawable(view.getContext().getResources(), R.drawable.color_picker_advanced_select_handle).getIntrinsicWidth() / 2);
    }

    public float getValue() {
        return (float) this.mSeekBar.getProgress();
    }

    public void setGradientColors(int[] iArr) {
        int[] iArr2 = (int[]) iArr.clone();
        this.mGradientColors = iArr2;
        this.mGradientDrawable.setColors(iArr2);
        this.mGradientView.setBackground(this.mGradientDrawable);
    }

    public void setValue(float f) {
        this.mSeekBar.setProgress((int) f);
    }
}
