package org.chromium.ui;

import android.graphics.Canvas;
import android.graphics.ColorFilter;
import android.graphics.Paint;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;

public class DropdownDividerDrawable extends Drawable {
    private Rect mDividerRect = new Rect();
    private Paint mPaint = new Paint();

    public void draw(Canvas canvas) {
        canvas.drawRect(this.mDividerRect, this.mPaint);
    }

    public int getOpacity() {
        return -2;
    }

    public void onBoundsChange(Rect rect) {
        this.mDividerRect.set(0, 0, rect.width(), this.mDividerRect.height());
    }

    public void setAlpha(int i) {
    }

    public void setColor(int i) {
        this.mPaint.setColor(i);
    }

    public void setColorFilter(ColorFilter colorFilter) {
    }

    public void setHeight(int i) {
        Rect rect = this.mDividerRect;
        rect.set(0, 0, rect.right, i);
    }
}
