package org.chromium.ui.picker;

import android.app.DatePickerDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.os.Build;
import android.widget.DatePicker;

public class ChromeDatePickerDialog extends DatePickerDialog {
    private final DatePickerDialog.OnDateSetListener mCallBack;

    public ChromeDatePickerDialog(Context context, DatePickerDialog.OnDateSetListener onDateSetListener, int i, int i2, int i3) {
        super(context, onDateSetListener, i, i2, i3);
        this.mCallBack = onDateSetListener;
    }

    public void onClick(DialogInterface dialogInterface, int i) {
        if (i == -1 && this.mCallBack != null) {
            DatePicker datePicker = getDatePicker();
            datePicker.clearFocus();
            this.mCallBack.onDateSet(datePicker, datePicker.getYear(), datePicker.getMonth(), datePicker.getDayOfMonth());
        }
    }

    @Override // android.app.AlertDialog, android.app.Dialog
    public void setTitle(CharSequence charSequence) {
        if (Build.VERSION.SDK_INT >= 21) {
            charSequence = "";
        }
        super.setTitle(charSequence);
    }
}
