package org.chromium.ui.resources;

import android.graphics.Rect;
import android.graphics.RectF;

public class LayoutResource {
    private final RectF mAperture;
    private final RectF mBitmapSize;
    private final RectF mPadding;

    public LayoutResource(float f, Resource resource) {
        Rect padding = resource.getPadding();
        Rect bitmapSize = resource.getBitmapSize();
        Rect aperture = resource.getAperture();
        this.mPadding = new RectF(((float) padding.left) * f, ((float) padding.top) * f, ((float) padding.right) * f, ((float) padding.bottom) * f);
        this.mBitmapSize = new RectF(((float) bitmapSize.left) * f, ((float) bitmapSize.top) * f, ((float) bitmapSize.right) * f, ((float) bitmapSize.bottom) * f);
        this.mAperture = new RectF(((float) aperture.left) * f, ((float) aperture.top) * f, ((float) aperture.right) * f, ((float) aperture.bottom) * f);
    }

    public RectF getAperture() {
        return this.mAperture;
    }

    public RectF getBitmapSize() {
        return this.mBitmapSize;
    }

    public RectF getPadding() {
        return this.mPadding;
    }
}
