package org.chromium.ui.resources;

public abstract class ResourceLoader {
    private final ResourceLoaderCallback mCallback;
    private final int mResourceType;

    public interface ResourceLoaderCallback {
        void onResourceLoaded(int i, int i2, Resource resource);
    }

    public ResourceLoader(int i, ResourceLoaderCallback resourceLoaderCallback) {
        this.mResourceType = i;
        this.mCallback = resourceLoaderCallback;
    }

    public int getResourceType() {
        return this.mResourceType;
    }

    public abstract void loadResource(int i);

    public void notifyLoadFinished(int i, Resource resource) {
        ResourceLoaderCallback resourceLoaderCallback = this.mCallback;
        if (resourceLoaderCallback != null) {
            resourceLoaderCallback.onResourceLoaded(getResourceType(), i, resource);
        }
    }

    public abstract void preloadResource(int i);
}
