package org.chromium.ui.widget;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.TextView;
import org.chromium.ui.R;

public class TextViewWithLeading extends TextView {
    public TextViewWithLeading(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        TypedArray obtainStyledAttributes = context.obtainStyledAttributes(attributeSet, R.styleable.TextViewWithLeading, 0, 0);
        int i = R.styleable.TextViewWithLeading_leading;
        if (obtainStyledAttributes.hasValue(i)) {
            setLineSpacing(obtainStyledAttributes.getDimension(i, 0.0f) - getPaint().getFontMetrics(null), 1.0f);
        }
        obtainStyledAttributes.recycle();
    }
}
