package org.xwalk.core;

import android.app.Activity;
import android.os.Bundle;

public abstract class XWalkActivity extends Activity {
    private XWalkActivityDelegate mActivityDelegate;

    public XWalkDialogManager getDialogManager() {
        return this.mActivityDelegate.getDialogManager();
    }

    public boolean isDownloadMode() {
        return this.mActivityDelegate.isDownloadMode();
    }

    public boolean isSharedMode() {
        return this.mActivityDelegate.isSharedMode();
    }

    public boolean isXWalkReady() {
        return this.mActivityDelegate.isXWalkReady();
    }

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        this.mActivityDelegate = new XWalkActivityDelegate(this, new Runnable() {
            /* class org.xwalk.core.XWalkActivity.AnonymousClass1 */

            public void run() {
                XWalkActivity.this.onXWalkFailed();
            }
        }, new Runnable() {
            /* class org.xwalk.core.XWalkActivity.AnonymousClass2 */

            public void run() {
                XWalkActivity.this.onXWalkReady();
            }
        });
    }

    public void onResume() {
        super.onResume();
        this.mActivityDelegate.onResume();
    }

    public void onXWalkFailed() {
        finish();
    }

    public abstract void onXWalkReady();
}
