package org.xwalk.core;

public class XWalkViewDatabase {
    private static ReflectMethod clearFormDataMethod = new ReflectMethod((Class<?>) null, "clearFormData", (Class<?>[]) new Class[0]);
    private static XWalkCoreWrapper coreWrapper;
    private static ReflectMethod hasFormDataMethod = new ReflectMethod((Class<?>) null, "hasFormData", (Class<?>[]) new Class[0]);

    public static void clearFormData() {
        reflectionInit();
        try {
            clearFormDataMethod.invoke(new Object[0]);
        } catch (UnsupportedOperationException e) {
            if (coreWrapper == null) {
                clearFormDataMethod.setArguments(new Object[0]);
                XWalkCoreWrapper.reserveReflectMethod(clearFormDataMethod);
                return;
            }
            XWalkCoreWrapper.handleRuntimeError(e);
        }
    }

    public static boolean hasFormData() {
        reflectionInit();
        try {
            return ((Boolean) hasFormDataMethod.invoke(new Object[0])).booleanValue();
        } catch (UnsupportedOperationException e) {
            if (coreWrapper != null) {
                XWalkCoreWrapper.handleRuntimeError(e);
                return false;
            }
            throw new RuntimeException("Crosswalk's APIs are not ready yet");
        }
    }

    public static void reflectionInit() {
        if (coreWrapper == null) {
            XWalkCoreWrapper.initEmbeddedMode();
            XWalkCoreWrapper instance = XWalkCoreWrapper.getInstance();
            coreWrapper = instance;
            if (instance == null) {
                XWalkCoreWrapper.reserveReflectClass(XWalkViewDatabase.class);
                return;
            }
            Class<?> bridgeClass = instance.getBridgeClass("XWalkViewDatabaseBridge");
            hasFormDataMethod.init(null, bridgeClass, "hasFormData", new Class[0]);
            clearFormDataMethod.init(null, bridgeClass, "clearFormData", new Class[0]);
        }
    }
}
