package org.xwalk.core.extension;

public class ExtensionInstanceHelper {
    public XWalkExternalExtension mExtension;
    public MessageHandler mHandler;
    public int mId;
    private BindingObjectStore mStore;

    public ExtensionInstanceHelper(XWalkExternalExtension xWalkExternalExtension, int i) {
        this.mId = i;
        this.mExtension = xWalkExternalExtension;
        this.mHandler = new MessageHandler(xWalkExternalExtension.getMessageHandler());
        if (this.mExtension.isAutoJS()) {
            ReflectionHelper.registerHandlers(this.mExtension.getReflection(), this.mHandler, this.mExtension);
        }
        this.mStore = new BindingObjectStore(this.mHandler, this);
    }

    public boolean addBindingObject(String str, BindingObject bindingObject) {
        return this.mStore.addBindingObject(str, bindingObject);
    }

    public BindingObject getBindingObject(String str) {
        return this.mStore.getBindingObject(str);
    }

    public XWalkExternalExtension getExtension() {
        return this.mExtension;
    }

    public int getId() {
        return this.mId;
    }

    public Object handleMessage(String str) {
        return this.mHandler.handleMessage(new MessageInfo(this.mExtension, this.mId, str));
    }

    public BindingObject removeBindingObject(String str) {
        return this.mStore.removeBindingObject(str);
    }

    public Object handleMessage(byte[] bArr) {
        return this.mHandler.handleMessage(new MessageInfo(this.mExtension, this.mId, bArr));
    }
}
