package tv.danmaku.ijk.media.player.demo;

import android.app.Activity;
import android.graphics.SurfaceTexture;
import android.os.Bundle;
import android.util.Log;
import android.view.Surface;
import android.view.TextureView;
import android.view.View;
import com.github.tvbox.osc.player.R$id;
import com.github.tvbox.osc.player.R$layout;
import tv.danmaku.ijk.media.player.IMediaPlayer;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

public class IjkDemoActivity extends Activity {
    private static final String TAG = "IjkDemoActivity";
    private IjkMediaPlayer ijkMediaPlayer;
    private Surface surface;
    private TextureView texture_view;

    public void onCreate(Bundle bundle) {
        super.onCreate(bundle);
        getWindow().addFlags(128);
        setContentView(R$layout.ijk_demo_activity);
        findViewById(R$id.button).setOnClickListener(new View.OnClickListener() {
            /* class tv.danmaku.ijk.media.player.demo.IjkDemoActivity.AnonymousClass1 */

            public void onClick(View view) {
                IjkDemoActivity.this.startPlay(view);
            }
        });
        TextureView textureView = (TextureView) findViewById(R$id.texture_view);
        this.texture_view = textureView;
        textureView.setSurfaceTextureListener(new TextureView.SurfaceTextureListener() {
            /* class tv.danmaku.ijk.media.player.demo.IjkDemoActivity.AnonymousClass2 */

            public void onSurfaceTextureAvailable(SurfaceTexture surfaceTexture, int i, int i2) {
                IjkDemoActivity.this.surface = new Surface(surfaceTexture);
            }

            public boolean onSurfaceTextureDestroyed(SurfaceTexture surfaceTexture) {
                return false;
            }

            public void onSurfaceTextureSizeChanged(SurfaceTexture surfaceTexture, int i, int i2) {
            }

            public void onSurfaceTextureUpdated(SurfaceTexture surfaceTexture) {
            }
        });
    }

    public void onDestroy() {
        super.onDestroy();
        IjkMediaPlayer ijkMediaPlayer2 = this.ijkMediaPlayer;
        if (ijkMediaPlayer2 != null) {
            ijkMediaPlayer2.stop();
            this.ijkMediaPlayer.release();
        }
    }

    public void onPause() {
        super.onPause();
        IjkMediaPlayer ijkMediaPlayer2 = this.ijkMediaPlayer;
        if (ijkMediaPlayer2 != null) {
            ijkMediaPlayer2.pause();
        }
    }

    public void startPlay(View view) {
        if (this.surface == null) {
            Log.d(TAG, "null == surface");
            return;
        }
        IjkMediaPlayer ijkMediaPlayer2 = this.ijkMediaPlayer;
        if (ijkMediaPlayer2 == null) {
            this.ijkMediaPlayer = new IjkMediaPlayer();
        } else {
            ijkMediaPlayer2.reset();
        }
        try {
            this.ijkMediaPlayer.setOption(1, "timeout", 200);
            this.ijkMediaPlayer.setSurface(this.surface);
            this.ijkMediaPlayer.setDataSource("https://cache.tkys.tv/m3u8/dsj/guochan/mp1/1.m3u8");
            this.ijkMediaPlayer.setOnPreparedListener(new IMediaPlayer.OnPreparedListener() {
                /* class tv.danmaku.ijk.media.player.demo.IjkDemoActivity.AnonymousClass3 */

                @Override // tv.danmaku.ijk.media.player.IMediaPlayer.OnPreparedListener
                public void onPrepared(IMediaPlayer iMediaPlayer) {
                    iMediaPlayer.start();
                }
            });
            this.ijkMediaPlayer.prepareAsync();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
