package xyz.doikki.videocontroller;

import android.content.Context;
import android.util.AttributeSet;
import android.util.TypedValue;
import android.view.View;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.ProgressBar;
import android.widget.Toast;
import androidx.annotation.AttrRes;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.s50;
import xyz.doikki.videoplayer.controller.GestureVideoController;

public class StandardVideoController extends GestureVideoController implements View.OnClickListener {
    public ImageView G;
    public ProgressBar H;

    public StandardVideoController(@NonNull Context context) {
        this(context, null);
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController, xyz.doikki.videoplayer.controller.GestureVideoController
    public void e() {
        super.e();
        ImageView imageView = (ImageView) findViewById(R$id.lock);
        this.G = imageView;
        imageView.setOnClickListener(this);
        this.H = (ProgressBar) findViewById(R$id.loading);
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController
    public int getLayoutId() {
        return R$layout.dkplayer_layout_standard_controller;
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController
    public void i(boolean z) {
        if (z) {
            this.G.setSelected(true);
            Toast.makeText(getContext(), R$string.dkplayer_locked, 0).show();
            return;
        }
        this.G.setSelected(false);
        Toast.makeText(getContext(), R$string.dkplayer_unlocked, 0).show();
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController
    public void k(int i) {
        super.k(i);
        switch (i) {
            case -1:
            case 2:
            case 3:
            case 4:
            case 7:
                this.H.setVisibility(8);
                return;
            case 0:
                this.G.setSelected(false);
                this.H.setVisibility(8);
                return;
            case 1:
            case 6:
                this.H.setVisibility(0);
                return;
            case 5:
                this.H.setVisibility(8);
                this.G.setVisibility(8);
                this.G.setSelected(false);
                return;
            default:
                return;
        }
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController
    public void l(int i) {
        super.l(i);
        if (i == 10) {
            setLayoutParams(new FrameLayout.LayoutParams(-1, -1));
            this.G.setVisibility(8);
        } else if (i == 11) {
            if (this.c) {
                this.G.setVisibility(0);
            } else {
                this.G.setVisibility(8);
            }
        }
        if (this.b != null && c()) {
            int requestedOrientation = this.b.getRequestedOrientation();
            int applyDimension = (int) TypedValue.applyDimension(1, 24.0f, getContext().getResources().getDisplayMetrics());
            int cutoutHeight = getCutoutHeight();
            if (requestedOrientation == 1) {
                ((FrameLayout.LayoutParams) this.G.getLayoutParams()).setMargins(applyDimension, 0, applyDimension, 0);
            } else if (requestedOrientation == 0) {
                int i2 = applyDimension + cutoutHeight;
                ((FrameLayout.LayoutParams) this.G.getLayoutParams()).setMargins(i2, 0, i2, 0);
            } else if (requestedOrientation == 8) {
                ((FrameLayout.LayoutParams) this.G.getLayoutParams()).setMargins(applyDimension, 0, applyDimension, 0);
            }
        }
    }

    @Override // xyz.doikki.videoplayer.controller.BaseVideoController
    public void m(boolean z, Animation animation) {
        if (!this.a.e()) {
            return;
        }
        if (!z) {
            this.G.setVisibility(8);
            if (animation != null) {
                this.G.startAnimation(animation);
            }
        } else if (this.G.getVisibility() == 8) {
            this.G.setVisibility(0);
            if (animation != null) {
                this.G.startAnimation(animation);
            }
        }
    }

    public void onClick(View view) {
        if (view.getId() == R$id.lock) {
            s50 s50 = this.a;
            s50.b.setLocked(!s50.d());
        }
    }

    public StandardVideoController(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public StandardVideoController(@NonNull Context context, @Nullable AttributeSet attributeSet, @AttrRes int i) {
        super(context, attributeSet, i);
    }
}
