package xyz.doikki.videocontroller.component;

import android.app.Activity;
import android.content.Context;
import android.os.Build;
import android.util.AttributeSet;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AlphaAnimation;
import android.view.animation.Animation;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.ProgressBar;
import android.widget.SeekBar;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.b;
import androidx.base.s50;
import androidx.base.t50;
import xyz.doikki.videocontroller.R$id;
import xyz.doikki.videocontroller.R$layout;

public class VodControlView extends FrameLayout implements t50, View.OnClickListener, SeekBar.OnSeekBarChangeListener {
    public s50 a;
    public TextView b;
    public TextView c;
    public ImageView d;
    public LinearLayout e;
    public SeekBar f;
    public ProgressBar g;
    public ImageView h;
    public boolean i;
    public boolean j = true;

    public VodControlView(@NonNull Context context) {
        super(context);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(getLayoutId(), (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.d = imageView;
        imageView.setOnClickListener(this);
        this.e = (LinearLayout) findViewById(R$id.bottom_container);
        SeekBar seekBar = (SeekBar) findViewById(R$id.seekBar);
        this.f = seekBar;
        seekBar.setOnSeekBarChangeListener(this);
        this.b = (TextView) findViewById(R$id.total_time);
        this.c = (TextView) findViewById(R$id.curr_time);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.h = imageView2;
        imageView2.setOnClickListener(this);
        this.g = (ProgressBar) findViewById(R$id.bottom_progress);
        if (Build.VERSION.SDK_INT <= 22) {
            this.f.getLayoutParams().height = -2;
        }
    }

    @Override // androidx.base.t50
    public void a(int i2) {
        switch (i2) {
            case -1:
            case 1:
            case 2:
            case 8:
                setVisibility(8);
                return;
            case 0:
            case 5:
                setVisibility(8);
                this.g.setProgress(0);
                this.g.setSecondaryProgress(0);
                this.f.setProgress(0);
                this.f.setSecondaryProgress(0);
                return;
            case 3:
                this.h.setSelected(true);
                if (!this.j) {
                    this.e.setVisibility(8);
                } else if (this.a.isShowing()) {
                    this.g.setVisibility(8);
                    this.e.setVisibility(0);
                } else {
                    this.e.setVisibility(8);
                    this.g.setVisibility(0);
                }
                setVisibility(0);
                this.a.b.g();
                return;
            case 4:
                this.h.setSelected(false);
                return;
            case 6:
            case 7:
                this.h.setSelected(this.a.isPlaying());
                return;
            default:
                return;
        }
    }

    @Override // androidx.base.t50
    public void b(int i2) {
        if (i2 == 10) {
            this.d.setSelected(false);
        } else if (i2 == 11) {
            this.d.setSelected(true);
        }
        Activity i0 = b.i0(getContext());
        if (i0 != null && this.a.c()) {
            int requestedOrientation = i0.getRequestedOrientation();
            int cutoutHeight = this.a.getCutoutHeight();
            if (requestedOrientation == 1) {
                this.e.setPadding(0, 0, 0, 0);
                this.g.setPadding(0, 0, 0, 0);
            } else if (requestedOrientation == 0) {
                this.e.setPadding(cutoutHeight, 0, 0, 0);
                this.g.setPadding(cutoutHeight, 0, 0, 0);
            } else if (requestedOrientation == 8) {
                this.e.setPadding(0, 0, cutoutHeight, 0);
                this.g.setPadding(0, 0, cutoutHeight, 0);
            }
        }
    }

    @Override // androidx.base.t50
    public void e(boolean z, Animation animation) {
        if (z) {
            this.e.setVisibility(0);
            if (animation != null) {
                this.e.startAnimation(animation);
            }
            if (this.j) {
                this.g.setVisibility(8);
                return;
            }
            return;
        }
        this.e.setVisibility(8);
        if (animation != null) {
            this.e.startAnimation(animation);
        }
        if (this.j) {
            this.g.setVisibility(0);
            AlphaAnimation alphaAnimation = new AlphaAnimation(0.0f, 1.0f);
            alphaAnimation.setDuration(300);
            this.g.startAnimation(alphaAnimation);
        }
    }

    @Override // androidx.base.t50
    public void g(boolean z) {
        e(!z, null);
    }

    public int getLayoutId() {
        return R$layout.dkplayer_layout_vod_control_view;
    }

    public View getView() {
        return this;
    }

    @Override // androidx.base.t50
    public void h(@NonNull s50 s50) {
        this.a = s50;
    }

    @Override // androidx.base.t50
    public void j(int i2, int i3) {
        if (!this.i) {
            SeekBar seekBar = this.f;
            if (seekBar != null) {
                if (i2 > 0) {
                    seekBar.setEnabled(true);
                    double d2 = (double) i3;
                    Double.isNaN(d2);
                    double d3 = (double) i2;
                    Double.isNaN(d3);
                    double d4 = (d2 * 1.0d) / d3;
                    double max = (double) this.f.getMax();
                    Double.isNaN(max);
                    int i4 = (int) (d4 * max);
                    this.f.setProgress(i4);
                    this.g.setProgress(i4);
                } else {
                    seekBar.setEnabled(false);
                }
                int bufferedPercentage = this.a.getBufferedPercentage();
                if (bufferedPercentage >= 95) {
                    SeekBar seekBar2 = this.f;
                    seekBar2.setSecondaryProgress(seekBar2.getMax());
                    ProgressBar progressBar = this.g;
                    progressBar.setSecondaryProgress(progressBar.getMax());
                } else {
                    int i5 = bufferedPercentage * 10;
                    this.f.setSecondaryProgress(i5);
                    this.g.setSecondaryProgress(i5);
                }
            }
            TextView textView = this.b;
            if (textView != null) {
                textView.setText(b.j0(i2));
            }
            TextView textView2 = this.c;
            if (textView2 != null) {
                textView2.setText(b.j0(i3));
            }
        }
    }

    public void onClick(View view) {
        int id = view.getId();
        if (id == R$id.fullscreen) {
            this.a.k(b.i0(getContext()));
        } else if (id == R$id.iv_play) {
            this.a.l();
        }
    }

    public void onProgressChanged(SeekBar seekBar, int i2, boolean z) {
        if (z) {
            long duration = (this.a.getDuration() * ((long) i2)) / ((long) this.f.getMax());
            TextView textView = this.c;
            if (textView != null) {
                textView.setText(b.j0((int) duration));
            }
        }
    }

    public void onStartTrackingTouch(SeekBar seekBar) {
        this.i = true;
        this.a.b.j();
        this.a.b.f();
    }

    public void onStopTrackingTouch(SeekBar seekBar) {
        this.a.a.seekTo((long) ((int) ((this.a.getDuration() * ((long) seekBar.getProgress())) / ((long) this.f.getMax()))));
        this.i = false;
        this.a.b.g();
        this.a.b.h();
    }

    public VodControlView(@NonNull Context context, @Nullable AttributeSet attributeSet) {
        super(context, attributeSet);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(getLayoutId(), (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.d = imageView;
        imageView.setOnClickListener(this);
        this.e = (LinearLayout) findViewById(R$id.bottom_container);
        SeekBar seekBar = (SeekBar) findViewById(R$id.seekBar);
        this.f = seekBar;
        seekBar.setOnSeekBarChangeListener(this);
        this.b = (TextView) findViewById(R$id.total_time);
        this.c = (TextView) findViewById(R$id.curr_time);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.h = imageView2;
        imageView2.setOnClickListener(this);
        this.g = (ProgressBar) findViewById(R$id.bottom_progress);
        if (Build.VERSION.SDK_INT <= 22) {
            this.f.getLayoutParams().height = -2;
        }
    }

    public VodControlView(@NonNull Context context, @Nullable AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        setVisibility(8);
        LayoutInflater.from(getContext()).inflate(getLayoutId(), (ViewGroup) this, true);
        ImageView imageView = (ImageView) findViewById(R$id.fullscreen);
        this.d = imageView;
        imageView.setOnClickListener(this);
        this.e = (LinearLayout) findViewById(R$id.bottom_container);
        SeekBar seekBar = (SeekBar) findViewById(R$id.seekBar);
        this.f = seekBar;
        seekBar.setOnSeekBarChangeListener(this);
        this.b = (TextView) findViewById(R$id.total_time);
        this.c = (TextView) findViewById(R$id.curr_time);
        ImageView imageView2 = (ImageView) findViewById(R$id.iv_play);
        this.h = imageView2;
        imageView2.setOnClickListener(this);
        this.g = (ProgressBar) findViewById(R$id.bottom_progress);
        if (Build.VERSION.SDK_INT <= 22) {
            this.f.getLayoutParams().height = -2;
        }
    }
}
