package androidx.base;

import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.ListIterator;
import java.util.RandomAccess;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class bs<E> extends zr<E> implements List<E>, RandomAccess {
    public static final nu<Object> b = new b(vt.EMPTY, 0);

    public static final class a<E> extends zr.a<E> {
        public a() {
            super(4);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public zr.b d(Object obj) {
            b(obj);
            return this;
        }

        public bs<E> e() {
            this.c = true;
            return bs.asImmutableList(this.a, this.b);
        }

        public a(int i) {
            super(i);
        }
    }

    public static class b<E> extends cr<E> {
        public final bs<E> c;

        public b(bs<E> bsVar, int i) {
            super(bsVar.size(), i);
            this.c = bsVar;
        }

        @Override // androidx.base.cr
        public E a(int i) {
            return this.c.get(i);
        }
    }

    public static class c<E> extends bs<E> {
        public final transient bs<E> c;

        public c(bs<E> bsVar) {
            this.c = bsVar;
        }

        public final int b(int i) {
            return (size() - 1) - i;
        }

        @Override // androidx.base.zr, androidx.base.bs
        public boolean contains(@NullableDecl Object obj) {
            return this.c.contains(obj);
        }

        @Override // java.util.List
        public E get(int i) {
            tq.g(i, size());
            return this.c.get((size() - 1) - i);
        }

        @Override // androidx.base.bs
        public int indexOf(@NullableDecl Object obj) {
            int lastIndexOf = this.c.lastIndexOf(obj);
            if (lastIndexOf >= 0) {
                return b(lastIndexOf);
            }
            return -1;
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return this.c.isPartialView();
        }

        @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.List, java.util.Collection, androidx.base.bs, androidx.base.bs, java.lang.Iterable
        public /* bridge */ /* synthetic */ Iterator iterator() {
            return bs.super.iterator();
        }

        @Override // androidx.base.bs
        public int lastIndexOf(@NullableDecl Object obj) {
            int indexOf = this.c.indexOf(obj);
            if (indexOf >= 0) {
                return b(indexOf);
            }
            return -1;
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public /* bridge */ /* synthetic */ ListIterator listIterator() {
            return bs.super.listIterator();
        }

        @Override // androidx.base.bs
        public bs<E> reverse() {
            return this.c;
        }

        public int size() {
            return this.c.size();
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public /* bridge */ /* synthetic */ ListIterator listIterator(int i) {
            return bs.super.listIterator(i);
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public bs<E> subList(int i, int i2) {
            tq.j(i, i2, size());
            return this.c.subList(size() - i2, size() - i).reverse();
        }
    }

    public static class d implements Serializable {
        private static final long serialVersionUID = 0;
        public final Object[] elements;

        public d(Object[] objArr) {
            this.elements = objArr;
        }

        public Object readResolve() {
            return bs.copyOf(this.elements);
        }
    }

    public class e extends bs<E> {
        public final transient int length;
        public final transient int offset;

        public e(int i, int i2) {
            this.offset = i;
            this.length = i2;
        }

        @Override // java.util.List
        public E get(int i) {
            tq.g(i, this.length);
            return (E) bs.this.get(i + this.offset);
        }

        @Override // androidx.base.zr
        public Object[] internalArray() {
            return bs.this.internalArray();
        }

        @Override // androidx.base.zr
        public int internalArrayEnd() {
            return bs.this.internalArrayStart() + this.offset + this.length;
        }

        @Override // androidx.base.zr
        public int internalArrayStart() {
            return bs.this.internalArrayStart() + this.offset;
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return true;
        }

        @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.List, java.util.Collection, androidx.base.bs, androidx.base.bs, java.lang.Iterable
        public /* bridge */ /* synthetic */ Iterator iterator() {
            return bs.super.iterator();
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public /* bridge */ /* synthetic */ ListIterator listIterator() {
            return bs.super.listIterator();
        }

        public int size() {
            return this.length;
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public /* bridge */ /* synthetic */ ListIterator listIterator(int i) {
            return bs.super.listIterator(i);
        }

        @Override // java.util.List, androidx.base.bs, androidx.base.bs
        public bs<E> subList(int i, int i2) {
            tq.j(i, i2, this.length);
            bs bsVar = bs.this;
            int i3 = this.offset;
            return bsVar.subList(i + i3, i2 + i3);
        }
    }

    public static <E> bs<E> a(Object... objArr) {
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> asImmutableList(Object[] objArr) {
        return asImmutableList(objArr, objArr.length);
    }

    public static <E> a<E> builder() {
        return new a<>();
    }

    public static <E> a<E> builderWithExpectedSize(int i) {
        b.i(i, "expectedSize");
        return new a<>(i);
    }

    public static <E> bs<E> copyOf(Collection<? extends E> collection) {
        if (!(collection instanceof zr)) {
            return a(collection.toArray());
        }
        bs<E> asList = ((zr) collection).asList();
        return asList.isPartialView() ? asImmutableList(asList.toArray()) : asList;
    }

    public static <E> bs<E> of() {
        return (bs<E>) vt.EMPTY;
    }

    private void readObject(ObjectInputStream objectInputStream) {
        throw new InvalidObjectException("Use SerializedForm");
    }

    public static <E extends Comparable<? super E>> bs<E> sortedCopyOf(Iterable<? extends E> iterable) {
        Comparable[] comparableArr = (Comparable[]) tq.J(iterable, new Comparable[0]);
        b.g(comparableArr);
        Arrays.sort(comparableArr);
        return asImmutableList(comparableArr);
    }

    @Override // java.util.List
    @Deprecated
    public final void add(int i, E e2) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.List
    @CanIgnoreReturnValue
    @Deprecated
    public final boolean addAll(int i, Collection<? extends E> collection) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.zr
    public final bs<E> asList() {
        return this;
    }

    @Override // androidx.base.zr
    public boolean contains(@NullableDecl Object obj) {
        return indexOf(obj) >= 0;
    }

    @Override // androidx.base.zr
    public int copyIntoArray(Object[] objArr, int i) {
        int size = size();
        for (int i2 = 0; i2 < size; i2++) {
            objArr[i + i2] = get(i2);
        }
        return i + size;
    }

    /* JADX WARNING: Removed duplicated region for block: B:17:0x003f  */
    public boolean equals(@NullableDecl Object obj) {
        if (obj != this) {
            if (!(obj instanceof List)) {
                return false;
            }
            List list = (List) obj;
            int size = size();
            if (size != list.size()) {
                return false;
            }
            if (list instanceof RandomAccess) {
                for (int i = 0; i < size; i++) {
                    if (!tq.q(get(i), list.get(i))) {
                        return false;
                    }
                }
            } else {
                Iterator<E> it = list.iterator();
                for (E e2 : this) {
                    if (!it.hasNext() || !tq.q(e2, it.next())) {
                        return false;
                    }
                    while (r2.hasNext()) {
                    }
                }
                return !it.hasNext();
            }
        }
        return true;
    }

    public int hashCode() {
        int size = size();
        int i = 1;
        for (int i2 = 0; i2 < size; i2++) {
            i = ((get(i2).hashCode() + (i * 31)) ^ -1) ^ -1;
        }
        return i;
    }

    public int indexOf(@NullableDecl Object obj) {
        if (obj == null) {
            return -1;
        }
        int size = size();
        for (int i = 0; i < size; i++) {
            if (obj.equals(get(i))) {
                return i;
            }
        }
        return -1;
    }

    public int lastIndexOf(@NullableDecl Object obj) {
        if (obj == null) {
            return -1;
        }
        for (int size = size() - 1; size >= 0; size--) {
            if (obj.equals(get(size))) {
                return size;
            }
        }
        return -1;
    }

    @Override // java.util.List
    @CanIgnoreReturnValue
    @Deprecated
    public final E remove(int i) {
        throw new UnsupportedOperationException();
    }

    public bs<E> reverse() {
        return size() <= 1 ? this : new c(this);
    }

    @Override // java.util.List
    @CanIgnoreReturnValue
    @Deprecated
    public final E set(int i, E e2) {
        throw new UnsupportedOperationException();
    }

    public bs<E> subListUnchecked(int i, int i2) {
        return new e(i, i2 - i);
    }

    @Override // androidx.base.zr
    public Object writeReplace() {
        return new d(toArray());
    }

    public static <E> bs<E> asImmutableList(Object[] objArr, int i) {
        if (i == 0) {
            return of();
        }
        return new vt(objArr, i);
    }

    @SafeVarargs
    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9, E e10, E e11, E e12, E e13, E... eArr) {
        tq.d(eArr.length <= 2147483635, "the total number of elements must fit in an int");
        Object[] objArr = new Object[(eArr.length + 12)];
        objArr[0] = e2;
        objArr[1] = e3;
        objArr[2] = e4;
        objArr[3] = e5;
        objArr[4] = e6;
        objArr[5] = e7;
        objArr[6] = e8;
        objArr[7] = e9;
        objArr[8] = e10;
        objArr[9] = e11;
        objArr[10] = e12;
        objArr[11] = e13;
        System.arraycopy(eArr, 0, objArr, 12, eArr.length);
        b.g(objArr);
        return asImmutableList(objArr);
    }

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.List, java.util.Collection, java.lang.Iterable
    public mu<E> iterator() {
        return listIterator();
    }

    @Override // java.util.List
    public bs<E> subList(int i, int i2) {
        tq.j(i, i2, size());
        int i3 = i2 - i;
        if (i3 == size()) {
            return this;
        }
        if (i3 == 0) {
            return of();
        }
        return subListUnchecked(i, i2);
    }

    @Override // java.util.List
    public nu<E> listIterator() {
        return listIterator(0);
    }

    @Override // java.util.List
    public nu<E> listIterator(int i) {
        tq.i(i, size());
        return isEmpty() ? (nu<E>) b : new b(this, i);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: androidx.base.bs$a */
    /* JADX WARN: Multi-variable type inference failed */
    public static <E> bs<E> copyOf(Iterator<? extends E> it) {
        if (!it.hasNext()) {
            return of();
        }
        Object next = it.next();
        if (!it.hasNext()) {
            return of(next);
        }
        a aVar = new a();
        aVar.b(next);
        while (it.hasNext()) {
            aVar.d(it.next());
        }
        return aVar.e();
    }

    public static <E> bs<E> sortedCopyOf(Comparator<? super E> comparator, Iterable<? extends E> iterable) {
        comparator.getClass();
        Object[] I = tq.I(iterable);
        b.g(I);
        Arrays.sort(I, comparator);
        return asImmutableList(I);
    }

    public static <E> bs<E> copyOf(E[] eArr) {
        if (eArr.length == 0) {
            return of();
        }
        Object[] objArr = (Object[]) eArr.clone();
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2) {
        Object[] objArr = {e2};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> copyOf(Iterable<? extends E> iterable) {
        iterable.getClass();
        if (iterable instanceof Collection) {
            return copyOf((Collection) iterable);
        }
        return copyOf(iterable.iterator());
    }

    public static <E> bs<E> of(E e2, E e3) {
        Object[] objArr = {e2, e3};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4) {
        Object[] objArr = {e2, e3, e4};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5) {
        Object[] objArr = {e2, e3, e4, e5};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6) {
        Object[] objArr = {e2, e3, e4, e5, e6};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7, e8};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7, e8, e9};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9, E e10) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7, e8, e9, e10};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9, E e10, E e11) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7, e8, e9, e10, e11};
        b.g(objArr);
        return asImmutableList(objArr);
    }

    public static <E> bs<E> of(E e2, E e3, E e4, E e5, E e6, E e7, E e8, E e9, E e10, E e11, E e12) {
        Object[] objArr = {e2, e3, e4, e5, e6, e7, e8, e9, e10, e11, e12};
        b.g(objArr);
        return asImmutableList(objArr);
    }
}
