package androidx.base;

import java.io.Serializable;
import java.util.Iterator;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public final class bu<T> extends ut<T> implements Serializable {
    private static final long serialVersionUID = 0;
    public final ut<? super T> forwardOrder;

    public bu(ut<? super T> utVar) {
        utVar.getClass();
        this.forwardOrder = utVar;
    }

    @Override // androidx.base.ut, java.util.Comparator
    public int compare(T t, T t2) {
        return this.forwardOrder.compare(t2, t);
    }

    public boolean equals(@NullableDecl Object obj) {
        if (obj == this) {
            return true;
        }
        if (obj instanceof bu) {
            return this.forwardOrder.equals(((bu) obj).forwardOrder);
        }
        return false;
    }

    public int hashCode() {
        return -this.forwardOrder.hashCode();
    }

    @Override // androidx.base.ut
    public <E extends T> E max(E e, E e2) {
        return (E) this.forwardOrder.min(e, e2);
    }

    @Override // androidx.base.ut
    public <E extends T> E min(E e, E e2) {
        return (E) this.forwardOrder.max(e, e2);
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: androidx.base.ut<? super T>, androidx.base.ut<S extends T> */
    @Override // androidx.base.ut
    public <S extends T> ut<S> reverse() {
        return (ut<? super T>) this.forwardOrder;
    }

    public String toString() {
        return this.forwardOrder + ".reverse()";
    }

    @Override // androidx.base.ut
    public <E extends T> E max(E e, E e2, E e3, E... eArr) {
        return (E) this.forwardOrder.min(e, e2, e3, eArr);
    }

    @Override // androidx.base.ut
    public <E extends T> E min(E e, E e2, E e3, E... eArr) {
        return (E) this.forwardOrder.max(e, e2, e3, eArr);
    }

    @Override // androidx.base.ut
    public <E extends T> E max(Iterator<E> it) {
        return (E) this.forwardOrder.min(it);
    }

    @Override // androidx.base.ut
    public <E extends T> E min(Iterator<E> it) {
        return (E) this.forwardOrder.max(it);
    }

    @Override // androidx.base.ut
    public <E extends T> E max(Iterable<E> iterable) {
        return (E) this.forwardOrder.min(iterable);
    }

    @Override // androidx.base.ut
    public <E extends T> E min(Iterable<E> iterable) {
        return (E) this.forwardOrder.max(iterable);
    }
}
