package androidx.base;

import androidx.base.bs;
import androidx.base.ds;
import androidx.base.is;
import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.LazyInit;
import com.google.j2objc.annotations.RetainedWith;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class cs<K, V> extends is<K, V> implements et {
    private static final long serialVersionUID = 0;
    @RetainedWith
    @LazyInit
    public transient cs<V, K> f;

    public static final class a<K, V> extends is.c<K, V> {
        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.is.c
        @CanIgnoreReturnValue
        public is.c b(Object obj, Object obj2) {
            super.b(obj, obj2);
            return this;
        }

        @Override // androidx.base.is.c
        @CanIgnoreReturnValue
        public is.c c(Map.Entry entry) {
            super.c(entry);
            return this;
        }

        public cs<K, V> f() {
            return cs.fromMapEntries(this.a.entrySet(), null);
        }

        @CanIgnoreReturnValue
        public a<K, V> g(K k, V v) {
            super.b(k, v);
            return this;
        }

        @CanIgnoreReturnValue
        public a<K, V> h(K k, V... vArr) {
            super.e(k, Arrays.asList(vArr));
            return this;
        }
    }

    public cs(ds<K, bs<V>> dsVar, int i) {
        super(dsVar, i);
    }

    public static <K, V> a<K, V> builder() {
        return new a<>();
    }

    public static <K, V> cs<K, V> copyOf(et<? extends K, ? extends V> etVar) {
        if (etVar.isEmpty()) {
            return of();
        }
        if (etVar instanceof cs) {
            cs<K, V> csVar = (cs) etVar;
            if (!csVar.isPartialView()) {
                return csVar;
            }
        }
        return fromMapEntries(etVar.asMap().entrySet(), null);
    }

    public static <K, V> cs<K, V> fromMapEntries(Collection<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> collection, @NullableDecl Comparator<? super V> comparator) {
        bs bsVar;
        if (collection.isEmpty()) {
            return of();
        }
        Object[] objArr = new Object[(collection.size() * 2)];
        Iterator<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> it = collection.iterator();
        int i = 0;
        int i2 = 0;
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            Object key = entry.getKey();
            Collection collection2 = (Collection) entry.getValue();
            if (comparator == null) {
                bsVar = bs.copyOf(collection2);
            } else {
                bsVar = bs.sortedCopyOf(comparator, collection2);
            }
            if (!bsVar.isEmpty()) {
                int i3 = (i2 + 1) * 2;
                if (i3 > objArr.length) {
                    objArr = Arrays.copyOf(objArr, zr.b.a(objArr.length, i3));
                }
                b.h(key, bsVar);
                objArr[i2 * 2] = key;
                objArr[(i2 * 2) + 1] = bsVar;
                i2++;
                i = bsVar.size() + i;
            }
        }
        return new cs<>(wt.create(i2, objArr), i);
    }

    public static <K, V> cs<K, V> of() {
        return tr.INSTANCE;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: androidx.base.ds$b */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            ds.b builder = ds.builder();
            int i = 0;
            for (int i2 = 0; i2 < readInt; i2++) {
                Object readObject = objectInputStream.readObject();
                int readInt2 = objectInputStream.readInt();
                if (readInt2 > 0) {
                    bs.a builder2 = bs.builder();
                    for (int i3 = 0; i3 < readInt2; i3++) {
                        builder2.b(objectInputStream.readObject());
                    }
                    builder.c(readObject, builder2.e());
                    i += readInt2;
                } else {
                    throw new InvalidObjectException(b2.t("Invalid value count ", readInt2));
                }
            }
            try {
                is.e.a.a(this, builder.a());
                du<is> duVar = is.e.b;
                duVar.getClass();
                try {
                    duVar.a.set(this, Integer.valueOf(i));
                } catch (IllegalAccessException e) {
                    throw new AssertionError(e);
                }
            } catch (IllegalArgumentException e2) {
                throw ((InvalidObjectException) new InvalidObjectException(e2.getMessage()).initCause(e2));
            }
        } else {
            throw new InvalidObjectException(b2.t("Invalid key count ", readInt));
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        b.t0(this, objectOutputStream);
    }

    public static <K, V> cs<K, V> of(K k, V v) {
        a builder = builder();
        builder.g(k, v);
        return builder.f();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: androidx.base.cs<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: androidx.base.cs$a */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // androidx.base.is
    public cs<V, K> inverse() {
        cs<V, K> csVar = this.f;
        if (csVar != null) {
            return csVar;
        }
        a builder = builder();
        mu it = entries().iterator();
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            builder.g(entry.getValue(), entry.getKey());
        }
        cs<V, K> f2 = builder.f();
        f2.f = this;
        this.f = f2;
        return f2;
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.et
    public bs<V> get(@NullableDecl K k) {
        bs<V> bsVar = (bs) this.map.get(k);
        return bsVar == null ? bs.of() : bsVar;
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.et
    @CanIgnoreReturnValue
    @Deprecated
    public bs<V> removeAll(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.ir
    @CanIgnoreReturnValue
    @Deprecated
    public bs<V> replaceValues(K k, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    public static <K, V> cs<K, V> of(K k, V v, K k2, V v2) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        return builder.f();
    }

    public static <K, V> cs<K, V> copyOf(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        a aVar = new a();
        aVar.d(iterable);
        return aVar.f();
    }

    public static <K, V> cs<K, V> of(K k, V v, K k2, V v2, K k3, V v3) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        return builder.f();
    }

    public static <K, V> cs<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        builder.g(k4, v4);
        return builder.f();
    }

    public static <K, V> cs<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4, K k5, V v5) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        builder.g(k4, v4);
        builder.g(k5, v5);
        return builder.f();
    }
}
