package androidx.base;

import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.LazyInit;
import com.google.j2objc.annotations.RetainedWith;
import java.io.Serializable;
import java.util.AbstractMap;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import java.util.SortedMap;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ds<K, V> implements Map<K, V>, Serializable {
    public static final Map.Entry<?, ?>[] EMPTY_ENTRY_ARRAY = new Map.Entry[0];
    @LazyInit
    public transient ls<Map.Entry<K, V>> a;
    @RetainedWith
    @LazyInit
    public transient ls<K> b;
    @RetainedWith
    @LazyInit
    public transient zr<V> c;
    @LazyInit
    public transient ms<K, V> d;

    public class a extends mu<K> {
        public final /* synthetic */ mu a;

        public a(ds dsVar, mu muVar) {
            this.a = muVar;
        }

        public boolean hasNext() {
            return this.a.hasNext();
        }

        @Override // java.util.Iterator
        public K next() {
            return (K) ((Map.Entry) this.a.next()).getKey();
        }
    }

    public static class b<K, V> {
        public Object[] a;
        public int b = 0;
        public boolean c = false;

        public b(int i) {
            this.a = new Object[(i * 2)];
        }

        public ds<K, V> a() {
            this.c = true;
            return wt.create(this.b, this.a);
        }

        public final void b(int i) {
            int i2 = i * 2;
            Object[] objArr = this.a;
            if (i2 > objArr.length) {
                this.a = Arrays.copyOf(objArr, zr.b.a(objArr.length, i2));
                this.c = false;
            }
        }

        @CanIgnoreReturnValue
        public b<K, V> c(K k, V v) {
            b(this.b + 1);
            b.h(k, v);
            Object[] objArr = this.a;
            int i = this.b;
            objArr[i * 2] = k;
            objArr[(i * 2) + 1] = v;
            this.b = i + 1;
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ds$b<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public b<K, V> d(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            if (iterable instanceof Collection) {
                b(((Collection) iterable).size() + this.b);
            }
            Iterator<? extends Map.Entry<? extends K, ? extends V>> it = iterable.iterator();
            while (it.hasNext()) {
                Map.Entry entry = (Map.Entry) it.next();
                c(entry.getKey(), entry.getValue());
            }
            return this;
        }
    }

    public static abstract class c<K, V> extends ds<K, V> {

        public class a extends fs<K, V> {
            public a() {
            }

            @Override // androidx.base.fs
            public ds<K, V> map() {
                return c.this;
            }

            @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.util.Set, androidx.base.ls, androidx.base.ls, java.lang.Iterable
            public mu<Map.Entry<K, V>> iterator() {
                return c.this.entryIterator();
            }
        }

        @Override // androidx.base.ds
        public ls<Map.Entry<K, V>> createEntrySet() {
            return new a();
        }

        @Override // androidx.base.ds
        public ls<K> createKeySet() {
            return new gs(this);
        }

        @Override // androidx.base.ds
        public zr<V> createValues() {
            return new hs(this);
        }

        public abstract mu<Map.Entry<K, V>> entryIterator();

        @Override // androidx.base.ds, androidx.base.ds, java.util.Map
        public /* bridge */ /* synthetic */ Set entrySet() {
            return entrySet();
        }

        @Override // androidx.base.ds, androidx.base.ds, java.util.Map
        public /* bridge */ /* synthetic */ Set keySet() {
            return keySet();
        }

        @Override // androidx.base.ds, androidx.base.ds, java.util.Map
        public /* bridge */ /* synthetic */ Collection values() {
            return values();
        }
    }

    public final class d extends c<K, ls<V>> {

        public class a extends mu<Map.Entry<K, ls<V>>> {
            public final /* synthetic */ Iterator a;

            public a(d dVar, Iterator it) {
                this.a = it;
            }

            public boolean hasNext() {
                return this.a.hasNext();
            }

            @Override // java.util.Iterator
            public Object next() {
                return new es(this, (Map.Entry) this.a.next());
            }
        }

        public d(a aVar) {
        }

        @Override // androidx.base.ds
        public boolean containsKey(@NullableDecl Object obj) {
            return ds.this.containsKey(obj);
        }

        @Override // androidx.base.ds, androidx.base.ds.c
        public ls<K> createKeySet() {
            return ds.this.keySet();
        }

        @Override // androidx.base.ds.c
        public mu<Map.Entry<K, ls<V>>> entryIterator() {
            return new a(this, ds.this.entrySet().iterator());
        }

        @Override // androidx.base.ds
        public int hashCode() {
            return ds.this.hashCode();
        }

        @Override // androidx.base.ds
        public boolean isHashCodeFast() {
            return ds.this.isHashCodeFast();
        }

        @Override // androidx.base.ds
        public boolean isPartialView() {
            return ds.this.isPartialView();
        }

        public int size() {
            return ds.this.size();
        }

        @Override // androidx.base.ds, java.util.Map
        public ls<V> get(@NullableDecl Object obj) {
            Object obj2 = ds.this.get(obj);
            if (obj2 == null) {
                return null;
            }
            return ls.of(obj2);
        }
    }

    public static class e implements Serializable {
        private static final long serialVersionUID = 0;
        private final Object[] keys;
        private final Object[] values;

        public e(ds<?, ?> dsVar) {
            this.keys = new Object[dsVar.size()];
            this.values = new Object[dsVar.size()];
            mu<Map.Entry<?, ?>> it = dsVar.entrySet().iterator();
            int i = 0;
            while (it.hasNext()) {
                Map.Entry<?, ?> next = it.next();
                this.keys[i] = next.getKey();
                this.values[i] = next.getValue();
                i++;
            }
        }

        public Object createMap(b<Object, Object> bVar) {
            int i = 0;
            while (true) {
                Object[] objArr = this.keys;
                if (i >= objArr.length) {
                    return bVar.a();
                }
                bVar.c(objArr[i], this.values[i]);
                i++;
            }
        }

        public Object readResolve() {
            return createMap(new b<>(this.keys.length));
        }
    }

    public static <K, V> b<K, V> builder() {
        return new b<>(4);
    }

    public static <K, V> b<K, V> builderWithExpectedSize(int i) {
        b.i(i, "expectedSize");
        return new b<>(i);
    }

    public static void checkNoConflict(boolean z, String str, Map.Entry<?, ?> entry, Map.Entry<?, ?> entry2) {
        if (!z) {
            throw conflictException(str, entry, entry2);
        }
    }

    public static IllegalArgumentException conflictException(String str, Object obj, Object obj2) {
        return new IllegalArgumentException("Multiple entries with same " + str + ": " + obj + " and " + obj2);
    }

    public static <K, V> ds<K, V> copyOf(Map<? extends K, ? extends V> map) {
        if ((map instanceof ds) && !(map instanceof SortedMap)) {
            ds<K, V> dsVar = (ds) map;
            if (!dsVar.isPartialView()) {
                return dsVar;
            }
        }
        return copyOf(map.entrySet());
    }

    public static <K, V> Map.Entry<K, V> entryOf(K k, V v) {
        b.h(k, v);
        return new AbstractMap.SimpleImmutableEntry(k, v);
    }

    public static <K, V> ds<K, V> of() {
        return (ds<K, V>) wt.EMPTY;
    }

    public ms<K, V> asMultimap() {
        if (isEmpty()) {
            return ms.of();
        }
        ms<K, V> msVar = this.d;
        if (msVar != null) {
            return msVar;
        }
        ms<K, V> msVar2 = new ms<>(new d(null), size(), null);
        this.d = msVar2;
        return msVar2;
    }

    @Deprecated
    public final void clear() {
        throw new UnsupportedOperationException();
    }

    public boolean containsKey(@NullableDecl Object obj) {
        return get(obj) != null;
    }

    public boolean containsValue(@NullableDecl Object obj) {
        return values().contains(obj);
    }

    public abstract ls<Map.Entry<K, V>> createEntrySet();

    public abstract ls<K> createKeySet();

    public abstract zr<V> createValues();

    public boolean equals(@NullableDecl Object obj) {
        return nr.b(this, obj);
    }

    @Override // java.util.Map
    public abstract V get(@NullableDecl Object obj);

    @Override // java.util.Map
    public final V getOrDefault(@NullableDecl Object obj, @NullableDecl V v) {
        V v2 = get(obj);
        return v2 != null ? v2 : v;
    }

    public int hashCode() {
        return nr.d(entrySet());
    }

    public boolean isEmpty() {
        return size() == 0;
    }

    public boolean isHashCodeFast() {
        return false;
    }

    public abstract boolean isPartialView();

    public mu<K> keyIterator() {
        return new a(this, entrySet().iterator());
    }

    @Override // java.util.Map
    @CanIgnoreReturnValue
    @Deprecated
    public final V put(K k, V v) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @Deprecated
    public final void putAll(Map<? extends K, ? extends V> map) {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.Map
    @CanIgnoreReturnValue
    @Deprecated
    public final V remove(Object obj) {
        throw new UnsupportedOperationException();
    }

    public String toString() {
        return nr.n(this);
    }

    public Object writeReplace() {
        return new e(this);
    }

    public static <K, V> ds<K, V> of(K k, V v) {
        b.h(k, v);
        return wt.create(1, new Object[]{k, v});
    }

    @Override // java.util.Map
    public ls<Map.Entry<K, V>> entrySet() {
        ls<Map.Entry<K, V>> lsVar = this.a;
        if (lsVar != null) {
            return lsVar;
        }
        ls<Map.Entry<K, V>> createEntrySet = createEntrySet();
        this.a = createEntrySet;
        return createEntrySet;
    }

    @Override // java.util.Map
    public ls<K> keySet() {
        ls<K> lsVar = this.b;
        if (lsVar != null) {
            return lsVar;
        }
        ls<K> createKeySet = createKeySet();
        this.b = createKeySet;
        return createKeySet;
    }

    @Override // java.util.Map
    public zr<V> values() {
        zr<V> zrVar = this.c;
        if (zrVar != null) {
            return zrVar;
        }
        zr<V> createValues = createValues();
        this.c = createValues;
        return createValues;
    }

    public static <K, V> ds<K, V> of(K k, V v, K k2, V v2) {
        b.h(k, v);
        b.h(k2, v2);
        return wt.create(2, new Object[]{k, v, k2, v2});
    }

    public static <K, V> ds<K, V> copyOf(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        b bVar = new b(iterable instanceof Collection ? ((Collection) iterable).size() : 4);
        bVar.d(iterable);
        return bVar.a();
    }

    public static <K, V> ds<K, V> of(K k, V v, K k2, V v2, K k3, V v3) {
        b.h(k, v);
        b.h(k2, v2);
        b.h(k3, v3);
        return wt.create(3, new Object[]{k, v, k2, v2, k3, v3});
    }

    public static <K, V> ds<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4) {
        b.h(k, v);
        b.h(k2, v2);
        b.h(k3, v3);
        b.h(k4, v4);
        return wt.create(4, new Object[]{k, v, k2, v2, k3, v3, k4, v4});
    }

    public static <K, V> ds<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4, K k5, V v5) {
        b.h(k, v);
        b.h(k2, v2);
        b.h(k3, v3);
        b.h(k4, v4);
        b.h(k5, v5);
        return wt.create(5, new Object[]{k, v, k2, v2, k3, v3, k4, v4, k5, v5});
    }
}
