package androidx.base;

import android.content.ContentValues;
import android.database.Cursor;
import java.io.Serializable;

public class ew<T> implements Serializable {
    public static final long CACHE_NEVER_EXPIRE = -1;
    public static final String DATA = "data";
    public static final String HEAD = "head";
    public static final String KEY = "key";
    public static final String LOCAL_EXPIRE = "localExpire";
    private static final long serialVersionUID = -4337711009801627866L;
    private T data;
    private boolean isExpire;
    private String key;
    private long localExpire;
    private bx responseHeaders;

    public static <T> ContentValues getContentValues(ew<T> ewVar) {
        ContentValues contentValues = new ContentValues();
        contentValues.put(KEY, ewVar.getKey());
        contentValues.put(LOCAL_EXPIRE, Long.valueOf(ewVar.getLocalExpire()));
        contentValues.put("head", b.m0(ewVar.getResponseHeaders()));
        contentValues.put("data", b.m0(ewVar.getData()));
        return contentValues;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: androidx.base.ew<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public static <T> ew<T> parseCursorToBean(Cursor cursor) {
        ew<T> ewVar = (ew<T>) new ew();
        ewVar.setKey(cursor.getString(cursor.getColumnIndex(KEY)));
        ewVar.setLocalExpire(cursor.getLong(cursor.getColumnIndex(LOCAL_EXPIRE)));
        ewVar.setResponseHeaders((bx) b.p0(cursor.getBlob(cursor.getColumnIndex("head"))));
        ewVar.setData(b.p0(cursor.getBlob(cursor.getColumnIndex("data"))));
        return ewVar;
    }

    public boolean checkExpire(fw fwVar, long j, long j2) {
        if (fwVar == fw.DEFAULT) {
            return getLocalExpire() < j2;
        }
        if (j != -1 && getLocalExpire() + j < j2) {
            return true;
        }
        return false;
    }

    public T getData() {
        return this.data;
    }

    public String getKey() {
        return this.key;
    }

    public long getLocalExpire() {
        return this.localExpire;
    }

    public bx getResponseHeaders() {
        return this.responseHeaders;
    }

    public boolean isExpire() {
        return this.isExpire;
    }

    public void setData(T t) {
        this.data = t;
    }

    public void setExpire(boolean z) {
        this.isExpire = z;
    }

    public void setKey(String str) {
        this.key = str;
    }

    public void setLocalExpire(long j) {
        this.localExpire = j;
    }

    public void setResponseHeaders(bx bxVar) {
        this.responseHeaders = bxVar;
    }

    public String toString() {
        StringBuilder j = b2.j("CacheEntity{key='");
        j.append(this.key);
        j.append('\'');
        j.append(", responseHeaders=");
        j.append(this.responseHeaders);
        j.append(", data=");
        j.append((Object) this.data);
        j.append(", localExpire=");
        j.append(this.localExpire);
        j.append('}');
        return j.toString();
    }
}
