package androidx.base;

import androidx.base.kt;
import androidx.base.tt;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.NoSuchElementException;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class gr<E> extends jr<E> implements Serializable {
    private static final long serialVersionUID = 0;
    public transient tt<E> backingMap;
    public transient long size;

    public class a extends gr<E>.c {
        public a() {
            super();
        }

        @Override // androidx.base.gr.c
        public E a(int i) {
            tt<E> ttVar = gr.this.backingMap;
            tq.g(i, ttVar.c);
            return (E) ttVar.a[i];
        }
    }

    public class b extends gr<E>.c {
        public b() {
            super();
        }

        @Override // androidx.base.gr.c
        public Object a(int i) {
            tt<E> ttVar = gr.this.backingMap;
            tq.g(i, ttVar.c);
            return new tt.a(i);
        }
    }

    public abstract class c<T> implements Iterator<T> {
        public int a;
        public int b = -1;
        public int c;

        public c() {
            this.a = gr.this.backingMap.b();
            this.c = gr.this.backingMap.d;
        }

        public abstract T a(int i);

        public boolean hasNext() {
            if (gr.this.backingMap.d == this.c) {
                return this.a >= 0;
            }
            throw new ConcurrentModificationException();
        }

        @Override // java.util.Iterator
        public T next() {
            if (hasNext()) {
                T a2 = a(this.a);
                int i = this.a;
                this.b = i;
                this.a = gr.this.backingMap.j(i);
                return a2;
            }
            throw new NoSuchElementException();
        }

        public void remove() {
            if (gr.this.backingMap.d == this.c) {
                b.l(this.b != -1);
                gr grVar = gr.this;
                grVar.size -= (long) grVar.backingMap.m(this.b);
                tt<E> ttVar = gr.this.backingMap;
                int i = this.a;
                ttVar.getClass();
                this.a = i - 1;
                this.b = -1;
                this.c = gr.this.backingMap.d;
                return;
            }
            throw new ConcurrentModificationException();
        }
    }

    public gr(int i) {
        init(i);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: androidx.base.gr<E> */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        int readInt = objectInputStream.readInt();
        init(3);
        for (int i = 0; i < readInt; i++) {
            add(objectInputStream.readObject(), objectInputStream.readInt());
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(entrySet().size());
        for (kt.a<E> aVar : entrySet()) {
            objectOutputStream.writeObject(aVar.getElement());
            objectOutputStream.writeInt(aVar.getCount());
        }
    }

    @Override // androidx.base.jr, androidx.base.kt
    @CanIgnoreReturnValue
    public final int add(@NullableDecl E e, int i) {
        if (i == 0) {
            return count(e);
        }
        boolean z = true;
        tq.e(i > 0, "occurrences cannot be negative: %s", i);
        int h = this.backingMap.h(e);
        if (h == -1) {
            this.backingMap.k(e, i);
            this.size += (long) i;
            return 0;
        }
        int f = this.backingMap.f(h);
        long j = (long) i;
        long j2 = ((long) f) + j;
        if (j2 > 2147483647L) {
            z = false;
        }
        tq.f(z, "too many occurrences: %s", j2);
        this.backingMap.p(h, (int) j2);
        this.size += j;
        return f;
    }

    public void addTo(kt<? super E> ktVar) {
        ktVar.getClass();
        int b2 = this.backingMap.b();
        while (b2 >= 0) {
            ktVar.add(this.backingMap.e(b2), this.backingMap.f(b2));
            b2 = this.backingMap.j(b2);
        }
    }

    @Override // androidx.base.jr
    public final void clear() {
        tt<E> ttVar = this.backingMap;
        ttVar.d++;
        Arrays.fill(ttVar.a, 0, ttVar.c, (Object) null);
        Arrays.fill(ttVar.b, 0, ttVar.c, 0);
        Arrays.fill(ttVar.e, -1);
        Arrays.fill(ttVar.f, -1L);
        ttVar.c = 0;
        this.size = 0;
    }

    @Override // androidx.base.kt
    public final int count(@NullableDecl Object obj) {
        return this.backingMap.c(obj);
    }

    @Override // androidx.base.jr
    public final int distinctElements() {
        return this.backingMap.c;
    }

    @Override // androidx.base.jr
    public final Iterator<E> elementIterator() {
        return new a();
    }

    @Override // androidx.base.jr
    public final Iterator<kt.a<E>> entryIterator() {
        return new b();
    }

    public abstract void init(int i);

    @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
    public final Iterator<E> iterator() {
        return new pt(this, entrySet().iterator());
    }

    @Override // androidx.base.jr, androidx.base.kt
    @CanIgnoreReturnValue
    public final int remove(@NullableDecl Object obj, int i) {
        if (i == 0) {
            return count(obj);
        }
        tq.e(i > 0, "occurrences cannot be negative: %s", i);
        int h = this.backingMap.h(obj);
        if (h == -1) {
            return 0;
        }
        int f = this.backingMap.f(h);
        if (f > i) {
            this.backingMap.p(h, f - i);
        } else {
            this.backingMap.m(h);
            i = f;
        }
        this.size -= (long) i;
        return f;
    }

    @Override // androidx.base.jr, androidx.base.kt
    @CanIgnoreReturnValue
    public final int setCount(@NullableDecl E e, int i) {
        int i2;
        b.i(i, "count");
        tt<E> ttVar = this.backingMap;
        if (i == 0) {
            ttVar.getClass();
            i2 = ttVar.l(e, tq.H(e));
        } else {
            i2 = ttVar.k(e, i);
        }
        this.size += (long) (i - i2);
        return i2;
    }

    @Override // androidx.base.kt
    public final int size() {
        return b.g0(this.size);
    }

    @Override // androidx.base.jr, androidx.base.kt
    public final boolean setCount(@NullableDecl E e, int i, int i2) {
        b.i(i, "oldCount");
        b.i(i2, "newCount");
        int h = this.backingMap.h(e);
        if (h == -1) {
            if (i != 0) {
                return false;
            }
            if (i2 > 0) {
                this.backingMap.k(e, i2);
                this.size += (long) i2;
            }
            return true;
        } else if (this.backingMap.f(h) != i) {
            return false;
        } else {
            if (i2 == 0) {
                this.backingMap.m(h);
                this.size -= (long) i;
            } else {
                this.backingMap.p(h, i2);
                this.size += (long) (i2 - i);
            }
            return true;
        }
    }
}
