package androidx.base;

import androidx.base.kt;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.j2objc.annotations.Weak;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.Set;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class is<K, V> extends lr<K, V> implements Serializable {
    private static final long serialVersionUID = 0;
    public final transient ds<K, ? extends zr<V>> map;
    public final transient int size;

    public class a extends mu<Map.Entry<K, V>> {
        public final Iterator<? extends Map.Entry<K, ? extends zr<V>>> a;
        public K b = null;
        public Iterator<V> c = rs.c;

        public a() {
            this.a = is.this.map.entrySet().iterator();
        }

        public boolean hasNext() {
            return this.c.hasNext() || this.a.hasNext();
        }

        @Override // java.util.Iterator
        public Object next() {
            if (!this.c.hasNext()) {
                Map.Entry entry = (Map.Entry) this.a.next();
                this.b = (K) entry.getKey();
                this.c = ((zr) entry.getValue()).iterator();
            }
            return new as(this.b, this.c.next());
        }
    }

    public class b extends mu<V> {
        public Iterator<? extends zr<V>> a;
        public Iterator<V> b = rs.c;

        public b() {
            this.a = is.this.map.values().iterator();
        }

        public boolean hasNext() {
            return this.b.hasNext() || this.a.hasNext();
        }

        @Override // java.util.Iterator
        public V next() {
            if (!this.b.hasNext()) {
                this.b = ((zr) this.a.next()).iterator();
            }
            return this.b.next();
        }
    }

    public static class c<K, V> {
        public Map<K, Collection<V>> a = or.create();

        public Collection<V> a() {
            return new ArrayList();
        }

        @CanIgnoreReturnValue
        public c<K, V> b(K k, V v) {
            b.h(k, v);
            Collection<V> collection = this.a.get(k);
            if (collection == null) {
                Map<K, Collection<V>> map = this.a;
                Collection<V> a2 = a();
                map.put(k, a2);
                collection = a2;
            }
            collection.add(v);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: androidx.base.is$c<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public c<K, V> c(Map.Entry<? extends K, ? extends V> entry) {
            return b(entry.getKey(), entry.getValue());
        }

        @CanIgnoreReturnValue
        public c<K, V> d(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
            for (Map.Entry<? extends K, ? extends V> entry : iterable) {
                c(entry);
            }
            return this;
        }

        @CanIgnoreReturnValue
        public c<K, V> e(K k, Iterable<? extends V> iterable) {
            if (k != null) {
                Collection<V> collection = this.a.get(k);
                if (collection != null) {
                    for (V v : iterable) {
                        b.h(k, v);
                        collection.add(v);
                    }
                    return this;
                }
                Iterator<? extends V> it = iterable.iterator();
                if (!it.hasNext()) {
                    return this;
                }
                Collection<V> a2 = a();
                while (it.hasNext()) {
                    V v2 = (V) it.next();
                    b.h(k, v2);
                    a2.add(v2);
                }
                this.a.put(k, a2);
                return this;
            }
            StringBuilder j = b2.j("null key in entry: null=");
            j.append(tq.K(iterable));
            throw new NullPointerException(j.toString());
        }
    }

    public static class d<K, V> extends zr<Map.Entry<K, V>> {
        private static final long serialVersionUID = 0;
        @Weak
        public final is<K, V> multimap;

        public d(is<K, V> isVar) {
            this.multimap = isVar;
        }

        @Override // androidx.base.zr
        public boolean contains(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.multimap.containsEntry(entry.getKey(), entry.getValue());
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return this.multimap.isPartialView();
        }

        public int size() {
            return this.multimap.size();
        }

        @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public mu<Map.Entry<K, V>> iterator() {
            return this.multimap.entryIterator();
        }
    }

    public static class e {
        public static final du<is> a = b.C(is.class, "map");
        public static final du<is> b = b.C(is.class, "size");
    }

    public class f extends js<K> {
        public f() {
        }

        @Override // androidx.base.zr, androidx.base.js, androidx.base.kt
        public boolean contains(@NullableDecl Object obj) {
            return is.this.containsKey(obj);
        }

        @Override // androidx.base.js, androidx.base.kt
        public int count(@NullableDecl Object obj) {
            Collection collection = (Collection) is.this.map.get(obj);
            if (collection == null) {
                return 0;
            }
            return collection.size();
        }

        @Override // androidx.base.js
        public kt.a<K> getEntry(int i) {
            Map.Entry<K, ? extends zr<V>> entry = is.this.map.entrySet().asList().get(i);
            return new ot(entry.getKey(), ((Collection) entry.getValue()).size());
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return true;
        }

        @Override // androidx.base.kt
        public int size() {
            return is.this.size();
        }

        @Override // androidx.base.zr, androidx.base.js
        public Object writeReplace() {
            return new g(is.this);
        }

        @Override // androidx.base.js, androidx.base.js, androidx.base.kt
        public ls<K> elementSet() {
            return is.this.keySet();
        }
    }

    public static final class g implements Serializable {
        public final is<?, ?> multimap;

        public g(is<?, ?> isVar) {
            this.multimap = isVar;
        }

        public Object readResolve() {
            return this.multimap.keys();
        }
    }

    public static final class h<K, V> extends zr<V> {
        private static final long serialVersionUID = 0;
        @Weak
        public final transient is<K, V> b;

        public h(is<K, V> isVar) {
            this.b = isVar;
        }

        @Override // androidx.base.zr
        public boolean contains(@NullableDecl Object obj) {
            return this.b.containsValue(obj);
        }

        @Override // androidx.base.zr
        public int copyIntoArray(Object[] objArr, int i) {
            mu<? extends zr<V>> it = this.b.map.values().iterator();
            while (it.hasNext()) {
                i = ((zr) it.next()).copyIntoArray(objArr, i);
            }
            return i;
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return true;
        }

        public int size() {
            return this.b.size();
        }

        @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public mu<V> iterator() {
            return this.b.valueIterator();
        }
    }

    public is(ds<K, ? extends zr<V>> dsVar, int i) {
        this.map = dsVar;
        this.size = i;
    }

    public static <K, V> c<K, V> builder() {
        return new c<>();
    }

    public static <K, V> is<K, V> copyOf(et<? extends K, ? extends V> etVar) {
        if (etVar instanceof is) {
            is<K, V> isVar = (is) etVar;
            if (!isVar.isPartialView()) {
                return isVar;
            }
        }
        return cs.copyOf((et) etVar);
    }

    public static <K, V> is<K, V> of() {
        return cs.of();
    }

    @Override // androidx.base.et
    @Deprecated
    public void clear() {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.ir, androidx.base.et
    public /* bridge */ /* synthetic */ boolean containsEntry(@NullableDecl Object obj, @NullableDecl Object obj2) {
        return super.containsEntry(obj, obj2);
    }

    @Override // androidx.base.et
    public boolean containsKey(@NullableDecl Object obj) {
        return this.map.containsKey(obj);
    }

    @Override // androidx.base.ir
    public boolean containsValue(@NullableDecl Object obj) {
        return obj != null && super.containsValue(obj);
    }

    @Override // androidx.base.ir
    public Map<K, Collection<V>> createAsMap() {
        throw new AssertionError("should never be called");
    }

    @Override // androidx.base.ir
    public Set<K> createKeySet() {
        throw new AssertionError("unreachable");
    }

    @Override // androidx.base.ir
    public /* bridge */ /* synthetic */ boolean equals(@NullableDecl Object obj) {
        return super.equals(obj);
    }

    @Override // androidx.base.et
    public abstract zr<V> get(K k);

    @Override // androidx.base.ir
    public /* bridge */ /* synthetic */ int hashCode() {
        return super.hashCode();
    }

    public abstract is<V, K> inverse();

    @Override // androidx.base.ir, androidx.base.et
    public /* bridge */ /* synthetic */ boolean isEmpty() {
        return super.isEmpty();
    }

    public boolean isPartialView() {
        return this.map.isPartialView();
    }

    @Override // androidx.base.ir, androidx.base.et
    @CanIgnoreReturnValue
    @Deprecated
    public boolean put(K k, V v) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.ir
    @CanIgnoreReturnValue
    @Deprecated
    public boolean putAll(K k, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.ir, androidx.base.et
    @CanIgnoreReturnValue
    @Deprecated
    public boolean remove(Object obj, Object obj2) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.et
    public int size() {
        return this.size;
    }

    @Override // androidx.base.ir
    public /* bridge */ /* synthetic */ String toString() {
        return super.toString();
    }

    public static <K, V> is<K, V> of(K k, V v) {
        return cs.of((Object) k, (Object) v);
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: androidx.base.ds<K, ? extends androidx.base.zr<V>>, androidx.base.ds<K, java.util.Collection<V>> */
    @Override // androidx.base.ir, androidx.base.et
    public ds<K, Collection<V>> asMap() {
        return (ds<K, ? extends zr<V>>) this.map;
    }

    @Override // androidx.base.ir
    public zr<Map.Entry<K, V>> createEntries() {
        return new d(this);
    }

    @Override // androidx.base.ir
    public js<K> createKeys() {
        return new f();
    }

    @Override // androidx.base.ir
    public zr<V> createValues() {
        return new h(this);
    }

    @Override // androidx.base.ir, androidx.base.et
    public zr<Map.Entry<K, V>> entries() {
        return (zr) super.entries();
    }

    @Override // androidx.base.ir
    public mu<Map.Entry<K, V>> entryIterator() {
        return new a();
    }

    @Override // androidx.base.ir, androidx.base.et
    public ls<K> keySet() {
        return this.map.keySet();
    }

    @Override // androidx.base.ir
    public js<K> keys() {
        return (js) super.keys();
    }

    @Override // androidx.base.ir
    @CanIgnoreReturnValue
    @Deprecated
    public boolean putAll(et<? extends K, ? extends V> etVar) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.et
    @CanIgnoreReturnValue
    @Deprecated
    public zr<V> removeAll(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.ir
    @CanIgnoreReturnValue
    @Deprecated
    public zr<V> replaceValues(K k, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.ir
    public mu<V> valueIterator() {
        return new b();
    }

    @Override // androidx.base.ir, androidx.base.et
    public zr<V> values() {
        return (zr) super.values();
    }

    public static <K, V> is<K, V> of(K k, V v, K k2, V v2) {
        return cs.of((Object) k, (Object) v, (Object) k2, (Object) v2);
    }

    public static <K, V> is<K, V> of(K k, V v, K k2, V v2, K k3, V v3) {
        return cs.of((Object) k, (Object) v, (Object) k2, (Object) v2, (Object) k3, (Object) v3);
    }

    public static <K, V> is<K, V> copyOf(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        return cs.copyOf((Iterable) iterable);
    }

    public static <K, V> is<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4) {
        return cs.of((Object) k, (Object) v, (Object) k2, (Object) v2, (Object) k3, (Object) v3, (Object) k4, (Object) v4);
    }

    public static <K, V> is<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4, K k5, V v5) {
        return cs.of((Object) k, (Object) v, (Object) k2, (Object) v2, (Object) k3, (Object) v3, (Object) k4, (Object) v4, (Object) k5, (Object) v5);
    }
}
