package androidx.base;

import androidx.base.kt;
import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.CompatibleWith;
import com.google.errorprone.annotations.concurrent.LazyInit;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.Set;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class js<E> extends ks<E> implements kt<E> {
    @LazyInit
    public transient bs<E> b;
    @LazyInit
    public transient ls<kt.a<E>> c;

    public class a extends mu<E> {
        public int a;
        @MonotonicNonNullDecl
        public E b;
        public final /* synthetic */ Iterator c;

        public a(js jsVar, Iterator it) {
            this.c = it;
        }

        public boolean hasNext() {
            return this.a > 0 || this.c.hasNext();
        }

        @Override // java.util.Iterator
        public E next() {
            if (this.a <= 0) {
                kt.a aVar = (kt.a) this.c.next();
                this.b = (E) aVar.getElement();
                this.a = aVar.getCount();
            }
            this.a--;
            return this.b;
        }
    }

    public static class b<E> extends zr.b<E> {
        public tt<E> a;
        public boolean b = false;

        public b(int i) {
            this.a = new tt<>(i);
        }

        @CanIgnoreReturnValue
        /* renamed from: c */
        public b<E> b(E e) {
            return e(e, 1);
        }

        @CanIgnoreReturnValue
        public b<E> d(E... eArr) {
            for (E e : eArr) {
                b(e);
            }
            return this;
        }

        @CanIgnoreReturnValue
        public b<E> e(E e, int i) {
            if (i == 0) {
                return this;
            }
            if (this.b) {
                this.a = new tt<>(this.a);
            }
            this.b = false;
            e.getClass();
            tt<E> ttVar = this.a;
            ttVar.k(e, ttVar.c(e) + i);
            return this;
        }

        public js<E> f() {
            if (this.a.c == 0) {
                return js.of();
            }
            this.b = true;
            return new xt(this.a);
        }
    }

    public final class c extends ps<kt.a<E>> {
        private static final long serialVersionUID = 0;

        public c(a aVar) {
        }

        @Override // androidx.base.zr
        public boolean contains(Object obj) {
            if (!(obj instanceof kt.a)) {
                return false;
            }
            kt.a aVar = (kt.a) obj;
            if (aVar.getCount() > 0 && js.this.count(aVar.getElement()) == aVar.getCount()) {
                return true;
            }
            return false;
        }

        @Override // androidx.base.ls
        public int hashCode() {
            return js.this.hashCode();
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return js.this.isPartialView();
        }

        public int size() {
            return js.this.elementSet().size();
        }

        @Override // androidx.base.zr, androidx.base.ls
        public Object writeReplace() {
            return new d(js.this);
        }

        @Override // androidx.base.ps
        public kt.a<E> get(int i) {
            return js.this.getEntry(i);
        }
    }

    public static class d<E> implements Serializable {
        public final js<E> multiset;

        public d(js<E> jsVar) {
            this.multiset = jsVar;
        }

        public Object readResolve() {
            return this.multiset.entrySet();
        }
    }

    public static <E> js<E> a(E... eArr) {
        b bVar = new b(4);
        for (E e : eArr) {
            bVar.b(e);
        }
        return bVar.f();
    }

    public static <E> b<E> builder() {
        return new b<>(4);
    }

    public static <E> js<E> copyFromEntries(Collection<? extends kt.a<? extends E>> collection) {
        tt ttVar = new tt(collection.size());
        Iterator<? extends kt.a<? extends E>> it = collection.iterator();
        loop0:
        while (true) {
            while (it.hasNext()) {
                kt.a aVar = (kt.a) it.next();
                Object element = aVar.getElement();
                int count = aVar.getCount();
                if (count != 0) {
                    if (0 != 0) {
                        ttVar = new tt(ttVar);
                    }
                    element.getClass();
                    ttVar.k(element, ttVar.c(element) + count);
                }
            }
            break loop0;
        }
        if (ttVar.c == 0) {
            return of();
        }
        return new xt(ttVar);
    }

    public static <E> js<E> copyOf(E[] eArr) {
        return a(eArr);
    }

    public static <E> js<E> of() {
        return xt.EMPTY;
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    @Deprecated
    public final int add(E e, int i) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.zr
    public bs<E> asList() {
        bs<E> bsVar = this.b;
        if (bsVar != null) {
            return bsVar;
        }
        bs<E> asList = super.asList();
        this.b = asList;
        return asList;
    }

    @Override // androidx.base.zr, androidx.base.kt
    public boolean contains(@NullableDecl Object obj) {
        return count(obj) > 0;
    }

    @Override // androidx.base.zr
    public int copyIntoArray(Object[] objArr, int i) {
        mu<kt.a<E>> it = entrySet().iterator();
        while (it.hasNext()) {
            kt.a<E> next = it.next();
            Arrays.fill(objArr, i, next.getCount() + i, next.getElement());
            i += next.getCount();
        }
        return i;
    }

    @Override // androidx.base.kt
    public abstract /* synthetic */ int count(@NullableDecl @CompatibleWith("E") Object obj);

    @Override // androidx.base.kt
    public abstract ls<E> elementSet();

    public boolean equals(@NullableDecl Object obj) {
        return nr.a(this, obj);
    }

    public abstract kt.a<E> getEntry(int i);

    public int hashCode() {
        return nr.d(entrySet());
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    @Deprecated
    public final int remove(Object obj, int i) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    @Deprecated
    public final int setCount(E e, int i) {
        throw new UnsupportedOperationException();
    }

    public String toString() {
        return entrySet().toString();
    }

    @Override // androidx.base.zr
    public abstract Object writeReplace();

    public static <E> js<E> copyOf(Iterable<? extends E> iterable) {
        tt<E> ttVar;
        if (iterable instanceof js) {
            js<E> jsVar = (js) iterable;
            if (!jsVar.isPartialView()) {
                return jsVar;
            }
        }
        boolean z = iterable instanceof kt;
        b bVar = new b(z ? ((kt) iterable).elementSet().size() : 11);
        if (z) {
            kt ktVar = (kt) iterable;
            if (ktVar instanceof xt) {
                ttVar = ((xt) ktVar).contents;
            } else {
                ttVar = ktVar instanceof gr ? ((gr) ktVar).backingMap : null;
            }
            if (ttVar != null) {
                tt<E> ttVar2 = bVar.a;
                ttVar2.a(Math.max(ttVar2.c, ttVar.c));
                for (int b2 = ttVar.b(); b2 >= 0; b2 = ttVar.j(b2)) {
                    bVar.e(ttVar.e(b2), ttVar.f(b2));
                }
            } else {
                Set<kt.a<E>> entrySet = ktVar.entrySet();
                tt<E> ttVar3 = bVar.a;
                ttVar3.a(Math.max(ttVar3.c, entrySet.size()));
                for (kt.a<E> aVar : ktVar.entrySet()) {
                    bVar.e(aVar.getElement(), aVar.getCount());
                }
            }
        } else {
            Iterator<? extends E> it = iterable.iterator();
            while (it.hasNext()) {
                bVar.b(it.next());
            }
        }
        return bVar.f();
    }

    public static <E> js<E> of(E e) {
        return a(e);
    }

    @Override // androidx.base.kt
    public ls<kt.a<E>> entrySet() {
        ls<kt.a<E>> lsVar = this.c;
        if (lsVar == null) {
            lsVar = isEmpty() ? ls.of() : new c(null);
            this.c = lsVar;
        }
        return lsVar;
    }

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
    public mu<E> iterator() {
        return new a(this, entrySet().iterator());
    }

    @Override // androidx.base.kt
    @CanIgnoreReturnValue
    @Deprecated
    public final boolean setCount(E e, int i, int i2) {
        throw new UnsupportedOperationException();
    }

    public static <E> js<E> of(E e, E e2) {
        return a(e, e2);
    }

    public static <E> js<E> of(E e, E e2, E e3) {
        return a(e, e2, e3);
    }

    public static <E> js<E> of(E e, E e2, E e3, E e4) {
        return a(e, e2, e3, e4);
    }

    public static <E> js<E> of(E e, E e2, E e3, E e4, E e5) {
        return a(e, e2, e3, e4, e5);
    }

    public static <E> js<E> of(E e, E e2, E e3, E e4, E e5, E e6, E... eArr) {
        b bVar = new b(4);
        bVar.e(e, 1);
        return bVar.b(e2).b(e3).b(e4).b(e5).b(e6).d(eArr).f();
    }

    public static <E> js<E> copyOf(Iterator<? extends E> it) {
        b bVar = new b(4);
        while (it.hasNext()) {
            bVar.b(it.next());
        }
        return bVar.f();
    }
}
