package androidx.base;

import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.LazyInit;
import com.google.j2objc.annotations.RetainedWith;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Iterator;
import java.util.Set;
import java.util.SortedSet;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ls<E> extends zr<E> implements Set<E> {
    public static final int MAX_TABLE_SIZE = 1073741824;
    @NullableDecl
    @RetainedWith
    @LazyInit
    public transient bs<E> b;

    public static class a<E> extends zr.a<E> {
        @NullableDecl
        public Object[] d;
        public int e;

        public a() {
            super(4);
        }

        @CanIgnoreReturnValue
        public a<E> d(E e2) {
            e2.getClass();
            if (this.d != null) {
                int chooseTableSize = ls.chooseTableSize(this.b);
                Object[] objArr = this.d;
                if (chooseTableSize <= objArr.length) {
                    int length = objArr.length - 1;
                    int hashCode = e2.hashCode();
                    int G = tq.G(hashCode);
                    while (true) {
                        int i = G & length;
                        Object[] objArr2 = this.d;
                        Object obj = objArr2[i];
                        if (obj == null) {
                            objArr2[i] = e2;
                            this.e += hashCode;
                            b(e2);
                            break;
                        } else if (obj.equals(e2)) {
                            break;
                        } else {
                            G = i + 1;
                        }
                    }
                    return this;
                }
            }
            this.d = null;
            b(e2);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: androidx.base.ls$a<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public a<E> e(Iterator<? extends E> it) {
            while (it.hasNext()) {
                d(it.next());
            }
            return this;
        }

        public ls<E> f() {
            ls<E> lsVar;
            int i = this.b;
            if (i == 0) {
                return ls.of();
            }
            if (i == 1) {
                return ls.of(this.a[0]);
            }
            if (this.d == null || ls.chooseTableSize(i) != this.d.length) {
                lsVar = ls.a(this.b, this.a);
                this.b = lsVar.size();
            } else {
                Object[] copyOf = ls.access$000(this.b, this.a.length) ? Arrays.copyOf(this.a, this.b) : this.a;
                int i2 = this.e;
                Object[] objArr = this.d;
                lsVar = new yt<>(copyOf, i2, objArr, objArr.length - 1, this.b);
            }
            this.c = true;
            this.d = null;
            return lsVar;
        }

        public a(int i) {
            super(i);
            this.d = new Object[ls.chooseTableSize(i)];
        }
    }

    public static class b implements Serializable {
        private static final long serialVersionUID = 0;
        public final Object[] elements;

        public b(Object[] objArr) {
            this.elements = objArr;
        }

        public Object readResolve() {
            return ls.copyOf(this.elements);
        }
    }

    public static <E> ls<E> a(int i, Object... objArr) {
        if (i == 0) {
            return of();
        }
        boolean z = false;
        if (i == 1) {
            return of(objArr[0]);
        }
        int chooseTableSize = chooseTableSize(i);
        Object[] objArr2 = new Object[chooseTableSize];
        int i2 = chooseTableSize - 1;
        int i3 = 0;
        int i4 = 0;
        for (int i5 = 0; i5 < i; i5++) {
            Object obj = objArr[i5];
            b.f(obj, i5);
            int hashCode = obj.hashCode();
            int G = tq.G(hashCode);
            while (true) {
                int i6 = G & i2;
                Object obj2 = objArr2[i6];
                if (obj2 == null) {
                    objArr[i4] = obj;
                    objArr2[i6] = obj;
                    i3 += hashCode;
                    i4++;
                    break;
                } else if (obj2.equals(obj)) {
                    break;
                } else {
                    G++;
                }
            }
        }
        Arrays.fill(objArr, i4, i, (Object) null);
        if (i4 == 1) {
            return new ju(objArr[0], i3);
        }
        if (chooseTableSize(i4) < chooseTableSize / 2) {
            return a(i4, objArr);
        }
        int length = objArr.length;
        if (i4 < (length >> 1) + (length >> 2)) {
            z = true;
        }
        if (z) {
            objArr = Arrays.copyOf(objArr, i4);
        }
        return new yt(objArr, i3, objArr2, i2, i4);
    }

    public static boolean access$000(int i, int i2) {
        return i < (i2 >> 1) + (i2 >> 2);
    }

    public static <E> a<E> builder() {
        return new a<>();
    }

    public static <E> a<E> builderWithExpectedSize(int i) {
        b.i(i, "expectedSize");
        return new a<>(i);
    }

    public static int chooseTableSize(int i) {
        int max = Math.max(i, 2);
        boolean z = true;
        if (max < 751619276) {
            int highestOneBit = Integer.highestOneBit(max - 1) << 1;
            while (true) {
                double d = (double) highestOneBit;
                Double.isNaN(d);
                if (d * 0.7d >= ((double) max)) {
                    return highestOneBit;
                }
                highestOneBit <<= 1;
            }
        } else {
            if (max >= 1073741824) {
                z = false;
            }
            tq.d(z, "collection too large");
            return 1073741824;
        }
    }

    public static <E> ls<E> copyOf(Collection<? extends E> collection) {
        if ((collection instanceof ls) && !(collection instanceof SortedSet)) {
            ls<E> lsVar = (ls) collection;
            if (!lsVar.isPartialView()) {
                return lsVar;
            }
        }
        Object[] array = collection.toArray();
        return a(array.length, array);
    }

    public static <E> ls<E> of() {
        return yt.EMPTY;
    }

    @Override // androidx.base.zr
    public bs<E> asList() {
        bs<E> bsVar = this.b;
        if (bsVar != null) {
            return bsVar;
        }
        bs<E> createAsList = createAsList();
        this.b = createAsList;
        return createAsList;
    }

    public bs<E> createAsList() {
        return bs.asImmutableList(toArray());
    }

    public boolean equals(@NullableDecl Object obj) {
        if (obj == this) {
            return true;
        }
        if (!(obj instanceof ls) || !isHashCodeFast() || !((ls) obj).isHashCodeFast() || hashCode() == obj.hashCode()) {
            return nr.c(this, obj);
        }
        return false;
    }

    public int hashCode() {
        return nr.d(this);
    }

    public boolean isHashCodeFast() {
        return false;
    }

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
    public abstract mu<E> iterator();

    @Override // androidx.base.zr
    public Object writeReplace() {
        return new b(toArray());
    }

    public static <E> ls<E> of(E e) {
        return new ju(e);
    }

    public static <E> ls<E> of(E e, E e2) {
        return a(2, e, e2);
    }

    public static <E> ls<E> of(E e, E e2, E e3) {
        return a(3, e, e2, e3);
    }

    public static <E> ls<E> of(E e, E e2, E e3, E e4) {
        return a(4, e, e2, e3, e4);
    }

    public static <E> ls<E> copyOf(Iterable<? extends E> iterable) {
        if (iterable instanceof Collection) {
            return copyOf((Collection) iterable);
        }
        return copyOf(iterable.iterator());
    }

    public static <E> ls<E> of(E e, E e2, E e3, E e4, E e5) {
        return a(5, e, e2, e3, e4, e5);
    }

    @SafeVarargs
    public static <E> ls<E> of(E e, E e2, E e3, E e4, E e5, E e6, E... eArr) {
        tq.d(eArr.length <= 2147483641, "the total number of elements must fit in an int");
        int length = eArr.length + 6;
        Object[] objArr = new Object[length];
        objArr[0] = e;
        objArr[1] = e2;
        objArr[2] = e3;
        objArr[3] = e4;
        objArr[4] = e5;
        objArr[5] = e6;
        System.arraycopy(eArr, 0, objArr, 6, eArr.length);
        return a(length, objArr);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r1v1, resolved type: androidx.base.ls$a */
    /* JADX WARN: Multi-variable type inference failed */
    public static <E> ls<E> copyOf(Iterator<? extends E> it) {
        if (!it.hasNext()) {
            return of();
        }
        Object next = it.next();
        if (!it.hasNext()) {
            return of(next);
        }
        a aVar = new a();
        aVar.d(next);
        aVar.e(it);
        return aVar.f();
    }

    public static <E> ls<E> copyOf(E[] eArr) {
        int length = eArr.length;
        if (length == 0) {
            return of();
        }
        if (length != 1) {
            return a(eArr.length, (Object[]) eArr.clone());
        }
        return of(eArr[0]);
    }
}
