package androidx.base;

import androidx.base.ds;
import androidx.base.is;
import androidx.base.ls;
import androidx.base.ns;
import androidx.base.zr;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.LazyInit;
import com.google.j2objc.annotations.RetainedWith;
import com.google.j2objc.annotations.Weak;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.AbstractCollection;
import java.util.Arrays;
import java.util.Collection;
import java.util.Comparator;
import java.util.Iterator;
import java.util.Map;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class ms<K, V> extends is<K, V> implements eu<K, V> {
    private static final long serialVersionUID = 0;
    public final transient ls<V> f;
    @RetainedWith
    @LazyInit
    @MonotonicNonNullDecl
    public transient ms<V, K> g;
    @MonotonicNonNullDecl
    public transient ls<Map.Entry<K, V>> h;

    public static final class a<K, V> extends is.c<K, V> {
        @Override // androidx.base.is.c
        public Collection<V> a() {
            return pr.create();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.is.c
        @CanIgnoreReturnValue
        public is.c b(Object obj, Object obj2) {
            super.b(obj, obj2);
            return this;
        }

        @Override // androidx.base.is.c
        @CanIgnoreReturnValue
        public is.c c(Map.Entry entry) {
            super.c(entry);
            return this;
        }

        public ms<K, V> f() {
            return ms.fromMapEntries(this.a.entrySet(), null);
        }

        @CanIgnoreReturnValue
        public a<K, V> g(K k, V v) {
            super.b(k, v);
            return this;
        }
    }

    public static final class b<K, V> extends ls<Map.Entry<K, V>> {
        @Weak
        public final transient ms<K, V> c;

        public b(ms<K, V> msVar) {
            this.c = msVar;
        }

        @Override // androidx.base.zr
        public boolean contains(@NullableDecl Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            return this.c.containsEntry(entry.getKey(), entry.getValue());
        }

        @Override // androidx.base.zr
        public boolean isPartialView() {
            return false;
        }

        public int size() {
            return this.c.size();
        }

        @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.util.Set, androidx.base.ls, androidx.base.ls, java.lang.Iterable
        public mu<Map.Entry<K, V>> iterator() {
            return this.c.entryIterator();
        }
    }

    public static final class c {
        public static final du<ms> a = b.C(ms.class, "emptySet");
    }

    public ms(ds<K, ls<V>> dsVar, int i, @NullableDecl Comparator<? super V> comparator) {
        super(dsVar, i);
        ls<V> lsVar;
        if (comparator == null) {
            lsVar = ls.of();
        } else {
            lsVar = ns.emptySet(comparator);
        }
        this.f = lsVar;
    }

    public static <K, V> a<K, V> builder() {
        return new a<>();
    }

    public static <K, V> ms<K, V> copyOf(Iterable<? extends Map.Entry<? extends K, ? extends V>> iterable) {
        a aVar = new a();
        aVar.d(iterable);
        return aVar.f();
    }

    public static <K, V> ms<K, V> fromMapEntries(Collection<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> collection, @NullableDecl Comparator<? super V> comparator) {
        AbstractCollection abstractCollection;
        if (collection.isEmpty()) {
            return of();
        }
        Object[] objArr = new Object[(collection.size() * 2)];
        Iterator<? extends Map.Entry<? extends K, ? extends Collection<? extends V>>> it = collection.iterator();
        int i = 0;
        int i2 = 0;
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            Object key = entry.getKey();
            Collection collection2 = (Collection) entry.getValue();
            if (comparator == null) {
                abstractCollection = ls.copyOf(collection2);
            } else {
                abstractCollection = ns.copyOf((Comparator) comparator, collection2);
            }
            if (!abstractCollection.isEmpty()) {
                int i3 = (i2 + 1) * 2;
                if (i3 > objArr.length) {
                    objArr = Arrays.copyOf(objArr, zr.b.a(objArr.length, i3));
                }
                b.h(key, abstractCollection);
                objArr[i2 * 2] = key;
                objArr[(i2 * 2) + 1] = abstractCollection;
                i2++;
                i = abstractCollection.size() + i;
            }
        }
        return new ms<>(wt.create(i2, objArr), i, comparator);
    }

    public static <K, V> ms<K, V> of() {
        return ur.INSTANCE;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ds$b */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        Object obj;
        objectInputStream.defaultReadObject();
        Comparator comparator = (Comparator) objectInputStream.readObject();
        int readInt = objectInputStream.readInt();
        if (readInt >= 0) {
            ds.b builder = ds.builder();
            int i = 0;
            for (int i2 = 0; i2 < readInt; i2++) {
                Object readObject = objectInputStream.readObject();
                int readInt2 = objectInputStream.readInt();
                if (readInt2 > 0) {
                    ls.a aVar = comparator == null ? new ls.a() : new ns.a(comparator);
                    for (int i3 = 0; i3 < readInt2; i3++) {
                        aVar.d(objectInputStream.readObject());
                    }
                    ls f2 = aVar.f();
                    if (f2.size() == readInt2) {
                        builder.c(readObject, f2);
                        i += readInt2;
                    } else {
                        throw new InvalidObjectException("Duplicate key-value pairs exist for key " + readObject);
                    }
                } else {
                    throw new InvalidObjectException(b2.t("Invalid value count ", readInt2));
                }
            }
            try {
                is.e.a.a(this, builder.a());
                du<is> duVar = is.e.b;
                duVar.getClass();
                try {
                    duVar.a.set(this, Integer.valueOf(i));
                    du<ms> duVar2 = c.a;
                    if (comparator == null) {
                        obj = ls.of();
                    } else {
                        obj = ns.emptySet(comparator);
                    }
                    duVar2.a(this, obj);
                } catch (IllegalAccessException e) {
                    throw new AssertionError(e);
                }
            } catch (IllegalArgumentException e2) {
                throw ((InvalidObjectException) new InvalidObjectException(e2.getMessage()).initCause(e2));
            }
        } else {
            throw new InvalidObjectException(b2.t("Invalid key count ", readInt));
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeObject(valueComparator());
        b.t0(this, objectOutputStream);
    }

    @NullableDecl
    public Comparator<? super V> valueComparator() {
        ls<V> lsVar = this.f;
        if (lsVar instanceof ns) {
            return ((ns) lsVar).comparator();
        }
        return null;
    }

    public static <K, V> ms<K, V> of(K k, V v) {
        a builder = builder();
        builder.g(k, v);
        return builder.f();
    }

    /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: androidx.base.ms<K, V> */
    /* JADX DEBUG: Multi-variable search result rejected for r0v1, resolved type: androidx.base.ms$a */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // androidx.base.is
    public ms<V, K> inverse() {
        ms<V, K> msVar = this.g;
        if (msVar != null) {
            return msVar;
        }
        a builder = builder();
        mu it = entries().iterator();
        while (it.hasNext()) {
            Map.Entry entry = (Map.Entry) it.next();
            builder.g(entry.getValue(), entry.getKey());
        }
        ms<V, K> f2 = builder.f();
        f2.g = this;
        this.g = f2;
        return f2;
    }

    public static <K, V> ms<K, V> copyOf(et<? extends K, ? extends V> etVar) {
        etVar.getClass();
        if (etVar.isEmpty()) {
            return of();
        }
        if (etVar instanceof ms) {
            ms<K, V> msVar = (ms) etVar;
            if (!msVar.isPartialView()) {
                return msVar;
            }
        }
        return fromMapEntries(etVar.asMap().entrySet(), null);
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.ir, androidx.base.et
    public ls<Map.Entry<K, V>> entries() {
        ls<Map.Entry<K, V>> lsVar = this.h;
        if (lsVar != null) {
            return lsVar;
        }
        b bVar = new b(this);
        this.h = bVar;
        return bVar;
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.et
    public ls<V> get(@NullableDecl K k) {
        return (ls) tq.r((ls) this.map.get(k), this.f);
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.et
    @CanIgnoreReturnValue
    @Deprecated
    public ls<V> removeAll(Object obj) {
        throw new UnsupportedOperationException();
    }

    @Override // androidx.base.is, androidx.base.is, androidx.base.ir
    @CanIgnoreReturnValue
    @Deprecated
    public ls<V> replaceValues(K k, Iterable<? extends V> iterable) {
        throw new UnsupportedOperationException();
    }

    public static <K, V> ms<K, V> of(K k, V v, K k2, V v2) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        return builder.f();
    }

    public static <K, V> ms<K, V> of(K k, V v, K k2, V v2, K k3, V v3) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        return builder.f();
    }

    public static <K, V> ms<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        builder.g(k4, v4);
        return builder.f();
    }

    public static <K, V> ms<K, V> of(K k, V v, K k2, V v2, K k3, V v3, K k4, V v4, K k5, V v5) {
        a builder = builder();
        builder.g(k, v);
        builder.g(k2, v2);
        builder.g(k3, v3);
        builder.g(k4, v4);
        builder.g(k5, v5);
        return builder.f();
    }
}
