package androidx.base;

import androidx.base.ls;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.LazyInit;
import java.io.InvalidObjectException;
import java.io.ObjectInputStream;
import java.io.Serializable;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.NavigableSet;
import java.util.SortedSet;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ns<E> extends os<E> implements NavigableSet<E>, ku<E> {
    public final transient Comparator<? super E> comparator;
    @LazyInit
    public transient ns<E> descendingSet;

    public static final class a<E> extends ls.a<E> {
        public final Comparator<? super E> f;

        public a(Comparator<? super E> comparator) {
            comparator.getClass();
            this.f = comparator;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.ls.a
        @CanIgnoreReturnValue
        public ls.a d(Object obj) {
            super.d(obj);
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r1v0, resolved type: androidx.base.ns$a<E> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.ls.a
        @CanIgnoreReturnValue
        public ls.a e(Iterator it) {
            it.getClass();
            while (it.hasNext()) {
                super.d(it.next());
            }
            return this;
        }

        /* renamed from: g */
        public ns<E> f() {
            ns<E> construct = ns.construct(this.f, this.b, this.a);
            this.b = construct.size();
            this.c = true;
            return construct;
        }
    }

    public static class b<E> implements Serializable {
        private static final long serialVersionUID = 0;
        public final Comparator<? super E> comparator;
        public final Object[] elements;

        public b(Comparator<? super E> comparator2, Object[] objArr) {
            this.comparator = comparator2;
            this.elements = objArr;
        }

        public Object readResolve() {
            a aVar = new a(this.comparator);
            Object[] objArr = this.elements;
            if (aVar.d != null) {
                for (Object obj : objArr) {
                    aVar.d(obj);
                }
            } else {
                b.g(objArr);
                aVar.c(aVar.b + objArr.length);
                System.arraycopy(objArr, 0, aVar.a, aVar.b, objArr.length);
                aVar.b += objArr.length;
            }
            return aVar.f();
        }
    }

    public ns(Comparator<? super E> comparator2) {
        this.comparator = comparator2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v1, resolved type: java.lang.Object[] */
    /* JADX DEBUG: Multi-variable search result rejected for r2v2, resolved type: java.lang.Object[] */
    /* JADX DEBUG: Multi-variable search result rejected for r3v4, resolved type: java.lang.Object[] */
    /* JADX WARN: Multi-variable type inference failed */
    public static <E> ns<E> construct(Comparator<? super E> comparator2, int i, E... eArr) {
        if (i == 0) {
            return emptySet(comparator2);
        }
        for (int i2 = 0; i2 < i; i2++) {
            b.f(eArr[i2], i2);
        }
        Arrays.sort(eArr, 0, i, comparator2);
        int i3 = 1;
        for (int i4 = 1; i4 < i; i4++) {
            Object obj = (Object) eArr[i4];
            if (comparator2.compare(obj, (Object) eArr[i3 - 1]) != 0) {
                eArr[i3] = obj;
                i3++;
            }
        }
        Arrays.fill(eArr, i3, i, (Object) null);
        int length = eArr.length / 2;
        E[] eArr2 = eArr;
        if (i3 < length) {
            eArr2 = (E[]) Arrays.copyOf(eArr, i3);
        }
        return new zt(bs.asImmutableList(eArr2, i3), comparator2);
    }

    public static <E extends Comparable<? super E>> ns<E> copyOf(E[] eArr) {
        return construct(ut.natural(), eArr.length, (Object[]) eArr.clone());
    }

    public static <E> ns<E> copyOfSorted(SortedSet<E> sortedSet) {
        Comparator<? super E> comparator2 = sortedSet.comparator();
        if (comparator2 == null) {
            comparator2 = ut.natural();
        }
        bs copyOf = bs.copyOf((Collection) sortedSet);
        if (copyOf.isEmpty()) {
            return emptySet(comparator2);
        }
        return new zt(copyOf, comparator2);
    }

    public static <E> zt<E> emptySet(Comparator<? super E> comparator2) {
        return ut.natural().equals(comparator2) ? (zt<E>) zt.NATURAL_EMPTY_SET : new zt<>(bs.of(), comparator2);
    }

    public static <E extends Comparable<?>> a<E> naturalOrder() {
        return new a<>(ut.natural());
    }

    public static <E> ns<E> of() {
        return zt.NATURAL_EMPTY_SET;
    }

    public static <E> a<E> orderedBy(Comparator<E> comparator2) {
        return new a<>(comparator2);
    }

    private void readObject(ObjectInputStream objectInputStream) {
        throw new InvalidObjectException("Use SerializedForm");
    }

    public static <E extends Comparable<?>> a<E> reverseOrder() {
        return new a<>(Collections.reverseOrder());
    }

    @Override // java.util.NavigableSet
    public E ceiling(E e) {
        return (E) tq.s(tailSet((Object) e, true), null);
    }

    @Override // androidx.base.ku, java.util.SortedSet
    public Comparator<? super E> comparator() {
        return this.comparator;
    }

    public abstract ns<E> createDescendingSet();

    @Override // java.util.NavigableSet
    public abstract mu<E> descendingIterator();

    @Override // java.util.SortedSet
    public E first() {
        return iterator().next();
    }

    @Override // java.util.NavigableSet
    public E floor(E e) {
        return (E) tq.u(headSet((Object) e, true).descendingIterator(), null);
    }

    public abstract ns<E> headSetImpl(E e, boolean z);

    @Override // java.util.NavigableSet
    public E higher(E e) {
        return (E) tq.s(tailSet((Object) e, false), null);
    }

    public abstract int indexOf(@NullableDecl Object obj);

    @Override // androidx.base.zr, androidx.base.zr, java.util.AbstractCollection, java.util.Collection, java.util.Set, java.util.NavigableSet, androidx.base.ls, androidx.base.ls, java.lang.Iterable
    public abstract mu<E> iterator();

    @Override // java.util.SortedSet
    public E last() {
        return descendingIterator().next();
    }

    @Override // java.util.NavigableSet
    public E lower(E e) {
        return (E) tq.u(headSet((Object) e, false).descendingIterator(), null);
    }

    @Override // java.util.NavigableSet
    @CanIgnoreReturnValue
    @Deprecated
    public final E pollFirst() {
        throw new UnsupportedOperationException();
    }

    @Override // java.util.NavigableSet
    @CanIgnoreReturnValue
    @Deprecated
    public final E pollLast() {
        throw new UnsupportedOperationException();
    }

    public abstract ns<E> subSetImpl(E e, boolean z, E e2, boolean z2);

    public abstract ns<E> tailSetImpl(E e, boolean z);

    public int unsafeCompare(Object obj, Object obj2) {
        return unsafeCompare(this.comparator, obj, obj2);
    }

    @Override // androidx.base.zr, androidx.base.ls
    public Object writeReplace() {
        return new b(this.comparator, toArray());
    }

    public static <E> ns<E> copyOf(Iterable<? extends E> iterable) {
        return copyOf(ut.natural(), iterable);
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e) {
        return new zt(bs.of(e), ut.natural());
    }

    public static int unsafeCompare(Comparator<?> comparator2, Object obj, Object obj2) {
        return comparator2.compare(obj, obj2);
    }

    @Override // java.util.NavigableSet
    public ns<E> descendingSet() {
        ns<E> nsVar = this.descendingSet;
        if (nsVar != null) {
            return nsVar;
        }
        ns<E> createDescendingSet = createDescendingSet();
        this.descendingSet = createDescendingSet;
        createDescendingSet.descendingSet = this;
        return createDescendingSet;
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e, E e2) {
        return construct(ut.natural(), 2, e, e2);
    }

    @Override // java.util.SortedSet, java.util.NavigableSet
    public ns<E> headSet(E e) {
        return headSet((Object) e, false);
    }

    @Override // java.util.SortedSet, java.util.NavigableSet
    public ns<E> subSet(E e, E e2) {
        return subSet((Object) e, true, (Object) e2, false);
    }

    @Override // java.util.SortedSet, java.util.NavigableSet
    public ns<E> tailSet(E e) {
        return tailSet((Object) e, true);
    }

    public static <E> ns<E> copyOf(Collection<? extends E> collection) {
        return copyOf((Comparator) ut.natural(), (Collection) collection);
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e, E e2, E e3) {
        return construct(ut.natural(), 3, e, e2, e3);
    }

    @Override // java.util.NavigableSet
    public ns<E> headSet(E e, boolean z) {
        e.getClass();
        return headSetImpl(e, z);
    }

    @Override // java.util.NavigableSet
    public ns<E> subSet(E e, boolean z, E e2, boolean z2) {
        e.getClass();
        e2.getClass();
        tq.c(this.comparator.compare(e, e2) <= 0);
        return subSetImpl(e, z, e2, z2);
    }

    @Override // java.util.NavigableSet
    public ns<E> tailSet(E e, boolean z) {
        e.getClass();
        return tailSetImpl(e, z);
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e, E e2, E e3, E e4) {
        return construct(ut.natural(), 4, e, e2, e3, e4);
    }

    public static <E> ns<E> copyOf(Iterator<? extends E> it) {
        return copyOf(ut.natural(), it);
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e, E e2, E e3, E e4, E e5) {
        return construct(ut.natural(), 5, e, e2, e3, e4, e5);
    }

    public static <E extends Comparable<? super E>> ns<E> of(E e, E e2, E e3, E e4, E e5, E e6, E... eArr) {
        int length = eArr.length + 6;
        Comparable[] comparableArr = new Comparable[length];
        comparableArr[0] = e;
        comparableArr[1] = e2;
        comparableArr[2] = e3;
        comparableArr[3] = e4;
        comparableArr[4] = e5;
        comparableArr[5] = e6;
        System.arraycopy(eArr, 0, comparableArr, 6, eArr.length);
        return construct(ut.natural(), length, comparableArr);
    }

    public static <E> ns<E> copyOf(Comparator<? super E> comparator2, Iterator<? extends E> it) {
        a aVar = new a(comparator2);
        it.getClass();
        while (it.hasNext()) {
            aVar.d(it.next());
        }
        return aVar.f();
    }

    public static <E> ns<E> copyOf(Comparator<? super E> comparator2, Collection<? extends E> collection) {
        return copyOf((Comparator) comparator2, (Iterable) collection);
    }

    public static <E> ns<E> copyOf(Comparator<? super E> comparator2, Iterable<? extends E> iterable) {
        comparator2.getClass();
        if (b.J(comparator2, iterable) && (iterable instanceof ns)) {
            ns<E> nsVar = (ns) iterable;
            if (!nsVar.isPartialView()) {
                return nsVar;
            }
        }
        Object[] I = tq.I(iterable);
        return construct(comparator2, I.length, I);
    }
}
