package androidx.base;

import com.google.errorprone.annotations.ForOverride;
import java.io.Serializable;
import java.util.Arrays;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class pq<T> {

    public static final class b extends pq<Object> implements Serializable {
        public static final b INSTANCE = new b();
        private static final long serialVersionUID = 1;

        private Object readResolve() {
            return INSTANCE;
        }

        @Override // androidx.base.pq
        public boolean doEquivalent(Object obj, Object obj2) {
            return obj.equals(obj2);
        }

        @Override // androidx.base.pq
        public int doHash(Object obj) {
            return obj.hashCode();
        }
    }

    public static final class c<T> implements wq<T>, Serializable {
        private static final long serialVersionUID = 0;
        private final pq<T> equivalence;
        @NullableDecl
        private final T target;

        public c(pq<T> pqVar, @NullableDecl T t) {
            pqVar.getClass();
            this.equivalence = pqVar;
            this.target = t;
        }

        @Override // androidx.base.wq
        public boolean apply(@NullableDecl T t) {
            return this.equivalence.equivalent(t, this.target);
        }

        public boolean equals(@NullableDecl Object obj) {
            if (this == obj) {
                return true;
            }
            if (!(obj instanceof c)) {
                return false;
            }
            c cVar = (c) obj;
            if (!this.equivalence.equals(cVar.equivalence) || !tq.q(this.target, cVar.target)) {
                return false;
            }
            return true;
        }

        public int hashCode() {
            return Arrays.hashCode(new Object[]{this.equivalence, this.target});
        }

        public String toString() {
            return this.equivalence + ".equivalentTo(" + ((Object) this.target) + ")";
        }
    }

    public static final class d extends pq<Object> implements Serializable {
        public static final d INSTANCE = new d();
        private static final long serialVersionUID = 1;

        private Object readResolve() {
            return INSTANCE;
        }

        @Override // androidx.base.pq
        public boolean doEquivalent(Object obj, Object obj2) {
            return false;
        }

        @Override // androidx.base.pq
        public int doHash(Object obj) {
            return System.identityHashCode(obj);
        }
    }

    public static final class e<T> implements Serializable {
        private static final long serialVersionUID = 0;
        private final pq<? super T> equivalence;
        @NullableDecl
        private final T reference;

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.lang.Object */
        /* JADX WARN: Multi-variable type inference failed */
        public e(pq pqVar, Object obj, a aVar) {
            pqVar.getClass();
            this.equivalence = pqVar;
            this.reference = obj;
        }

        public boolean equals(@NullableDecl Object obj) {
            if (obj == this) {
                return true;
            }
            if (!(obj instanceof e)) {
                return false;
            }
            e eVar = (e) obj;
            if (this.equivalence.equals(eVar.equivalence)) {
                return this.equivalence.equivalent(this.reference, eVar.reference);
            }
            return false;
        }

        @NullableDecl
        public T get() {
            return this.reference;
        }

        public int hashCode() {
            return this.equivalence.hash(this.reference);
        }

        public String toString() {
            return this.equivalence + ".wrap(" + ((Object) this.reference) + ")";
        }
    }

    public static pq<Object> equals() {
        return b.INSTANCE;
    }

    public static pq<Object> identity() {
        return d.INSTANCE;
    }

    @ForOverride
    public abstract boolean doEquivalent(T t, T t2);

    @ForOverride
    public abstract int doHash(T t);

    public final boolean equivalent(@NullableDecl T t, @NullableDecl T t2) {
        if (t == t2) {
            return true;
        }
        if (t == null || t2 == null) {
            return false;
        }
        return doEquivalent(t, t2);
    }

    public final wq<T> equivalentTo(@NullableDecl T t) {
        return new c(this, t);
    }

    public final int hash(@NullableDecl T t) {
        if (t == null) {
            return 0;
        }
        return doHash(t);
    }

    public final <F> pq<F> onResultOf(qq<F, ? extends T> qqVar) {
        return new rq(qqVar, this);
    }

    public final <S extends T> pq<Iterable<S>> pairwise() {
        return new uq(this);
    }

    public final <S extends T> e<S> wrap(@NullableDecl S s) {
        return new e<>(this, s, null);
    }
}
