package androidx.base;

import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractSet;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.NoSuchElementException;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class pr<E> extends AbstractSet<E> implements Serializable {
    public static final int UNSET = -1;
    @MonotonicNonNullDecl
    public transient int[] a;
    @MonotonicNonNullDecl
    public transient long[] b;
    public transient int c;
    public transient int d;
    @MonotonicNonNullDecl
    public transient Object[] elements;
    public transient float loadFactor;
    public transient int modCount;

    public class a implements Iterator<E> {
        public int a;
        public int b;
        public int c = -1;

        public a() {
            this.a = pr.this.modCount;
            this.b = pr.this.firstEntryIndex();
        }

        public boolean hasNext() {
            return this.b >= 0;
        }

        @Override // java.util.Iterator
        public E next() {
            if (pr.this.modCount != this.a) {
                throw new ConcurrentModificationException();
            } else if (hasNext()) {
                int i = this.b;
                this.c = i;
                pr prVar = pr.this;
                E e = (E) prVar.elements[i];
                this.b = prVar.getSuccessor(i);
                return e;
            } else {
                throw new NoSuchElementException();
            }
        }

        public void remove() {
            if (pr.this.modCount == this.a) {
                b.l(this.c >= 0);
                this.a++;
                pr prVar = pr.this;
                prVar.c(prVar.elements[this.c], pr.a(prVar.b[this.c]));
                this.b = pr.this.adjustAfterRemove(this.b, this.c);
                this.c = -1;
                return;
            }
            throw new ConcurrentModificationException();
        }
    }

    public pr() {
        init(3, 1.0f);
    }

    public static int a(long j) {
        return (int) (j >>> 32);
    }

    public static <E> pr<E> create() {
        return new pr<>();
    }

    public static <E> pr<E> createWithExpectedSize(int i) {
        return new pr<>(i);
    }

    public static long e(long j, int i) {
        return (j & -4294967296L) | (((long) i) & 4294967295L);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.pr<E> */
    /* JADX WARN: Multi-variable type inference failed */
    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        init(3, 1.0f);
        int readInt = objectInputStream.readInt();
        while (true) {
            readInt--;
            if (readInt >= 0) {
                add(objectInputStream.readObject());
            } else {
                return;
            }
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.d);
        Iterator<E> it = iterator();
        while (it.hasNext()) {
            objectOutputStream.writeObject(it.next());
        }
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
    @CanIgnoreReturnValue
    public boolean add(@NullableDecl E e) {
        long[] jArr = this.b;
        Object[] objArr = this.elements;
        int H = tq.H(e);
        int b2 = b() & H;
        int i = this.d;
        int[] iArr = this.a;
        int i2 = iArr[b2];
        if (i2 == -1) {
            iArr[b2] = i;
        } else {
            while (true) {
                long j = jArr[i2];
                if (a(j) == H && tq.q(e, objArr[i2])) {
                    return false;
                }
                int i3 = (int) j;
                if (i3 == -1) {
                    jArr[i2] = e(j, i);
                    break;
                }
                i2 = i3;
            }
        }
        int i4 = Integer.MAX_VALUE;
        if (i != Integer.MAX_VALUE) {
            int i5 = i + 1;
            int length = this.b.length;
            if (i5 > length) {
                int max = Math.max(1, length >>> 1) + length;
                if (max >= 0) {
                    i4 = max;
                }
                if (i4 != length) {
                    resizeEntries(i4);
                }
            }
            insertEntry(i, e, H);
            this.d = i5;
            if (i >= this.c) {
                d(this.a.length * 2);
            }
            this.modCount++;
            return true;
        }
        throw new IllegalStateException("Cannot contain more than Integer.MAX_VALUE elements!");
    }

    public int adjustAfterRemove(int i, int i2) {
        return i - 1;
    }

    public final int b() {
        return this.a.length - 1;
    }

    @CanIgnoreReturnValue
    public final boolean c(Object obj, int i) {
        int b2 = b() & i;
        int i2 = this.a[b2];
        if (i2 == -1) {
            return false;
        }
        int i3 = -1;
        while (true) {
            if (a(this.b[i2]) != i || !tq.q(obj, this.elements[i2])) {
                int i4 = (int) this.b[i2];
                if (i4 == -1) {
                    return false;
                }
                i3 = i2;
                i2 = i4;
            } else {
                if (i3 == -1) {
                    this.a[b2] = (int) this.b[i2];
                } else {
                    long[] jArr = this.b;
                    jArr[i3] = e(jArr[i3], (int) jArr[i2]);
                }
                moveEntry(i2);
                this.d--;
                this.modCount++;
                return true;
            }
        }
    }

    public void clear() {
        this.modCount++;
        Arrays.fill(this.elements, 0, this.d, (Object) null);
        Arrays.fill(this.a, -1);
        Arrays.fill(this.b, -1L);
        this.d = 0;
    }

    public boolean contains(@NullableDecl Object obj) {
        int H = tq.H(obj);
        int i = this.a[b() & H];
        while (i != -1) {
            long j = this.b[i];
            if (a(j) == H && tq.q(obj, this.elements[i])) {
                return true;
            }
            i = (int) j;
        }
        return false;
    }

    public final void d(int i) {
        if (this.a.length >= 1073741824) {
            this.c = Integer.MAX_VALUE;
            return;
        }
        int i2 = ((int) (((float) i) * this.loadFactor)) + 1;
        int[] iArr = new int[i];
        Arrays.fill(iArr, -1);
        long[] jArr = this.b;
        int i3 = i - 1;
        for (int i4 = 0; i4 < this.d; i4++) {
            int a2 = a(jArr[i4]);
            int i5 = a2 & i3;
            int i6 = iArr[i5];
            iArr[i5] = i4;
            jArr[i4] = (((long) a2) << 32) | (4294967295L & ((long) i6));
        }
        this.c = i2;
        this.a = iArr;
    }

    public int firstEntryIndex() {
        return isEmpty() ? -1 : 0;
    }

    public int getSuccessor(int i) {
        int i2 = i + 1;
        if (i2 < this.d) {
            return i2;
        }
        return -1;
    }

    public void init(int i, float f) {
        boolean z = false;
        tq.d(i >= 0, "Initial capacity must be non-negative");
        if (f > 0.0f) {
            z = true;
        }
        tq.d(z, "Illegal load factor");
        int o = tq.o(i, (double) f);
        int[] iArr = new int[o];
        Arrays.fill(iArr, -1);
        this.a = iArr;
        this.loadFactor = f;
        this.elements = new Object[i];
        long[] jArr = new long[i];
        Arrays.fill(jArr, -1L);
        this.b = jArr;
        this.c = Math.max(1, (int) (((float) o) * f));
    }

    public void insertEntry(int i, E e, int i2) {
        this.b[i] = (((long) i2) << 32) | 4294967295L;
        this.elements[i] = e;
    }

    public boolean isEmpty() {
        return this.d == 0;
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
    public Iterator<E> iterator() {
        return new a();
    }

    public void moveEntry(int i) {
        int size = size() - 1;
        if (i < size) {
            Object[] objArr = this.elements;
            objArr[i] = objArr[size];
            objArr[size] = null;
            long[] jArr = this.b;
            long j = jArr[size];
            jArr[i] = j;
            jArr[size] = -1;
            int a2 = a(j) & b();
            int[] iArr = this.a;
            int i2 = iArr[a2];
            if (i2 == size) {
                iArr[a2] = i;
                return;
            }
            while (true) {
                long[] jArr2 = this.b;
                long j2 = jArr2[i2];
                int i3 = (int) j2;
                if (i3 == size) {
                    jArr2[i2] = e(j2, i);
                    return;
                }
                i2 = i3;
            }
        } else {
            this.elements[i] = null;
            this.b[i] = -1;
        }
    }

    @CanIgnoreReturnValue
    public boolean remove(@NullableDecl Object obj) {
        return c(obj, tq.H(obj));
    }

    public void resizeEntries(int i) {
        this.elements = Arrays.copyOf(this.elements, i);
        long[] jArr = this.b;
        int length = jArr.length;
        long[] copyOf = Arrays.copyOf(jArr, i);
        if (i > length) {
            Arrays.fill(copyOf, length, i, -1L);
        }
        this.b = copyOf;
    }

    public int size() {
        return this.d;
    }

    public Object[] toArray() {
        return Arrays.copyOf(this.elements, this.d);
    }

    public void trimToSize() {
        int i = this.d;
        if (i < this.b.length) {
            resizeEntries(i);
        }
        int max = Math.max(1, Integer.highestOneBit((int) (((float) i) / this.loadFactor)));
        if (max < 1073741824) {
            double d2 = (double) i;
            double d3 = (double) max;
            Double.isNaN(d2);
            Double.isNaN(d3);
            if (d2 / d3 > ((double) this.loadFactor)) {
                max <<= 1;
            }
        }
        if (max < this.a.length) {
            d(max);
        }
    }

    public static <E> pr<E> create(Collection<? extends E> collection) {
        pr<E> createWithExpectedSize = createWithExpectedSize(collection.size());
        createWithExpectedSize.addAll(collection);
        return createWithExpectedSize;
    }

    @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
    @CanIgnoreReturnValue
    public <T> T[] toArray(T[] tArr) {
        Object[] objArr = this.elements;
        int i = this.d;
        tq.j(0, 0 + i, objArr.length);
        if (tArr.length < i) {
            tArr = (T[]) b.X(tArr, i);
        } else if (tArr.length > i) {
            tArr[i] = null;
        }
        System.arraycopy(objArr, 0, tArr, 0, i);
        return tArr;
    }

    public pr(int i) {
        init(i, 1.0f);
    }

    public static <E> pr<E> create(E... eArr) {
        pr<E> createWithExpectedSize = createWithExpectedSize(eArr.length);
        Collections.addAll(createWithExpectedSize, eArr);
        return createWithExpectedSize;
    }
}
