package androidx.base;

import androidx.base.ws;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicInteger;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public abstract class ut<T> implements Comparator<T> {
    public static final int LEFT_IS_GREATER = 1;
    public static final int RIGHT_IS_GREATER = -1;

    public static class a extends ut<Object> {
        public final AtomicInteger a = new AtomicInteger(0);
        public final ConcurrentMap<Object, Integer> b;

        public a() {
            vs vsVar = new vs();
            vsVar.d(ws.p.WEAK);
            this.b = vsVar.c();
        }

        public final Integer a(Object obj) {
            Integer num = this.b.get(obj);
            if (num != null) {
                return num;
            }
            Integer valueOf = Integer.valueOf(this.a.getAndIncrement());
            Integer putIfAbsent = this.b.putIfAbsent(obj, valueOf);
            return putIfAbsent != null ? putIfAbsent : valueOf;
        }

        @Override // androidx.base.ut, java.util.Comparator
        public int compare(Object obj, Object obj2) {
            if (obj == obj2) {
                return 0;
            }
            if (obj == null) {
                return -1;
            }
            if (obj2 == null) {
                return 1;
            }
            int identityHashCode = System.identityHashCode(obj);
            int identityHashCode2 = System.identityHashCode(obj2);
            if (identityHashCode == identityHashCode2) {
                int compareTo = a(obj).compareTo(a(obj2));
                if (compareTo != 0) {
                    return compareTo;
                }
                throw new AssertionError();
            } else if (identityHashCode < identityHashCode2) {
                return -1;
            } else {
                return 1;
            }
        }

        public String toString() {
            return "Ordering.arbitrary()";
        }
    }

    public static class b {
        public static final ut<Object> a = new a();
    }

    public static class c extends ClassCastException {
        private static final long serialVersionUID = 0;
        public final Object value;

        public c(Object obj) {
            super("Cannot compare value: " + obj);
            this.value = obj;
        }
    }

    public static ut<Object> allEqual() {
        return kr.INSTANCE;
    }

    public static ut<Object> arbitrary() {
        return b.a;
    }

    public static <T> ut<T> explicit(List<T> list) {
        return new vr(list);
    }

    public static <T> ut<T> from(Comparator<T> comparator) {
        return comparator instanceof ut ? (ut) comparator : new qr(comparator);
    }

    public static <C extends Comparable> ut<C> natural() {
        return qt.INSTANCE;
    }

    public static ut<Object> usingToString() {
        return ou.INSTANCE;
    }

    @Deprecated
    public int binarySearch(List<? extends T> list, @NullableDecl T t) {
        return Collections.binarySearch(list, t, this);
    }

    @Override // java.util.Comparator
    @CanIgnoreReturnValue
    public abstract int compare(@NullableDecl T t, @NullableDecl T t2);

    public <U extends T> ut<U> compound(Comparator<? super U> comparator) {
        comparator.getClass();
        return new sr(this, comparator);
    }

    public <E extends T> List<E> greatestOf(Iterable<E> iterable, int i) {
        return reverse().leastOf(iterable, i);
    }

    public <E extends T> bs<E> immutableSortedCopy(Iterable<E> iterable) {
        return bs.sortedCopyOf(this, iterable);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ut<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean isOrdered(Iterable<? extends T> iterable) {
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (compare(next, next2) > 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ut<T> */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean isStrictlyOrdered(Iterable<? extends T> iterable) {
        Iterator<? extends T> it = iterable.iterator();
        if (!it.hasNext()) {
            return true;
        }
        Object next = it.next();
        while (it.hasNext()) {
            Object next2 = it.next();
            if (compare(next, next2) >= 0) {
                return false;
            }
            next = next2;
        }
        return true;
    }

    public <E extends T> List<E> leastOf(Iterable<E> iterable, int i) {
        if (iterable instanceof Collection) {
            Collection collection = (Collection) iterable;
            if (((long) collection.size()) <= ((long) i) * 2) {
                Object[] array = collection.toArray();
                Arrays.sort(array, this);
                if (array.length > i) {
                    array = Arrays.copyOf(array, i);
                }
                return Collections.unmodifiableList(Arrays.asList(array));
            }
        }
        return leastOf(iterable.iterator(), i);
    }

    public <S extends T> ut<Iterable<S>> lexicographical() {
        return new ts(this);
    }

    public <E extends T> E max(Iterator<E> it) {
        E next = it.next();
        while (it.hasNext()) {
            next = (E) max(next, it.next());
        }
        return next;
    }

    public <E extends T> E min(Iterator<E> it) {
        E next = it.next();
        while (it.hasNext()) {
            next = (E) min(next, it.next());
        }
        return next;
    }

    public <S extends T> ut<S> nullsFirst() {
        return new rt(this);
    }

    public <S extends T> ut<S> nullsLast() {
        return new st(this);
    }

    public <T2 extends T> ut<Map.Entry<T2, ?>> onKeys() {
        return onResultOf(zs.KEY);
    }

    public <F> ut<F> onResultOf(qq<F, ? extends T> qqVar) {
        return new mr(qqVar, this);
    }

    public <S extends T> ut<S> reverse() {
        return new bu(this);
    }

    public <E extends T> List<E> sortedCopy(Iterable<E> iterable) {
        Object[] I = tq.I(iterable);
        Arrays.sort(I, this);
        return nr.g(Arrays.asList(I));
    }

    public static <T> ut<T> explicit(T t, T... tArr) {
        return explicit(new us(t, tArr));
    }

    @Deprecated
    public static <T> ut<T> from(ut<T> utVar) {
        utVar.getClass();
        return utVar;
    }

    public <E extends T> List<E> greatestOf(Iterator<E> it, int i) {
        return reverse().leastOf(it, i);
    }

    public static <T> ut<T> compound(Iterable<? extends Comparator<? super T>> iterable) {
        return new sr(iterable);
    }

    public <E extends T> E max(Iterable<E> iterable) {
        return (E) max(iterable.iterator());
    }

    public <E extends T> E min(Iterable<E> iterable) {
        return (E) min(iterable.iterator());
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: E extends T */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: E extends T */
    /* JADX WARN: Multi-variable type inference failed */
    public <E extends T> E max(@NullableDecl E e, @NullableDecl E e2) {
        return compare(e, e2) >= 0 ? e : e2;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: E extends T */
    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: E extends T */
    /* JADX WARN: Multi-variable type inference failed */
    public <E extends T> E min(@NullableDecl E e, @NullableDecl E e2) {
        return compare(e, e2) <= 0 ? e : e2;
    }

    public <E extends T> E max(@NullableDecl E e, @NullableDecl E e2, @NullableDecl E e3, E... eArr) {
        E e4 = (E) max(max(e, e2), e3);
        for (E e5 : eArr) {
            e4 = (E) max(e4, e5);
        }
        return e4;
    }

    public <E extends T> E min(@NullableDecl E e, @NullableDecl E e2, @NullableDecl E e3, E... eArr) {
        E e4 = (E) min(min(e, e2), e3);
        for (E e5 : eArr) {
            e4 = (E) min(e4, e5);
        }
        return e4;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r16v0, types: [androidx.base.ut<T>, java.lang.Object, java.util.Comparator] */
    /* JADX WARN: Type inference failed for: r4v2, types: [java.lang.Object[]] */
    /* JADX WARN: Type inference failed for: r2v7 */
    /* JADX WARN: Type inference failed for: r6v6 */
    /* JADX WARN: Type inference failed for: r6v8, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r12v0, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r13v0 */
    /* JADX WARN: Type inference failed for: r11v5 */
    /* JADX WARN: Type inference failed for: r14v0, types: [java.lang.Object] */
    /* JADX WARN: Type inference failed for: r14v2 */
    /* JADX WARN: Type inference failed for: r15v0 */
    /* JADX WARN: Type inference failed for: r7v22 */
    /* JADX WARNING: Unknown variable types count: 11 */
    public <E extends T> List<E> leastOf(Iterator<E> it, int i) {
        int i2;
        int i3;
        int i4 = i;
        it.getClass();
        b.i(i4, "k");
        if (i4 == 0 || !it.hasNext()) {
            return Collections.emptyList();
        }
        if (i4 >= 1073741823) {
            ArrayList h = nr.h(it);
            Collections.sort(h, this);
            if (h.size() > i4) {
                h.subList(i4, h.size()).clear();
            }
            h.trimToSize();
            return Collections.unmodifiableList(h);
        }
        tq.h(this, "comparator");
        tq.e(i4 >= 0, "k must be nonnegative, was %s", i4);
        ?? r4 = new Object[(i4 * 2)];
        E e = null;
        int i5 = 0;
        while (it.hasNext()) {
            E next = it.next();
            if (i4 != 0) {
                if (i5 == 0) {
                    r4[0] = next;
                    e = next;
                    i5 = 1;
                } else {
                    if (i5 < i4) {
                        i2 = i5 + 1;
                        r4[i5] = next;
                        if (compare(next, e) > 0) {
                            e = next;
                        }
                    } else if (compare(next, e) < 0) {
                        i2 = i5 + 1;
                        r4[i5] = next;
                        int i6 = i4 * 2;
                        if (i2 == i6) {
                            int i7 = i6 - 1;
                            int i8 = i7 + 0;
                            RoundingMode roundingMode = RoundingMode.CEILING;
                            if (i8 > 0) {
                                switch (qu.a[roundingMode.ordinal()]) {
                                    case 1:
                                        if (!(i8 > 0) || !(((i8 + -1) & i8) == 0)) {
                                            throw new ArithmeticException("mode was UNNECESSARY, but rounding was necessary");
                                        }
                                    case 2:
                                    case 3:
                                        i3 = 31 - Integer.numberOfLeadingZeros(i8);
                                        break;
                                    case 4:
                                    case 5:
                                        i3 = 32 - Integer.numberOfLeadingZeros(i8 - 1);
                                        break;
                                    case 6:
                                    case 7:
                                    case 8:
                                        int numberOfLeadingZeros = Integer.numberOfLeadingZeros(i8);
                                        i3 = (31 - numberOfLeadingZeros) + (((((-1257966797 >>> numberOfLeadingZeros) - i8) ^ -1) ^ -1) >>> 31);
                                        break;
                                    default:
                                        throw new AssertionError();
                                }
                                int i9 = i3 * 3;
                                int i10 = 0;
                                int i11 = 0;
                                int i12 = 0;
                                while (true) {
                                    if (i10 < i7) {
                                        int i13 = ((i10 + i7) + 1) >>> 1;
                                        ?? r12 = r4[i13];
                                        r4[i13] = r4[i7];
                                        int i14 = i10;
                                        int i15 = i14;
                                        while (i14 < i7) {
                                            if (compare(r4[i14], r12) < 0) {
                                                ?? r14 = r4[i15];
                                                r4[i15] = r4[i14];
                                                r4[i14] = r14;
                                                i15++;
                                            }
                                            i14++;
                                        }
                                        r4[i7] = r4[i15];
                                        r4[i15] = r12;
                                        if (i15 > i4) {
                                            i7 = i15 - 1;
                                        } else if (i15 < i4) {
                                            i10 = Math.max(i15, i10 + 1);
                                            i12 = i15;
                                        }
                                        i11++;
                                        if (i11 >= i9) {
                                            Arrays.sort(r4, i10, i7, this);
                                        }
                                    }
                                }
                                ?? r6 = r4[i12];
                                e = r6;
                                for (int i16 = i12 + 1; i16 < i4; i16++) {
                                    if (compare(r4[i16], e) > 0) {
                                        e = (E) r4[i16];
                                    }
                                }
                                i5 = i4;
                            } else {
                                throw new IllegalArgumentException("x" + " (" + i8 + ") must be > 0");
                            }
                        }
                    } else {
                        continue;
                    }
                    i5 = i2;
                }
            }
        }
        Arrays.sort(r4, 0, i5, this);
        if (i5 > i4) {
            Arrays.fill((Object[]) r4, i4, r4.length, (Object) null);
            ?? r2 = r4[i4 - 1];
        } else {
            i4 = i5;
        }
        return Collections.unmodifiableList(Arrays.asList(Arrays.copyOf((Object[]) r4, i4)));
    }
}
