package androidx.base;

import androidx.base.vs;
import androidx.base.ws.i;
import androidx.base.ws.n;
import com.google.errorprone.annotations.CanIgnoreReturnValue;
import com.google.errorprone.annotations.concurrent.GuardedBy;
import com.google.j2objc.annotations.Weak;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.lang.ref.Reference;
import java.lang.ref.ReferenceQueue;
import java.lang.ref.WeakReference;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import java.util.concurrent.ConcurrentMap;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReferenceArray;
import java.util.concurrent.locks.ReentrantLock;
import org.checkerframework.checker.nullness.compatqual.MonotonicNonNullDecl;
import org.checkerframework.checker.nullness.compatqual.NullableDecl;

public class ws<K, V, E extends i<K, V, E>, S extends n<K, V, E, S>> extends AbstractMap<K, V> implements ConcurrentMap<K, V>, Serializable {
    public static final long CLEANUP_EXECUTOR_DELAY_SECS = 60;
    public static final int CONTAINS_VALUE_RETRIES = 3;
    public static final int DRAIN_MAX = 16;
    public static final int DRAIN_THRESHOLD = 63;
    public static final int MAXIMUM_CAPACITY = 1073741824;
    public static final int MAX_SEGMENTS = 65536;
    public static final f0<Object, Object, e> UNSET_WEAK_VALUE_REFERENCE = new a();
    private static final long serialVersionUID = 5;
    public final int concurrencyLevel;
    public final transient j<K, V, E, S> entryHelper;
    @MonotonicNonNullDecl
    public transient Set<Map.Entry<K, V>> entrySet;
    public final pq<Object> keyEquivalence;
    @MonotonicNonNullDecl
    public transient Set<K> keySet;
    public final transient int segmentMask;
    public final transient int segmentShift;
    public final transient n<K, V, E, S>[] segments;
    @MonotonicNonNullDecl
    public transient Collection<V> values;

    public static class a implements f0<Object, Object, e> {
        /* Return type fixed from 'androidx.base.ws$i' to match base method */
        @Override // androidx.base.ws.f0
        public /* bridge */ /* synthetic */ e a() {
            return null;
        }

        /* Return type fixed from 'androidx.base.ws$f0' to match base method */
        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.ref.ReferenceQueue, androidx.base.ws$i] */
        @Override // androidx.base.ws.f0
        public f0<Object, Object, e> b(ReferenceQueue<Object> referenceQueue, e eVar) {
            return this;
        }

        @Override // androidx.base.ws.f0
        public void clear() {
        }

        @Override // androidx.base.ws.f0
        public Object get() {
            return null;
        }
    }

    public static final class a0<K, V> extends d<K, V, a0<K, V>> implements i {
        @NullableDecl
        public volatile V c = null;

        public static final class a<K, V> implements j<K, V, a0<K, V>, b0<K, V>> {
            public static final a<?, ?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                b0 b0Var = (b0) nVar;
                a0 a0Var = (a0) iVar;
                a0 a0Var2 = (a0) iVar2;
                if (a0Var.get() == null) {
                    return null;
                }
                a0 a0Var3 = new a0(b0Var.queueForKeys, a0Var.get(), a0Var.a, a0Var2);
                a0Var3.c = a0Var.c;
                return a0Var3;
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.WEAK;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.STRONG;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, Object obj) {
                b0 b0Var = (b0) nVar;
                ((a0) iVar).c = obj;
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new b0(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                return new a0(((b0) nVar).queueForKeys, obj, i, (a0) iVar);
            }
        }

        public a0(ReferenceQueue<K> referenceQueue, K k, int i, @NullableDecl a0<K, V> a0Var) {
            super(referenceQueue, k, i, a0Var);
        }

        @Override // androidx.base.ws.i
        @NullableDecl
        public V getValue() {
            return this.c;
        }
    }

    public static final class b0<K, V> extends n<K, V, a0<K, V>, b0<K, V>> {
        private final ReferenceQueue<K> queueForKeys = new ReferenceQueue<>();

        public b0(ws<K, V, a0<K, V>, b0<K, V>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public ReferenceQueue<K> getKeyReferenceQueueForTesting() {
            return this.queueForKeys;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        @Override // androidx.base.ws.n
        public void maybeClearReferenceQueues() {
            clearReferenceQueue((ReferenceQueue<K>) this.queueForKeys);
        }

        @Override // androidx.base.ws.n
        public void maybeDrainReferenceQueues() {
            drainKeyReferenceQueue(this.queueForKeys);
        }

        @Override // androidx.base.ws.n
        public b0<K, V> self() {
            return this;
        }

        @Override // androidx.base.ws.n
        public a0<K, V> castForTesting(i<K, V, ?> iVar) {
            return (a0) iVar;
        }
    }

    public static abstract class c<K, V, E extends i<K, V, E>> implements i<K, V, E> {
        public final K a;
        public final int b;
        @NullableDecl
        public final E c;

        public c(K k, int i, @NullableDecl E e) {
            this.a = k;
            this.b = i;
            this.c = e;
        }

        @Override // androidx.base.ws.i
        public E a() {
            return this.c;
        }

        @Override // androidx.base.ws.i
        public int c() {
            return this.b;
        }

        @Override // androidx.base.ws.i
        public K getKey() {
            return this.a;
        }
    }

    public static final class c0<K, V> extends d<K, V, c0<K, V>> implements e0<K, V, c0<K, V>> {
        public volatile f0<K, V, c0<K, V>> c = ws.unsetWeakValueReference();

        public static final class a<K, V> implements j<K, V, c0<K, V>, d0<K, V>> {
            public static final a<?, ?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                d0 d0Var = (d0) nVar;
                c0 c0Var = (c0) iVar;
                c0 c0Var2 = (c0) iVar2;
                if (c0Var.get() == null || n.isCollected(c0Var)) {
                    return null;
                }
                ReferenceQueue referenceQueue = d0Var.queueForKeys;
                ReferenceQueue<V> referenceQueue2 = d0Var.queueForValues;
                c0<K, V> c0Var3 = new c0<>(referenceQueue, c0Var.get(), c0Var.a, c0Var2);
                c0Var3.c = c0Var.c.b(referenceQueue2, c0Var3);
                return c0Var3;
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.WEAK;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.WEAK;
            }

            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, Object obj) {
                c0 c0Var = (c0) iVar;
                ReferenceQueue referenceQueue = ((d0) nVar).queueForValues;
                f0<K, V, c0<K, V>> f0Var = c0Var.c;
                c0Var.c = new g0(referenceQueue, obj, c0Var);
                f0Var.clear();
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new d0(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                return new c0(((d0) nVar).queueForKeys, obj, i, (c0) iVar);
            }
        }

        public c0(ReferenceQueue<K> referenceQueue, K k, int i, @NullableDecl c0<K, V> c0Var) {
            super(referenceQueue, k, i, c0Var);
        }

        @Override // androidx.base.ws.e0
        public f0<K, V, c0<K, V>> b() {
            return this.c;
        }

        @Override // androidx.base.ws.i
        public V getValue() {
            return this.c.get();
        }
    }

    public static abstract class d<K, V, E extends i<K, V, E>> extends WeakReference<K> implements i<K, V, E> {
        public final int a;
        @NullableDecl
        public final E b;

        public d(ReferenceQueue<K> referenceQueue, K k, int i, @NullableDecl E e) {
            super(k, referenceQueue);
            this.a = i;
            this.b = e;
        }

        @Override // androidx.base.ws.i
        public E a() {
            return this.b;
        }

        @Override // androidx.base.ws.i
        public int c() {
            return this.a;
        }

        @Override // androidx.base.ws.i
        public K getKey() {
            return (K) get();
        }
    }

    public static final class d0<K, V> extends n<K, V, c0<K, V>, d0<K, V>> {
        private final ReferenceQueue<K> queueForKeys = new ReferenceQueue<>();
        private final ReferenceQueue<V> queueForValues = new ReferenceQueue<>();

        public d0(ws<K, V, c0<K, V>, d0<K, V>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public ReferenceQueue<K> getKeyReferenceQueueForTesting() {
            return this.queueForKeys;
        }

        @Override // androidx.base.ws.n
        public ReferenceQueue<V> getValueReferenceQueueForTesting() {
            return this.queueForValues;
        }

        @Override // androidx.base.ws.n
        public f0<K, V, c0<K, V>> getWeakValueReferenceForTesting(i<K, V, ?> iVar) {
            return castForTesting((i) iVar).c;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        @Override // androidx.base.ws.n
        public void maybeClearReferenceQueues() {
            clearReferenceQueue((ReferenceQueue<K>) this.queueForKeys);
        }

        @Override // androidx.base.ws.n
        public void maybeDrainReferenceQueues() {
            drainKeyReferenceQueue(this.queueForKeys);
            drainValueReferenceQueue(this.queueForValues);
        }

        @Override // androidx.base.ws.n
        public f0<K, V, c0<K, V>> newWeakValueReferenceForTesting(i<K, V, ?> iVar, V v) {
            return new g0(this.queueForValues, v, castForTesting((i) iVar));
        }

        @Override // androidx.base.ws.n
        public d0<K, V> self() {
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: androidx.base.ws$f0<K, V, ? extends androidx.base.ws$i<K, V, ?>> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.ws.n
        public void setWeakValueReferenceForTesting(i<K, V, ?> iVar, f0<K, V, ? extends i<K, V, ?>> f0Var) {
            c0<K, V> castForTesting = castForTesting((i) iVar);
            f0<K, V, c0<K, V>> f0Var2 = castForTesting.c;
            castForTesting.c = f0Var;
            f0Var2.clear();
        }

        @Override // androidx.base.ws.n
        public c0<K, V> castForTesting(i<K, V, ?> iVar) {
            return (c0) iVar;
        }
    }

    public static final class e implements i<Object, Object, e> {
        public e() {
            throw new AssertionError();
        }

        /* Return type fixed from 'androidx.base.ws$i' to match base method */
        @Override // androidx.base.ws.i
        public e a() {
            throw new AssertionError();
        }

        @Override // androidx.base.ws.i
        public int c() {
            throw new AssertionError();
        }

        @Override // androidx.base.ws.i
        public Object getKey() {
            throw new AssertionError();
        }

        @Override // androidx.base.ws.i
        public Object getValue() {
            throw new AssertionError();
        }
    }

    public interface e0<K, V, E extends i<K, V, E>> extends i<K, V, E> {
        f0<K, V, E> b();
    }

    public final class f extends ws<K, V, E, S>.h {
        public f(ws wsVar) {
            super();
        }

        @Override // java.util.Iterator
        public Object next() {
            return c();
        }
    }

    public interface f0<K, V, E extends i<K, V, E>> {
        E a();

        f0<K, V, E> b(ReferenceQueue<V> referenceQueue, E e);

        void clear();

        @NullableDecl
        V get();
    }

    public final class g extends m<Map.Entry<K, V>> {
        public g() {
            super(null);
        }

        public void clear() {
            ws.this.clear();
        }

        public boolean contains(Object obj) {
            Map.Entry entry;
            Object key;
            Object obj2;
            if ((obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && (obj2 = ws.this.get(key)) != null && ws.this.valueEquivalence().equivalent(entry.getValue(), obj2)) {
                return true;
            }
            return false;
        }

        public boolean isEmpty() {
            return ws.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<Map.Entry<K, V>> iterator() {
            return new f(ws.this);
        }

        public boolean remove(Object obj) {
            Map.Entry entry;
            Object key;
            if ((obj instanceof Map.Entry) && (key = (entry = (Map.Entry) obj).getKey()) != null && ws.this.remove(key, entry.getValue())) {
                return true;
            }
            return false;
        }

        public int size() {
            return ws.this.size();
        }
    }

    public static final class g0<K, V, E extends i<K, V, E>> extends WeakReference<V> implements f0<K, V, E> {
        @Weak
        public final E a;

        public g0(ReferenceQueue<V> referenceQueue, V v, E e) {
            super(v, referenceQueue);
            this.a = e;
        }

        @Override // androidx.base.ws.f0
        public E a() {
            return this.a;
        }

        @Override // androidx.base.ws.f0
        public f0<K, V, E> b(ReferenceQueue<V> referenceQueue, E e) {
            return new g0(referenceQueue, get(), e);
        }
    }

    public abstract class h<T> implements Iterator<T> {
        public int a;
        public int b = -1;
        @MonotonicNonNullDecl
        public n<K, V, E, S> c;
        @MonotonicNonNullDecl
        public AtomicReferenceArray<E> d;
        @NullableDecl
        public E e;
        @NullableDecl
        public ws<K, V, E, S>.h0 f;
        @NullableDecl
        public ws<K, V, E, S>.h0 g;

        public h() {
            this.a = ws.this.segments.length - 1;
            a();
        }

        public final void a() {
            this.f = null;
            if (!d() && !e()) {
                while (true) {
                    int i = this.a;
                    if (i >= 0) {
                        n<K, V, E, S>[] nVarArr = ws.this.segments;
                        this.a = i - 1;
                        n<K, V, E, S> nVar = nVarArr[i];
                        this.c = nVar;
                        if (nVar.count != 0) {
                            AtomicReferenceArray<E> atomicReferenceArray = this.c.table;
                            this.d = atomicReferenceArray;
                            this.b = atomicReferenceArray.length() - 1;
                            if (e()) {
                                return;
                            }
                        }
                    } else {
                        return;
                    }
                }
            }
        }

        public boolean b(E e2) {
            boolean z;
            try {
                Object key = e2.getKey();
                Object liveValue = ws.this.getLiveValue(e2);
                if (liveValue != null) {
                    this.f = new h0(key, liveValue);
                    z = true;
                } else {
                    z = false;
                }
                return z;
            } finally {
                this.c.postReadCleanup();
            }
        }

        public ws<K, V, E, S>.h0 c() {
            ws<K, V, E, S>.h0 h0Var = this.f;
            if (h0Var != null) {
                this.g = h0Var;
                a();
                return this.g;
            }
            throw new NoSuchElementException();
        }

        public boolean d() {
            E e2 = this.e;
            if (e2 == null) {
                return false;
            }
            while (true) {
                this.e = (E) e2.a();
                E e3 = this.e;
                if (e3 == null) {
                    return false;
                }
                if (b(e3)) {
                    return true;
                }
                e2 = this.e;
            }
        }

        public boolean e() {
            while (true) {
                int i = this.b;
                if (i < 0) {
                    return false;
                }
                AtomicReferenceArray<E> atomicReferenceArray = this.d;
                this.b = i - 1;
                E e2 = atomicReferenceArray.get(i);
                this.e = e2;
                if (e2 != null && (b(e2) || d())) {
                    return true;
                }
            }
        }

        public boolean hasNext() {
            return this.f != null;
        }

        public void remove() {
            b.l(this.g != null);
            ws.this.remove(this.g.a);
            this.g = null;
        }
    }

    public final class h0 extends hr<K, V> {
        public final K a;
        public V b;

        public h0(K k, V v) {
            this.a = k;
            this.b = v;
        }

        @Override // androidx.base.hr
        public boolean equals(@NullableDecl Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            if (!this.a.equals(entry.getKey()) || !this.b.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public K getKey() {
            return this.a;
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public V getValue() {
            return this.b;
        }

        @Override // androidx.base.hr
        public int hashCode() {
            return this.a.hashCode() ^ this.b.hashCode();
        }

        @Override // androidx.base.hr, java.util.Map.Entry
        public V setValue(V v) {
            V v2 = (V) ws.this.put(this.a, v);
            this.b = v;
            return v2;
        }
    }

    public interface i<K, V, E extends i<K, V, E>> {
        E a();

        int c();

        K getKey();

        V getValue();
    }

    public interface j<K, V, E extends i<K, V, E>, S extends n<K, V, E, S>> {
        E a(S s, E e, @NullableDecl E e2);

        p b();

        p c();

        void d(S s, E e, V v);

        S e(ws<K, V, E, S> wsVar, int i, int i2);

        E f(S s, K k, int i, @NullableDecl E e);
    }

    public final class k extends ws<K, V, E, S>.h {
        public k(ws wsVar) {
            super();
        }

        @Override // java.util.Iterator
        public K next() {
            return c().a;
        }
    }

    public final class l extends m<K> {
        public l() {
            super(null);
        }

        public void clear() {
            ws.this.clear();
        }

        public boolean contains(Object obj) {
            return ws.this.containsKey(obj);
        }

        public boolean isEmpty() {
            return ws.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator<K> iterator() {
            return new k(ws.this);
        }

        public boolean remove(Object obj) {
            return ws.this.remove(obj) != null;
        }

        public int size() {
            return ws.this.size();
        }
    }

    public static abstract class m<E> extends AbstractSet<E> {
        public m(a aVar) {
        }

        public Object[] toArray() {
            return ws.access$900(this).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set
        public <T> T[] toArray(T[] tArr) {
            return (T[]) ws.access$900(this).toArray(tArr);
        }
    }

    public static final class o<K, V> extends b<K, V> {
        private static final long serialVersionUID = 3;

        public o(p pVar, p pVar2, pq<Object> pqVar, pq<Object> pqVar2, int i, ConcurrentMap<K, V> concurrentMap) {
            super(pVar, pVar2, pqVar, pqVar2, i, concurrentMap);
        }

        private void readObject(ObjectInputStream objectInputStream) {
            objectInputStream.defaultReadObject();
            this.delegate = readMapMaker(objectInputStream).c();
            readEntries(objectInputStream);
        }

        private Object readResolve() {
            return this.delegate;
        }

        private void writeObject(ObjectOutputStream objectOutputStream) {
            objectOutputStream.defaultWriteObject();
            writeMapTo(objectOutputStream);
        }
    }

    public enum p {
        STRONG {
            @Override // androidx.base.ws.p
            public pq<Object> defaultEquivalence() {
                return pq.equals();
            }
        },
        WEAK {
            @Override // androidx.base.ws.p
            public pq<Object> defaultEquivalence() {
                return pq.identity();
            }
        };

        /* access modifiers changed from: public */
        p(a aVar) {
        }

        public abstract pq<Object> defaultEquivalence();
    }

    public static final class q<K> extends c<K, vs.a, q<K>> implements i {

        public static final class a<K> implements j<K, vs.a, q<K>, r<K>> {
            public static final a<?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                r rVar = (r) nVar;
                q qVar = (q) iVar;
                return new q(qVar.a, qVar.b, (q) iVar2);
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.STRONG;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.STRONG;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.base.ws$n, androidx.base.ws$i, java.lang.Object] */
            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, vs.a aVar) {
                r rVar = (r) nVar;
                q qVar = (q) iVar;
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new r(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                r rVar = (r) nVar;
                return new q(obj, i, (q) iVar);
            }
        }

        public q(K k, int i, @NullableDecl q<K> qVar) {
            super(k, i, qVar);
        }

        @Override // androidx.base.ws.i
        public Object getValue() {
            return vs.a.VALUE;
        }
    }

    public static final class r<K> extends n<K, vs.a, q<K>, r<K>> {
        public r(ws<K, vs.a, q<K>, r<K>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public r<K> self() {
            return this;
        }

        @Override // androidx.base.ws.n
        public q<K> castForTesting(i<K, vs.a, ?> iVar) {
            return (q) iVar;
        }
    }

    public static final class s<K, V> extends c<K, V, s<K, V>> implements i {
        @NullableDecl
        public volatile V d = null;

        public static final class a<K, V> implements j<K, V, s<K, V>, t<K, V>> {
            public static final a<?, ?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                t tVar = (t) nVar;
                s sVar = (s) iVar;
                s sVar2 = new s(sVar.a, sVar.b, (s) iVar2);
                sVar2.d = sVar.d;
                return sVar2;
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.STRONG;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.STRONG;
            }

            /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: java.lang.Object */
            /* JADX WARN: Multi-variable type inference failed */
            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, Object obj) {
                t tVar = (t) nVar;
                ((s) iVar).d = obj;
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new t(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                t tVar = (t) nVar;
                return new s(obj, i, (s) iVar);
            }
        }

        public s(K k, int i, @NullableDecl s<K, V> sVar) {
            super(k, i, sVar);
        }

        @Override // androidx.base.ws.i
        @NullableDecl
        public V getValue() {
            return this.d;
        }
    }

    public static final class t<K, V> extends n<K, V, s<K, V>, t<K, V>> {
        public t(ws<K, V, s<K, V>, t<K, V>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public t<K, V> self() {
            return this;
        }

        @Override // androidx.base.ws.n
        public s<K, V> castForTesting(i<K, V, ?> iVar) {
            return (s) iVar;
        }
    }

    public static final class u<K, V> extends c<K, V, u<K, V>> implements e0<K, V, u<K, V>> {
        public volatile f0<K, V, u<K, V>> d = ws.unsetWeakValueReference();

        public static final class a<K, V> implements j<K, V, u<K, V>, v<K, V>> {
            public static final a<?, ?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                v vVar = (v) nVar;
                u uVar = (u) iVar;
                u uVar2 = (u) iVar2;
                if (n.isCollected(uVar)) {
                    return null;
                }
                ReferenceQueue<V> referenceQueue = vVar.queueForValues;
                u<K, V> uVar3 = new u<>(uVar.a, uVar.b, uVar2);
                uVar3.d = uVar.d.b(referenceQueue, uVar3);
                return uVar3;
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.STRONG;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.WEAK;
            }

            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, Object obj) {
                u uVar = (u) iVar;
                ReferenceQueue referenceQueue = ((v) nVar).queueForValues;
                f0<K, V, u<K, V>> f0Var = uVar.d;
                uVar.d = new g0(referenceQueue, obj, uVar);
                f0Var.clear();
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new v(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                v vVar = (v) nVar;
                return new u(obj, i, (u) iVar);
            }
        }

        public u(K k, int i, @NullableDecl u<K, V> uVar) {
            super(k, i, uVar);
        }

        @Override // androidx.base.ws.e0
        public f0<K, V, u<K, V>> b() {
            return this.d;
        }

        @Override // androidx.base.ws.i
        public V getValue() {
            return this.d.get();
        }
    }

    public static final class v<K, V> extends n<K, V, u<K, V>, v<K, V>> {
        private final ReferenceQueue<V> queueForValues = new ReferenceQueue<>();

        public v(ws<K, V, u<K, V>, v<K, V>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public ReferenceQueue<V> getValueReferenceQueueForTesting() {
            return this.queueForValues;
        }

        @Override // androidx.base.ws.n
        public f0<K, V, u<K, V>> getWeakValueReferenceForTesting(i<K, V, ?> iVar) {
            return castForTesting((i) iVar).d;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<V>, java.lang.ref.ReferenceQueue<T> */
        @Override // androidx.base.ws.n
        public void maybeClearReferenceQueues() {
            clearReferenceQueue((ReferenceQueue<V>) this.queueForValues);
        }

        @Override // androidx.base.ws.n
        public void maybeDrainReferenceQueues() {
            drainValueReferenceQueue(this.queueForValues);
        }

        @Override // androidx.base.ws.n
        public f0<K, V, u<K, V>> newWeakValueReferenceForTesting(i<K, V, ?> iVar, V v) {
            return new g0(this.queueForValues, v, castForTesting((i) iVar));
        }

        @Override // androidx.base.ws.n
        public v<K, V> self() {
            return this;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: androidx.base.ws$f0<K, V, ? extends androidx.base.ws$i<K, V, ?>> */
        /* JADX WARN: Multi-variable type inference failed */
        @Override // androidx.base.ws.n
        public void setWeakValueReferenceForTesting(i<K, V, ?> iVar, f0<K, V, ? extends i<K, V, ?>> f0Var) {
            u<K, V> castForTesting = castForTesting((i) iVar);
            f0<K, V, u<K, V>> f0Var2 = castForTesting.d;
            castForTesting.d = f0Var;
            f0Var2.clear();
        }

        @Override // androidx.base.ws.n
        public u<K, V> castForTesting(i<K, V, ?> iVar) {
            return (u) iVar;
        }
    }

    public final class w extends ws<K, V, E, S>.h {
        public w(ws wsVar) {
            super();
        }

        @Override // java.util.Iterator
        public V next() {
            return c().b;
        }
    }

    public final class x extends AbstractCollection<V> {
        public x() {
        }

        public void clear() {
            ws.this.clear();
        }

        public boolean contains(Object obj) {
            return ws.this.containsValue(obj);
        }

        public boolean isEmpty() {
            return ws.this.isEmpty();
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator<V> iterator() {
            return new w(ws.this);
        }

        public int size() {
            return ws.this.size();
        }

        public Object[] toArray() {
            return ws.access$900(this).toArray();
        }

        @Override // java.util.AbstractCollection, java.util.Collection
        public <T> T[] toArray(T[] tArr) {
            return (T[]) ws.access$900(this).toArray(tArr);
        }
    }

    public static final class y<K> extends d<K, vs.a, y<K>> implements i {

        public static final class a<K> implements j<K, vs.a, y<K>, z<K>> {
            public static final a<?> a = new a<>();

            @Override // androidx.base.ws.j
            public i a(n nVar, i iVar, @NullableDecl i iVar2) {
                z zVar = (z) nVar;
                y yVar = (y) iVar;
                y yVar2 = (y) iVar2;
                if (yVar.get() == null) {
                    return null;
                }
                return new y(zVar.queueForKeys, yVar.get(), yVar.a, yVar2);
            }

            @Override // androidx.base.ws.j
            public p b() {
                return p.WEAK;
            }

            @Override // androidx.base.ws.j
            public p c() {
                return p.STRONG;
            }

            /* JADX DEBUG: Method arguments types fixed to match base method, original types: [androidx.base.ws$n, androidx.base.ws$i, java.lang.Object] */
            @Override // androidx.base.ws.j
            public void d(n nVar, i iVar, vs.a aVar) {
                z zVar = (z) nVar;
                y yVar = (y) iVar;
            }

            @Override // androidx.base.ws.j
            public n e(ws wsVar, int i, int i2) {
                return new z(wsVar, i, i2);
            }

            @Override // androidx.base.ws.j
            public i f(n nVar, Object obj, int i, @NullableDecl i iVar) {
                return new y(((z) nVar).queueForKeys, obj, i, (y) iVar);
            }
        }

        public y(ReferenceQueue<K> referenceQueue, K k, int i, @NullableDecl y<K> yVar) {
            super(referenceQueue, k, i, yVar);
        }

        @Override // androidx.base.ws.i
        public Object getValue() {
            return vs.a.VALUE;
        }
    }

    public static final class z<K> extends n<K, vs.a, y<K>, z<K>> {
        private final ReferenceQueue<K> queueForKeys = new ReferenceQueue<>();

        public z(ws<K, vs.a, y<K>, z<K>> wsVar, int i, int i2) {
            super(wsVar, i, i2);
        }

        @Override // androidx.base.ws.n
        public ReferenceQueue<K> getKeyReferenceQueueForTesting() {
            return this.queueForKeys;
        }

        /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.lang.ref.ReferenceQueue<K>, java.lang.ref.ReferenceQueue<T> */
        @Override // androidx.base.ws.n
        public void maybeClearReferenceQueues() {
            clearReferenceQueue((ReferenceQueue<K>) this.queueForKeys);
        }

        @Override // androidx.base.ws.n
        public void maybeDrainReferenceQueues() {
            drainKeyReferenceQueue(this.queueForKeys);
        }

        @Override // androidx.base.ws.n
        public z<K> self() {
            return this;
        }

        @Override // androidx.base.ws.n
        public y<K> castForTesting(i<K, vs.a, ?> iVar) {
            return (y) iVar;
        }
    }

    public ws(vs vsVar, j<K, V, E, S> jVar) {
        int i2 = vsVar.c;
        this.concurrencyLevel = Math.min(i2 == -1 ? 4 : i2, 65536);
        this.keyEquivalence = (pq) tq.r(vsVar.f, vsVar.a().defaultEquivalence());
        this.entryHelper = jVar;
        int i3 = vsVar.b;
        int min = Math.min(i3 == -1 ? 16 : i3, 1073741824);
        int i4 = 0;
        int i5 = 1;
        int i6 = 1;
        int i7 = 0;
        while (i6 < this.concurrencyLevel) {
            i7++;
            i6 <<= 1;
        }
        this.segmentShift = 32 - i7;
        this.segmentMask = i6 - 1;
        this.segments = newSegmentArray(i6);
        int i8 = min / i6;
        while (i5 < (i6 * i8 < min ? i8 + 1 : i8)) {
            i5 <<= 1;
        }
        while (true) {
            n<K, V, E, S>[] nVarArr = this.segments;
            if (i4 < nVarArr.length) {
                nVarArr[i4] = createSegment(i5, -1);
                i4++;
            } else {
                return;
            }
        }
    }

    public static ArrayList access$900(Collection collection) {
        ArrayList arrayList = new ArrayList(collection.size());
        tq.a(arrayList, collection.iterator());
        return arrayList;
    }

    public static <K, V> ws<K, V, ? extends i<K, V, ?>, ?> create(vs vsVar) {
        p a2 = vsVar.a();
        p pVar = p.STRONG;
        if (a2 == pVar && vsVar.b() == pVar) {
            return new ws<>(vsVar, s.a.a);
        }
        if (vsVar.a() == pVar && vsVar.b() == p.WEAK) {
            return new ws<>(vsVar, u.a.a);
        }
        p a3 = vsVar.a();
        p pVar2 = p.WEAK;
        if (a3 == pVar2 && vsVar.b() == pVar) {
            return new ws<>(vsVar, a0.a.a);
        }
        if (vsVar.a() == pVar2 && vsVar.b() == pVar2) {
            return new ws<>(vsVar, c0.a.a);
        }
        throw new AssertionError();
    }

    public static <K> ws<K, vs.a, ? extends i<K, vs.a, ?>, ?> createWithDummyValues(vs vsVar) {
        p a2 = vsVar.a();
        p pVar = p.STRONG;
        if (a2 == pVar && vsVar.b() == pVar) {
            return new ws<>(vsVar, q.a.a);
        }
        p a3 = vsVar.a();
        p pVar2 = p.WEAK;
        if (a3 == pVar2 && vsVar.b() == pVar) {
            return new ws<>(vsVar, y.a.a);
        }
        if (vsVar.b() == pVar2) {
            throw new IllegalArgumentException("Map cannot have both weak and dummy values");
        }
        throw new AssertionError();
    }

    public static int rehash(int i2) {
        int i3 = i2 + ((i2 << 15) ^ -12931);
        int i4 = i3 ^ (i3 >>> 10);
        int i5 = i4 + (i4 << 3);
        int i6 = i5 ^ (i5 >>> 6);
        int i7 = (i6 << 2) + (i6 << 14) + i6;
        return (i7 >>> 16) ^ i7;
    }

    public static <K, V, E extends i<K, V, E>> f0<K, V, E> unsetWeakValueReference() {
        return (f0<K, V, E>) UNSET_WEAK_VALUE_REFERENCE;
    }

    public void clear() {
        for (n<K, V, E, S> nVar : this.segments) {
            nVar.clear();
        }
    }

    public boolean containsKey(@NullableDecl Object obj) {
        if (obj == null) {
            return false;
        }
        int hash = hash(obj);
        return segmentFor(hash).containsKey(obj, hash);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r3v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>>[] */
    /* JADX DEBUG: Multi-variable search result rejected for r11v0, resolved type: androidx.base.ws$b0 */
    /* JADX WARN: Multi-variable type inference failed */
    public boolean containsValue(@NullableDecl Object obj) {
        if (obj == null) {
            return false;
        }
        n<K, V, E, S>[] nVarArr = this.segments;
        long j2 = -1;
        int i2 = 0;
        while (i2 < 3) {
            long j3 = 0;
            for (b0 b0Var : nVarArr) {
                int i3 = b0Var.count;
                AtomicReferenceArray<E> atomicReferenceArray = b0Var.table;
                for (int i4 = 0; i4 < atomicReferenceArray.length(); i4++) {
                    for (E e2 = atomicReferenceArray.get(i4); e2 != null; e2 = e2.a()) {
                        Object liveValue = b0Var.getLiveValue(e2);
                        if (liveValue != null && valueEquivalence().equivalent(obj, liveValue)) {
                            return true;
                        }
                    }
                }
                j3 += (long) b0Var.modCount;
            }
            if (j3 == j2) {
                return false;
            }
            i2++;
            j2 = j3;
        }
        return false;
    }

    public E copyEntry(E e2, E e3) {
        return segmentFor(e2.c()).copyEntry(e2, e3);
    }

    /* JADX DEBUG: Type inference failed for r2v1. Raw type applied. Possible types: S extends androidx.base.ws$n<K, V, E, S>, androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
    public n<K, V, E, S> createSegment(int i2, int i3) {
        return (S) this.entryHelper.e(this, i2, i3);
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<Map.Entry<K, V>> entrySet() {
        Set<Map.Entry<K, V>> set = this.entrySet;
        if (set != null) {
            return set;
        }
        g gVar = new g();
        this.entrySet = gVar;
        return gVar;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public V get(@NullableDecl Object obj) {
        if (obj == null) {
            return null;
        }
        int hash = hash(obj);
        return segmentFor(hash).get(obj, hash);
    }

    public E getEntry(@NullableDecl Object obj) {
        if (obj == null) {
            return null;
        }
        int hash = hash(obj);
        return segmentFor(hash).getEntry(obj, hash);
    }

    public V getLiveValue(E e2) {
        V v2;
        if (e2.getKey() == null || (v2 = (V) e2.getValue()) == null) {
            return null;
        }
        return v2;
    }

    public int hash(Object obj) {
        return rehash(this.keyEquivalence.hash(obj));
    }

    public boolean isEmpty() {
        n<K, V, E, S>[] nVarArr = this.segments;
        long j2 = 0;
        for (int i2 = 0; i2 < nVarArr.length; i2++) {
            if (nVarArr[i2].count != 0) {
                return false;
            }
            j2 += (long) nVarArr[i2].modCount;
        }
        if (j2 == 0) {
            return true;
        }
        for (int i3 = 0; i3 < nVarArr.length; i3++) {
            if (nVarArr[i3].count != 0) {
                return false;
            }
            j2 -= (long) nVarArr[i3].modCount;
        }
        if (j2 != 0) {
            return false;
        }
        return true;
    }

    public boolean isLiveForTesting(i<K, V, ?> iVar) {
        return segmentFor(iVar.c()).getLiveValueForTesting(iVar) != null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set<K> keySet() {
        Set<K> set = this.keySet;
        if (set != null) {
            return set;
        }
        l lVar = new l();
        this.keySet = lVar;
        return lVar;
    }

    public p keyStrength() {
        return this.entryHelper.b();
    }

    public final n<K, V, E, S>[] newSegmentArray(int i2) {
        return new n[i2];
    }

    @Override // java.util.AbstractMap, java.util.Map
    @CanIgnoreReturnValue
    public V put(K k2, V v2) {
        k2.getClass();
        v2.getClass();
        int hash = hash(k2);
        return segmentFor(hash).put(k2, hash, v2, false);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ws<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
    /* JADX WARN: Multi-variable type inference failed */
    @Override // java.util.AbstractMap, java.util.Map
    public void putAll(Map<? extends K, ? extends V> map) {
        for (Map.Entry<? extends K, ? extends V> entry : map.entrySet()) {
            put(entry.getKey(), entry.getValue());
        }
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @CanIgnoreReturnValue
    public V putIfAbsent(K k2, V v2) {
        k2.getClass();
        v2.getClass();
        int hash = hash(k2);
        return segmentFor(hash).put(k2, hash, v2, true);
    }

    public void reclaimKey(E e2) {
        int c2 = e2.c();
        segmentFor(c2).reclaimKey(e2, c2);
    }

    public void reclaimValue(f0<K, V, E> f0Var) {
        E a2 = f0Var.a();
        int c2 = a2.c();
        segmentFor(c2).reclaimValue((K) a2.getKey(), c2, f0Var);
    }

    @Override // java.util.AbstractMap, java.util.Map
    @CanIgnoreReturnValue
    public V remove(@NullableDecl Object obj) {
        if (obj == null) {
            return null;
        }
        int hash = hash(obj);
        return segmentFor(hash).remove(obj, hash);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @CanIgnoreReturnValue
    public V replace(K k2, V v2) {
        k2.getClass();
        v2.getClass();
        int hash = hash(k2);
        return segmentFor(hash).replace(k2, hash, v2);
    }

    public n<K, V, E, S> segmentFor(int i2) {
        return this.segments[(i2 >>> this.segmentShift) & this.segmentMask];
    }

    public int size() {
        n<K, V, E, S>[] nVarArr;
        long j2 = 0;
        for (n<K, V, E, S> nVar : this.segments) {
            j2 += (long) nVar.count;
        }
        return b.g0(j2);
    }

    public pq<Object> valueEquivalence() {
        return this.entryHelper.c().defaultEquivalence();
    }

    public p valueStrength() {
        return this.entryHelper.c();
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection<V> values() {
        Collection<V> collection = this.values;
        if (collection != null) {
            return collection;
        }
        x xVar = new x();
        this.values = xVar;
        return xVar;
    }

    public Object writeReplace() {
        return new o(this.entryHelper.b(), this.entryHelper.c(), this.keyEquivalence, this.entryHelper.c().defaultEquivalence(), this.concurrencyLevel, this);
    }

    public static abstract class b<K, V> extends wr<K, V> implements Serializable {
        private static final long serialVersionUID = 3;
        public final int concurrencyLevel;
        public transient ConcurrentMap<K, V> delegate;
        public final pq<Object> keyEquivalence;
        public final p keyStrength;
        public final pq<Object> valueEquivalence;
        public final p valueStrength;

        public b(p pVar, p pVar2, pq<Object> pqVar, pq<Object> pqVar2, int i, ConcurrentMap<K, V> concurrentMap) {
            this.keyStrength = pVar;
            this.valueStrength = pVar2;
            this.keyEquivalence = pqVar;
            this.valueEquivalence = pqVar2;
            this.concurrencyLevel = i;
            this.delegate = concurrentMap;
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: java.util.concurrent.ConcurrentMap<K, V> */
        /* JADX WARN: Multi-variable type inference failed */
        public void readEntries(ObjectInputStream objectInputStream) {
            while (true) {
                Object readObject = objectInputStream.readObject();
                if (readObject != null) {
                    this.delegate.put(readObject, objectInputStream.readObject());
                } else {
                    return;
                }
            }
        }

        public vs readMapMaker(ObjectInputStream objectInputStream) {
            int readInt = objectInputStream.readInt();
            vs vsVar = new vs();
            int i = vsVar.b;
            boolean z = false;
            tq.l(i == -1, "initial capacity was already set to %s", i);
            tq.c(readInt >= 0);
            vsVar.b = readInt;
            vsVar.d(this.keyStrength);
            p pVar = this.valueStrength;
            p pVar2 = vsVar.e;
            tq.m(pVar2 == null, "Value strength was already set to %s", pVar2);
            pVar.getClass();
            vsVar.e = pVar;
            if (pVar != p.STRONG) {
                vsVar.a = true;
            }
            pq<Object> pqVar = this.keyEquivalence;
            pq<Object> pqVar2 = vsVar.f;
            tq.m(pqVar2 == null, "key equivalence was already set to %s", pqVar2);
            pqVar.getClass();
            vsVar.f = pqVar;
            vsVar.a = true;
            int i2 = this.concurrencyLevel;
            int i3 = vsVar.c;
            tq.l(i3 == -1, "concurrency level was already set to %s", i3);
            if (i2 > 0) {
                z = true;
            }
            tq.c(z);
            vsVar.c = i2;
            return vsVar;
        }

        public void writeMapTo(ObjectOutputStream objectOutputStream) {
            objectOutputStream.writeInt(this.delegate.size());
            for (Map.Entry<K, V> entry : this.delegate.entrySet()) {
                objectOutputStream.writeObject(entry.getKey());
                objectOutputStream.writeObject(entry.getValue());
            }
            objectOutputStream.writeObject(null);
        }

        @Override // androidx.base.xr, androidx.base.xr, androidx.base.wr, androidx.base.wr, androidx.base.wr, androidx.base.yr
        public ConcurrentMap<K, V> delegate() {
            return this.delegate;
        }
    }

    @CanIgnoreReturnValue
    public boolean remove(@NullableDecl Object obj, @NullableDecl Object obj2) {
        if (obj == null || obj2 == null) {
            return false;
        }
        int hash = hash(obj);
        return segmentFor(hash).remove(obj, hash, obj2);
    }

    @Override // java.util.Map, java.util.concurrent.ConcurrentMap
    @CanIgnoreReturnValue
    public boolean replace(K k2, @NullableDecl V v2, V v3) {
        k2.getClass();
        v3.getClass();
        if (v2 == null) {
            return false;
        }
        int hash = hash(k2);
        return segmentFor(hash).replace(k2, hash, v2, v3);
    }

    public static abstract class n<K, V, E extends i<K, V, E>, S extends n<K, V, E, S>> extends ReentrantLock {
        public volatile int count;
        @Weak
        public final ws<K, V, E, S> map;
        public final int maxSegmentSize;
        public int modCount;
        public final AtomicInteger readCount = new AtomicInteger();
        @MonotonicNonNullDecl
        public volatile AtomicReferenceArray<E> table;
        public int threshold;

        public n(ws<K, V, E, S> wsVar, int i, int i2) {
            this.map = wsVar;
            this.maxSegmentSize = i2;
            initTable(newEntryArray(i));
        }

        public static <K, V, E extends i<K, V, E>> boolean isCollected(E e) {
            return e.getValue() == null;
        }

        public abstract E castForTesting(i<K, V, ?> iVar);

        public void clear() {
            if (this.count != 0) {
                lock();
                try {
                    AtomicReferenceArray<E> atomicReferenceArray = this.table;
                    for (int i = 0; i < atomicReferenceArray.length(); i++) {
                        atomicReferenceArray.set(i, null);
                    }
                    maybeClearReferenceQueues();
                    this.readCount.set(0);
                    this.modCount++;
                    this.count = 0;
                } finally {
                    unlock();
                }
            }
        }

        public <T> void clearReferenceQueue(ReferenceQueue<T> referenceQueue) {
            do {
            } while (referenceQueue.poll() != null);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public boolean clearValueForTesting(K k, int i, f0<K, V, ? extends i<K, V, ?>> f0Var) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(k, key)) {
                        if (((e0) iVar).b() == f0Var) {
                            atomicReferenceArray.set(length, removeFromChain(e, iVar));
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        public boolean containsKey(Object obj, int i) {
            try {
                boolean z = false;
                if (this.count != 0) {
                    E liveEntry = getLiveEntry(obj, i);
                    if (!(liveEntry == null || liveEntry.getValue() == null)) {
                        z = true;
                    }
                    return z;
                }
                postReadCleanup();
                return false;
            } finally {
                postReadCleanup();
            }
        }

        /* JADX INFO: finally extract failed */
        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        public boolean containsValue(Object obj) {
            try {
                if (this.count != 0) {
                    AtomicReferenceArray<E> atomicReferenceArray = this.table;
                    int length = atomicReferenceArray.length();
                    for (int i = 0; i < length; i++) {
                        for (E e = atomicReferenceArray.get(i); e != null; e = e.a()) {
                            Object liveValue = getLiveValue(e);
                            if (liveValue != null) {
                                if (this.map.valueEquivalence().equivalent(obj, liveValue)) {
                                    postReadCleanup();
                                    return true;
                                }
                            }
                        }
                    }
                }
                postReadCleanup();
                return false;
            } catch (Throwable th) {
                postReadCleanup();
                throw th;
            }
        }

        public E copyEntry(E e, E e2) {
            return this.map.entryHelper.a(self(), e, e2);
        }

        public E copyForTesting(i<K, V, ?> iVar, @NullableDecl i<K, V, ?> iVar2) {
            return this.map.entryHelper.a(self(), castForTesting(iVar), castForTesting(iVar2));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r2v0, resolved type: androidx.base.ws<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @GuardedBy("this")
        public void drainKeyReferenceQueue(ReferenceQueue<K> referenceQueue) {
            int i = 0;
            do {
                Reference<? extends K> poll = referenceQueue.poll();
                if (poll != null) {
                    this.map.reclaimKey((i) poll);
                    i++;
                } else {
                    return;
                }
            } while (i != 16);
        }

        @GuardedBy("this")
        public void drainValueReferenceQueue(ReferenceQueue<V> referenceQueue) {
            int i = 0;
            do {
                Reference<? extends V> poll = referenceQueue.poll();
                if (poll != null) {
                    this.map.reclaimValue((f0) poll);
                    i++;
                } else {
                    return;
                }
            } while (i != 16);
        }

        /* JADX DEBUG: Multi-variable search result rejected for r11v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX DEBUG: Multi-variable search result rejected for r3v1, resolved type: java.util.concurrent.atomic.AtomicReferenceArray<E extends androidx.base.ws$i<K, V, E>> */
        /* JADX WARN: Multi-variable type inference failed */
        @GuardedBy("this")
        public void expand() {
            AtomicReferenceArray<E> atomicReferenceArray = this.table;
            int length = atomicReferenceArray.length();
            if (length < 1073741824) {
                int i = this.count;
                AtomicReferenceArray<E> atomicReferenceArray2 = (AtomicReferenceArray<E>) newEntryArray(length << 1);
                this.threshold = (atomicReferenceArray2.length() * 3) / 4;
                int length2 = atomicReferenceArray2.length() - 1;
                for (int i2 = 0; i2 < length; i2++) {
                    E e = atomicReferenceArray.get(i2);
                    if (e != null) {
                        i a = e.a();
                        int c = e.c() & length2;
                        if (a == null) {
                            atomicReferenceArray2.set(c, e);
                        } else {
                            i iVar = e;
                            while (a != null) {
                                int c2 = a.c() & length2;
                                if (c2 != c) {
                                    iVar = a;
                                    c = c2;
                                }
                                a = a.a();
                            }
                            atomicReferenceArray2.set(c, iVar);
                            while (e != iVar) {
                                int c3 = e.c() & length2;
                                i copyEntry = copyEntry(e, (i) atomicReferenceArray2.get(c3));
                                if (copyEntry != null) {
                                    atomicReferenceArray2.set(c3, copyEntry);
                                } else {
                                    i--;
                                }
                                e = e.a();
                            }
                        }
                    }
                }
                this.table = atomicReferenceArray2;
                this.count = i;
            }
        }

        public V get(Object obj, int i) {
            try {
                E liveEntry = getLiveEntry(obj, i);
                if (liveEntry == null) {
                    return null;
                }
                V v = (V) liveEntry.getValue();
                if (v == null) {
                    tryDrainReferenceQueues();
                }
                postReadCleanup();
                return v;
            } finally {
                postReadCleanup();
            }
        }

        public E getEntry(Object obj, int i) {
            if (this.count == 0) {
                return null;
            }
            for (E first = getFirst(i); first != null; first = (E) first.a()) {
                if (first.c() == i) {
                    Object key = first.getKey();
                    if (key == null) {
                        tryDrainReferenceQueues();
                    } else if (this.map.keyEquivalence.equivalent(obj, key)) {
                        return first;
                    }
                }
            }
            return null;
        }

        public E getFirst(int i) {
            AtomicReferenceArray<E> atomicReferenceArray = this.table;
            return atomicReferenceArray.get(i & (atomicReferenceArray.length() - 1));
        }

        public ReferenceQueue<K> getKeyReferenceQueueForTesting() {
            throw new AssertionError();
        }

        public E getLiveEntry(Object obj, int i) {
            return getEntry(obj, i);
        }

        @NullableDecl
        public V getLiveValue(E e) {
            if (e.getKey() == null) {
                tryDrainReferenceQueues();
                return null;
            }
            V v = (V) e.getValue();
            if (v != null) {
                return v;
            }
            tryDrainReferenceQueues();
            return null;
        }

        @NullableDecl
        public V getLiveValueForTesting(i<K, V, ?> iVar) {
            return getLiveValue(castForTesting(iVar));
        }

        public ReferenceQueue<V> getValueReferenceQueueForTesting() {
            throw new AssertionError();
        }

        public f0<K, V, E> getWeakValueReferenceForTesting(i<K, V, ?> iVar) {
            throw new AssertionError();
        }

        public void initTable(AtomicReferenceArray<E> atomicReferenceArray) {
            int length = (atomicReferenceArray.length() * 3) / 4;
            this.threshold = length;
            if (length == this.maxSegmentSize) {
                this.threshold = length + 1;
            }
            this.table = atomicReferenceArray;
        }

        public void maybeClearReferenceQueues() {
        }

        @GuardedBy("this")
        public void maybeDrainReferenceQueues() {
        }

        public AtomicReferenceArray<E> newEntryArray(int i) {
            return new AtomicReferenceArray<>(i);
        }

        public E newEntryForTesting(K k, int i, @NullableDecl i<K, V, ?> iVar) {
            return this.map.entryHelper.f(self(), k, i, castForTesting(iVar));
        }

        public f0<K, V, E> newWeakValueReferenceForTesting(i<K, V, ?> iVar, V v) {
            throw new AssertionError();
        }

        public void postReadCleanup() {
            if ((this.readCount.incrementAndGet() & 63) == 0) {
                runCleanup();
            }
        }

        @GuardedBy("this")
        public void preWriteCleanup() {
            runLockedCleanup();
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        public V put(K k, int i, V v, boolean z) {
            lock();
            try {
                preWriteCleanup();
                int i2 = this.count + 1;
                if (i2 > this.threshold) {
                    expand();
                    i2 = this.count + 1;
                }
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(k, key)) {
                        V v2 = (V) iVar.getValue();
                        if (v2 == null) {
                            this.modCount++;
                            setValue(iVar, v);
                            this.count = this.count;
                            return null;
                        } else if (z) {
                            unlock();
                            return v2;
                        } else {
                            this.modCount++;
                            setValue(iVar, v);
                            unlock();
                            return v2;
                        }
                    }
                }
                this.modCount++;
                E f = this.map.entryHelper.f(self(), k, i, e);
                setValue(f, v);
                atomicReferenceArray.set(length, f);
                this.count = i2;
                unlock();
                return null;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r4v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public boolean reclaimKey(E e, int i) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = i & (atomicReferenceArray.length() - 1);
                E e2 = atomicReferenceArray.get(length);
                for (i iVar = e2; iVar != null; iVar = iVar.a()) {
                    if (iVar == e) {
                        this.modCount++;
                        atomicReferenceArray.set(length, removeFromChain(e2, iVar));
                        this.count--;
                        return true;
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public boolean reclaimValue(K k, int i, f0<K, V, E> f0Var) {
            lock();
            try {
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(k, key)) {
                        if (((e0) iVar).b() == f0Var) {
                            this.modCount++;
                            atomicReferenceArray.set(length, removeFromChain(e, iVar));
                            this.count--;
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @CanIgnoreReturnValue
        public V remove(Object obj, int i) {
            lock();
            try {
                preWriteCleanup();
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(obj, key)) {
                        V v = (V) iVar.getValue();
                        if (v == null) {
                            if (!isCollected(iVar)) {
                                unlock();
                                return null;
                            }
                        }
                        this.modCount++;
                        atomicReferenceArray.set(length, removeFromChain(e, iVar));
                        this.count--;
                        return v;
                    }
                }
                unlock();
                return null;
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r5v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        @GuardedBy("this")
        public boolean removeEntryForTesting(E e) {
            int c = e.c();
            AtomicReferenceArray<E> atomicReferenceArray = this.table;
            int length = c & (atomicReferenceArray.length() - 1);
            E e2 = atomicReferenceArray.get(length);
            for (i iVar = e2; iVar != null; iVar = iVar.a()) {
                if (iVar == e) {
                    this.modCount++;
                    atomicReferenceArray.set(length, removeFromChain(e2, iVar));
                    this.count--;
                    return true;
                }
            }
            return false;
        }

        @GuardedBy("this")
        public E removeFromChain(E e, E e2) {
            int i = this.count;
            E e3 = (E) e2.a();
            while (e != e2) {
                E copyEntry = copyEntry(e, e3);
                if (copyEntry != null) {
                    e3 = copyEntry;
                } else {
                    i--;
                }
                e = (E) e.a();
            }
            this.count = i;
            return e3;
        }

        public E removeFromChainForTesting(i<K, V, ?> iVar, i<K, V, ?> iVar2) {
            return removeFromChain(castForTesting(iVar), castForTesting(iVar2));
        }

        @CanIgnoreReturnValue
        public boolean removeTableEntryForTesting(i<K, V, ?> iVar) {
            return removeEntryForTesting(castForTesting(iVar));
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        public boolean replace(K k, int i, V v, V v2) {
            lock();
            try {
                preWriteCleanup();
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(k, key)) {
                        Object value = iVar.getValue();
                        if (value == null) {
                            if (isCollected(iVar)) {
                                this.modCount++;
                                atomicReferenceArray.set(length, removeFromChain(e, iVar));
                                this.count--;
                            }
                            return false;
                        } else if (this.map.valueEquivalence().equivalent(v, value)) {
                            this.modCount++;
                            setValue(iVar, v2);
                            unlock();
                            return true;
                        } else {
                            unlock();
                            return false;
                        }
                    }
                }
                unlock();
                return false;
            } finally {
                unlock();
            }
        }

        public void runCleanup() {
            runLockedCleanup();
        }

        public void runLockedCleanup() {
            if (tryLock()) {
                try {
                    maybeDrainReferenceQueues();
                    this.readCount.set(0);
                } finally {
                    unlock();
                }
            }
        }

        public abstract S self();

        public void setTableEntryForTesting(int i, i<K, V, ?> iVar) {
            this.table.set(i, castForTesting(iVar));
        }

        public void setValue(E e, V v) {
            this.map.entryHelper.d(self(), e, v);
        }

        public void setValueForTesting(i<K, V, ?> iVar, V v) {
            this.map.entryHelper.d(self(), castForTesting(iVar), v);
        }

        public void setWeakValueReferenceForTesting(i<K, V, ?> iVar, f0<K, V, ? extends i<K, V, ?>> f0Var) {
            throw new AssertionError();
        }

        public void tryDrainReferenceQueues() {
            if (tryLock()) {
                try {
                    maybeDrainReferenceQueues();
                } finally {
                    unlock();
                }
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r8v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        public boolean remove(Object obj, int i, Object obj2) {
            lock();
            try {
                preWriteCleanup();
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                i iVar = e;
                while (true) {
                    boolean z = false;
                    if (iVar != null) {
                        Object key = iVar.getKey();
                        if (iVar.c() != i || key == null || !this.map.keyEquivalence.equivalent(obj, key)) {
                            iVar = iVar.a();
                        } else {
                            if (this.map.valueEquivalence().equivalent(obj2, iVar.getValue())) {
                                z = true;
                            } else if (!isCollected(iVar)) {
                                unlock();
                                return false;
                            }
                            this.modCount++;
                            atomicReferenceArray.set(length, removeFromChain(e, iVar));
                            this.count--;
                            return z;
                        }
                    } else {
                        unlock();
                        return false;
                    }
                }
            } finally {
                unlock();
            }
        }

        /* JADX DEBUG: Multi-variable search result rejected for r7v0, resolved type: androidx.base.ws$n<K, V, E extends androidx.base.ws$i<K, V, E>, S extends androidx.base.ws$n<K, V, E, S>> */
        /* JADX WARN: Multi-variable type inference failed */
        public V replace(K k, int i, V v) {
            lock();
            try {
                preWriteCleanup();
                AtomicReferenceArray<E> atomicReferenceArray = this.table;
                int length = (atomicReferenceArray.length() - 1) & i;
                E e = atomicReferenceArray.get(length);
                for (i iVar = e; iVar != null; iVar = iVar.a()) {
                    Object key = iVar.getKey();
                    if (iVar.c() == i && key != null && this.map.keyEquivalence.equivalent(k, key)) {
                        V v2 = (V) iVar.getValue();
                        if (v2 == null) {
                            if (isCollected(iVar)) {
                                this.modCount++;
                                atomicReferenceArray.set(length, removeFromChain(e, iVar));
                                this.count--;
                            }
                            return null;
                        }
                        this.modCount++;
                        setValue(iVar, v);
                        unlock();
                        return v2;
                    }
                }
                unlock();
                return null;
            } finally {
                unlock();
            }
        }
    }
}
