package androidx.base;

import android.content.Context;
import android.content.res.TypedArray;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.drawable.Drawable;
import android.util.SparseArray;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.TextView;
import androidx.annotation.NonNull;
import androidx.core.content.ContextCompat;
import com.obsez.android.lib.filechooser.R$color;
import com.obsez.android.lib.filechooser.R$drawable;
import com.obsez.android.lib.filechooser.R$id;
import com.obsez.android.lib.filechooser.R$layout;
import com.obsez.android.lib.filechooser.R$styleable;
import java.io.File;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Stack;

public class zx extends ArrayAdapter<File> {
    public SimpleDateFormat a = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
    public Drawable b = null;
    public Drawable c = null;
    public PorterDuffColorFilter d;
    public SparseArray<File> e = new SparseArray<>();
    public Stack<Integer> f = new Stack<>();

    public zx(Context context, String str) {
        super(context, R$layout.li_row_textview, R$id.text, new ArrayList());
        if (this.b == null) {
            this.b = ContextCompat.getDrawable(getContext(), R$drawable.ic_folder);
        }
        if (this.c == null) {
            this.c = ContextCompat.getDrawable(getContext(), R$drawable.ic_file);
        }
        TypedArray obtainStyledAttributes = getContext().obtainStyledAttributes(R$styleable.FileChooser);
        int color = obtainStyledAttributes.getColor(R$styleable.FileChooser_fileListItemSelectedTint, getContext().getResources().getColor(R$color.li_row_background_tint));
        obtainStyledAttributes.recycle();
        this.d = new PorterDuffColorFilter(color, PorterDuff.Mode.MULTIPLY);
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v3, resolved type: android.util.SparseArray<java.io.File> */
    /* JADX WARN: Multi-variable type inference failed */
    public void a(int i) {
        int itemId = (int) getItemId(i);
        if (this.e.get(itemId, null) == null) {
            this.e.append(itemId, getItem(i));
        } else {
            this.e.delete(itemId);
        }
        notifyDataSetChanged();
    }

    public long getItemId(int i) {
        try {
            return (long) ((File) getItem(i)).hashCode();
        } catch (IndexOutOfBoundsException unused) {
            try {
                return (long) ((File) getItem(0)).hashCode();
            } catch (IndexOutOfBoundsException unused2) {
                return 0;
            }
        }
    }

    @NonNull
    public View getView(int i, View view, @NonNull ViewGroup viewGroup) {
        Drawable drawable;
        float f2;
        File file = (File) getItem(i);
        if (file == null) {
            return super.getView(i, view, viewGroup);
        }
        boolean z = this.e.get(file.hashCode(), null) != null;
        ViewGroup viewGroup2 = (ViewGroup) super.getView(i, view, viewGroup);
        TextView textView = (TextView) viewGroup2.findViewById(R$id.text);
        TextView textView2 = (TextView) viewGroup2.findViewById(R$id.txt_size);
        TextView textView3 = (TextView) viewGroup2.findViewById(R$id.txt_date);
        textView3.setVisibility(0);
        textView.setText(file.getName());
        if (file.isDirectory()) {
            drawable = this.b.getConstantState().newDrawable();
            textView2.setText("");
            if (file.lastModified() != 0) {
                textView3.setText(this.a.format(new Date(file.lastModified())));
            } else {
                textView3.setVisibility(8);
            }
        } else {
            drawable = this.c.getConstantState().newDrawable();
            long length = file.length();
            DecimalFormat decimalFormat = new DecimalFormat("###.#");
            String str = " KB";
            if (length > 1024) {
                f2 = ((float) length) / 1024.0f;
                if (f2 > 1024.0f) {
                    f2 /= 1024.0f;
                    if (f2 > 1024.0f) {
                        f2 /= 1024.0f;
                        str = " GB";
                    } else {
                        str = " MB";
                    }
                }
            } else {
                f2 = 0.0f;
            }
            textView2.setText(String.valueOf(decimalFormat.format((double) f2) + str));
            textView3.setText(this.a.format(new Date(file.lastModified())));
        }
        if (file.isHidden()) {
            drawable.mutate().setColorFilter(new PorterDuffColorFilter(-2130706433, PorterDuff.Mode.SRC_ATOP));
        }
        textView.setCompoundDrawablesWithIntrinsicBounds(drawable, (Drawable) null, (Drawable) null, (Drawable) null);
        View findViewById = viewGroup2.findViewById(R$id.root);
        if (findViewById.getBackground() == null) {
            findViewById.setBackgroundResource(R$color.li_row_background);
        }
        if (!z) {
            findViewById.getBackground().clearColorFilter();
        } else {
            findViewById.getBackground().setColorFilter(this.d);
        }
        return viewGroup2;
    }

    public boolean isEmpty() {
        return getCount() == 0 || (getCount() == 1 && (getItem(0) instanceof ay));
    }
}
