package com.alibaba.android.vlayout;

import android.content.Context;
import android.graphics.Rect;
import android.os.Build;
import android.os.Trace;
import android.util.AttributeSet;
import android.util.Log;
import android.util.Pair;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewParent;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.base.h1;
import androidx.base.i1;
import androidx.base.j1;
import androidx.base.k1;
import androidx.base.o1;
import androidx.base.p1;
import androidx.base.q1;
import androidx.base.r1;
import androidx.base.s1;
import androidx.base.t1;
import androidx.base.u1;
import androidx.base.v1;
import androidx.base.w1;
import androidx.base.x1;
import androidx.base.y1;
import androidx.recyclerview.widget.RecyclerView;
import com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx;
import com.alibaba.android.vlayout.extend.PerformanceMonitor;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.HashMap;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

public class VirtualLayoutManager extends ExposeLinearLayoutManagerEx implements j1 {
    public static h1 a = new v1();
    public int A = 0;
    public boolean B = false;
    public o1 b = o1.a(this, 1);
    public o1 c = o1.a(this, 0);
    public RecyclerView d;
    public boolean e = false;
    public boolean f = false;
    public boolean g = super.canScrollHorizontally();
    public boolean h = super.canScrollVertically();
    public r1 i;
    public boolean j = false;
    public int k = -1;
    public PerformanceMonitor l;
    public s1 m;
    public Comparator<Pair<p1<Integer>, Integer>> n = new a(this);
    public i1 o;
    public w1 p = w1.a;
    public HashMap<Integer, h1> q = new HashMap<>();
    public HashMap<Integer, h1> r = new HashMap<>();
    public d s = new d();
    public int t = 0;
    public h u = new h();
    public List<Pair<p1<Integer>, Integer>> v = new ArrayList();
    public h1 w = a;
    public k1 x = new c(this);
    public Rect y = new Rect();
    public boolean z = false;

    public class a implements Comparator<Pair<p1<Integer>, Integer>> {
        public a(VirtualLayoutManager virtualLayoutManager) {
        }

        /* JADX DEBUG: Method arguments types fixed to match base method, original types: [java.lang.Object, java.lang.Object] */
        @Override // java.util.Comparator
        public int compare(Pair<p1<Integer>, Integer> pair, Pair<p1<Integer>, Integer> pair2) {
            Pair<p1<Integer>, Integer> pair3 = pair;
            Pair<p1<Integer>, Integer> pair4 = pair2;
            if (pair3 == null && pair4 == null) {
                return 0;
            }
            if (pair3 == null) {
                return -1;
            }
            if (pair4 == null) {
                return 1;
            }
            return ((Integer) ((p1) pair3.first).a).intValue() - ((Integer) ((p1) pair4.first).a).intValue();
        }
    }

    public class b implements Runnable {
        public b() {
        }

        public void run() {
            RecyclerView recyclerView = VirtualLayoutManager.this.d;
            if (recyclerView != null) {
                recyclerView.requestLayout();
            }
        }
    }

    public class c implements k1 {
        public c(VirtualLayoutManager virtualLayoutManager) {
        }
    }

    public static class d {
        public int a;
        public int b;
    }

    public interface e {
        boolean a();
    }

    public static class f extends g {
        public f(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }
    }

    public static class h {
        public ExposeLinearLayoutManagerEx.c a;
    }

    public static class i extends RecyclerView.ViewHolder {
        public i(View view) {
            super(view);
        }
    }

    public VirtualLayoutManager(@NonNull Context context) {
        super(context, 1, false);
        setHelperFinder(new q1());
    }

    private void setDefaultLayoutHelper(@NonNull h1 h1Var) {
        if (h1Var != null) {
            this.w = h1Var;
            return;
        }
        throw new IllegalArgumentException("layoutHelper should not be null");
    }

    @Nullable
    public final int a(@NonNull p1<Integer> p1Var) {
        Pair<p1<Integer>, Integer> pair;
        Pair<p1<Integer>, Integer> pair2;
        int size = this.v.size();
        if (size == 0) {
            return -1;
        }
        int i2 = size - 1;
        int i3 = 0;
        int i4 = -1;
        while (true) {
            pair = null;
            if (i3 > i2) {
                break;
            }
            i4 = (i3 + i2) / 2;
            pair2 = this.v.get(i4);
            p1 p1Var2 = (p1) pair2.first;
            if (p1Var2 != null) {
                if (p1Var2.a(p1Var.a) || p1Var2.a(p1Var.b)) {
                    break;
                }
                if ((p1Var2.a.compareTo(p1Var.a) >= 0) && (p1Var2.b.compareTo(p1Var.b) <= 0)) {
                    break;
                } else if (((Integer) p1Var2.a).intValue() > ((Integer) p1Var.b).intValue()) {
                    i2 = i4 - 1;
                } else if (((Integer) p1Var2.b).intValue() < ((Integer) p1Var.a).intValue()) {
                    i3 = i4 + 1;
                }
            } else {
                break;
            }
        }
        pair = pair2;
        if (pair == null) {
            return -1;
        }
        return i4;
    }

    public final void b(RecyclerView.Recycler recycler, RecyclerView.State state, int i2) {
        int i3 = this.t - 1;
        this.t = i3;
        if (i3 <= 0) {
            this.t = 0;
            int findFirstVisibleItemPosition = findFirstVisibleItemPosition();
            int findLastVisibleItemPosition = findLastVisibleItemPosition();
            for (h1 h1Var : ((q1) this.o).b) {
                try {
                    h1Var.a(recycler, state, findFirstVisibleItemPosition, findLastVisibleItemPosition, i2, this);
                } catch (Exception unused) {
                }
            }
            s1 s1Var = this.m;
            if (s1Var != null) {
                s1Var.a();
            }
        }
    }

    public final void c(RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (this.t == 0) {
            for (h1 h1Var : ((q1) this.o).c) {
                h1Var.b(recycler, state, this);
            }
        }
        this.t++;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public boolean canScrollHorizontally() {
        r1 r1Var = this.i;
        boolean z2 = r1Var == null || r1Var.b();
        if (!this.g || this.e || !z2) {
            return false;
        }
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public boolean canScrollVertically() {
        r1 r1Var = this.i;
        boolean z2 = r1Var == null || r1Var.a();
        if (!this.h || this.e || !z2) {
            return false;
        }
        return true;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public boolean checkLayoutParams(RecyclerView.LayoutParams layoutParams) {
        return layoutParams instanceof g;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public int computeAlignOffset(View view, boolean z2, boolean z3) {
        return computeAlignOffset(getPosition(view), z2, z3);
    }

    public void d(boolean z2) {
        this.f = z2;
        this.z = false;
        this.B = false;
        this.A = 0;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void detachAndScrapAttachedViews(RecyclerView.Recycler recycler) {
        int childCount = getChildCount();
        while (true) {
            childCount--;
            if (childCount >= 0) {
                View childAt = getChildAt(childCount);
                RecyclerView recyclerView = this.d;
                RecyclerView.ViewHolder childViewHolder = recyclerView != null ? recyclerView.getChildViewHolder(childAt) : null;
                if ((childViewHolder instanceof e) && ((e) childViewHolder).a()) {
                    ExposeLinearLayoutManagerEx.d.a(childViewHolder, 0, 6);
                }
            } else {
                super.detachAndScrapAttachedViews(recycler);
                return;
            }
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void detachAndScrapView(View view, RecyclerView.Recycler recycler) {
        super.detachAndScrapView(view, recycler);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void detachAndScrapViewAt(int i2, RecyclerView.Recycler recycler) {
        View childAt = getChildAt(i2);
        RecyclerView recyclerView = this.d;
        RecyclerView.ViewHolder childViewHolder = recyclerView != null ? recyclerView.getChildViewHolder(childAt) : null;
        if ((childViewHolder instanceof e) && ((e) childViewHolder).a()) {
            ExposeLinearLayoutManagerEx.d.a(childViewHolder, 0, 4);
        }
        super.detachAndScrapViewAt(i2, recycler);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager, androidx.base.j1
    public View findViewByPosition(int i2) {
        View findViewByPosition = super.findViewByPosition(i2);
        if (findViewByPosition != null && getPosition(findViewByPosition) == i2) {
            return findViewByPosition;
        }
        for (int i3 = 0; i3 < getChildCount(); i3++) {
            View childAt = getChildAt(i3);
            if (childAt != null && getPosition(childAt) == i2) {
                return childAt;
            }
        }
        return null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public RecyclerView.LayoutParams generateDefaultLayoutParams() {
        return new g(-2, -2);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(ViewGroup.LayoutParams layoutParams) {
        if (layoutParams instanceof g) {
            return new g((RecyclerView.LayoutParams) ((g) layoutParams));
        }
        if (layoutParams instanceof RecyclerView.LayoutParams) {
            return new g((RecyclerView.LayoutParams) layoutParams);
        }
        if (layoutParams instanceof ViewGroup.MarginLayoutParams) {
            return new g((ViewGroup.MarginLayoutParams) layoutParams);
        }
        return new g(layoutParams);
    }

    @Override // androidx.base.j1
    public int getContentHeight() {
        return super.getHeight();
    }

    @Override // androidx.base.j1
    public int getContentWidth() {
        return super.getWidth();
    }

    public List<View> getFixedViews() {
        if (this.d == null) {
            return Collections.emptyList();
        }
        LinkedList linkedList = new LinkedList();
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
        return linkedList;
    }

    @NonNull
    public List<h1> getLayoutHelpers() {
        return ((q1) this.o).b;
    }

    @Override // androidx.base.j1
    public o1 getMainOrientationHelper() {
        return this.b;
    }

    public int getOffsetToStart() {
        int i2 = -1;
        if (getChildCount() == 0) {
            return -1;
        }
        View childAt = getChildAt(0);
        if (childAt == null) {
            return -1;
        }
        int position = getPosition(childAt);
        int a2 = a(new p1<>(Integer.valueOf(position), Integer.valueOf(position)));
        if (a2 >= 0 && a2 < this.v.size()) {
            i2 = -this.b.e(childAt);
            for (int i3 = 0; i3 < a2; i3++) {
                Pair<p1<Integer>, Integer> pair = this.v.get(i3);
                if (pair != null) {
                    i2 = ((Integer) pair.second).intValue() + i2;
                }
            }
        }
        return i2;
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager, androidx.base.j1
    public int getOrientation() {
        return super.getOrientation();
    }

    public RecyclerView getRecyclerView() {
        return this.d;
    }

    public o1 getSecondaryOrientationHelper() {
        return this.c;
    }

    public int getVirtualLayoutDirection() {
        return ((ExposeLinearLayoutManagerEx) this).mLayoutState.g;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public void hideView(View view) {
        super.hideView(view);
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.base.j1
    public boolean isEnableMarginOverLap() {
        return this.j;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public void layoutChunk(RecyclerView.Recycler recycler, RecyclerView.State state, ExposeLinearLayoutManagerEx.c cVar, y1 y1Var) {
        int i2 = cVar.e;
        this.u.a = cVar;
        i1 i1Var = this.o;
        h1 a2 = i1Var == null ? null : i1Var.a(i2);
        if (a2 == null) {
            a2 = this.w;
        }
        a2.f(recycler, state, this.u, y1Var, this);
        this.u.a = null;
        int i3 = cVar.e;
        if (i3 == i2) {
            y1Var.b = true;
            return;
        }
        int i4 = i3 - cVar.f;
        int i5 = y1Var.c ? 0 : y1Var.a;
        p1<Integer> p1Var = new p1<>(Integer.valueOf(Math.min(i2, i4)), Integer.valueOf(Math.max(i2, i4)));
        int a3 = a(p1Var);
        if (a3 >= 0) {
            Pair<p1<Integer>, Integer> pair = this.v.get(a3);
            if (pair == null || !((p1) pair.first).equals(p1Var) || ((Integer) pair.second).intValue() != i5) {
                this.v.remove(a3);
            } else {
                return;
            }
        }
        this.v.add(Pair.create(p1Var, Integer.valueOf(i5)));
        Collections.sort(this.v, this.n);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.base.j1
    public void measureChild(View view, int i2, int i3) {
        calculateItemDecorationsForChild(view, this.y);
        Rect rect = this.y;
        int updateSpecWithExtra = updateSpecWithExtra(i2, rect.left, rect.right);
        Rect rect2 = this.y;
        int updateSpecWithExtra2 = updateSpecWithExtra(i3, rect2.top, rect2.bottom);
        PerformanceMonitor performanceMonitor = this.l;
        if (performanceMonitor != null) {
            performanceMonitor.recordStart("measure", view);
        }
        view.measure(updateSpecWithExtra, updateSpecWithExtra2);
        PerformanceMonitor performanceMonitor2 = this.l;
        if (performanceMonitor2 != null) {
            performanceMonitor2.recordEnd("measure", view);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.base.j1
    public void measureChildWithMargins(View view, int i2, int i3) {
        calculateItemDecorationsForChild(view, this.y);
        RecyclerView.LayoutParams layoutParams = (RecyclerView.LayoutParams) view.getLayoutParams();
        if (getOrientation() == 1) {
            int i4 = ((ViewGroup.MarginLayoutParams) layoutParams).leftMargin;
            Rect rect = this.y;
            i2 = updateSpecWithExtra(i2, i4 + rect.left, ((ViewGroup.MarginLayoutParams) layoutParams).rightMargin + rect.right);
        }
        if (getOrientation() == 0) {
            Rect rect2 = this.y;
            i3 = updateSpecWithExtra(i3, rect2.top, rect2.bottom);
        }
        PerformanceMonitor performanceMonitor = this.l;
        if (performanceMonitor != null) {
            performanceMonitor.recordStart("measure", view);
        }
        view.measure(i2, i3);
        PerformanceMonitor performanceMonitor2 = this.l;
        if (performanceMonitor2 != null) {
            performanceMonitor2.recordEnd("measure", view);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void moveView(int i2, int i3) {
        super.moveView(i2, i3);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenHorizontal(int i2) {
        super.offsetChildrenHorizontal(i2);
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void offsetChildrenVertical(int i2) {
        super.offsetChildrenVertical(i2);
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
        s1 s1Var = this.m;
        if (s1Var != null) {
            s1Var.a();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAdapterChanged(RecyclerView.Adapter adapter, RecyclerView.Adapter adapter2) {
        super.onAdapterChanged(adapter, adapter2);
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public void onAnchorReady(RecyclerView.State state, ExposeLinearLayoutManagerEx.a aVar) {
        super.onAnchorReady(state, aVar);
        boolean z2 = true;
        while (z2) {
            d dVar = this.s;
            int i2 = aVar.a;
            dVar.a = i2;
            dVar.b = aVar.b;
            h1 a2 = this.o.a(i2);
            if (a2 != null) {
                a2.c(state, this.s, this);
            }
            d dVar2 = this.s;
            int i3 = dVar2.a;
            if (i3 == aVar.a) {
                z2 = false;
            } else {
                aVar.a = i3;
            }
            aVar.b = dVar2.b;
            dVar2.a = -1;
        }
        d dVar3 = this.s;
        dVar3.a = aVar.a;
        dVar3.b = aVar.b;
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onAttachedToWindow(RecyclerView recyclerView) {
        super.onAttachedToWindow(recyclerView);
        this.d = recyclerView;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onDetachedFromWindow(RecyclerView recyclerView, RecyclerView.Recycler recycler) {
        super.onDetachedFromWindow(recyclerView, recycler);
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.d(this);
        }
        this.d = null;
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsAdded(RecyclerView recyclerView, int i2, int i3) {
        onItemsChanged(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsChanged(RecyclerView recyclerView) {
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsMoved(RecyclerView recyclerView, int i2, int i3, int i4) {
        onItemsChanged(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsRemoved(RecyclerView recyclerView, int i2, int i3) {
        onItemsChanged(recyclerView);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onItemsUpdated(RecyclerView recyclerView, int i2, int i3) {
        onItemsChanged(recyclerView);
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void onLayoutChildren(RecyclerView.Recycler recycler, RecyclerView.State state) {
        int i2 = Build.VERSION.SDK_INT;
        if (i2 >= 18) {
            Trace.beginSection("VLM onLayoutChildren");
        }
        if (this.e && state.didStructureChange()) {
            this.z = false;
            this.B = true;
        }
        c(recycler, state);
        try {
            super.onLayoutChildren(recycler, state);
            b(recycler, state, Integer.MAX_VALUE);
            if ((this.f || this.e) && this.B) {
                this.z = true;
                View childAt = getChildAt(getChildCount() - 1);
                if (childAt != null) {
                    this.A = computeAlignOffset(childAt, true, false) + getDecoratedBottom(childAt) + ((ViewGroup.MarginLayoutParams) ((RecyclerView.LayoutParams) childAt.getLayoutParams())).bottomMargin;
                    RecyclerView recyclerView = this.d;
                    if (recyclerView != null && this.f) {
                        ViewParent parent = recyclerView.getParent();
                        if (parent instanceof View) {
                            this.A = Math.min(this.A, ((View) parent).getMeasuredHeight());
                        }
                    }
                } else {
                    this.B = false;
                }
                this.B = false;
                if (this.d != null && getItemCount() > 0) {
                    this.d.post(new b());
                }
            }
            if (i2 >= 18) {
                Trace.endSection();
            }
        } catch (Exception e2) {
            e2.printStackTrace();
            throw e2;
        } catch (Throwable th) {
            b(recycler, state, Integer.MAX_VALUE);
            throw th;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:18:0x0032  */
    /* JADX WARNING: Removed duplicated region for block: B:21:0x003a  */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x0099  */
    /* JADX WARNING: Removed duplicated region for block: B:42:0x00a1  */
    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onMeasure(RecyclerView.Recycler recycler, RecyclerView.State state, int i2, int i3) {
        int i4;
        boolean z2;
        if (this.e || this.f) {
            RecyclerView recyclerView = this.d;
            int i5 = 134217727;
            if (recyclerView != null && this.f) {
                i4 = this.k;
                if (i4 <= 0) {
                    ViewParent parent = recyclerView.getParent();
                    if (parent instanceof View) {
                        i4 = ((View) parent).getMeasuredHeight();
                    }
                }
                z2 = this.z;
                if (z2) {
                    i4 = this.A;
                }
                if (this.e) {
                    this.B = !z2;
                    if (getChildCount() > 0 || getChildCount() != getItemCount()) {
                        View childAt = getChildAt(getChildCount() - 1);
                        int i6 = this.A;
                        if (childAt != null) {
                            i6 = computeAlignOffset(childAt, true, false) + getDecoratedBottom(childAt) + ((ViewGroup.MarginLayoutParams) ((RecyclerView.LayoutParams) childAt.getLayoutParams())).bottomMargin;
                        }
                        if (getChildCount() == getItemCount() && (childAt == null || i6 == this.A)) {
                            i5 = i4;
                        } else {
                            this.z = false;
                            this.B = true;
                        }
                        i4 = i5;
                    } else if (getItemCount() == 0) {
                        this.z = true;
                        this.B = false;
                        i4 = 0;
                    }
                }
                if (getOrientation() != 1) {
                    super.onMeasure(recycler, state, i2, View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE));
                    return;
                } else {
                    super.onMeasure(recycler, state, View.MeasureSpec.makeMeasureSpec(i4, Integer.MIN_VALUE), i3);
                    return;
                }
            }
            i4 = 134217727;
            z2 = this.z;
            if (z2) {
            }
            if (this.e) {
            }
            if (getOrientation() != 1) {
            }
        } else {
            super.onMeasure(recycler, state, i2, i3);
        }
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public void onScrollStateChanged(int i2) {
        super.onScrollStateChanged(i2);
        findFirstVisibleItemPosition();
        findLastVisibleItemPosition();
        for (h1 h1Var : ((q1) this.o).b) {
            h1Var.getClass();
        }
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public void recycleChildren(RecyclerView.Recycler recycler, int i2, int i3) {
        if (i2 != i3) {
            if (i3 > i2) {
                View childAt = getChildAt(i3 - 1);
                getPosition(getChildAt(i2));
                getPosition(childAt);
                for (int i4 = i2; i4 < i3; i4++) {
                    int position = getPosition(getChildAt(i2));
                    if (position != -1) {
                        this.o.a(position);
                        removeAndRecycleViewAt(i2, recycler);
                    } else {
                        removeAndRecycleViewAt(i2, recycler);
                    }
                }
                return;
            }
            View childAt2 = getChildAt(i2);
            getPosition(getChildAt(i3 + 1));
            getPosition(childAt2);
            while (i2 > i3) {
                int position2 = getPosition(getChildAt(i2));
                if (position2 != -1) {
                    this.o.a(position2);
                    removeAndRecycleViewAt(i2, recycler);
                } else {
                    removeAndRecycleViewAt(i2, recycler);
                }
                i2--;
            }
        }
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public int scrollInternalBy(int i2, RecyclerView.Recycler recycler, RecyclerView.State state) {
        if (Build.VERSION.SDK_INT >= 18) {
            Trace.beginSection("VLM scroll");
        }
        c(recycler, state);
        int i3 = 0;
        try {
            if (!this.e) {
                i2 = super.scrollInternalBy(i2, recycler, state);
            } else {
                if (getChildCount() != 0) {
                    if (i2 != 0) {
                        ((ExposeLinearLayoutManagerEx) this).mLayoutState.b = true;
                        ensureLayoutStateExpose();
                        int i4 = i2 > 0 ? 1 : -1;
                        int abs = Math.abs(i2);
                        updateLayoutStateExpose(i4, abs, true, state);
                        ExposeLinearLayoutManagerEx.c cVar = ((ExposeLinearLayoutManagerEx) this).mLayoutState;
                        int fill = cVar.h + fill(recycler, cVar, state, false);
                        if (fill < 0) {
                            b(recycler, state, 0);
                            return 0;
                        } else if (abs > fill) {
                            i2 = i4 * fill;
                        }
                    }
                }
                b(recycler, state, 0);
                return 0;
            }
            i3 = i2;
        } catch (Exception e2) {
            Log.w("VirtualLayoutManager", Log.getStackTraceString(e2), e2);
        } catch (Throwable th) {
            b(recycler, state, 0);
            throw th;
        }
        b(recycler, state, i3);
        if (Build.VERSION.SDK_INT >= 18) {
            Trace.endSection();
        }
        return i3;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void scrollToPosition(int i2) {
        super.scrollToPosition(i2);
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.LinearLayoutManager
    public void scrollToPositionWithOffset(int i2, int i3) {
        super.scrollToPositionWithOffset(i2, i3);
    }

    public void setCanScrollHorizontally(boolean z2) {
        this.g = z2;
    }

    public void setCanScrollVertically(boolean z2) {
        this.h = z2;
    }

    public void setEnableMarginOverlapping(boolean z2) {
        this.j = z2;
    }

    public void setHelperFinder(@NonNull i1 i1Var) {
        if (i1Var != null) {
            LinkedList linkedList = new LinkedList();
            i1 i1Var2 = this.o;
            if (i1Var2 != null) {
                for (h1 h1Var : ((q1) i1Var2).b) {
                    linkedList.add(h1Var);
                }
            }
            this.o = i1Var;
            if (linkedList.size() > 0) {
                this.o.b(linkedList);
            }
            this.z = false;
            requestLayout();
            return;
        }
        throw new IllegalArgumentException("finder is null");
    }

    public void setLayoutHelpers(@Nullable List<h1> list) {
        for (h1 h1Var : ((q1) this.o).b) {
            this.r.put(Integer.valueOf(System.identityHashCode(h1Var)), h1Var);
        }
        if (list != null) {
            int i2 = 0;
            for (h1 h1Var2 : list) {
                if (h1Var2 instanceof x1) {
                    ((x1) h1Var2).getClass();
                }
                boolean z2 = h1Var2 instanceof u1;
                if (h1Var2.g() > 0) {
                    h1Var2.i(i2, (h1Var2.g() + i2) - 1);
                } else {
                    h1Var2.i(-1, -1);
                }
                i2 += h1Var2.g();
            }
        }
        this.o.b(list);
        for (h1 h1Var3 : ((q1) this.o).b) {
            this.q.put(Integer.valueOf(System.identityHashCode(h1Var3)), h1Var3);
        }
        Iterator<Map.Entry<Integer, h1>> it = this.r.entrySet().iterator();
        while (it.hasNext()) {
            Integer key = it.next().getKey();
            if (this.q.containsKey(key)) {
                this.q.remove(key);
                it.remove();
            }
        }
        for (h1 h1Var4 : this.r.values()) {
            h1Var4.d(this);
        }
        if (!this.r.isEmpty() || !this.q.isEmpty()) {
            this.z = false;
        }
        this.r.clear();
        this.q.clear();
        requestLayout();
    }

    public void setLayoutManagerCanScrollListener(r1 r1Var) {
        this.i = r1Var;
    }

    public void setLayoutViewFactory(@NonNull k1 k1Var) {
        if (k1Var != null) {
            this.x = k1Var;
            return;
        }
        throw new IllegalArgumentException("factory should not be null");
    }

    public void setNestedScrolling(boolean z2) {
        d(z2);
    }

    public void setNoScrolling(boolean z2) {
        this.e = z2;
        this.z = false;
        this.A = 0;
        this.B = false;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.LinearLayoutManager
    public void setOrientation(int i2) {
        this.b = o1.a(this, i2);
        super.setOrientation(i2);
    }

    public void setPerformanceMonitor(PerformanceMonitor performanceMonitor) {
        this.l = performanceMonitor;
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public /* bridge */ /* synthetic */ void setRecycleOffset(int i2) {
        super.setRecycleOffset(i2);
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void setReverseLayout(boolean z2) {
        if (!z2) {
            super.setReverseLayout(false);
            return;
        }
        throw new UnsupportedOperationException("VirtualLayoutManager does not support reverse layout in current version.");
    }

    @Override // androidx.recyclerview.widget.LinearLayoutManager
    public void setStackFromEnd(boolean z2) {
        if (!z2) {
            super.setStackFromEnd(false);
            return;
        }
        throw new UnsupportedOperationException("VirtualLayoutManager does not support stack from end.");
    }

    public void setViewLifeCycleListener(@NonNull t1 t1Var) {
        if (t1Var != null) {
            this.m = new s1(this, t1Var);
            return;
        }
        throw new IllegalArgumentException("ViewLifeCycleListener should not be null!");
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public void showView(View view) {
        super.showView(view);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public void smoothScrollToPosition(RecyclerView recyclerView, RecyclerView.State state, int i2) {
        super.smoothScrollToPosition(recyclerView, state, i2);
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx, androidx.recyclerview.widget.RecyclerView.LayoutManager, androidx.recyclerview.widget.LinearLayoutManager
    public boolean supportsPredictiveItemAnimations() {
        return this.mCurrentPendingSavedState == null;
    }

    public final int updateSpecWithExtra(int i2, int i3, int i4) {
        if (i3 == 0 && i4 == 0) {
            return i2;
        }
        int mode = View.MeasureSpec.getMode(i2);
        if (mode != Integer.MIN_VALUE && mode != 1073741824) {
            return i2;
        }
        if ((View.MeasureSpec.getSize(i2) - i3) - i4 < 0) {
            return View.MeasureSpec.makeMeasureSpec(0, mode);
        }
        return View.MeasureSpec.makeMeasureSpec((View.MeasureSpec.getSize(i2) - i3) - i4, mode);
    }

    public static class g extends RecyclerView.LayoutParams {
        public float a = Float.NaN;

        public g(Context context, AttributeSet attributeSet) {
            super(context, attributeSet);
        }

        public g(int i, int i2) {
            super(i, i2);
        }

        public g(ViewGroup.MarginLayoutParams marginLayoutParams) {
            super(marginLayoutParams);
        }

        public g(ViewGroup.LayoutParams layoutParams) {
            super(layoutParams);
        }

        public g(RecyclerView.LayoutParams layoutParams) {
            super(layoutParams);
        }
    }

    @Override // com.alibaba.android.vlayout.ExposeLinearLayoutManagerEx
    public int computeAlignOffset(int i2, boolean z2, boolean z3) {
        h1 a2;
        if (i2 == -1 || (a2 = this.o.a(i2)) == null) {
            return 0;
        }
        return a2.e(i2 - ((Integer) a2.b.a).intValue(), z2, z3, this);
    }

    @Override // androidx.recyclerview.widget.RecyclerView.LayoutManager
    public RecyclerView.LayoutParams generateLayoutParams(Context context, AttributeSet attributeSet) {
        return new f(context, attributeSet);
    }
}
