package com.google.android.exoplayer2.source.rtsp;

import android.net.Uri;
import androidx.base.b;
import androidx.base.bs;
import androidx.base.zr;
import com.google.android.exoplayer2.C;
import com.google.android.exoplayer2.ParserException;
import com.google.android.exoplayer2.util.Util;
import java.util.Arrays;

public final class RtspTrackTiming {
    public final long rtpTimestamp;
    public final int sequenceNumber;
    public final Uri uri;

    private RtspTrackTiming(long j, int i, Uri uri2) {
        this.rtpTimestamp = j;
        this.sequenceNumber = i;
        this.uri = uri2;
    }

    /* JADX WARNING: Removed duplicated region for block: B:24:0x0077 A[Catch:{ Exception -> 0x009c }] */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x008c A[Catch:{ Exception -> 0x009c }] */
    public static bs<RtspTrackTiming> parseTrackTiming(String str) {
        char c;
        b.i(4, "initialCapacity");
        Object[] objArr = new Object[4];
        String[] split = Util.split(str, ",");
        int length = split.length;
        int i = 0;
        int i2 = 0;
        boolean z = false;
        while (i < length) {
            String str2 = split[i];
            Uri uri2 = null;
            String[] split2 = Util.split(str2, ";");
            long j = C.TIME_UNSET;
            int i3 = 0;
            int i4 = -1;
            for (int length2 = split2.length; i3 < length2; length2 = length2) {
                String str3 = split2[i3];
                try {
                    String[] splitAtFirst = Util.splitAtFirst(str3, "=");
                    String str4 = splitAtFirst[0];
                    String str5 = splitAtFirst[1];
                    int hashCode = str4.hashCode();
                    if (hashCode != 113759) {
                        if (hashCode != 116079) {
                            if (hashCode == 1524180539) {
                                if (str4.equals("rtptime")) {
                                    c = 2;
                                    if (c != 0) {
                                        uri2 = Uri.parse(str5);
                                    } else if (c == 1) {
                                        i4 = Integer.parseInt(str5);
                                    } else if (c == 2) {
                                        j = Long.parseLong(str5);
                                    } else {
                                        throw new ParserException();
                                    }
                                    i3++;
                                    split = split;
                                    length = length;
                                    split2 = split2;
                                }
                            }
                        } else if (str4.equals("url")) {
                            c = 0;
                            if (c != 0) {
                            }
                            i3++;
                            split = split;
                            length = length;
                            split2 = split2;
                        }
                    } else if (str4.equals("seq")) {
                        c = 1;
                        if (c != 0) {
                        }
                        i3++;
                        split = split;
                        length = length;
                        split2 = split2;
                    }
                    c = 65535;
                    if (c != 0) {
                    }
                    i3++;
                    split = split;
                    length = length;
                    split2 = split2;
                } catch (Exception e) {
                    throw new ParserException(str3, e);
                }
            }
            if (uri2 == null || uri2.getScheme() == null || (i4 == -1 && j == C.TIME_UNSET)) {
                throw new ParserException(str2);
            }
            RtspTrackTiming rtspTrackTiming = new RtspTrackTiming(j, i4, uri2);
            int i5 = i2 + 1;
            if (objArr.length < i5) {
                objArr = Arrays.copyOf(objArr, zr.b.a(objArr.length, i5));
            } else if (z) {
                objArr = (Object[]) objArr.clone();
            } else {
                objArr[i2] = rtspTrackTiming;
                i++;
                i2++;
                split = split;
                length = length;
            }
            z = false;
            objArr[i2] = rtspTrackTiming;
            i++;
            i2++;
            split = split;
            length = length;
        }
        return bs.asImmutableList(objArr, i2);
    }
}
