package com.orhanobut.hawk;

import com.google.gson.reflect.TypeToken;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;

public final class HawkConverter implements Converter {
    private final Parser parser;

    public HawkConverter(Parser parser2) {
        if (parser2 != null) {
            this.parser = parser2;
            return;
        }
        throw new NullPointerException("Parser should not be null");
    }

    private <T> T toList(String str, Class<?> cls) {
        if (cls == null) {
            return (T) new ArrayList();
        }
        T t = (T) ((List) this.parser.fromJson(str, new TypeToken<List<T>>() {
            /* class com.orhanobut.hawk.HawkConverter.AnonymousClass1 */
        }.getType()));
        int size = t.size();
        for (int i = 0; i < size; i++) {
            Parser parser2 = this.parser;
            t.set(i, parser2.fromJson(parser2.toJson(t.get(i)), cls));
        }
        return t;
    }

    /* JADX DEBUG: Multi-variable search result rejected for r0v0, resolved type: T */
    /* JADX WARN: Multi-variable type inference failed */
    private <K, V, T> T toMap(String str, Class<?> cls, Class<?> cls2) {
        T t = (T) new HashMap();
        if (!(cls == null || cls2 == null)) {
            for (Map.Entry<K, V> entry : ((Map) this.parser.fromJson(str, new TypeToken<Map<K, V>>() {
                /* class com.orhanobut.hawk.HawkConverter.AnonymousClass3 */
            }.getType())).entrySet()) {
                t.put(this.parser.fromJson(this.parser.toJson(entry.getKey()), cls), this.parser.fromJson(this.parser.toJson(entry.getValue()), cls2));
            }
        }
        return t;
    }

    private <T> T toObject(String str, Class<?> cls) {
        return (T) this.parser.fromJson(str, cls);
    }

    private <T> T toSet(String str, Class<?> cls) {
        T t = (T) new HashSet();
        if (cls == null) {
            return t;
        }
        for (Object obj : (Set) this.parser.fromJson(str, new TypeToken<Set<T>>() {
            /* class com.orhanobut.hawk.HawkConverter.AnonymousClass2 */
        }.getType())) {
            t.add(this.parser.fromJson(this.parser.toJson(obj), cls));
        }
        return t;
    }

    @Override // com.orhanobut.hawk.Converter
    public <T> T fromString(String str, DataInfo dataInfo) {
        if (str == null) {
            return null;
        }
        HawkUtils.checkNull("data info", dataInfo);
        Class<?> cls = dataInfo.keyClazz;
        Class<?> cls2 = dataInfo.valueClazz;
        switch (dataInfo.dataType) {
            case '0':
                return (T) toObject(str, cls);
            case '1':
                return (T) toList(str, cls);
            case '2':
                return (T) toMap(str, cls, cls2);
            case '3':
                return (T) toSet(str, cls);
            default:
                return null;
        }
    }

    @Override // com.orhanobut.hawk.Converter
    public <T> String toString(T t) {
        if (t == null) {
            return null;
        }
        return this.parser.toJson(t);
    }
}
