package com.thoughtworks.xstream.converters.collections;

import androidx.base.b2;
import androidx.exifinterface.media.ExifInterface;
import com.thoughtworks.xstream.converters.MarshallingContext;
import com.thoughtworks.xstream.converters.UnmarshallingContext;
import com.thoughtworks.xstream.converters.reflection.ObjectAccessException;
import com.thoughtworks.xstream.core.JVM;
import com.thoughtworks.xstream.core.util.Fields;
import com.thoughtworks.xstream.core.util.PresortedSet;
import com.thoughtworks.xstream.io.HierarchicalStreamReader;
import com.thoughtworks.xstream.io.HierarchicalStreamWriter;
import com.thoughtworks.xstream.mapper.Mapper;
import java.lang.reflect.Field;
import java.util.AbstractList;
import java.util.Comparator;
import java.util.Map;
import java.util.SortedSet;
import java.util.TreeMap;
import java.util.TreeSet;

public class TreeSetConverter extends CollectionConverter {
    public static /* synthetic */ Class class$java$lang$Object;
    public static /* synthetic */ Class class$java$util$SortedMap;
    public static /* synthetic */ Class class$java$util$TreeSet;
    private transient TreeMapConverter treeMapConverter;

    public static class Reflections {
        private static final Object constantValue;
        private static final Field sortedMapField;

        static {
            Field field;
            Map map;
            Object obj = null;
            if (JVM.hasOptimizedTreeSetAddAll()) {
                Class cls = TreeSetConverter.class$java$util$TreeSet;
                if (cls == null) {
                    cls = TreeSetConverter.class$("java.util.TreeSet");
                    TreeSetConverter.class$java$util$TreeSet = cls;
                }
                Class cls2 = TreeSetConverter.class$java$util$SortedMap;
                if (cls2 == null) {
                    cls2 = TreeSetConverter.class$("java.util.SortedMap");
                    TreeSetConverter.class$java$util$SortedMap = cls2;
                }
                field = Fields.locate(cls, cls2, false);
            } else {
                field = null;
            }
            sortedMapField = field;
            if (field != null) {
                TreeSet treeSet = new TreeSet();
                treeSet.add("1");
                treeSet.add(ExifInterface.GPS_MEASUREMENT_2D);
                try {
                    map = (Map) field.get(treeSet);
                } catch (IllegalAccessException unused) {
                    map = null;
                }
                if (map != null) {
                    Object[] array = map.values().toArray();
                    if (array[0] == array[1]) {
                        obj = array[0];
                    }
                }
            } else {
                Class cls3 = TreeSetConverter.class$java$util$TreeSet;
                if (cls3 == null) {
                    cls3 = TreeSetConverter.class$("java.util.TreeSet");
                    TreeSetConverter.class$java$util$TreeSet = cls3;
                }
                Class cls4 = TreeSetConverter.class$java$lang$Object;
                if (cls4 == null) {
                    cls4 = TreeSetConverter.class$("java.lang.Object");
                    TreeSetConverter.class$java$lang$Object = cls4;
                }
                Field locate = Fields.locate(cls3, cls4, true);
                if (locate != null) {
                    try {
                        obj = locate.get(null);
                    } catch (IllegalAccessException unused2) {
                    }
                }
            }
            constantValue = obj;
        }

        private Reflections() {
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public TreeSetConverter(Mapper mapper) {
        super(mapper, r0);
        Class cls = class$java$util$TreeSet;
        if (cls == null) {
            cls = class$("java.util.TreeSet");
            class$java$util$TreeSet = cls;
        }
        readResolve();
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    private Object readResolve() {
        this.treeMapConverter = new TreeMapConverter(mapper()) {
            /* class com.thoughtworks.xstream.converters.collections.TreeSetConverter.AnonymousClass1 */

            @Override // com.thoughtworks.xstream.converters.collections.MapConverter
            public void populateMap(HierarchicalStreamReader hierarchicalStreamReader, UnmarshallingContext unmarshallingContext, Map map, final Map map2) {
                TreeSetConverter.this.populateCollection(hierarchicalStreamReader, unmarshallingContext, new AbstractList() {
                    /* class com.thoughtworks.xstream.converters.collections.TreeSetConverter.AnonymousClass1.AnonymousClass1 */

                    @Override // java.util.AbstractCollection, java.util.List, java.util.Collection, java.util.AbstractList
                    public boolean add(Object obj) {
                        return map2.put(obj, Reflections.constantValue != null ? Reflections.constantValue : obj) != null;
                    }

                    @Override // java.util.List, java.util.AbstractList
                    public Object get(int i) {
                        return null;
                    }

                    public int size() {
                        return map2.size();
                    }
                });
            }

            @Override // com.thoughtworks.xstream.converters.collections.MapConverter
            public void putCurrentEntryIntoMap(HierarchicalStreamReader hierarchicalStreamReader, UnmarshallingContext unmarshallingContext, Map map, Map map2) {
                Object readItem = readItem(hierarchicalStreamReader, unmarshallingContext, map);
                map2.put(readItem, readItem);
            }
        };
        return this;
    }

    @Override // com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter, com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.collections.CollectionConverter
    public void marshal(Object obj, HierarchicalStreamWriter hierarchicalStreamWriter, MarshallingContext marshallingContext) {
        this.treeMapConverter.marshalComparator(((SortedSet) obj).comparator(), hierarchicalStreamWriter, marshallingContext);
        super.marshal(obj, hierarchicalStreamWriter, marshallingContext);
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r7v0, types: [com.thoughtworks.xstream.converters.collections.CollectionConverter, com.thoughtworks.xstream.converters.collections.TreeSetConverter] */
    /* JADX WARN: Type inference failed for: r4v5, types: [java.lang.Object, java.util.TreeSet] */
    /* JADX WARN: Type inference failed for: r5v0, types: [java.lang.reflect.Field] */
    /* JADX WARN: Type inference failed for: r4v6 */
    /* JADX WARNING: Unknown variable types count: 2 */
    @Override // com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter, com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.collections.CollectionConverter
    public Object unmarshal(HierarchicalStreamReader hierarchicalStreamReader, UnmarshallingContext unmarshallingContext) {
        TreeSet treeSet;
        TreeSet treeSet2;
        ?? treeSet3;
        TreeMap treeMap;
        TreeMap treeMap2 = null;
        Comparator unmarshalComparator = this.treeMapConverter.unmarshalComparator(hierarchicalStreamReader, unmarshallingContext, null);
        boolean z = unmarshalComparator instanceof Mapper.Null;
        Comparator comparator = z ? null : unmarshalComparator;
        if (Reflections.sortedMapField != null) {
            if (comparator != null) {
                treeSet3 = new TreeSet(comparator);
            }
            try {
                Object obj = Reflections.sortedMapField.get(treeSet3);
                if (obj instanceof TreeMap) {
                    treeMap = (TreeMap) obj;
                    treeMap2 = treeSet3;
                } else {
                    treeMap = null;
                }
                treeSet = treeMap2;
                treeMap2 = treeMap;
            } catch (IllegalAccessException e) {
                throw new ObjectAccessException("Cannot get backing map of TreeSet", e);
            }
        } else {
            treeSet = null;
        }
        if (treeMap2 == null) {
            PresortedSet presortedSet = new PresortedSet(comparator);
            if (comparator != null) {
                treeSet2 = new TreeSet(comparator);
            }
            treeSet = treeSet2;
            if (z) {
                addCurrentElementToCollection(hierarchicalStreamReader, unmarshallingContext, treeSet, presortedSet);
                hierarchicalStreamReader.moveUp();
            }
            populateCollection(hierarchicalStreamReader, unmarshallingContext, treeSet, presortedSet);
            if (presortedSet.size() > 0) {
                treeSet.addAll(presortedSet);
            }
        } else {
            this.treeMapConverter.populateTreeMap(hierarchicalStreamReader, unmarshallingContext, treeMap2, unmarshalComparator);
        }
        return treeSet;
    }
}
