package com.thoughtworks.xstream.converters.extended;

import com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter;
import java.io.File;
import java.net.URI;
import java.nio.file.FileSystems;
import java.nio.file.Path;
import java.nio.file.Paths;

public class PathConverter extends AbstractSingleValueConverter {
    @Override // com.thoughtworks.xstream.converters.ConverterMatcher, com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter
    public boolean canConvert(Class cls) {
        return cls != null && Path.class.isAssignableFrom(cls);
    }

    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public String toString(Object obj) {
        Path path = (Path) obj;
        if (path.getFileSystem() != FileSystems.getDefault()) {
            return path.toUri().toString();
        }
        String path2 = path.toString();
        char c = File.separatorChar;
        return c != '/' ? path2.replace(c, '/') : path2;
    }

    /* JADX WARNING: Code restructure failed: missing block: B:15:0x0030, code lost:
        r5 = move-exception;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:18:0x0038, code lost:
        return java.nio.file.Paths.get(r5, new java.lang.String[0]);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x003e, code lost:
        throw new com.thoughtworks.xstream.converters.ConversionException(r5);
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:16:0x0032 */
    @Override // com.thoughtworks.xstream.converters.basic.AbstractSingleValueConverter, com.thoughtworks.xstream.converters.SingleValueConverter
    public Path fromString(String str) {
        URI uri = new URI(str);
        if (uri.getScheme() != null) {
            if (uri.getScheme().length() != 1) {
                return Paths.get(uri);
            }
        }
        char c = File.separatorChar;
        return Paths.get(c != '/' ? str.replace('/', c) : str, new String[0]);
    }
}
