package com.thoughtworks.xstream.core;

import androidx.base.b2;
import com.thoughtworks.xstream.converters.reflection.FieldDictionary;
import com.thoughtworks.xstream.converters.reflection.ObjectAccessException;
import com.thoughtworks.xstream.converters.reflection.ReflectionProvider;
import com.thoughtworks.xstream.core.util.Base64Encoder;
import com.thoughtworks.xstream.core.util.CustomObjectOutputStream;
import com.thoughtworks.xstream.core.util.DependencyInjectionFactory;
import com.thoughtworks.xstream.core.util.PresortedMap;
import com.thoughtworks.xstream.core.util.PresortedSet;
import java.io.IOException;
import java.io.PrintStream;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Comparator;
import java.util.TreeMap;
import java.util.TreeSet;

public class JVM implements Caching {
    private static final float DEFAULT_JAVA_VERSION = 1.4f;
    private static final StringCodec base64Codec;
    private static final boolean canAllocateWithUnsafe;
    private static final boolean canCreateDerivedObjectOutputStream;
    private static final boolean canParseISO8601TimeZoneInDateFormat;
    private static final boolean canParseUTCDateFormat;
    private static final boolean canWriteWithUnsafe;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$converters$reflection$PureJavaReflectionProvider = null;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$core$JVM = null;
    public static /* synthetic */ Class class$com$thoughtworks$xstream$core$JVM$Test = null;
    public static /* synthetic */ Class class$java$lang$Class = null;
    public static /* synthetic */ Class class$java$text$AttributedString = null;
    private static final boolean isAWTAvailable = (loadClassForName("java.awt.Color", false) != null);
    private static final boolean isSQLAvailable;
    private static final boolean isSwingAvailable = (loadClassForName("javax.swing.LookAndFeel", false) != null);
    private static final float majorJavaVersion = getMajorJavaVersion();
    private static final boolean optimizedTreeMapPutAll;
    private static final boolean optimizedTreeSetAddAll;
    private static final Class reflectionProviderType;
    private static final boolean reverseFieldOrder = false;
    private static final String vendor = System.getProperty("java.vm.vendor");
    private ReflectionProvider reflectionProvider;

    public static class Test {
        private byte b;
        private boolean bool;
        private char c;
        private double d;
        private float f;
        private int i;
        private long l;
        private Object o;
        private short s;

        public Test() {
            throw new UnsupportedOperationException();
        }
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v19, types: [com.thoughtworks.xstream.core.StringCodec] */
    /* JADX WARNING: Removed duplicated region for block: B:102:0x01d0  */
    /* JADX WARNING: Removed duplicated region for block: B:103:0x01d2  */
    /* JADX WARNING: Removed duplicated region for block: B:106:0x01de  */
    /* JADX WARNING: Removed duplicated region for block: B:109:0x01e9  */
    /* JADX WARNING: Removed duplicated region for block: B:111:0x01f1 A[SYNTHETIC, Splitter:B:111:0x01f1] */
    /* JADX WARNING: Removed duplicated region for block: B:116:0x01fc  */
    /* JADX WARNING: Removed duplicated region for block: B:15:0x005d  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x007d A[Catch:{ ObjectAccessException -> 0x014e }] */
    /* JADX WARNING: Removed duplicated region for block: B:29:0x0091 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x00a7 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:35:0x00bb A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:38:0x00cf A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:41:0x00e3 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:44:0x00f9 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:47:0x010f A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:50:0x0125 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:53:0x0136 A[Catch:{ ObjectAccessException | IncompatibleClassChangeError -> 0x0141 }] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x0145  */
    /* JADX WARNING: Removed duplicated region for block: B:62:0x014c  */
    /* JADX WARNING: Removed duplicated region for block: B:98:0x01c3  */
    /* JADX WARNING: Removed duplicated region for block: B:99:0x01c5  */
    /* JADX WARNING: Unknown variable types count: 1 */
    static {
        boolean z;
        Class cls;
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5;
        boolean z6;
        boolean z7;
        Class loadClassForName;
        Class loadClassForName2;
        Class cls2;
        Class cls3;
        Class cls4;
        Class cls5;
        Class cls6;
        Class cls7;
        Class cls8;
        Class cls9;
        Class cls10;
        Class cls11;
        Base64Encoder base64Encoder = null;
        boolean z8 = true;
        try {
            Class<?> cls12 = Class.forName("sun.misc.Unsafe");
            Field declaredField = cls12.getDeclaredField("theUnsafe");
            declaredField.setAccessible(true);
            Object obj = declaredField.get(null);
            Class<?>[] clsArr = new Class[1];
            Class<?> cls13 = class$java$lang$Class;
            if (cls13 == null) {
                cls13 = class$("java.lang.Class");
                class$java$lang$Class = cls13;
            }
            clsArr[0] = cls13;
            Method declaredMethod = cls12.getDeclaredMethod("allocateInstance", clsArr);
            declaredMethod.setAccessible(true);
            Object[] objArr = new Object[1];
            Class cls14 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls14 == null) {
                cls14 = class$("com.thoughtworks.xstream.core.JVM$Test");
                class$com$thoughtworks$xstream$core$JVM$Test = cls14;
            }
            objArr[0] = cls14;
            if (declaredMethod.invoke(obj, objArr) != null) {
                z = true;
                canAllocateWithUnsafe = z;
                cls = class$com$thoughtworks$xstream$converters$reflection$PureJavaReflectionProvider;
                if (cls == null) {
                    cls = class$("com.thoughtworks.xstream.converters.reflection.PureJavaReflectionProvider");
                    class$com$thoughtworks$xstream$converters$reflection$PureJavaReflectionProvider = cls;
                }
                if (canUseSunUnsafeReflectionProvider() && (loadClassForName2 = loadClassForName("com.thoughtworks.xstream.converters.reflection.SunUnsafeReflectionProvider")) != null) {
                    ReflectionProvider reflectionProvider2 = (ReflectionProvider) DependencyInjectionFactory.newInstance(loadClassForName2, null);
                    cls2 = class$com$thoughtworks$xstream$core$JVM$Test;
                    if (cls2 == null) {
                        cls2 = class$("com.thoughtworks.xstream.core.JVM$Test");
                        class$com$thoughtworks$xstream$core$JVM$Test = cls2;
                    }
                    Test test = (Test) reflectionProvider2.newInstance(cls2);
                    try {
                        cls3 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls3 == null) {
                            cls3 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls3;
                        }
                        reflectionProvider2.writeField(test, "o", "object", cls3);
                        Character ch = new Character('c');
                        cls4 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls4 == null) {
                            cls4 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls4;
                        }
                        reflectionProvider2.writeField(test, "c", ch, cls4);
                        Byte b = new Byte((byte) 1);
                        cls5 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls5 == null) {
                            cls5 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls5;
                        }
                        reflectionProvider2.writeField(test, "b", b, cls5);
                        Short sh = new Short((short) 1);
                        cls6 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls6 == null) {
                            cls6 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls6;
                        }
                        reflectionProvider2.writeField(test, "s", sh, cls6);
                        Integer num = new Integer(1);
                        cls7 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls7 == null) {
                            cls7 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls7;
                        }
                        reflectionProvider2.writeField(test, "i", num, cls7);
                        Long l = new Long(1);
                        cls8 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls8 == null) {
                            cls8 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls8;
                        }
                        reflectionProvider2.writeField(test, "l", l, cls8);
                        Float f = new Float(1.0f);
                        cls9 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls9 == null) {
                            cls9 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls9;
                        }
                        reflectionProvider2.writeField(test, "f", f, cls9);
                        Double d = new Double(1.0d);
                        cls10 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls10 == null) {
                            cls10 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls10;
                        }
                        reflectionProvider2.writeField(test, "d", d, cls10);
                        Boolean bool = Boolean.TRUE;
                        cls11 = class$com$thoughtworks$xstream$core$JVM$Test;
                        if (cls11 == null) {
                            cls11 = class$("com.thoughtworks.xstream.core.JVM$Test");
                            class$com$thoughtworks$xstream$core$JVM$Test = cls11;
                        }
                        reflectionProvider2.writeField(test, "bool", bool, cls11);
                        z2 = true;
                    } catch (ObjectAccessException | IncompatibleClassChangeError unused) {
                        loadClassForName2 = null;
                        z2 = false;
                    }
                    if (loadClassForName2 != null) {
                        try {
                            cls = loadClassForName("com.thoughtworks.xstream.converters.reflection.SunLimitedUnsafeReflectionProvider");
                        } catch (ObjectAccessException unused2) {
                        }
                    } else {
                        cls = loadClassForName2;
                    }
                    reflectionProviderType = cls;
                    canWriteWithUnsafe = z2;
                    AnonymousClass1 r0 = new Comparator() {
                        /* class com.thoughtworks.xstream.core.JVM.AnonymousClass1 */

                        @Override // java.util.Comparator
                        public int compare(Object obj, Object obj2) {
                            throw new RuntimeException();
                        }
                    };
                    PresortedMap presortedMap = new PresortedMap(r0);
                    presortedMap.put("one", null);
                    presortedMap.put("two", null);
                    new TreeMap(r0).putAll(presortedMap);
                    z3 = true;
                    optimizedTreeMapPutAll = z3;
                    PresortedSet presortedSet = new PresortedSet(r0);
                    presortedSet.addAll(presortedMap.keySet());
                    new TreeSet(r0).addAll(presortedSet);
                    z4 = true;
                    optimizedTreeSetAddAll = z4;
                    new SimpleDateFormat("z").parse("UTC");
                    z5 = true;
                    canParseUTCDateFormat = z5;
                    new SimpleDateFormat("X").parse("Z");
                    z6 = true;
                    canParseISO8601TimeZoneInDateFormat = z6;
                    new CustomObjectOutputStream(null);
                    z7 = true;
                    canCreateDerivedObjectOutputStream = z7;
                    if (loadClassForName("java.sql.Date") == null) {
                        z8 = false;
                    }
                    isSQLAvailable = z8;
                    loadClassForName = loadClassForName("com.thoughtworks.xstream.core.util.Base64JavaUtilCodec");
                    if (loadClassForName == null) {
                        loadClassForName = loadClassForName("com.thoughtworks.xstream.core.util.Base64JAXBCodec");
                    }
                    if (loadClassForName != null) {
                        try {
                            base64Encoder = (StringCodec) loadClassForName.newInstance();
                        } catch (Error | Exception unused3) {
                        }
                    }
                    if (base64Encoder == null) {
                        base64Encoder = new Base64Encoder();
                    }
                    base64Codec = base64Encoder;
                }
                z2 = false;
                reflectionProviderType = cls;
                canWriteWithUnsafe = z2;
                AnonymousClass1 r02 = new Comparator() {
                    /* class com.thoughtworks.xstream.core.JVM.AnonymousClass1 */

                    @Override // java.util.Comparator
                    public int compare(Object obj, Object obj2) {
                        throw new RuntimeException();
                    }
                };
                PresortedMap presortedMap2 = new PresortedMap(r02);
                presortedMap2.put("one", null);
                presortedMap2.put("two", null);
                new TreeMap(r02).putAll(presortedMap2);
                z3 = true;
                optimizedTreeMapPutAll = z3;
                PresortedSet presortedSet2 = new PresortedSet(r02);
                presortedSet2.addAll(presortedMap2.keySet());
                new TreeSet(r02).addAll(presortedSet2);
                z4 = true;
                optimizedTreeSetAddAll = z4;
                new SimpleDateFormat("z").parse("UTC");
                z5 = true;
                canParseUTCDateFormat = z5;
                new SimpleDateFormat("X").parse("Z");
                z6 = true;
                canParseISO8601TimeZoneInDateFormat = z6;
                new CustomObjectOutputStream(null);
                z7 = true;
                canCreateDerivedObjectOutputStream = z7;
                if (loadClassForName("java.sql.Date") == null) {
                }
                isSQLAvailable = z8;
                loadClassForName = loadClassForName("com.thoughtworks.xstream.core.util.Base64JavaUtilCodec");
                if (loadClassForName == null) {
                }
                if (loadClassForName != null) {
                }
                if (base64Encoder == null) {
                }
                base64Codec = base64Encoder;
            }
        } catch (Error | Exception unused4) {
        }
        z = false;
        canAllocateWithUnsafe = z;
        cls = class$com$thoughtworks$xstream$converters$reflection$PureJavaReflectionProvider;
        if (cls == null) {
        }
        try {
            ReflectionProvider reflectionProvider22 = (ReflectionProvider) DependencyInjectionFactory.newInstance(loadClassForName2, null);
            cls2 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls2 == null) {
            }
            Test test2 = (Test) reflectionProvider22.newInstance(cls2);
            cls3 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls3 == null) {
            }
            reflectionProvider22.writeField(test2, "o", "object", cls3);
            Character ch2 = new Character('c');
            cls4 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls4 == null) {
            }
            reflectionProvider22.writeField(test2, "c", ch2, cls4);
            Byte b2 = new Byte((byte) 1);
            cls5 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls5 == null) {
            }
            reflectionProvider22.writeField(test2, "b", b2, cls5);
            Short sh2 = new Short((short) 1);
            cls6 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls6 == null) {
            }
            reflectionProvider22.writeField(test2, "s", sh2, cls6);
            Integer num2 = new Integer(1);
            cls7 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls7 == null) {
            }
            reflectionProvider22.writeField(test2, "i", num2, cls7);
            Long l2 = new Long(1);
            cls8 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls8 == null) {
            }
            reflectionProvider22.writeField(test2, "l", l2, cls8);
            Float f2 = new Float(1.0f);
            cls9 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls9 == null) {
            }
            reflectionProvider22.writeField(test2, "f", f2, cls9);
            Double d2 = new Double(1.0d);
            cls10 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls10 == null) {
            }
            reflectionProvider22.writeField(test2, "d", d2, cls10);
            Boolean bool2 = Boolean.TRUE;
            cls11 = class$com$thoughtworks$xstream$core$JVM$Test;
            if (cls11 == null) {
            }
            reflectionProvider22.writeField(test2, "bool", bool2, cls11);
            z2 = true;
            if (loadClassForName2 != null) {
            }
        } catch (ObjectAccessException unused5) {
        }
        reflectionProviderType = cls;
        canWriteWithUnsafe = z2;
        AnonymousClass1 r022 = new Comparator() {
            /* class com.thoughtworks.xstream.core.JVM.AnonymousClass1 */

            @Override // java.util.Comparator
            public int compare(Object obj, Object obj2) {
                throw new RuntimeException();
            }
        };
        PresortedMap presortedMap22 = new PresortedMap(r022);
        presortedMap22.put("one", null);
        presortedMap22.put("two", null);
        try {
            new TreeMap(r022).putAll(presortedMap22);
            z3 = true;
        } catch (RuntimeException unused6) {
            z3 = false;
        }
        optimizedTreeMapPutAll = z3;
        PresortedSet presortedSet22 = new PresortedSet(r022);
        presortedSet22.addAll(presortedMap22.keySet());
        try {
            new TreeSet(r022).addAll(presortedSet22);
            z4 = true;
        } catch (RuntimeException unused7) {
            z4 = false;
        }
        optimizedTreeSetAddAll = z4;
        try {
            new SimpleDateFormat("z").parse("UTC");
            z5 = true;
        } catch (ParseException unused8) {
            z5 = false;
        }
        canParseUTCDateFormat = z5;
        try {
            new SimpleDateFormat("X").parse("Z");
            z6 = true;
        } catch (IllegalArgumentException | ParseException unused9) {
            z6 = false;
        }
        canParseISO8601TimeZoneInDateFormat = z6;
        try {
            new CustomObjectOutputStream(null);
            z7 = true;
        } catch (IOException | RuntimeException unused10) {
            z7 = false;
        }
        canCreateDerivedObjectOutputStream = z7;
        if (loadClassForName("java.sql.Date") == null) {
        }
        isSQLAvailable = z8;
        loadClassForName = loadClassForName("com.thoughtworks.xstream.core.util.Base64JavaUtilCodec");
        if (loadClassForName == null) {
        }
        if (loadClassForName != null) {
        }
        if (base64Encoder == null) {
        }
        base64Codec = base64Encoder;
    }

    public static boolean canCreateDerivedObjectOutputStream() {
        return canCreateDerivedObjectOutputStream;
    }

    public static boolean canParseISO8601TimeZoneInDateFormat() {
        return canParseISO8601TimeZoneInDateFormat;
    }

    public static boolean canParseUTCDateFormat() {
        return canParseUTCDateFormat;
    }

    private static boolean canUseSunLimitedUnsafeReflectionProvider() {
        return canWriteWithUnsafe;
    }

    private static boolean canUseSunUnsafeReflectionProvider() {
        return canAllocateWithUnsafe;
    }

    public static /* synthetic */ Class class$(String str) {
        try {
            return Class.forName(str);
        } catch (ClassNotFoundException e) {
            throw b2.n(e);
        }
    }

    public static StringCodec getBase64Codec() {
        return base64Codec;
    }

    private static final float getMajorJavaVersion() {
        try {
            if (isAndroid()) {
                return 1.5f;
            }
            return Float.parseFloat(System.getProperty("java.specification.version"));
        } catch (NumberFormatException unused) {
            return DEFAULT_JAVA_VERSION;
        }
    }

    public static Class getStaxInputFactory() {
        if (!isVersion(6)) {
            return null;
        }
        if (isIBM()) {
            return Class.forName("com.ibm.xml.xlxp.api.stax.XMLInputFactoryImpl");
        }
        return Class.forName("com.sun.xml.internal.stream.XMLInputFactoryImpl");
    }

    public static Class getStaxOutputFactory() {
        if (!isVersion(6)) {
            return null;
        }
        if (isIBM()) {
            return Class.forName("com.ibm.xml.xlxp.api.stax.XMLOutputFactoryImpl");
        }
        return Class.forName("com.sun.xml.internal.stream.XMLOutputFactoryImpl");
    }

    public static boolean hasOptimizedTreeMapPutAll() {
        return optimizedTreeMapPutAll;
    }

    public static boolean hasOptimizedTreeSetAddAll() {
        return optimizedTreeSetAddAll;
    }

    public static boolean is14() {
        return isVersion(4);
    }

    public static boolean is15() {
        return isVersion(5);
    }

    public static boolean is16() {
        return isVersion(6);
    }

    public static boolean is17() {
        return isVersion(7);
    }

    public static boolean is18() {
        return isVersion(8);
    }

    public static boolean is19() {
        return majorJavaVersion >= 1.9f;
    }

    public static boolean is9() {
        return isVersion(9);
    }

    public static boolean isAWTAvailable() {
        return isAWTAvailable;
    }

    private static boolean isAndroid() {
        return vendor.indexOf("Android") != -1;
    }

    private static boolean isIBM() {
        return vendor.indexOf("IBM") != -1;
    }

    public static boolean isSQLAvailable() {
        return isSQLAvailable;
    }

    public static boolean isSwingAvailable() {
        return isSwingAvailable;
    }

    public static boolean isVersion(int i) {
        if (i >= 1) {
            float f = majorJavaVersion;
            return f >= ((f > 9.0f ? 1 : (f == 9.0f ? 0 : -1)) < 0 ? (((float) i) * 0.1f) + 1.0f : (float) i);
        }
        throw new IllegalArgumentException("Java version range starts with at least 1.");
    }

    public static Class loadClassForName(String str) {
        return loadClassForName(str, true);
    }

    public static void main(String[] strArr) {
        boolean z;
        boolean z2;
        String str;
        Class cls = class$java$text$AttributedString;
        if (cls == null) {
            cls = class$("java.text.AttributedString");
            class$java$text$AttributedString = cls;
        }
        Field[] declaredFields = cls.getDeclaredFields();
        boolean z3 = false;
        int i = 0;
        while (true) {
            if (i >= declaredFields.length) {
                break;
            } else if (!declaredFields[i].getName().equals("text")) {
                i++;
            } else if (i > 3) {
                z = true;
            }
        }
        z = false;
        Class cls2 = class$com$thoughtworks$xstream$core$JVM$Test;
        if (cls2 == null) {
            cls2 = class$("com.thoughtworks.xstream.core.JVM$Test");
            class$com$thoughtworks$xstream$core$JVM$Test = cls2;
        }
        Field[] declaredFields2 = cls2.getDeclaredFields();
        int i2 = 0;
        while (true) {
            if (i2 >= declaredFields2.length) {
                break;
            } else if (!declaredFields2[i2].getName().equals("o")) {
                i2++;
            } else if (i2 > 3) {
                z2 = true;
            }
        }
        z2 = false;
        String str2 = null;
        try {
            str = getStaxInputFactory().getName();
        } catch (ClassNotFoundException e) {
            str = e.getMessage();
        } catch (NullPointerException unused) {
            str = null;
        }
        try {
            str2 = getStaxOutputFactory().getName();
        } catch (ClassNotFoundException e2) {
            str2 = e2.getMessage();
        } catch (NullPointerException unused2) {
        }
        System.out.println("XStream JVM diagnostics");
        PrintStream printStream = System.out;
        StringBuffer h = b2.h("java.specification.version: ");
        h.append(System.getProperty("java.specification.version"));
        printStream.println(h.toString());
        PrintStream printStream2 = System.out;
        StringBuffer h2 = b2.h("java.specification.vendor: ");
        h2.append(System.getProperty("java.specification.vendor"));
        printStream2.println(h2.toString());
        PrintStream printStream3 = System.out;
        StringBuffer h3 = b2.h("java.specification.name: ");
        h3.append(System.getProperty("java.specification.name"));
        printStream3.println(h3.toString());
        PrintStream printStream4 = System.out;
        StringBuffer h4 = b2.h("java.vm.vendor: ");
        h4.append(vendor);
        printStream4.println(h4.toString());
        PrintStream printStream5 = System.out;
        StringBuffer h5 = b2.h("java.vendor: ");
        h5.append(System.getProperty("java.vendor"));
        printStream5.println(h5.toString());
        PrintStream printStream6 = System.out;
        StringBuffer h6 = b2.h("java.vm.name: ");
        h6.append(System.getProperty("java.vm.name"));
        printStream6.println(h6.toString());
        PrintStream printStream7 = System.out;
        StringBuffer h7 = b2.h("Version: ");
        h7.append(majorJavaVersion);
        printStream7.println(h7.toString());
        PrintStream printStream8 = System.out;
        StringBuffer h8 = b2.h("XStream support for enhanced Mode: ");
        h8.append(canUseSunUnsafeReflectionProvider());
        printStream8.println(h8.toString());
        PrintStream printStream9 = System.out;
        StringBuffer h9 = b2.h("XStream support for reduced Mode: ");
        h9.append(canUseSunLimitedUnsafeReflectionProvider());
        printStream9.println(h9.toString());
        PrintStream printStream10 = System.out;
        StringBuffer h10 = b2.h("Supports AWT: ");
        h10.append(isAWTAvailable());
        printStream10.println(h10.toString());
        PrintStream printStream11 = System.out;
        StringBuffer h11 = b2.h("Supports Swing: ");
        h11.append(isSwingAvailable());
        printStream11.println(h11.toString());
        PrintStream printStream12 = System.out;
        StringBuffer h12 = b2.h("Supports SQL: ");
        h12.append(isSQLAvailable());
        printStream12.println(h12.toString());
        PrintStream printStream13 = System.out;
        StringBuffer h13 = b2.h("Java Beans EventHandler present: ");
        if (loadClassForName("java.beans.EventHandler") != null) {
            z3 = true;
        }
        h13.append(z3);
        printStream13.println(h13.toString());
        PrintStream printStream14 = System.out;
        StringBuffer stringBuffer = new StringBuffer();
        stringBuffer.append("Standard StAX XMLInputFactory: ");
        stringBuffer.append(str);
        printStream14.println(stringBuffer.toString());
        PrintStream printStream15 = System.out;
        StringBuffer stringBuffer2 = new StringBuffer();
        stringBuffer2.append("Standard StAX XMLOutputFactory: ");
        stringBuffer2.append(str2);
        printStream15.println(stringBuffer2.toString());
        PrintStream printStream16 = System.out;
        StringBuffer h14 = b2.h("Standard Base64 Codec: ");
        h14.append(getBase64Codec().getClass().toString());
        printStream16.println(h14.toString());
        PrintStream printStream17 = System.out;
        StringBuffer h15 = b2.h("Optimized TreeSet.addAll: ");
        h15.append(hasOptimizedTreeSetAddAll());
        printStream17.println(h15.toString());
        PrintStream printStream18 = System.out;
        StringBuffer h16 = b2.h("Optimized TreeMap.putAll: ");
        h16.append(hasOptimizedTreeMapPutAll());
        printStream18.println(h16.toString());
        PrintStream printStream19 = System.out;
        StringBuffer h17 = b2.h("Can parse UTC date format: ");
        h17.append(canParseUTCDateFormat());
        printStream19.println(h17.toString());
        PrintStream printStream20 = System.out;
        StringBuffer h18 = b2.h("Can create derive ObjectOutputStream: ");
        h18.append(canCreateDerivedObjectOutputStream());
        printStream20.println(h18.toString());
        PrintStream printStream21 = System.out;
        StringBuffer stringBuffer3 = new StringBuffer();
        stringBuffer3.append("Reverse field order detected for JDK: ");
        stringBuffer3.append(z);
        printStream21.println(stringBuffer3.toString());
        PrintStream printStream22 = System.out;
        StringBuffer stringBuffer4 = new StringBuffer();
        stringBuffer4.append("Reverse field order detected (only if JVM class itself has been compiled): ");
        stringBuffer4.append(z2);
        printStream22.println(stringBuffer4.toString());
    }

    public static ReflectionProvider newReflectionProvider() {
        return (ReflectionProvider) DependencyInjectionFactory.newInstance(reflectionProviderType, null);
    }

    public static boolean reverseFieldDefinition() {
        return false;
    }

    public synchronized ReflectionProvider bestReflectionProvider() {
        if (this.reflectionProvider == null) {
            this.reflectionProvider = newReflectionProvider();
        }
        return this.reflectionProvider;
    }

    @Override // com.thoughtworks.xstream.core.Caching
    public void flushCache() {
    }

    public Class loadClass(String str) {
        return loadClassForName(str, true);
    }

    public boolean supportsAWT() {
        return isAWTAvailable;
    }

    public boolean supportsSQL() {
        return isSQLAvailable;
    }

    public boolean supportsSwing() {
        return isSwingAvailable;
    }

    public static Class loadClassForName(String str, boolean z) {
        try {
            Class cls = class$com$thoughtworks$xstream$core$JVM;
            if (cls == null) {
                cls = class$("com.thoughtworks.xstream.core.JVM");
                class$com$thoughtworks$xstream$core$JVM = cls;
            }
            return Class.forName(str, z, cls.getClassLoader());
        } catch (ClassNotFoundException | LinkageError unused) {
            return null;
        }
    }

    public static ReflectionProvider newReflectionProvider(FieldDictionary fieldDictionary) {
        return (ReflectionProvider) DependencyInjectionFactory.newInstance(reflectionProviderType, new Object[]{fieldDictionary});
    }

    public Class loadClass(String str, boolean z) {
        return loadClassForName(str, z);
    }
}
