package me.jessyan.autosize;

import android.content.res.Configuration;
import android.content.res.Resources;
import android.util.DisplayMetrics;
import android.util.SparseArray;
import me.jessyan.autosize.external.ExternalAdaptInfo;
import me.jessyan.autosize.internal.CustomAdapt;
import me.jessyan.autosize.unit.Subunits;
import me.jessyan.autosize.utils.Preconditions;

public final class AutoSizeCompat {
    private static final int MODE_DEVICE_SIZE = Integer.MIN_VALUE;
    private static final int MODE_MASK = -1073741824;
    private static final int MODE_ON_WIDTH = 1073741824;
    private static final int MODE_SHIFT = 30;
    private static SparseArray<DisplayMetricsInfo> mCache = new SparseArray<>();

    /* renamed from: me.jessyan.autosize.AutoSizeCompat$1  reason: invalid class name */
    public static /* synthetic */ class AnonymousClass1 {
        public static final /* synthetic */ int[] $SwitchMap$me$jessyan$autosize$unit$Subunits;

        /* JADX WARNING: Can't wrap try/catch for region: R(10:0|1|2|3|4|5|6|7|8|10) */
        /* JADX WARNING: Code restructure failed: missing block: B:11:?, code lost:
            return;
         */
        /* JADX WARNING: Failed to process nested try/catch */
        /* JADX WARNING: Missing exception handler attribute for start block: B:3:0x0011 */
        /* JADX WARNING: Missing exception handler attribute for start block: B:5:0x001c */
        /* JADX WARNING: Missing exception handler attribute for start block: B:7:0x0027 */
        static {
            Subunits.values();
            int[] iArr = new int[4];
            $SwitchMap$me$jessyan$autosize$unit$Subunits = iArr;
            iArr[Subunits.PT.ordinal()] = 1;
            $SwitchMap$me$jessyan$autosize$unit$Subunits[Subunits.MM.ordinal()] = 2;
            $SwitchMap$me$jessyan$autosize$unit$Subunits[Subunits.NONE.ordinal()] = 3;
            $SwitchMap$me$jessyan$autosize$unit$Subunits[Subunits.IN.ordinal()] = 4;
        }
    }

    private AutoSizeCompat() {
        throw new IllegalStateException("you can't instantiate me!");
    }

    public static void autoConvertDensity(Resources resources, float f, boolean z) {
        float f2;
        int i;
        int i2;
        int i3;
        int i4;
        float f3;
        float f4;
        float f5;
        int i5;
        int i6;
        float f6;
        Preconditions.checkNotNull(resources, "resources == null");
        Preconditions.checkMainThread();
        if (z) {
            f2 = AutoSizeConfig.getInstance().getUnitsManager().getDesignWidth();
        } else {
            f2 = AutoSizeConfig.getInstance().getUnitsManager().getDesignHeight();
        }
        if (f2 <= 0.0f) {
            f2 = f;
        }
        if (z) {
            i = AutoSizeConfig.getInstance().getScreenWidth();
        } else {
            i = AutoSizeConfig.getInstance().getScreenHeight();
        }
        int round = Math.round(AutoSizeConfig.getInstance().getInitScaledDensity() * (f + f2 + ((float) i))) & 1073741823;
        int i7 = z ? round | 1073741824 : round & -1073741825;
        int i8 = AutoSizeConfig.getInstance().isUseDeviceSize() ? i7 | Integer.MIN_VALUE : i7 & Integer.MAX_VALUE;
        DisplayMetricsInfo displayMetricsInfo = mCache.get(i8);
        if (displayMetricsInfo == null) {
            if (z) {
                i5 = AutoSizeConfig.getInstance().getScreenWidth();
            } else {
                i5 = AutoSizeConfig.getInstance().getScreenHeight();
            }
            f3 = (((float) i5) * 1.0f) / f;
            if (AutoSizeConfig.getInstance().getPrivateFontScale() > 0.0f) {
                f4 = AutoSizeConfig.getInstance().getPrivateFontScale() * f3;
            } else {
                if (AutoSizeConfig.getInstance().isExcludeFontScale()) {
                    f6 = 1.0f;
                } else {
                    f6 = (AutoSizeConfig.getInstance().getInitScaledDensity() * 1.0f) / AutoSizeConfig.getInstance().getInitDensity();
                }
                f4 = f6 * f3;
            }
            i4 = (int) (160.0f * f3);
            i3 = (int) (((float) AutoSizeConfig.getInstance().getScreenWidth()) / f3);
            i2 = (int) (((float) AutoSizeConfig.getInstance().getScreenHeight()) / f3);
            if (z) {
                i6 = AutoSizeConfig.getInstance().getScreenWidth();
            } else {
                i6 = AutoSizeConfig.getInstance().getScreenHeight();
            }
            float f7 = (((float) i6) * 1.0f) / f2;
            mCache.put(i8, new DisplayMetricsInfo(f3, i4, f4, f7, i3, i2));
            f5 = f7;
        } else {
            f3 = displayMetricsInfo.getDensity();
            i4 = displayMetricsInfo.getDensityDpi();
            f4 = displayMetricsInfo.getScaledDensity();
            f5 = displayMetricsInfo.getXdpi();
            i3 = displayMetricsInfo.getScreenWidthDp();
            i2 = displayMetricsInfo.getScreenHeightDp();
        }
        setDensity(resources, f3, i4, f4, f5);
        setScreenSizeDp(resources, i3, i2);
    }

    public static void autoConvertDensityBaseOnHeight(Resources resources, float f) {
        autoConvertDensity(resources, f, false);
    }

    public static void autoConvertDensityBaseOnWidth(Resources resources, float f) {
        autoConvertDensity(resources, f, true);
    }

    public static void autoConvertDensityOfCustomAdapt(Resources resources, CustomAdapt customAdapt) {
        int i;
        Preconditions.checkNotNull(customAdapt, "customAdapt == null");
        float sizeInDp = customAdapt.getSizeInDp();
        if (sizeInDp <= 0.0f) {
            if (customAdapt.isBaseOnWidth()) {
                i = AutoSizeConfig.getInstance().getDesignWidthInDp();
            } else {
                i = AutoSizeConfig.getInstance().getDesignHeightInDp();
            }
            sizeInDp = (float) i;
        }
        autoConvertDensity(resources, sizeInDp, customAdapt.isBaseOnWidth());
    }

    public static void autoConvertDensityOfExternalAdaptInfo(Resources resources, ExternalAdaptInfo externalAdaptInfo) {
        int i;
        Preconditions.checkNotNull(externalAdaptInfo, "externalAdaptInfo == null");
        float sizeInDp = externalAdaptInfo.getSizeInDp();
        if (sizeInDp <= 0.0f) {
            if (externalAdaptInfo.isBaseOnWidth()) {
                i = AutoSizeConfig.getInstance().getDesignWidthInDp();
            } else {
                i = AutoSizeConfig.getInstance().getDesignHeightInDp();
            }
            sizeInDp = (float) i;
        }
        autoConvertDensity(resources, sizeInDp, externalAdaptInfo.isBaseOnWidth());
    }

    public static void autoConvertDensityOfGlobal(Resources resources) {
        if (AutoSizeConfig.getInstance().isBaseOnWidth()) {
            autoConvertDensityBaseOnWidth(resources, (float) AutoSizeConfig.getInstance().getDesignWidthInDp());
        } else {
            autoConvertDensityBaseOnHeight(resources, (float) AutoSizeConfig.getInstance().getDesignHeightInDp());
        }
    }

    public static void cancelAdapt(Resources resources) {
        float f;
        Preconditions.checkMainThread();
        float initXdpi = AutoSizeConfig.getInstance().getInitXdpi();
        int ordinal = AutoSizeConfig.getInstance().getUnitsManager().getSupportSubunits().ordinal();
        if (ordinal != 1) {
            if (ordinal == 3) {
                f = 25.4f;
            }
            setDensity(resources, AutoSizeConfig.getInstance().getInitDensity(), AutoSizeConfig.getInstance().getInitDensityDpi(), AutoSizeConfig.getInstance().getInitScaledDensity(), initXdpi);
            setScreenSizeDp(resources, AutoSizeConfig.getInstance().getInitScreenWidthDp(), AutoSizeConfig.getInstance().getInitScreenHeightDp());
        }
        f = 72.0f;
        initXdpi /= f;
        setDensity(resources, AutoSizeConfig.getInstance().getInitDensity(), AutoSizeConfig.getInstance().getInitDensityDpi(), AutoSizeConfig.getInstance().getInitScaledDensity(), initXdpi);
        setScreenSizeDp(resources, AutoSizeConfig.getInstance().getInitScreenWidthDp(), AutoSizeConfig.getInstance().getInitScreenHeightDp());
    }

    private static DisplayMetrics getMetricsOnMiui(Resources resources) {
        if (AutoSizeConfig.getInstance().isMiui() && AutoSizeConfig.getInstance().getTmpMetricsField() != null) {
            try {
                return (DisplayMetrics) AutoSizeConfig.getInstance().getTmpMetricsField().get(resources);
            } catch (Exception unused) {
            }
        }
        return null;
    }

    private static void setDensity(Resources resources, float f, int i, float f2, float f3) {
        setDensity(resources.getDisplayMetrics(), f, i, f2, f3);
        setDensity(AutoSizeConfig.getInstance().getApplication().getResources().getDisplayMetrics(), f, i, f2, f3);
        DisplayMetrics metricsOnMiui = getMetricsOnMiui(resources);
        DisplayMetrics metricsOnMiui2 = getMetricsOnMiui(AutoSizeConfig.getInstance().getApplication().getResources());
        if (metricsOnMiui != null) {
            setDensity(metricsOnMiui, f, i, f2, f3);
        }
        if (metricsOnMiui2 != null) {
            setDensity(metricsOnMiui2, f, i, f2, f3);
        }
    }

    private static void setScreenSizeDp(Resources resources, int i, int i2) {
        if (AutoSizeConfig.getInstance().getUnitsManager().isSupportDP() && AutoSizeConfig.getInstance().getUnitsManager().isSupportScreenSizeDP()) {
            setScreenSizeDp(resources.getConfiguration(), i, i2);
            setScreenSizeDp(AutoSizeConfig.getInstance().getApplication().getResources().getConfiguration(), i, i2);
        }
    }

    private static void setScreenSizeDp(Configuration configuration, int i, int i2) {
        configuration.screenWidthDp = i;
        configuration.screenHeightDp = i2;
    }

    private static void setDensity(DisplayMetrics displayMetrics, float f, int i, float f2, float f3) {
        if (AutoSizeConfig.getInstance().getUnitsManager().isSupportDP()) {
            displayMetrics.density = f;
            displayMetrics.densityDpi = i;
        }
        if (AutoSizeConfig.getInstance().getUnitsManager().isSupportSP()) {
            displayMetrics.scaledDensity = f2;
        }
        int ordinal = AutoSizeConfig.getInstance().getUnitsManager().getSupportSubunits().ordinal();
        if (ordinal == 1) {
            displayMetrics.xdpi = f3 * 72.0f;
        } else if (ordinal == 2) {
            displayMetrics.xdpi = f3;
        } else if (ordinal == 3) {
            displayMetrics.xdpi = f3 * 25.4f;
        }
    }
}
