package okio;

import androidx.base.g00;
import androidx.exifinterface.media.ExifInterface;
import java.util.Arrays;
import okio.ByteString;

/* renamed from: okio.-Base64  reason: invalid class name */
public final class Base64 {
    private static final byte[] BASE64;
    private static final byte[] BASE64_URL_SAFE;

    static {
        ByteString.Companion companion = ByteString.Companion;
        BASE64 = companion.encodeUtf8("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/").getData$okio();
        BASE64_URL_SAFE = companion.encodeUtf8("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_").getData$okio();
    }

    public static final byte[] decodeBase64ToArray(String str) {
        int i;
        if (str != null) {
            int length = str.length();
            while (length > 0 && ((r6 = str.charAt(length - 1)) == '=' || r6 == '\n' || r6 == '\r' || r6 == ' ' || r6 == '\t')) {
                length--;
            }
            int i2 = (int) ((((long) length) * 6) / 8);
            byte[] bArr = new byte[i2];
            int i3 = 0;
            int i4 = 0;
            int i5 = 0;
            for (int i6 = 0; i6 < length; i6++) {
                char charAt = str.charAt(i6);
                if ('A' <= charAt && 'Z' >= charAt) {
                    i = charAt - 'A';
                } else if ('a' <= charAt && 'z' >= charAt) {
                    i = charAt - 'G';
                } else if ('0' <= charAt && '9' >= charAt) {
                    i = charAt + 4;
                } else if (charAt == '+' || charAt == '-') {
                    i = 62;
                } else if (charAt == '/' || charAt == '_') {
                    i = 63;
                } else {
                    if (!(charAt == '\n' || charAt == '\r' || charAt == ' ' || charAt == '\t')) {
                        return null;
                    }
                }
                i4 = (i4 << 6) | i;
                i3++;
                if (i3 % 4 == 0) {
                    int i7 = i5 + 1;
                    bArr[i5] = (byte) (i4 >> 16);
                    int i8 = i7 + 1;
                    bArr[i7] = (byte) (i4 >> 8);
                    bArr[i8] = (byte) i4;
                    i5 = i8 + 1;
                }
            }
            int i9 = i3 % 4;
            if (i9 == 1) {
                return null;
            }
            if (i9 == 2) {
                bArr[i5] = (byte) ((i4 << 12) >> 16);
                i5++;
            } else if (i9 == 3) {
                int i10 = i4 << 6;
                int i11 = i5 + 1;
                bArr[i5] = (byte) (i10 >> 16);
                i5 = i11 + 1;
                bArr[i11] = (byte) (i10 >> 8);
            }
            if (i5 == i2) {
                return bArr;
            }
            byte[] copyOf = Arrays.copyOf(bArr, i5);
            g00.b(copyOf, "java.util.Arrays.copyOf(this, newSize)");
            return copyOf;
        }
        g00.f("$this$decodeBase64ToArray");
        throw null;
    }

    public static final String encodeBase64(byte[] bArr, byte[] bArr2) {
        if (bArr == null) {
            g00.f("$this$encodeBase64");
            throw null;
        } else if (bArr2 != null) {
            byte[] bArr3 = new byte[(((bArr.length + 2) / 3) * 4)];
            int length = bArr.length - (bArr.length % 3);
            int i = 0;
            int i2 = 0;
            while (i < length) {
                int i3 = i + 1;
                byte b = bArr[i];
                int i4 = i3 + 1;
                byte b2 = bArr[i3];
                int i5 = i4 + 1;
                byte b3 = bArr[i4];
                int i6 = i2 + 1;
                bArr3[i2] = bArr2[(b & ExifInterface.MARKER) >> 2];
                int i7 = i6 + 1;
                bArr3[i6] = bArr2[((b & 3) << 4) | ((b2 & ExifInterface.MARKER) >> 4)];
                int i8 = i7 + 1;
                bArr3[i7] = bArr2[((b2 & 15) << 2) | ((b3 & ExifInterface.MARKER) >> 6)];
                i2 = i8 + 1;
                bArr3[i8] = bArr2[b3 & Utf8.REPLACEMENT_BYTE];
                i = i5;
            }
            int length2 = bArr.length - length;
            if (length2 == 1) {
                byte b4 = bArr[i];
                int i9 = i2 + 1;
                bArr3[i2] = bArr2[(b4 & ExifInterface.MARKER) >> 2];
                int i10 = i9 + 1;
                bArr3[i9] = bArr2[(b4 & 3) << 4];
                byte b5 = (byte) 61;
                bArr3[i10] = b5;
                bArr3[i10 + 1] = b5;
            } else if (length2 == 2) {
                int i11 = i + 1;
                byte b6 = bArr[i];
                byte b7 = bArr[i11];
                int i12 = i2 + 1;
                bArr3[i2] = bArr2[(b6 & ExifInterface.MARKER) >> 2];
                int i13 = i12 + 1;
                bArr3[i12] = bArr2[((b6 & 3) << 4) | ((b7 & ExifInterface.MARKER) >> 4)];
                bArr3[i13] = bArr2[(b7 & 15) << 2];
                bArr3[i13 + 1] = (byte) 61;
            }
            return Platform.toUtf8String(bArr3);
        } else {
            g00.f("map");
            throw null;
        }
    }

    public static /* synthetic */ String encodeBase64$default(byte[] bArr, byte[] bArr2, int i, Object obj) {
        if ((i & 1) != 0) {
            bArr2 = BASE64;
        }
        return encodeBase64(bArr, bArr2);
    }

    public static final byte[] getBASE64() {
        return BASE64;
    }

    public static final byte[] getBASE64_URL_SAFE() {
        return BASE64_URL_SAFE;
    }
}
