package org.xmlpull.v1;

import androidx.base.b2;
import java.io.PrintStream;

public class XmlPullParserException extends Exception {
    public int column;
    public Throwable detail;
    public int row;

    public XmlPullParserException(String str) {
        super(str);
        this.row = -1;
        this.column = -1;
    }

    public int getColumnNumber() {
        return this.column;
    }

    public Throwable getDetail() {
        return this.detail;
    }

    public int getLineNumber() {
        return this.row;
    }

    public void printStackTrace() {
        if (this.detail == null) {
            super.printStackTrace();
            return;
        }
        synchronized (System.err) {
            PrintStream printStream = System.err;
            StringBuffer stringBuffer = new StringBuffer();
            stringBuffer.append(super.getMessage());
            stringBuffer.append("; nested exception is:");
            printStream.println(stringBuffer.toString());
            this.detail.printStackTrace();
        }
    }

    /* JADX WARNING: Illegal instructions before constructor call */
    public XmlPullParserException(String str, XmlPullParser xmlPullParser, Throwable th) {
        super(r0.toString());
        String str2;
        String str3;
        StringBuffer stringBuffer = new StringBuffer();
        String str4 = "";
        if (str == null) {
            str2 = str4;
        } else {
            StringBuffer stringBuffer2 = new StringBuffer();
            stringBuffer2.append(str);
            stringBuffer2.append(" ");
            str2 = stringBuffer2.toString();
        }
        stringBuffer.append(str2);
        if (xmlPullParser == null) {
            str3 = str4;
        } else {
            StringBuffer h = b2.h("(position:");
            h.append(xmlPullParser.getPositionDescription());
            h.append(") ");
            str3 = h.toString();
        }
        stringBuffer.append(str3);
        if (th != null) {
            StringBuffer stringBuffer3 = new StringBuffer();
            stringBuffer3.append("caused by: ");
            stringBuffer3.append(th);
            str4 = stringBuffer3.toString();
        }
        stringBuffer.append(str4);
        this.row = -1;
        this.column = -1;
        if (xmlPullParser != null) {
            this.row = xmlPullParser.getLineNumber();
            this.column = xmlPullParser.getColumnNumber();
        }
        this.detail = th;
    }
}
