package org.xwalk.core;

import androidx.base.b2;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.util.concurrent.RejectedExecutionException;

public class ReflectConstructor {
    private Class<?> mClass;
    private Constructor<?> mConstructor;
    private Class<?>[] mParameterTypes;

    public ReflectConstructor() {
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(7:3|4|5|6|7|9|(1:11)(1:12)) */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:6:0x0013 */
    public boolean init(Class<?> cls, Class<?>... clsArr) {
        this.mClass = cls;
        this.mParameterTypes = clsArr;
        this.mConstructor = null;
        if (cls == null) {
            return false;
        }
        this.mConstructor = cls.getConstructor(clsArr);
        Constructor<?> declaredConstructor = this.mClass.getDeclaredConstructor(this.mParameterTypes);
        this.mConstructor = declaredConstructor;
        declaredConstructor.setAccessible(true);
        if (this.mConstructor != null) {
            return true;
        }
        return false;
    }

    public boolean isNull() {
        return this.mConstructor == null;
    }

    public Object newInstance(Object... objArr) {
        Constructor<?> constructor = this.mConstructor;
        if (constructor != null) {
            try {
                return constructor.newInstance(objArr);
            } catch (IllegalAccessException | InstantiationException e) {
                throw new RejectedExecutionException(e);
            } catch (IllegalArgumentException e2) {
                throw e2;
            } catch (InvocationTargetException e3) {
                throw new RuntimeException(e3.getCause());
            }
        } else {
            throw new UnsupportedOperationException(toString());
        }
    }

    public String toString() {
        Constructor<?> constructor = this.mConstructor;
        if (constructor != null) {
            return constructor.toString();
        }
        if (this.mClass == null) {
            return "";
        }
        StringBuilder j = b2.j("");
        j.append(this.mClass.toString());
        return j.toString();
    }

    public ReflectConstructor(Class<?> cls, Class<?>... clsArr) {
        init(cls, clsArr);
    }
}
